/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.timing.AccesskeyTimingSpecifier;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.apache.batik.dom.events.DOMMutationEvent;
import org.junit.BeforeClass;
import org.w3c.dom.events.Event;

public class AccesskeyTimingSpecifierEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.resolve(Lorg/w3c/dom/events/Event;)V: root-Branch
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (float) 'V', "K4(CFfbK,V$::OTMU");
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.resolve((Event) dOMMutationEvent0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I42 Branch 3 IFEQ L-1 - false
   * 3 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFC)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 0.0721F, 'V');
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accesskey(V)+0.0721", string0);
      assertNotNull(string0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I17 Branch 2 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (float) 'V', "K4(CFfbK,V$::OTMU");
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accessKey(K4(CFfbK,V$::OTMU)+86.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I17 Branch 2 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (float) 'V', "K4(CFfbK,V$::OTMU");
      accesskeyTimingSpecifier0.isBegin();
      dOMMutationEvent0.getBubbleLimit();
      assertEquals(1397522366800L, dOMMutationEvent0.getTimeStamp());
      
      AccesskeyTimingSpecifier accesskeyTimingSpecifier1 = new AccesskeyTimingSpecifier((TimedElement) null, false, (float) 0, "K4(CFfbK,V$::OTMU");
      String string0 = accesskeyTimingSpecifier1.toString();
      assertEquals("accessKey(K4(CFfbK,V$::OTMU)", string0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I42 Branch 3 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 0.0F, 'L');
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accesskey(L)", string0);
      assertNotNull(string0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.deinitialize()V: I2 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 1.0F, 'A');
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.deinitialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.deinitialize()V: I2 Branch 5 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 3.351486F, "{EJNoLy");
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.deinitialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.initialize()V: I2 Branch 4 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFC)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 7.34326F, ']');
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.initialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.initialize()V: I2 Branch 4 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, (-1.0F), "/61\"tgBIj.~3eI");
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.initialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
