/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.SVGTitleElementBridge;
import org.apache.batik.bridge.ViewBox;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMMaskElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRegionExcludeElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class ViewBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 8 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I4 Branch 2 IFNE L-1 - true
   * 3 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I31 Branch 3 IFEQ L-1 - false
   * 4 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I42 Branch 4 IFNONNULL L-1 - false
   * 5 org.apache.batik.bridge.ViewBox$ViewHandler.<init>()V: root-Branch
   * 6 org.apache.batik.bridge.ViewBox$ViewHandler.startFragmentIdentifier()V: root-Branch
   * 7 org.apache.batik.bridge.ViewBox$ViewHandler.idReference(Ljava/lang/String;)V: root-Branch
   * 8 org.apache.batik.bridge.ViewBox$ViewHandler.endFragmentIdentifier()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("viewBox", "viewBox", "viewBox");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFlowRegionExcludeElement sVGOMFlowRegionExcludeElement0 = new SVGOMFlowRegionExcludeElement("viewBox", (AbstractDocument) sVGOMDocument0);
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      BridgeContext bridgeContext0 = sVGDescElementBridge0.theCtx;
      // Undeclared exception!
      try {
        ViewBox.getViewTransform("viewBox", (Element) sVGOMFlowRegionExcludeElement0, 2006.1979F, 2006.1979F, (BridgeContext) null);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // null:0
         // The URI \"viewBox\"
         // specified on the element <flowRegionExclude> is invalid
         //
      }
  }

  //Test case number: 1
  /*
   * 12 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I1 Branch 25 IFNONNULL L-1 - true
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I25 Branch 26 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I57 Branch 27 IFGE L-1 - true
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I64 Branch 29 IFLT L-1 - false
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I66 Branch 30 IFNE L-1 - true
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 40 TABLESWITCH L-1 Case 2 - false
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 41 TABLESWITCH L-1 Case 3 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 42 TABLESWITCH L-1 Case 4 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 43 TABLESWITCH L-1 Case 5 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 44 TABLESWITCH L-1 Case 6 - false
   * 11 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 45 TABLESWITCH L-1 Case 7 - false
   * 12 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 46 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test1()  throws Throwable  {
      float[] floatArray0 = new float[10];
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform(floatArray0, (short)958, true, 0.0F, 0.0F);
      assertNotNull(affineTransform0);
      assertEquals(false, affineTransform0.isIdentity());
  }

  //Test case number: 2
  /*
   * 10 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I57 Branch 27 IFGE L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I59 Branch 28 IFNE L-1 - false
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I64 Branch 29 IFLT L-1 - true
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 40 TABLESWITCH L-1 Case 2 - false
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 41 TABLESWITCH L-1 Case 3 - false
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 42 TABLESWITCH L-1 Case 4 - false
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 43 TABLESWITCH L-1 Case 5 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 44 TABLESWITCH L-1 Case 6 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 45 TABLESWITCH L-1 Case 7 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 46 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test2()  throws Throwable  {
      float[] floatArray0 = new float[9];
      floatArray0[0] = 156.14061F;
      floatArray0[1] = 156.14061F;
      floatArray0[3] = 156.14061F;
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform(floatArray0, (short) (-1447), false, 156.14061F, 156.14061F);
      assertNotNull(affineTransform0);
      assertEquals("AffineTransform[[Infinity, 0.0, -Infinity], [0.0, Infinity, -Infinity]]", affineTransform0.toString());
  }

  //Test case number: 3
  /*
   * 14 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I66 Branch 30 IFNE L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 31 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 32 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 33 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 34 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 35 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 36 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 37 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 38 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 39 TABLESWITCH L-1 Default-Case - true
   * 11 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I1 Branch 25 IFNONNULL L-1 - true
   * 12 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I25 Branch 26 IF_ICMPNE L-1 - true
   * 13 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I57 Branch 27 IFGE L-1 - true
   * 14 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I64 Branch 29 IFLT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      float[] floatArray0 = new float[6];
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform(floatArray0, (short)0, false, 0.0F, 0.0F);
      assertNotNull(affineTransform0);
      assertEquals(Double.NaN, affineTransform0.getScaleY(), 0.01D);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I2 Branch 14 IFNE L-1 - true
   * 2 org.apache.batik.bridge.ViewBox.parseViewBoxAttribute(Lorg/w3c/dom/Element;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)[F: I2 Branch 17 IFNE L-1 - true
   * 3 org.apache.batik.bridge.ViewBox.parseViewBoxAttribute(Lorg/w3c/dom/Element;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)[F: I20 Branch 18 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.bridge.ViewBox.parseViewBoxAttribute(Lorg/w3c/dom/Element;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)[F: I23 Branch 19 IFEQ L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("#`", "#`", "#`");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMMaskElement sVGOMMaskElement0 = new SVGOMMaskElement("", (AbstractDocument) sVG12OMDocument0);
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      // Undeclared exception!
      try {
        ViewBox.getPreserveAspectRatioTransform((Element) sVGOMMaskElement0, "#`", "#`", 0.0F, 0.0F, (BridgeContext) null);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // For input string: \"#`\"
         //
      }
  }
}
