/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleDeclaration;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.svg.BaselineShiftManager;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMCircleElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGStylableElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class StyleDeclarationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.getIndex(I)I: root-Branch
   * 2 org.apache.batik.css.engine.StyleDeclaration.size()I: root-Branch
   * 3 org.apache.batik.css.engine.StyleDeclaration.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      int int0 = styleDeclaration0.size();
      assertEquals(0, int0);
      
      int int1 = styleDeclaration0.getIndex(0);
      assertTrue(int1 == int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.getValue(I)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("K9-9K", "K9-9K", "K9-9K");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCircleElement sVGOMCircleElement0 = new SVGOMCircleElement("K9-9K", (AbstractDocument) sVGOMDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      SVGStylableElement.StyleDeclaration sVGStylableElement_StyleDeclaration0 = sVGOMCircleElement0.new StyleDeclaration((CSSEngine) sVG12CSSEngine0);
      StyleDeclaration styleDeclaration0 = sVGStylableElement_StyleDeclaration0.getStyleDeclaration();
      Value value0 = styleDeclaration0.getValue(0);
      assertNull(value0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.getPriority(I)Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      // Undeclared exception!
      try {
        styleDeclaration0.getPriority(16777216);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 16777216
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.remove(I)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      // Undeclared exception!
      try {
        styleDeclaration0.remove(1477);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.put(ILorg/apache/batik/css/engine/value/Value;IZ)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      BaselineShiftManager baselineShiftManager0 = new BaselineShiftManager();
      int int0 = styleDeclaration0.size();
      assertEquals(0, int0);
      
      StringValue stringValue0 = (StringValue)baselineShiftManager0.getDefaultValue();
      styleDeclaration0.put(0, (Value) stringValue0, 0, true);
      assertEquals(0, styleDeclaration0.size());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I5 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.css.engine.StyleDeclaration.size()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      BaselineShiftManager baselineShiftManager0 = new BaselineShiftManager();
      styleDeclaration0.size();
      StringValue stringValue0 = (StringValue)baselineShiftManager0.getDefaultValue();
      styleDeclaration0.append((Value) stringValue0, 0, true);
      assertEquals(1, styleDeclaration0.size());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I14 Branch 6 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.css.engine.StyleDeclaration.<init>()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      String string0 = styleDeclaration0.toString((CSSEngine) null);
      assertEquals("", string0);
  }
}
