/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Set;
import java.util.TreeSet;
import org.apache.batik.css.engine.sac.CSSClassCondition;
import org.apache.batik.css.engine.sac.CSSConditionalSelector;
import org.apache.batik.css.engine.sac.CSSElementSelector;
import org.apache.batik.css.engine.sac.CSSOneOfAttributeCondition;
import org.apache.batik.util.SVGConstants;
import org.junit.BeforeClass;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.SimpleSelector;

public class CSSConditionalSelectorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSpecificity()I: root-Branch
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   * 4 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSElementSelector cSSElementSelector0 = new CSSElementSelector("Alphanumeric", "Alphanumeric");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) cSSElementSelector0, (Condition) null);
      // Undeclared exception!
      try {
        cSSConditionalSelector0.getSpecificity();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.fillAttributeSet(Ljava/util/Set;)V: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSClassCondition cSSClassCondition0 = new CSSClassCondition("4ev=~[@7B`l1vXNo", "4ev=~[@7B`l1vXNo", "4ev=~[@7B`l1vXNo");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) cSSClassCondition0);
      TreeSet<CSSOneOfAttributeCondition> treeSet0 = new TreeSet<CSSOneOfAttributeCondition>();
      // Undeclared exception!
      try {
        cSSConditionalSelector0.fillAttributeSet((Set) treeSet0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSClassCondition cSSClassCondition0 = new CSSClassCondition("4ev=~[@7B`l1vXNo", "4ev=~[@7B`l1vXNo", "4ev=~[@7B`l1vXNo");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) cSSClassCondition0);
      String string0 = cSSConditionalSelector0.toString();
      assertEquals("null.4ev=~[@7B`l1vXNo", string0);
      assertNotNull(string0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I6 Branch 2 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSElementSelector cSSElementSelector0 = new CSSElementSelector("Alphanumeric", "Alphanumeric");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) cSSElementSelector0, (Condition) null);
      String string0 = SVGConstants.SVG_SVG11_TEXT_FEATURE;
      boolean boolean0 = cSSConditionalSelector0.equals((Object) "http://www.w3.org/TR/SVG11/feature#Text");
      assertEquals(false, boolean0);
  }
}
