/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.util.Locale;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.css.parser.CSSSACMediaList;
import org.apache.batik.css.parser.CSSSelectorList;
import org.apache.batik.css.parser.DefaultConditionFactory;
import org.apache.batik.css.parser.DefaultDocumentHandler;
import org.apache.batik.css.parser.DefaultErrorHandler;
import org.apache.batik.css.parser.DefaultSelectorFactory;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.ConditionFactory;
import org.w3c.css.sac.DocumentHandler;
import org.w3c.css.sac.ErrorHandler;
import org.w3c.css.sac.InputSource;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.css.sac.SelectorFactory;

public class ExtendedParserWrapperEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setConditionFactory(Lorg/w3c/css/sac/ConditionFactory;)V: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      extendedParserWrapper0.setConditionFactory((ConditionFactory) defaultConditionFactory0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) extendedParserWrapper0);
      extendedParserWrapper1.parseStyleDeclaration("<n#KmE6g+[!");
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper1.getParserVersion());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setSelectorFactory(Lorg/w3c/css/sac/SelectorFactory;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      extendedParserWrapper0.setSelectorFactory((SelectorFactory) defaultSelectorFactory0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseSelectors(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parseSelectors(Ljava/lang/String;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) extendedParserWrapper0);
      CSSSelectorList cSSSelectorList0 = (CSSSelectorList)extendedParserWrapper1.parseSelectors("pt");
      assertEquals(1, cSSSelectorList0.getLength());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) null);
      // Undeclared exception!
      try {
        extendedParserWrapper0.parseStyleSheet("");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseRule(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      extendedParserWrapper0.parseRule(",,8u?QV<GOglE3Q]Ar");
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      // Undeclared exception!
      try {
        extendedParserWrapper0.parsePriority("pt");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setErrorHandler(Lorg/w3c/css/sac/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultErrorHandler defaultErrorHandler0 = (DefaultErrorHandler)DefaultErrorHandler.INSTANCE;
      extendedParserWrapper0.setErrorHandler((ErrorHandler) defaultErrorHandler0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Ljava/lang/String;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("JDVw%q9");
      assertEquals(35, lexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource();
      try {
        extendedParserWrapper0.parseStyleSheet(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      Locale locale0 = Locale.CANADA_FRENCH;
      extendedParserWrapper0.setLocale(locale0);
      assertEquals("fr_CA", locale0.toString());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Lorg/w3c/css/sac/InputSource;)Z: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource("identifier.or.string");
      try {
        extendedParserWrapper0.parsePriority(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseRule(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource();
      try {
        extendedParserWrapper0.parseRule(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.getParserVersion()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          Parser parser0 = new Parser();
          ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
          extendedParserWrapper0.getParserVersion();
          InputSource inputSource0 = new InputSource("http://www.w3.org/TR/REC-CSS2");
          // Undeclared exception!
          try {
            extendedParserWrapper0.parsePropertyValue(inputSource0);
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.net.SocketPermission www.w3.org:80 connect,resolve)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkConnect(SecurityManager.java:1034)
             // sun.net.www.http.HttpClient.openServer(HttpClient.java:528)
             // sun.net.www.http.HttpClient.<init>(HttpClient.java:234)
             // sun.net.www.http.HttpClient.New(HttpClient.java:307)
             // sun.net.www.http.HttpClient.New(HttpClient.java:324)
             // sun.net.www.protocol.http.HttpURLConnection.getNewHttpClient(HttpURLConnection.java:970)
             // sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:911)
             // sun.net.www.protocol.http.HttpURLConnection.connect(HttpURLConnection.java:836)
             // sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1172)
             // sun.net.www.protocol.http.HttpURLConnection.getHeaderField(HttpURLConnection.java:2308)
             // java.net.URLConnection.getContentType(URLConnection.java:485)
             // org.apache.batik.util.ParsedURLData.openStreamInternal(Unknown Source)
             // org.apache.batik.util.ParsedURLData.openStreamRaw(Unknown Source)
             // org.apache.batik.util.ParsedURL.openStreamRaw(Unknown Source)
             // org.apache.batik.css.parser.Parser.createScanner(Unknown Source)
             // org.apache.batik.css.parser.Parser.parsePropertyValue(Unknown Source)
             // org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Unknown Source)
             // sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
             // sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setDocumentHandler(Lorg/w3c/css/sac/DocumentHandler;)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultDocumentHandler defaultDocumentHandler0 = (DefaultDocumentHandler)DefaultDocumentHandler.INSTANCE;
      extendedParserWrapper0.setDocumentHandler((DocumentHandler) defaultDocumentHandler0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      ExtendedParserWrapper extendedParserWrapper0 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((org.w3c.css.sac.Parser) null);
      assertNotNull(extendedParserWrapper0);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((org.w3c.css.sac.Parser) extendedParserWrapper0);
      assertSame(extendedParserWrapper0, extendedParserWrapper1);
  }

  //Test case number: 17
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I7 Branch 2 IFGT L-1 - false
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - false
   * 4 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      CSSSACMediaList cSSSACMediaList0 = (CSSSACMediaList)extendedParserWrapper0.parseMedia("<n#KmE6g+[!");
      assertEquals(1, cSSSACMediaList0.getLength());
  }
}
