/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.PipedWriter;
import java.io.PrintWriter;
import java.io.Writer;
import org.apache.batik.css.parser.ParseException;
import org.junit.BeforeClass;

public class ParseExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ParseException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ParseException parseException0 = new ParseException("", (-1035), (-1035));
      assertEquals(-1035, parseException0.getColumnNumber());
      assertEquals(-1035, parseException0.getLineNumber());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ParseException.getException()Ljava/lang/Exception;: root-Branch
   * 2 org.apache.batik.css.parser.ParseException.<init>(Ljava/lang/Exception;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ParseException parseException0 = new ParseException((Exception) null);
      parseException0.getException();
      assertEquals(-1, parseException0.getLineNumber());
      assertEquals(-1, parseException0.getColumnNumber());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ParseException.getLineNumber()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Exception exception0 = new Exception();
      ParseException parseException0 = new ParseException(exception0);
      int int0 = parseException0.getLineNumber();
      assertEquals(-1, parseException0.getColumnNumber());
      assertEquals((-1), int0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ParseException.getColumnNumber()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Exception exception0 = new Exception();
      ParseException parseException0 = new ParseException(exception0);
      int int0 = parseException0.getColumnNumber();
      assertEquals(-1, parseException0.getLineNumber());
      assertEquals((-1), int0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.css.parser.ParseException.<init>(Ljava/lang/String;Ljava/lang/Exception;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Exception exception0 = new Exception();
      ParseException parseException0 = new ParseException("", exception0);
      parseException0.printStackTrace();
      assertEquals("org.apache.batik.css.parser.ParseException: ", parseException0.toString());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.css.parser.ParseException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ParseException parseException0 = new ParseException((Exception) null);
      PipedWriter pipedWriter0 = new PipedWriter();
      PrintWriter printWriter0 = new PrintWriter((Writer) pipedWriter0, true);
      parseException0.printStackTrace(printWriter0);
      assertEquals(true, printWriter0.checkError());
      assertEquals(-1, parseException0.getColumnNumber());
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.ParseException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.css.parser.ParseException.<init>(Ljava/lang/Exception;)V: root-Branch
   * 3 org.apache.batik.css.parser.ParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Exception exception0 = new Exception();
      ParseException parseException0 = new ParseException(exception0);
      parseException0.getMessage();
      assertEquals(-1, parseException0.getLineNumber());
      assertEquals(-1, parseException0.getColumnNumber());
  }
}
