/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentFragment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMMarkerElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMDocumentEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.getReferrer()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.<init>(Lorg/w3c/dom/DocumentType;Lorg/w3c/dom/DOMImplementation;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument$AnimAttrListener.<init>(Lorg/apache/batik/dom/svg/SVGOMDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      String string0 = sVG12OMDocument0.getReferrer();
      assertEquals("", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      // Undeclared exception!
      try {
        sVGOMDocument0.setSpecified(false);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // An attempt as been made to invoke an invalid method for the current node (type: 9, name: #document).
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.setIsSVG12(Z)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.isReadonly()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("o^Z'a<", "o^Z'a<", "o^Z'a<");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVGOMDocument0.setIsSVG12(false);
      assertEquals(false, sVGOMDocument0.isSVG12());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.createDocumentFragment()Lorg/w3c/dom/DocumentFragment;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      GenericDocumentFragment genericDocumentFragment0 = (GenericDocumentFragment)sVG12OMDocument0.createDocumentFragment();
      assertNull(genericDocumentFragment0.getLocalName());
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.getAnimatedAttributeListener()Lorg/apache/batik/dom/svg/AnimatedAttributeListener;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.createTextNode(Ljava/lang/String;)Lorg/w3c/dom/Text;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument.createAttributeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I1 Branch 14 IFNONNULL L-1 - false
   * 4 org.apache.batik.dom.svg.SVGOMDocument.isId(Lorg/w3c/dom/Attr;)Z: I2 Branch 15 IFNONNULL L-1 - false
   * 5 org.apache.batik.dom.svg.SVGOMDocument.<init>(Lorg/w3c/dom/DocumentType;Lorg/w3c/dom/DOMImplementation;)V: root-Branch
   * 6 org.apache.batik.dom.svg.SVGOMDocument$AnimAttrListener.<init>(Lorg/apache/batik/dom/svg/SVGOMDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMMarkerElement sVGOMMarkerElement0 = new SVGOMMarkerElement("", (AbstractDocument) sVGOMDocument0);
      assertNull(sVGOMMarkerElement0.getNodeValue());
  }
}
