/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMSymbolElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMSymbolElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMSymbolElement.getViewBox()Lorg/w3c/dom/svg/SVGAnimatedRect;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMSymbolElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMSymbolElement.initializeLiveAttributes()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMSymbolElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSymbolElement sVGOMSymbolElement0 = new SVGOMSymbolElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMSymbolElement0.getViewBox();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGFitToViewBox.getViewBox is not implemented
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMSymbolElement.initializeAllLiveAttributes()V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMSymbolElement.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMSymbolElement.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMSymbolElement sVGOMSymbolElement0 = new SVGOMSymbolElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMSymbolElement sVGOMSymbolElement1 = (SVGOMSymbolElement)sVGOMSymbolElement0.cloneNode(true);
      assertEquals(true, sVGOMSymbolElement1.hasAttributes());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMSymbolElement.setXMLlang(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMSymbolElement sVGOMSymbolElement0 = new SVGOMSymbolElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMSymbolElement0.setXMLlang("");
      assertEquals("", sVGOMSymbolElement0.getXMLlang());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMSymbolElement.setXMLspace(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMSymbolElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMSymbolElement.initializeLiveAttributes()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMSymbolElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("xml:space", "xml:space", "xml:space");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMSymbolElement sVGOMSymbolElement0 = new SVGOMSymbolElement("xml:space", (AbstractDocument) sVG12OMDocument0);
      sVGOMSymbolElement0.setXMLspace("xml:space");
      assertEquals("xml:space", sVGOMSymbolElement0.getXMLspace());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMSymbolElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMSymbolElement sVGOMSymbolElement0 = null;
      try {
        sVGOMSymbolElement0 = new SVGOMSymbolElement("('u45j'Nn3<a!_", (AbstractDocument) sVGOMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"('u45j'Nn3<a!_\" is invalid. Current node type: 1, name: symbol.
         //
      }
  }
}
