/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMNodeIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("detached.iterator", "detached.iterator", "detached.iterator");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVGOMDocument0, (Node) sVGOMDocument0, (-1828), (NodeFilter) null, false);
      dOMNodeIterator0.getFilter();
      assertEquals(-1828, dOMNodeIterator0.getWhatToShow());
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getExpandEntityReferences()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("sGzJJPxeMvWOXqo", "sGzJJPxeMvWOXqo", "sGzJJPxeMvWOXqo");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 0, (NodeFilter) null, true);
      boolean boolean0 = dOMNodeIterator0.getExpandEntityReferences();
      assertEquals(true, boolean0);
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getRoot()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("imageDir does not exist", "imageDir does not exist", "imageDir does not exist");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVGOMDocument0, (Node) sVGOMDocument0, 0, (NodeFilter) null, true);
      SVGOMDocument sVGOMDocument1 = (SVGOMDocument)dOMNodeIterator0.getRoot();
      assertNotNull(sVGOMDocument1);
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 3
  /*
   * 17 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I2 Branch 37 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I9 Branch 38 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - true
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I30 Branch 41 IFNULL L-1 - true
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I44 Branch 42 IFNULL L-1 - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I48 Branch 43 IF_ACMPEQ L-1 - true
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - true
   * 12 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 13 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 14 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   * 15 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - true
   * 16 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - false
   * 17 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I37 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("sGzJJPxeMvWOXqo", "sGzJJPxeMvWOXqo", "sGzJJPxeMvWOXqo");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 0, (NodeFilter) null, true);
      SVG12OMDocument sVG12OMDocument1 = (SVG12OMDocument)dOMNodeIterator0.nextNode();
      assertNotNull(sVG12OMDocument1);
      
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertNull(genericDocumentType1);
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 4
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("imageDir does not exist", "imageDir does not exist", "imageDir does not exist");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVGOMDocument0, (Node) sVGOMDocument0, 0, (NodeFilter) null, true);
      SVGOMDocument sVGOMDocument1 = (SVGOMDocument)dOMNodeIterator0.previousNode();
      assertNotNull(sVGOMDocument1);
      
      SVGOMDocument sVGOMDocument2 = (SVGOMDocument)dOMNodeIterator0.nextNode();
      assertNotNull(sVGOMDocument2);
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
  }
}
