/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericElementNS;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.traversal.DOMTreeWalker;
import org.apache.batik.extension.svg.ColorSwitchElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMTreeWalkerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getExpandEntityReferences()Z: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.<init>(Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      ColorSwitchElement colorSwitchElement0 = new ColorSwitchElement("", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) colorSwitchElement0, 34, (NodeFilter) null, false);
      boolean boolean0 = dOMTreeWalker0.getExpandEntityReferences();
      assertEquals(false, boolean0);
      assertEquals(34, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("animateColor", "animateColor", "animateColor");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericDocumentType0, (-1226), (NodeFilter) null, true);
      dOMTreeWalker0.getFilter();
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
      assertEquals(-1226, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getCurrentNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = (GenericElementNS)genericDocument0.createElementNS("element", "element");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericElementNS0, 1548, (NodeFilter) null, true);
      GenericElementNS genericElementNS1 = (GenericElementNS)dOMTreeWalker0.getCurrentNode();
      assertEquals(1548, dOMTreeWalker0.getWhatToShow());
      assertNotNull(genericElementNS1);
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 43 IF_ACMPNE L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.nextNode()Lorg/w3c/dom/Node;: I6 Branch 11 IFNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMTreeWalker.nextNode()Lorg/w3c/dom/Node;: I21 Branch 12 IFNULL L-1 - true
   * 4 org.apache.batik.dom.traversal.DOMTreeWalker.nextNode()Lorg/w3c/dom/Node;: I37 Branch 13 IFNONNULL L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 20 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I14 Branch 22 IFNONNULL L-1 - false
   * 7 org.apache.batik.dom.traversal.DOMTreeWalker.parentNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 15 IF_ACMPNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = (GenericElementNS)genericDocument0.createElementNS("element", "element");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericElementNS0, 1548, (NodeFilter) null, true);
      dOMTreeWalker0.nextNode();
      assertEquals(1548, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.previousSibling()Lorg/w3c/dom/Node;: I8 Branch 5 IFNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.previousSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 34 IF_ACMPNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = (GenericElementNS)genericDocument0.createElementNS("element", "element");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericElementNS0, 1548, (NodeFilter) null, true);
      dOMTreeWalker0.previousSibling();
      assertEquals(1548, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.lastChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 27 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.lastChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I14 Branch 29 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.traversal.DOMTreeWalker.lastChild()Lorg/w3c/dom/Node;: I6 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = (GenericElementNS)genericDocument0.createElementNS("element", "element");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericElementNS0, 1548, (NodeFilter) null, true);
      dOMTreeWalker0.lastChild();
      assertEquals(1548, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling()Lorg/w3c/dom/Node;: I8 Branch 6 IFNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 43 IF_ACMPNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = (GenericElementNS)genericDocument0.createElementNS("element", "element");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericElementNS0, 1548, (NodeFilter) null, true);
      dOMTreeWalker0.nextSibling();
      assertEquals(1548, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.parentNode()Lorg/w3c/dom/Node;: I6 Branch 2 IFNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.<init>(Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   * 3 org.apache.batik.dom.traversal.DOMTreeWalker.parentNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 15 IF_ACMPNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = (GenericElementNS)genericDocument0.createElementNS("element", "element");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericElementNS0, 1548, (NodeFilter) null, true);
      dOMTreeWalker0.parentNode();
      assertEquals(1548, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }
}
