/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.StringWriter;
import java.io.Writer;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.StyleSheetProcessingInstruction;
import org.apache.batik.dom.svg.SVGOMAltGlyphDefElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVGOMFlowRootElement;
import org.apache.batik.dom.util.DOMUtilities;
import org.apache.batik.dom.util.HashTable;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class DOMUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 5 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 6 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 7 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 8 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 9 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 10 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 11 TABLESWITCH L-1 Case 10 - true
   * 11 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 12 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Ft1", "Ft1", "Ft1");
      StringWriter stringWriter0 = new StringWriter();
      // Undeclared exception!
      try {
        DOMUtilities.writeNode((Node) genericDocumentType0, (Writer) stringWriter0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 81 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      String string0 = DOMUtilities.getPrefix("Control Shift");
      assertNull(string0);
  }

  //Test case number: 2
  /*
   * 10 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 19 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 19 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 20 LOOKUPSWITCH L-1 Case 34 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 20 LOOKUPSWITCH L-1 Case 34 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 21 LOOKUPSWITCH L-1 Case 38 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 22 LOOKUPSWITCH L-1 Case 39 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 23 LOOKUPSWITCH L-1 Case 60 - false
   * 8 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 24 LOOKUPSWITCH L-1 Case 62 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 25 LOOKUPSWITCH L-1 Default-Case - true
   * 10 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 25 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test2()  throws Throwable  {
      String string0 = DOMUtilities.contentToString("v\n[^]j8s\"u@DR@");
      assertNotNull(string0);
      assertEquals("v\n[^]j8s&quot;u@DR@", string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getChildIndex(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)I: I1 Branch 26 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      int int0 = DOMUtilities.getChildIndex((Node) null, (Node) null);
      assertEquals((-1), int0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) genericDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      HashTable hashTable0 = styleSheetProcessingInstruction0.getPseudoAttributes();
      assertEquals(2, hashTable0.size());
  }

  //Test case number: 5
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I70 Branch 89 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I90 Branch 90 IFNE L-1 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I102 Branch 91 IF_ICMPLT L-1 - true
   * 8 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I120 Branch 92 IF_ICMPGE L-1 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I127 Branch 93 IFNE L-1 - false
   * 10 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I136 Branch 94 IF_ICMPLT L-1 - true
   * 11 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I155 Branch 95 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      HashTable hashTable0 = new HashTable(22);
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("v\n[^]j8s\"u@DR@", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong xml-stylesheet data: v
         // [^]j8s\"u@DR@
         //
      }
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I27 Branch 77 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I36 Branch 78 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I56 Branch 79 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("r=]rx4*");
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I1 Branch 47 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      boolean boolean0 = DOMUtilities.canHaveChildren((Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidPrefix(Ljava/lang/String;)Z: I4 Branch 80 IF_ICMPNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidPrefix("");
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType(";9:#E^SUkMz,", ";9:#E^SUkMz,", ";9:#E^SUkMz,");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMAltGlyphDefElement sVGOMAltGlyphDefElement0 = null;
      try {
        sVGOMAltGlyphDefElement0 = new SVGOMAltGlyphDefElement(";9:#E^SUkMz,", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \";9:#E^SUkMz,\" is invalid. Current node type: 1, name: altGlyphDef.
         //
      }
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Wrong xml-stylesheet data: ", "#V>E4gs", "#V>E4gs");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFlowRootElement sVGOMFlowRootElement0 = null;
      try {
        sVGOMFlowRootElement0 = new SVGOMFlowRootElement("Wrong xml-stylesheet data: ", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"Wrong xml-stylesheet data: \" is invalid. Current node type: 1, name: flowRoot.
         //
      }
  }
}
