/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.PipedReader;
import java.io.Reader;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.xml.sax.Attributes;
import org.xml.sax.ErrorHandler;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Locator2Impl;
import org.xml.sax.helpers.AttributesImpl;
import org.xml.sax.helpers.LocatorImpl;

public class SAXDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "OYzr6d2W", true);
      try {
        sAXDocumentFactory0.createDocument("OYzr6d2W", "OYzr6d2W", "OYzr6d2W");
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class OYzr6d2W not found
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "datatype-normalization", false);
      Locator2Impl locator2Impl0 = new Locator2Impl();
      sAXDocumentFactory0.setDocumentLocator((Locator) locator2Impl0);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "datatype-normalization", false);
      sAXDocumentFactory0.startDTD("datatype-normalization", "datatype-normalization", "datatype-normalization");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "http://xml.org/sax/features/is-standalone", false);
      LocatorImpl locatorImpl0 = new LocatorImpl();
      SAXParseException sAXParseException0 = new SAXParseException("http://xml.org/sax/features/is-standalone", (Locator) locatorImpl0);
      try {
        sAXDocumentFactory0.fatalError(sAXParseException0);
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // http://xml.org/sax/features/is-standalone
         //
      }
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/io/Reader;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "");
      PipedReader pipedReader0 = new PipedReader(951);
      try {
        sAXDocumentFactory0.createDocument("", "", "", (Reader) pipedReader0);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class  not found
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "http://xml.org/sax/features/is-standalone", false);
      sAXDocumentFactory0.startEntity("http://xml.org/sax/features/is-standalone");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.ignorableWhitespace([CII)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "TqF%SddJl0sZ7", false);
      char[] charArray0 = new char[3];
      sAXDocumentFactory0.ignorableWhitespace(charArray0, (int) '\u0000', (int) '\u0000');
      assertArrayEquals(new char[] {'\u0000', '\u0000', '\u0000'}, charArray0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "dN~=s<]9POEh:_8{n", true);
      DOMImplementation dOMImplementation0 = sAXDocumentFactory0.getDOMImplementation("dN~=s<]9POEh:_8{n");
      assertNull(dOMImplementation0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endCDATA()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "datatype-normalization", false);
      sAXDocumentFactory0.endCDATA();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setErrorHandler(Lorg/xml/sax/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "H:", false);
      sAXDocumentFactory0.setErrorHandler((ErrorHandler) sAXDocumentFactory0);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endDTD()V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "http://www.w3.org/XML/1998/namespace");
      sAXDocumentFactory0.endDTD();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startCDATA()V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "dN~=s<]9POEh:_8{n", true);
      sAXDocumentFactory0.startCDATA();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "http://xml.org/sax/features/is-standalone", false);
      sAXDocumentFactory0.endEntity("http://xml.org/sax/features/is-standalone");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setValidating(Z)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "datatype-normalization", false);
      sAXDocumentFactory0.setValidating(false);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.isValidating()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "dN~=s<]9POEh:_8{n", true);
      boolean boolean0 = sAXDocumentFactory0.isValidating();
      assertEquals(false, boolean0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDocument()V: I58 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "http://xml.org/sax/features/is-standalone", false);
      sAXDocumentFactory0.startDocument();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 38 IFNULL L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "hN*\"|_YSVq-U-YGM5`$", true);
      // Undeclared exception!
      try {
        sAXDocumentFactory0.endElement("hN*\"|_YSVq-U-YGM5`$", "hN*\"|_YSVq-U-YGM5`$", "hN*\"|_YSVq-U-YGM5`$");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I1 Branch 19 IFEQ L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I12 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "dN~=s<]9POEh:_8{n", true);
      AttributesImpl attributesImpl0 = new AttributesImpl();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.startElement("dN~=s<]9POEh:_8{n", "dN~=s<]9POEh:_8{n", "dN~=s<]9POEh:_8{n", (Attributes) attributesImpl0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 18
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I12 Branch 20 IFEQ L-1 - false
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.startDocument()V: I58 Branch 18 IFEQ L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I1 Branch 19 IFEQ L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "dN~=s<]9POEh:_8{n", true);
      sAXDocumentFactory0.startDocument();
      AttributesImpl attributesImpl0 = new AttributesImpl();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.startElement("dN~=s<]9POEh:_8{n", "dN~=s<]9POEh:_8{n", "dN~=s<]9POEh:_8{n", (Attributes) attributesImpl0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
