/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.timing.AccesskeyTimingSpecifier;
import org.apache.batik.anim.timing.InstanceTime;
import org.apache.batik.anim.timing.Interval;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.apache.batik.dom.events.DOMTextEvent;
import org.junit.BeforeClass;
import org.w3c.dom.events.Event;

public class AccesskeyTimingSpecifierEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.resolve(Lorg/w3c/dom/events/Event;)V: root-Branch
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 340.84033F, "OM]jE;iVC%p|_y[5b7J");
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.resolve((Event) dOMTextEvent0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I42 Branch 3 IFEQ L-1 - false
   * 3 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFC)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, (-3.718207F), '\\');
      String string0 = accesskeyTimingSpecifier0.toString();
      assertNotNull(string0);
      assertEquals("accesskey(\\)-3.718207", string0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I17 Branch 2 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (float) 'a', "");
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accessKey()+97.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I17 Branch 2 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 0.0F, 'a');
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) accesskeyTimingSpecifier0, (float) 'a', false);
      Interval interval0 = new Interval((float) 'a', (float) 'a', instanceTime0, instanceTime0);
      accesskeyTimingSpecifier0.removeInterval(interval0);
      assertEquals("accesskey(a)", accesskeyTimingSpecifier0.toString());
      
      AccesskeyTimingSpecifier accesskeyTimingSpecifier1 = new AccesskeyTimingSpecifier((TimedElement) null, false, Float.POSITIVE_INFINITY, "");
      String string0 = accesskeyTimingSpecifier1.toString();
      assertNotNull(string0);
      assertEquals("accessKey()", string0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I42 Branch 3 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 0.0F, ')');
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accesskey())", string0);
      assertNotNull(string0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.deinitialize()V: I2 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 0.0F, ')');
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.deinitialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.initialize()V: I2 Branch 4 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFC)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 1000.0F, 'm');
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.initialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.initialize()V: I2 Branch 4 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, (-324.86816F), "");
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.initialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
