/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import java.util.GregorianCalendar;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.apache.batik.anim.timing.TimingSpecifierListProducer;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.junit.BeforeClass;

public class TimingSpecifierListProducerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.mediaMarker(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.anim.timing.TimingSpecifierListProducer.<init>(Lorg/apache/batik/anim/timing/TimedElement;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.mediaMarker("Malformed character", "Malformed character");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.repeat(FLjava/lang/String;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.repeat(0.0F, "\nException:", (int) 'O');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.offset(F)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      timingSpecifierListProducer0.offset(0.0F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.eventbase(FLjava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.eventbase(200.0F, "Xy$P(t\": `UW9tGsAi", "Xy$P(t\": `UW9tGsAi");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.parseTimingSpecifierList(Lorg/apache/batik/anim/timing/TimedElement;ZLjava/lang/String;ZZ)[Lorg/apache/batik/anim/timing/TimingSpecifier;: root-Branch
   * 2 org.apache.batik.anim.timing.TimingSpecifierListProducer.getTimingSpecifiers()[Lorg/apache/batik/anim/timing/TimingSpecifier;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.getTimedElement();
      TimingSpecifier[] timingSpecifierArray0 = TimingSpecifierListProducer.parseTimingSpecifierList((TimedElement) null, false, "", false, false);
      assertNotNull(timingSpecifierArray0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.repeat(FLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      sVGAnimateMotionElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.repeat(0.0F, ".UuW+wk0XUWx<CCV]T");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.indefinite()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      timingSpecifierListProducer0.indefinite();
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.wallclock(Ljava/util/Calendar;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      GregorianCalendar gregorianCalendar0 = new GregorianCalendar(1624, 1624, 1624, 1624, 1624);
      timingSpecifierListProducer0.wallclock((Calendar) gregorianCalendar0);
      assertEquals("java.util.GregorianCalendar[time=-6501966960000,areFieldsSet=true,areAllFieldsSet=false,lenient=true,zone=sun.util.calendar.ZoneInfo[id=\"Europe/Berlin\",offset=3600000,dstSavings=3600000,useDaylight=true,transitions=143,lastRule=java.util.SimpleTimeZone[id=Europe/Berlin,offset=3600000,dstSavings=3600000,useDaylight=true,startYear=0,startMode=2,startMonth=2,startDay=-1,startDayOfWeek=1,startTime=3600000,startTimeMode=2,endMode=2,endMonth=9,endDay=-1,endDayOfWeek=1,endTime=3600000,endTimeMode=2]],firstDayOfWeek=1,minimalDaysInFirstWeek=1,ERA=?,YEAR=1763,MONTH=11,WEEK_OF_YEAR=?,WEEK_OF_MONTH=?,DAY_OF_MONTH=17,DAY_OF_YEAR=?,DAY_OF_WEEK=?,DAY_OF_WEEK_IN_MONTH=?,AM_PM=1,HOUR=7,HOUR_OF_DAY=19,MINUTE=4,SECOND=0,MILLISECOND=?,ZONE_OFFSET=?,DST_OFFSET=?]", gregorianCalendar0.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.accessKeySVG12(FLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      timingSpecifierListProducer0.accessKeySVG12(200.0F, "Xy$P(t\": `UW9tGsAi");
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.accesskey(FC)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      timingSpecifierListProducer0.accesskey(0.0F, 'O');
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.syncbase(FLjava/lang/String;Ljava/lang/String;)V: I12 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.anim.timing.TimingSpecifierListProducer.<init>(Lorg/apache/batik/anim/timing/TimedElement;Z)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.syncbase(0.0F, "dSi", "dSi");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
