/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.sac.CSSAttributeCondition;
import org.apache.batik.css.engine.sac.CSSBeginHyphenAttributeCondition;
import org.apache.batik.css.engine.sac.CSSClassCondition;
import org.apache.batik.css.engine.sac.CSSConditionFactory;
import org.apache.batik.css.engine.sac.CSSIdCondition;
import org.apache.batik.css.engine.sac.CSSLangCondition;
import org.apache.batik.css.engine.sac.CSSOneOfAttributeCondition;
import org.apache.batik.css.engine.sac.CSSPseudoClassCondition;
import org.apache.batik.css.parser.DefaultAndCondition;
import org.apache.batik.css.parser.DefaultBeginHyphenAttributeCondition;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.Condition;

public class CSSConditionFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createPseudoClassCondition(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.<init>(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      CSSPseudoClassCondition cSSPseudoClassCondition0 = (CSSPseudoClassCondition)cSSConditionFactory0.createPseudoClassCondition("", "");
      assertEquals(false, cSSPseudoClassCondition0.getSpecified());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOneOfAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("2BTDSqKt]DjWn", "2BTDSqKt]DjWn", "2BTDSqKt]DjWn", "2BTDSqKt]DjWn");
      CSSOneOfAttributeCondition cSSOneOfAttributeCondition0 = (CSSOneOfAttributeCondition)cSSConditionFactory0.createOneOfAttributeCondition("2BTDSqKt]DjWn", "2BTDSqKt]DjWn", true, "2BTDSqKt]DjWn");
      assertEquals(true, cSSOneOfAttributeCondition0.getSpecified());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createPositionalCondition(IZZ)Lorg/w3c/css/sac/PositionalCondition;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("v7ozbn%E$j`#Qg", "v7ozbn%E$j`#Qg", "v7ozbn%E$j`#Qg", "v7ozbn%E$j`#Qg");
      try {
        cSSConditionFactory0.createPositionalCondition(0, false, false);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createNegativeCondition(Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/NegativeCondition;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("U*b)V", "U*b)V", "U*b)V", "U*b)V");
      DefaultBeginHyphenAttributeCondition defaultBeginHyphenAttributeCondition0 = new DefaultBeginHyphenAttributeCondition("U*b)V", "U*b)V", true, "U*b)V");
      DefaultAndCondition defaultAndCondition0 = new DefaultAndCondition((Condition) defaultBeginHyphenAttributeCondition0, (Condition) defaultBeginHyphenAttributeCondition0);
      try {
        cSSConditionFactory0.createNegativeCondition((Condition) defaultAndCondition0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOnlyTypeCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("L&k&}B+Y$3A", "L&k&}B+Y$3A", "L&k&}B+Y$3A", "L&k&}B+Y$3A");
      try {
        cSSConditionFactory0.createOnlyTypeCondition();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createContentCondition(Ljava/lang/String;)Lorg/w3c/css/sac/ContentCondition;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      try {
        cSSConditionFactory0.createContentCondition("");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createAndCondition(Lorg/w3c/css/sac/Condition;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/CombinatorCondition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.createAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      CSSAttributeCondition cSSAttributeCondition0 = (CSSAttributeCondition)cSSConditionFactory0.createAttributeCondition("", "", false, "");
      cSSConditionFactory0.createAndCondition((Condition) cSSAttributeCondition0, (Condition) cSSAttributeCondition0);
      assertEquals(false, cSSAttributeCondition0.getSpecified());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOrCondition(Lorg/w3c/css/sac/Condition;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/CombinatorCondition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.createLangCondition(Ljava/lang/String;)Lorg/w3c/css/sac/LangCondition;: root-Branch
   * 3 org.apache.batik.css.engine.sac.CSSConditionFactory.createIdCondition(Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("\u0005)E77(:}*", "\u0005)E77(:}*", "\u0005)E77(:}*", "\u0005)E77(:}*");
      CSSLangCondition cSSLangCondition0 = (CSSLangCondition)cSSConditionFactory0.createLangCondition("\u0005)E77(:}*");
      CSSIdCondition cSSIdCondition0 = (CSSIdCondition)cSSConditionFactory0.createIdCondition("\u0005)E77(:}*");
      try {
        cSSConditionFactory0.createOrCondition((Condition) cSSIdCondition0, (Condition) cSSLangCondition0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createClassCondition(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("2BTDSqKt]DjWn", "2BTDSqKt]DjWn", "2BTDSqKt]DjWn", "2BTDSqKt]DjWn");
      CSSClassCondition cSSClassCondition0 = (CSSClassCondition)cSSConditionFactory0.createClassCondition("2BTDSqKt]DjWn", "2BTDSqKt]DjWn");
      assertEquals(".2BTDSqKt]DjWn", cSSClassCondition0.toString());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createBeginHyphenAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      CSSBeginHyphenAttributeCondition cSSBeginHyphenAttributeCondition0 = (CSSBeginHyphenAttributeCondition)cSSConditionFactory0.createBeginHyphenAttributeCondition("", "", false, "");
      assertEquals(false, cSSBeginHyphenAttributeCondition0.getSpecified());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOnlyChildCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.<init>(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("2BTDSqKt]DjWn", "2BTDSqKt]DjWn", "2BTDSqKt]DjWn", "2BTDSqKt]DjWn");
      try {
        cSSConditionFactory0.createOnlyChildCondition();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }
}
