/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontSizeAdjustManager;
import org.apache.batik.css.engine.value.css2.FontStretchManager;
import org.apache.batik.css.engine.value.css2.FontStyleManager;
import org.apache.batik.css.engine.value.svg.ColorManager;
import org.apache.batik.css.engine.value.svg.DominantBaselineManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationHorizontalManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.MaskManager;
import org.apache.batik.css.engine.value.svg.StrokeWidthManager;
import org.apache.batik.css.engine.value.svg.WritingModeManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMEllipseElement;
import org.apache.batik.dom.svg12.SVGOMFlowParaElement;
import org.apache.batik.script.InterpreterPool;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class AbstractValueManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FontStyleManager fontStyleManager0 = new FontStyleManager();
      MaskManager maskManager0 = new MaskManager();
      fontStyleManager0.getPropertyType();
      try {
        maskManager0.createFloatValue((short)1860, (float) 15);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"mask\" property.
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I7 Branch 2 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StrokeWidthManager strokeWidthManager0 = new StrokeWidthManager();
      FontStretchManager fontStretchManager0 = new FontStretchManager();
      GlyphOrientationHorizontalManager glyphOrientationHorizontalManager0 = new GlyphOrientationHorizontalManager();
      WritingModeManager writingModeManager0 = new WritingModeManager();
      StringValue stringValue0 = (StringValue)writingModeManager0.getDefaultValue();
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFlowParaElement sVGOMFlowParaElement0 = new SVGOMFlowParaElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMEllipseElement sVGOMEllipseElement0 = new SVGOMEllipseElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMEllipseElement0.getCSSBase();
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ValueManager[] valueManagerArray0 = new ValueManager[8];
      valueManagerArray0[0] = (ValueManager) fontStretchManager0;
      DominantBaselineManager dominantBaselineManager0 = new DominantBaselineManager();
      valueManagerArray0[1] = (ValueManager) dominantBaselineManager0;
      ColorManager colorManager0 = new ColorManager();
      valueManagerArray0[2] = (ValueManager) colorManager0;
      valueManagerArray0[3] = (ValueManager) fontStretchManager0;
      valueManagerArray0[4] = (ValueManager) strokeWidthManager0;
      valueManagerArray0[5] = (ValueManager) writingModeManager0;
      valueManagerArray0[6] = (ValueManager) glyphOrientationHorizontalManager0;
      valueManagerArray0[7] = (ValueManager) fontSizeAdjustManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[1];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      SVGCSSEngine sVGCSSEngine0 = new SVGCSSEngine((Document) sVGOMDocument0, (ParsedURL) null, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      sVGOMFlowParaElement0.getComputedStyleMap("");
      StringValue stringValue1 = (StringValue)fontSizeAdjustManager0.computeValue((CSSStylableElement) sVGOMFlowParaElement0, "", (CSSEngine) sVGCSSEngine0, (int) (short)1914, (StyleMap) null, (Value) stringValue0);
      assertSame(stringValue0, stringValue1);
  }
}
