/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericEntity;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class AbstractEntityEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractEntity.deepCopyInto(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractEntity.setPublicId(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractEntity.setNodeName(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractEntity.setSystemId(Ljava/lang/String;)V: root-Branch
   * 5 org.apache.batik.dom.AbstractEntity.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      genericDocument0.getDoctype();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericEntity genericEntity0 = new GenericEntity("k3", "k3", "k3", (AbstractDocument) sVG12OMDocument0);
      GenericEntity genericEntity1 = (GenericEntity)genericEntity0.cloneNode(true);
      assertEquals(false, genericEntity1.hasAttributes());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractEntity.getNodeType()S: root-Branch
   * 2 org.apache.batik.dom.AbstractEntity.getNodeName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericEntity genericEntity0 = new GenericEntity(">x", ">x", ">x", (AbstractDocument) null);
      // Undeclared exception!
      try {
        genericEntity0.setNextSibling((Node) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // sibling.not.allowed
         //
      }
  }

  //Test case number: 2
  /*
   * 17 covered goals:
   * 1 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 1 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 2 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 3 TABLESWITCH L-1 Case 3 - true
   * 4 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 4 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 5 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 6 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 7 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 8 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 9 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 10 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 11 TABLESWITCH L-1 Case 11 - false
   * 12 org.apache.batik.dom.AbstractEntity.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 12 TABLESWITCH L-1 Default-Case - false
   * 13 org.apache.batik.dom.AbstractEntity.setPublicId(Ljava/lang/String;)V: root-Branch
   * 14 org.apache.batik.dom.AbstractEntity.setNodeName(Ljava/lang/String;)V: root-Branch
   * 15 org.apache.batik.dom.AbstractEntity.setSystemId(Ljava/lang/String;)V: root-Branch
   * 16 org.apache.batik.dom.AbstractEntity.getNodeType()S: root-Branch
   * 17 org.apache.batik.dom.AbstractEntity.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("SVGFEGaussianBlurElement.getStdDeviationX is not implemented", "SVGFEGaussianBlurElement.getStdDeviationX is not implemented", "SVGFEGaussianBlurElement.getStdDeviationX is not implemented");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericEntity genericEntity0 = new GenericEntity("SVGFEGaussianBlurElement.getStdDeviationX is not implemented", "SVGFEGaussianBlurElement.getStdDeviationX is not implemented", "SVGFEGaussianBlurElement.getStdDeviationX is not implemented", (AbstractDocument) sVG12OMDocument0);
      genericEntity0.setTextContent("SVGFEGaussianBlurElement.getStdDeviationX is not implemented");
      assertEquals("SVGFEGaussianBlurElement.getStdDeviationX is not implemented", genericEntity0.getTextContent());
      assertEquals(true, genericEntity0.hasChildNodes());
  }
}
