/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.svg.SVGOMFEConvolveMatrixElement;
import org.apache.batik.dom.svg.SVGTextContentSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMHandlerElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGTextContentSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.setY(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEConvolveMatrixElement sVGOMFEConvolveMatrixElement0 = new SVGOMFEConvolveMatrixElement("readonly.point", (AbstractDocument) sVG12OMDocument0);
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint(sVGOMFEConvolveMatrixElement0);
      try {
        sVGTextContentSupport_SVGTextPoint0.setY((-329.47217F));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // This SVGPoint is readonly.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGTextContentSupport sVGTextContentSupport0 = new SVGTextContentSupport();
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getExtentOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGRect;: I4 Branch 1 IFLT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getExtentOfChar((Element) null, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getStartPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getStartPositionOfChar((Element) null, 738);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getEndPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 7 IFLT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMHandlerElement sVGOMHandlerElement0 = new SVGOMHandlerElement("v", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getEndPositionOfChar((Element) sVGOMHandlerElement0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.selectSubString(Lorg/w3c/dom/Element;II)V: I4 Branch 10 IFLT L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.selectSubString((Element) null, 1034, 1034);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getSubStringLength(Lorg/w3c/dom/Element;II)F: I4 Branch 14 IFLT L-1 - false
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getSubStringLength((Element) null, 1003, 1003);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getRotationOfChar(Lorg/w3c/dom/Element;I)F: I4 Branch 12 IFLT L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getRotationOfChar((Element) null, (-136));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
