/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMNodeIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.detach()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      // Undeclared exception!
      try {
        dOMNodeIterator0.detach();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getExpandEntityReferences()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, (-1350), (NodeFilter) null, true);
      boolean boolean0 = dOMNodeIterator0.getExpandEntityReferences();
      assertEquals(-1350, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getWhatToShow()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      int int0 = dOMNodeIterator0.getWhatToShow();
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(0, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getRoot()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      dOMNodeIterator0.getRoot();
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I23 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredPreviousNode()V: I2 Branch 45 IFNONNULL L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test5()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      dOMNodeIterator0.previousNode();
      dOMNodeIterator0.previousNode();
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - false
   */

  @Test
  public void test6()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      dOMNodeIterator0.nextNode();
      dOMNodeIterator0.previousNode();
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I3 Branch 19 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I11 Branch 20 IFNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I27 Branch 23 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      dOMNodeIterator0.nodeToBeRemoved((Node) null);
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I11 Branch 20 IFNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I15 Branch 21 IF_ACMPEQ L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I27 Branch 23 IFNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I31 Branch 24 IF_ACMPNE L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I3 Branch 19 IF_ICMPNE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, (-1350), (NodeFilter) null, true);
      dOMNodeIterator0.nodeToBeRemoved((Node) sVG12OMDocument0);
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(-1350, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 9
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test9()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, true);
      dOMNodeIterator0.previousNode();
      dOMNodeIterator0.nextNode();
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }
}
