/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.DocumentDescriptor;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.xml.sax.Attributes;
import org.xml.sax.ErrorHandler;
import org.xml.sax.HandlerBase;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Attributes2Impl;
import org.xml.sax.helpers.LocatorImpl;

public class SAXDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory$ProcessingInstructionInfo.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 43 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I9 Branch 44 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "");
      // Undeclared exception!
      try {
        sAXDocumentFactory0.processingInstruction("", "");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "navajowhite", true);
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      try {
        sAXDocumentFactory0.createDocument("navajowhite", (InputStream) pipedInputStream0);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class navajowhite not found
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.warning(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "#,d@y~e1HGm_", true);
      LocatorImpl locatorImpl0 = new LocatorImpl();
      SAXParseException sAXParseException0 = new SAXParseException("#,d@y~e1HGm_", (Locator) locatorImpl0);
      sAXDocumentFactory0.warning(sAXParseException0);
      assertNull(sAXParseException0.getSystemId());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDocumentDescriptor()Lorg/apache/batik/dom/util/DocumentDescriptor;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      DocumentDescriptor documentDescriptor0 = sAXDocumentFactory0.getDocumentDescriptor();
      assertNull(documentDescriptor0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      sAXDocumentFactory0.startEntity("");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      try {
        sAXDocumentFactory0.createDocument("", "", "", (InputStream) null);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class  not found
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "=Z@8dEsLv#v", true);
      GenericDOMImplementation genericDOMImplementation1 = (GenericDOMImplementation)sAXDocumentFactory0.getDOMImplementation("=Z@8dEsLv#v");
      assertSame(genericDOMImplementation1, genericDOMImplementation0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endCDATA()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      sAXDocumentFactory0.endCDATA();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setErrorHandler(Lorg/xml/sax/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, ",_^", false);
      HandlerBase handlerBase0 = new HandlerBase();
      sAXDocumentFactory0.setErrorHandler((ErrorHandler) handlerBase0);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endDTD()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "navajowhite", true);
      sAXDocumentFactory0.endDTD();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "");
      sAXDocumentFactory0.endEntity("");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setValidating(Z)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      sAXDocumentFactory0.setValidating(true);
      assertEquals(true, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.isValidating()Z: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, ",_^", false);
      boolean boolean0 = sAXDocumentFactory0.isValidating();
      assertEquals(false, boolean0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDocument()V: I58 Branch 18 IFEQ L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      sAXDocumentFactory0.startDocument();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 38 IFNULL L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "");
      // Undeclared exception!
      try {
        sAXDocumentFactory0.endElement("", "", "");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I1 Branch 19 IFEQ L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I12 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, ",_^", false);
      Attributes2Impl attributes2Impl0 = new Attributes2Impl();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.startElement(",_^", ",_^", ",_^", (Attributes) attributes2Impl0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 16
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.comment([CII)V: I2 Branch 45 IFEQ L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "#,d@y~e1HGm_", true);
      char[] charArray0 = new char[1];
      // Undeclared exception!
      try {
        sAXDocumentFactory0.comment(charArray0, (int) '}', (int) '\u0000');
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 125
         //
      }
  }
}
