/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEImageElement;
import org.apache.batik.dom.svg.SVGOMFontFaceFormatElement;
import org.apache.batik.dom.svg.SVGOMPathElement;
import org.apache.batik.dom.svg.SVGOMStyleElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.XBLOMShadowTreeElement;
import org.apache.batik.dom.util.XLinkSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class XLinkSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XLinkSupport xLinkSupport0 = new XLinkSupport();
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkTitle(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.util.XLinkSupport.getXLinkType(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEImageElement sVGOMFEImageElement0 = new SVGOMFEImageElement("", (AbstractDocument) sVG12OMDocument0);
      String string0 = XLinkSupport.getXLinkType((Element) sVGOMFEImageElement0);
      assertEquals("simple", string0);
      assertNotNull(string0);
      
      GenericDocumentType genericDocumentType1 = new GenericDocumentType("simple", "simple", "simple");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType1, (DOMImplementation) genericDOMImplementation0);
      XBLOMShadowTreeElement xBLOMShadowTreeElement0 = new XBLOMShadowTreeElement("", (AbstractDocument) genericDocument0);
      String string1 = XLinkSupport.getXLinkTitle((Element) xBLOMShadowTreeElement0);
      assertNotNull(string1);
      assertNotSame(string1, string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkArcRole(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.getXLinkArcRole((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkShow(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("S>>90Y$O", "", "S>>90Y$O");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFontFaceFormatElement sVGOMFontFaceFormatElement0 = new SVGOMFontFaceFormatElement("", (AbstractDocument) genericDocument0);
      sVGOMFontFaceFormatElement0.getOwnerSVGElement();
      // Undeclared exception!
      try {
        XLinkSupport.getXLinkShow((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("locator", "locator", "locator");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("locator", (AbstractDocument) sVGOMDocument0);
      XLinkSupport.setXLinkType((Element) sVGOMPathElement0, "locator");
      assertEquals(true, sVGOMPathElement0.hasAttributes());
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("onReplace", "onReplace", "onReplace");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = new SVGOMStyleElement("onReplace", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkType((Element) sVGOMStyleElement0, "onReplace");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:type='onReplace'
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 8 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 9 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.getXLinkType(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEImageElement sVGOMFEImageElement0 = new SVGOMFEImageElement("", (AbstractDocument) sVG12OMDocument0);
      XLinkSupport.getXLinkType((Element) sVGOMFEImageElement0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkActuate((Element) sVGOMFEImageElement0, "simple");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:actuate='simple'
         //
      }
  }
}
