/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.image.ColorModel;
import java.awt.image.DirectColorModel;
import java.awt.image.Raster;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.PipedOutputStream;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import javax.swing.JCheckBox;
import org.apache.batik.ext.awt.image.codec.png.PNGEncodeParam;
import org.apache.batik.ext.awt.image.codec.png.PNGImageEncoder;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder;
import org.apache.batik.ext.awt.image.codec.util.ImageEncodeParam;
import org.junit.BeforeClass;

public class ImageEncoderImplEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.getOutputStream()Ljava/io/OutputStream;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) null, (ImageEncodeParam) pNGEncodeParam_Palette0);
      OutputStream outputStream0 = tIFFImageEncoder0.getOutputStream();
      assertNull(outputStream0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.encode(Ljava/awt/image/Raster;Ljava/awt/image/ColorModel;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PrintStream printStream0 = DebugGraphics.logStream();
      ObjectOutputStream objectOutputStream0 = new ObjectOutputStream((OutputStream) printStream0);
      PNGEncodeParam.Gray pNGEncodeParam_Gray0 = new PNGEncodeParam.Gray();
      PNGImageEncoder pNGImageEncoder0 = new PNGImageEncoder((OutputStream) objectOutputStream0, (PNGEncodeParam) pNGEncodeParam_Gray0);
      JCheckBox jCheckBox0 = new JCheckBox();
      DirectColorModel directColorModel0 = (DirectColorModel)jCheckBox0.getColorModel();
      // Undeclared exception!
      try {
        pNGImageEncoder0.encode((Raster) null, (ColorModel) directColorModel0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.getParam()Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      PNGImageEncoder pNGImageEncoder0 = new PNGImageEncoder((OutputStream) pipedOutputStream0, (PNGEncodeParam) pNGEncodeParam_Palette0);
      PNGEncodeParam.Palette pNGEncodeParam_Palette1 = (PNGEncodeParam.Palette)pNGImageEncoder0.getParam();
      assertEquals(false, pNGEncodeParam_Palette1.isTextSet());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.setParam(Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PrintStream printStream0 = DebugGraphics.logStream();
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      PNGImageEncoder pNGImageEncoder0 = new PNGImageEncoder((OutputStream) printStream0, (PNGEncodeParam) pNGEncodeParam_Palette0);
      pNGImageEncoder0.setParam((ImageEncodeParam) pNGEncodeParam_Palette0);
      assertEquals(false, pNGEncodeParam_Palette0.isICCProfileDataSet());
  }
}
