/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.timing.InstanceTime;
import org.apache.batik.anim.timing.Interval;
import org.apache.batik.anim.timing.OffsetTimingSpecifier;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.apache.batik.bridge.SVGAnimateElementBridge;
import org.junit.BeforeClass;

public class IntervalEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.getEnd()F: root-Branch
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Interval interval0 = new Interval(0.0721F, 0.0721F, (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.getEnd();
      assertEquals(0.0721F, interval0.getBegin(), 0.01F);
      assertEquals(0.0721F, float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getBegin()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Interval interval0 = new Interval(0.0721F, 0.0721F, (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.getBegin();
      assertEquals(0.0721F, interval0.getEnd(), 0.01F);
      assertEquals(0.0721F, float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getEndInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGAnimateElementBridge sVGAnimateElementBridge0 = new SVGAnimateElementBridge();
      sVGAnimateElementBridge0.getTimedElement();
      OffsetTimingSpecifier offsetTimingSpecifier0 = new OffsetTimingSpecifier((TimedElement) null, false, 0.0F);
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) offsetTimingSpecifier0, 0.0F, false);
      Interval interval0 = new Interval(0.0F, 0.0F, instanceTime0, instanceTime0);
      InstanceTime instanceTime1 = interval0.getEndInstanceTime();
      assertNotNull(instanceTime1);
      assertEquals("0.0..0.0", interval0.toString());
      assertEquals(0.0F, interval0.getBegin(), 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGAnimateElementBridge sVGAnimateElementBridge0 = new SVGAnimateElementBridge();
      sVGAnimateElementBridge0.getTimedElement();
      OffsetTimingSpecifier offsetTimingSpecifier0 = new OffsetTimingSpecifier((TimedElement) null, false, 0.0F);
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) offsetTimingSpecifier0, 0.0F, false);
      Interval interval0 = new Interval(0.0F, 0.0F, instanceTime0, instanceTime0);
      String string0 = interval0.toString();
      assertNotNull(string0);
      assertEquals("0.0..0.0", string0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.Interval.setBegin(F)F: I12 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.anim.timing.Interval.getBeginInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Interval interval0 = new Interval(0.0721F, 0.0721F, (InstanceTime) null, (InstanceTime) null);
      interval0.setBegin(0.0721F);
      interval0.getBeginInstanceTime();
      float float0 = interval0.setEnd(Float.POSITIVE_INFINITY, (InstanceTime) null);
      assertEquals(Float.POSITIVE_INFINITY, interval0.getEnd(), 0.01F);
      assertEquals(Float.POSITIVE_INFINITY, float0, 0.01F);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Interval interval0 = new Interval(24.001955F, 24.001955F, (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      interval0.addDependent((InstanceTime) null, false);
      // Undeclared exception!
      try {
        interval0.setEnd(24.001955F, (InstanceTime) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Interval interval0 = new Interval(0.0721F, 0.0721F, (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      interval0.addDependent((InstanceTime) null, true);
      assertEquals("0.0721..0.0721", interval0.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Interval interval0 = new Interval(24.001955F, 24.001955F, (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      interval0.removeDependent((InstanceTime) null, false);
      assertEquals("24.001955..24.001955", interval0.toString());
      assertEquals(24.001955F, interval0.getBegin(), 0.01F);
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   * 3 org.apache.batik.anim.timing.Interval.getBeginInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Interval interval0 = new Interval(24.001955F, 24.001955F, (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      interval0.removeDependent((InstanceTime) null, true);
      assertEquals("24.001955..24.001955", interval0.toString());
  }
}
