/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.AnimationSupport;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.events.EventTarget;

public class AnimationSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getEventTargetById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/events/EventTarget;: root-Branch
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("z+0|))Z|", "z+0|))Z|", "z+0|))Z|");
      EventTarget eventTarget0 = AnimationSupport.getEventTargetById("z+0|))Z|", (Node) genericDocumentType0);
      assertNull(eventTarget0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AnimationSupport.fireTimeEvent(Lorg/w3c/dom/events/EventTarget;Ljava/lang/String;Ljava/util/Calendar;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("http://www.w3.org/2001/xml-events", "http://www.w3.org/2001/xml-events", "http://www.w3.org/2001/xml-events");
      // Undeclared exception!
      try {
        AnimationSupport.fireTimeEvent((EventTarget) genericDocumentType0, "http://www.w3.org/2001/xml-events", (Calendar) null, 126);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I10 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getTimedElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/apache/batik/anim/timing/TimedElement;: I6 Branch 1 IFEQ L-1 - true
   * 4 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      TimedElement timedElement0 = AnimationSupport.getTimedElementById("", (Node) genericDocumentType0);
      assertNull(timedElement0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - false
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getTimedElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/apache/batik/anim/timing/TimedElement;: I6 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      TimedElement timedElement0 = AnimationSupport.getTimedElementById("", (Node) sVGOMDocument0);
      assertNull(timedElement0);
  }
}
