/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.EmbededScriptSecurity;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;

public class EmbededScriptSecurityEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I22 Branch 3 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("6r", "6r");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("6r", parsedURL0, parsedURL0);
      embededScriptSecurity0.checkLoadScript();
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I22 Branch 3 IFNE L-1 - false
   * 3 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I24 Branch 4 IFNULL L-1 - false
   * 4 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 5 IFGT L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL(";LvFV.", ";LvFV.");
      ParsedURL parsedURL1 = new ParsedURL(";LvFV.");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity(";LvFV.", parsedURL0, parsedURL1);
      // Undeclared exception!
      try {
        embededScriptSecurity0.checkLoadScript();
        fail("Expecting exception: SecurityException");
      
      } catch(SecurityException e) {
         //
         // The document references a script file (//;LvFV.;LvFV.) which is not embeded in the document. This is not allowed with the current security settings and that script will not be loaded.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("y:B5;LH");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("y:B5;LH", parsedURL0, (ParsedURL) null);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I24 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("user.dir");
      parsedURL0.getUserAgent();
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("UTF-8", (ParsedURL) null, parsedURL0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 5 IFGT L-1 - true
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I22 Branch 3 IFNE L-1 - false
   * 4 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I24 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("6r", "6r");
      ParsedURL parsedURL1 = new ParsedURL(parsedURL0, "data:");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("6r", parsedURL1, parsedURL0);
  }
}
