/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontSizeManager;
import org.apache.batik.css.engine.value.svg.KerningManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.SVGPaintManager;
import org.apache.batik.css.engine.value.svg.StrokeDasharrayManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class AbstractValueFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidStringTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      KerningManager kerningManager0 = new KerningManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("malformed.lexical.unit", "malformed.lexical.unit", "malformed.lexical.unit");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      Parser parser0 = new Parser();
      ValueManager[] valueManagerArray0 = new ValueManager[1];
      valueManagerArray0[0] = (ValueManager) fontSizeManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[8];
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[2] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[4] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[7] = (ShorthandManager) marginShorthandManager0;
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVG12OMDocument0, (ParsedURL) null, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      try {
        kerningManager0.createStringValue((short)1698, "malformed.lexical.unit", (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (1,698) is invalid for the \"kerning\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StrokeDasharrayManager strokeDasharrayManager0 = new StrokeDasharrayManager();
      try {
        strokeDasharrayManager0.createFloatValue((short)12, (short)12);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_UNKNOWN) represents an invalid type for the \"stroke-dasharray\".
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("invalid.identifier");
      try {
        sVGPaintManager0.createFloatValue((short)17, (short)17);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"invalid.identifier\" property.
         //
      }
  }
}
