/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.parser.CSSLexicalUnit;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;

public class CSSLexicalUnitEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.setNextLexicalUnit(Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createFloat(SFLorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$FloatLexicalUnit.<init>(SFLorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   * 4 org.apache.batik.css.parser.CSSLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;)V: I9 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFloat((short) (-20), (float) (short) (-20), (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      cSSLexicalUnit0.setNextLexicalUnit((LexicalUnit) cSSLexicalUnit0);
      assertEquals(-20, cSSLexicalUnit0.getLexicalUnitType());
      assertEquals((-20.0F), cSSLexicalUnit0.getFloatValue(), 0.01F);
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getFloatValue()F: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createSimple(SLorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$SimpleLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createSimple((short)18, (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getFloatValue();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getSubValues()Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFloat((short) (-20), (float) (short) (-20), (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getSubValues();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.setPreviousLexicalUnit(Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFloat((short) (-577), (float) (short) (-577), (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      cSSLexicalUnit0.setPreviousLexicalUnit((LexicalUnit) null);
      assertEquals((-577.0F), cSSLexicalUnit0.getFloatValue(), 0.01F);
      assertEquals(-577, cSSLexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getStringValue()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createFunction(Ljava/lang/String;Lorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$FunctionLexicalUnit.<init>(Ljava/lang/String;Lorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("", (LexicalUnit) null, (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getStringValue();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getIntegerValue()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFloat((short) (-577), (float) (short) (-577), (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getIntegerValue();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getLexicalUnitType()S: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createDimension(FLjava/lang/String;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$DimensionLexicalUnit.<init>(FLjava/lang/String;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createDimension((float) (short) (-16), "/52kr", (LexicalUnit) null);
      assertNotNull(cSSLexicalUnit0);
      
      short short0 = cSSLexicalUnit0.getLexicalUnitType();
      assertEquals((-16.0F), cSSLexicalUnit0.getFloatValue(), 0.01F);
      assertEquals((short)42, short0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getNextLexicalUnit()Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFloat((short) (-20), (float) (short) (-20), (LexicalUnit) null);
      cSSLexicalUnit0.getNextLexicalUnit();
      assertEquals((-20.0F), cSSLexicalUnit0.getFloatValue(), 0.01F);
      assertEquals(-20, cSSLexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getPreviousLexicalUnit()Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("", (LexicalUnit) null, (LexicalUnit) null);
      cSSLexicalUnit0.getPreviousLexicalUnit();
      assertEquals(41, cSSLexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getParameters()Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createInteger(ILorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$IntegerLexicalUnit.<init>(ILorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createInteger((int) (short)1271, (LexicalUnit) null);
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getParameters();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 22 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 2 TABLESWITCH L-1 Case 14 - false
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 3 TABLESWITCH L-1 Case 15 - false
   * 3 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 4 TABLESWITCH L-1 Case 16 - false
   * 4 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 5 TABLESWITCH L-1 Case 17 - false
   * 5 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 6 TABLESWITCH L-1 Case 18 - false
   * 6 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 7 TABLESWITCH L-1 Case 19 - false
   * 7 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 8 TABLESWITCH L-1 Case 20 - false
   * 8 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 9 TABLESWITCH L-1 Case 21 - false
   * 9 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 10 TABLESWITCH L-1 Case 22 - false
   * 10 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 11 TABLESWITCH L-1 Case 23 - false
   * 11 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 12 TABLESWITCH L-1 Case 24 - false
   * 12 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 13 TABLESWITCH L-1 Case 25 - false
   * 13 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 14 TABLESWITCH L-1 Case 26 - false
   * 14 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 15 TABLESWITCH L-1 Case 27 - false
   * 15 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 16 TABLESWITCH L-1 Case 28 - false
   * 16 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 17 TABLESWITCH L-1 Case 29 - false
   * 17 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 18 TABLESWITCH L-1 Case 30 - false
   * 18 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 19 TABLESWITCH L-1 Case 31 - false
   * 19 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 20 TABLESWITCH L-1 Case 32 - false
   * 20 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 21 TABLESWITCH L-1 Case 33 - false
   * 21 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 22 TABLESWITCH L-1 Case 34 - false
   * 22 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 23 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test10()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("", (LexicalUnit) null, (LexicalUnit) null);
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getDimensionUnitText();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // No Unit Text for type: 41
         //
      }
  }

  //Test case number: 11
  /*
   * 22 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 15 TABLESWITCH L-1 Case 27 - true
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 23 TABLESWITCH L-1 Default-Case - false
   * 3 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 2 TABLESWITCH L-1 Case 14 - false
   * 4 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 3 TABLESWITCH L-1 Case 15 - false
   * 5 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 4 TABLESWITCH L-1 Case 16 - false
   * 6 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 5 TABLESWITCH L-1 Case 17 - false
   * 7 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 6 TABLESWITCH L-1 Case 18 - false
   * 8 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 7 TABLESWITCH L-1 Case 19 - false
   * 9 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 8 TABLESWITCH L-1 Case 20 - false
   * 10 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 9 TABLESWITCH L-1 Case 21 - false
   * 11 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 10 TABLESWITCH L-1 Case 22 - false
   * 12 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 11 TABLESWITCH L-1 Case 23 - false
   * 13 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 12 TABLESWITCH L-1 Case 24 - false
   * 14 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 13 TABLESWITCH L-1 Case 25 - false
   * 15 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 14 TABLESWITCH L-1 Case 26 - false
   * 16 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 16 TABLESWITCH L-1 Case 28 - false
   * 17 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 17 TABLESWITCH L-1 Case 29 - false
   * 18 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 18 TABLESWITCH L-1 Case 30 - false
   * 19 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 19 TABLESWITCH L-1 Case 31 - false
   * 20 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 20 TABLESWITCH L-1 Case 32 - false
   * 21 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 21 TABLESWITCH L-1 Case 33 - false
   * 22 org.apache.batik.css.parser.CSSLexicalUnit.getDimensionUnitText()Ljava/lang/String;: I2 Branch 22 TABLESWITCH L-1 Case 34 - false
   */

  @Test
  public void test11()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFloat((short)27, (float) (short)27, (LexicalUnit) null);
      // Undeclared exception!
      try {
        cSSLexicalUnit0.getDimensionUnitText();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // No Unit Text for type: 27
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$DimensionLexicalUnit.getFloatValue()F: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createDimension((float) (short) (-16), "/52kr", (LexicalUnit) null);
      float float0 = cSSLexicalUnit0.getFloatValue();
      assertEquals(42, cSSLexicalUnit0.getLexicalUnitType());
      assertEquals((-16.0F), float0, 0.01F);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$DimensionLexicalUnit.getDimensionUnitText()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createDimension((float) (short) (-577), "$]]Dk)jU] >'z1", (LexicalUnit) null);
      String string0 = cSSLexicalUnit0.getDimensionUnitText();
      assertNotNull(string0);
      assertEquals(42, cSSLexicalUnit0.getLexicalUnitType());
      assertEquals((-577.0F), cSSLexicalUnit0.getFloatValue(), 0.01F);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$FunctionLexicalUnit.getParameters()Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("", (LexicalUnit) null, (LexicalUnit) null);
      cSSLexicalUnit0.getParameters();
      assertEquals(41, cSSLexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$FunctionLexicalUnit.getFunctionName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("", (LexicalUnit) null, (LexicalUnit) null);
      String string0 = cSSLexicalUnit0.getFunctionName();
      assertNotNull(string0);
      assertEquals(41, cSSLexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 16
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$FloatLexicalUnit.getFloatValue()F: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createFloat(SFLorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$FloatLexicalUnit.<init>(SFLorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   * 4 org.apache.batik.css.parser.CSSLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;)V: I9 Branch 1 IFNULL L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("0kBr#`/qPk2VCMjrc2", (LexicalUnit) null, (LexicalUnit) null);
      CSSLexicalUnit cSSLexicalUnit1 = CSSLexicalUnit.createFloat((short)42, (float) (short)42, (LexicalUnit) cSSLexicalUnit0);
      float float0 = cSSLexicalUnit1.getFloatValue();
      assertEquals(42.0F, float0, 0.01F);
      assertEquals(42, cSSLexicalUnit1.getLexicalUnitType());
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.getParameters()Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createFunction(Ljava/lang/String;Lorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$FunctionLexicalUnit.<init>(Ljava/lang/String;Lorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   * 4 org.apache.batik.css.parser.CSSLexicalUnit.createPredefinedFunction(SLorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 5 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createFunction("", (LexicalUnit) null, (LexicalUnit) null);
      CSSLexicalUnit cSSLexicalUnit1 = CSSLexicalUnit.createPredefinedFunction((short)1, (LexicalUnit) cSSLexicalUnit0, (LexicalUnit) cSSLexicalUnit0);
      LexicalUnit lexicalUnit0 = cSSLexicalUnit1.getParameters();
      assertNotNull(lexicalUnit0);
      assertEquals(1, cSSLexicalUnit1.getLexicalUnitType());
  }

  //Test case number: 18
  /*
   * 11 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.getFunctionName()Ljava/lang/String;: I2 Branch 24 LOOKUPSWITCH L-1 Case 25 - false
   * 2 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.getFunctionName()Ljava/lang/String;: I2 Branch 25 LOOKUPSWITCH L-1 Case 26 - false
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.getFunctionName()Ljava/lang/String;: I2 Branch 26 LOOKUPSWITCH L-1 Case 27 - false
   * 4 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.getFunctionName()Ljava/lang/String;: I2 Branch 27 LOOKUPSWITCH L-1 Case 38 - false
   * 5 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.getFunctionName()Ljava/lang/String;: I2 Branch 28 LOOKUPSWITCH L-1 Default-Case - true
   * 6 org.apache.batik.css.parser.CSSLexicalUnit.getFunctionName()Ljava/lang/String;: root-Branch
   * 7 org.apache.batik.css.parser.CSSLexicalUnit.createPredefinedFunction(SLorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 8 org.apache.batik.css.parser.CSSLexicalUnit.createDimension(FLjava/lang/String;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 9 org.apache.batik.css.parser.CSSLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;)V: I9 Branch 1 IFNULL L-1 - false
   * 10 org.apache.batik.css.parser.CSSLexicalUnit$DimensionLexicalUnit.<init>(FLjava/lang/String;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   * 11 org.apache.batik.css.parser.CSSLexicalUnit$PredefinedFunctionLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createDimension((float) (short) (-16), "/52kr", (LexicalUnit) null);
      CSSLexicalUnit cSSLexicalUnit1 = CSSLexicalUnit.createPredefinedFunction((short) (-16), (LexicalUnit) cSSLexicalUnit0, (LexicalUnit) cSSLexicalUnit0);
      // Undeclared exception!
      try {
        cSSLexicalUnit1.getFunctionName();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 19
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$IntegerLexicalUnit.getIntegerValue()I: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createInteger(ILorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit$IntegerLexicalUnit.<init>(ILorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createInteger((int) (short)1271, (LexicalUnit) null);
      int int0 = cSSLexicalUnit0.getIntegerValue();
      assertEquals(1271, int0);
      assertEquals(13, cSSLexicalUnit0.getLexicalUnitType());
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.CSSLexicalUnit$StringLexicalUnit.getStringValue()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.parser.CSSLexicalUnit.createString(SLjava/lang/String;Lorg/w3c/css/sac/LexicalUnit;)Lorg/apache/batik/css/parser/CSSLexicalUnit;: root-Branch
   * 3 org.apache.batik.css.parser.CSSLexicalUnit.<init>(SLorg/w3c/css/sac/LexicalUnit;)V: I9 Branch 1 IFNULL L-1 - true
   * 4 org.apache.batik.css.parser.CSSLexicalUnit$StringLexicalUnit.<init>(SLjava/lang/String;Lorg/w3c/css/sac/LexicalUnit;)V: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      CSSLexicalUnit cSSLexicalUnit0 = CSSLexicalUnit.createString((short) (-577), "$]]Dk)jU] >'z1", (LexicalUnit) null);
      String string0 = cSSLexicalUnit0.getStringValue();
      assertEquals(-577, cSSLexicalUnit0.getLexicalUnitType());
      assertNotNull(string0);
  }
}
