/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericCDATASection;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericText;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractCharacterDataEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.getData()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.<init>()V: root-Branch
   * 3 org.apache.batik.dom.AbstractCharacterData.getNodeValue()Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I2 Branch 1 IFEQ L-1 - true
   * 5 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I29 Branch 2 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I43 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("'+X(", "'+X(", "'+X(");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericText genericText0 = new GenericText("'+X(", (AbstractDocument) genericDocument0);
      String string0 = genericText0.getData();
      assertEquals("'+X(", string0);
      assertNotNull(string0);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.substringData(II)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.getLength()I: root-Branch
   * 3 org.apache.batik.dom.AbstractCharacterData.checkOffsetCount(II)V: I1 Branch 11 IFLT L-1 - false
   * 4 org.apache.batik.dom.AbstractCharacterData.checkOffsetCount(II)V: I5 Branch 12 IF_ICMPLT L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("table-footer-group", "table-footer-group", "table-footer-group");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("table-footer-group", (AbstractDocument) sVGOMDocument0);
      try {
        genericCDATASection0.substringData(2009, 2009);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given offset (2,009) is out of range.
         //
      }
  }

  //Test case number: 2
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.appendData(Ljava/lang/String;)V: I2 Branch 4 IFEQ L-1 - true
   * 2 org.apache.batik.dom.AbstractCharacterData.appendData(Ljava/lang/String;)V: I32 Branch 5 IFNONNULL L-1 - true
   * 3 org.apache.batik.dom.AbstractCharacterData.<init>()V: root-Branch
   * 4 org.apache.batik.dom.AbstractCharacterData.getNodeValue()Ljava/lang/String;: root-Branch
   * 5 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I2 Branch 1 IFEQ L-1 - true
   * 6 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I29 Branch 2 IFNONNULL L-1 - true
   * 7 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I43 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("M7 ^q&;rlX>AVh-cX2", (AbstractDocument) sVGOMDocument0);
      genericCDATASection0.appendData("M7 ^q&;rlX>AVh-cX2");
      assertEquals("M7 ^q&;rlX>AVh-cX2M7 ^q&;rlX>AVh-cX2", genericCDATASection0.getWholeText());
      assertEquals(36, genericCDATASection0.getLength());
  }
}
