/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDescElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEFuncAElement;
import org.apache.batik.dom.svg.SVGOMVKernElement;
import org.apache.batik.dom.svg.SVGTextContentSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGTextContentSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.setX(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEFuncAElement sVGOMFEFuncAElement0 = new SVGOMFEFuncAElement("", (AbstractDocument) sVGOMDocument0);
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint(sVGOMFEFuncAElement0);
      try {
        sVGTextContentSupport_SVGTextPoint0.setX(800.0F);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // This SVGPoint is readonly.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getComputedTextLength(Lorg/w3c/dom/Element;)F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getComputedTextLength((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getRotationOfChar(Lorg/w3c/dom/Element;I)F: I4 Branch 12 IFLT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGOMVKernElement sVGOMVKernElement0 = new SVGOMVKernElement("", (AbstractDocument) null);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getRotationOfChar((Element) sVGOMVKernElement0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getEndPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 7 IFLT L-1 - false
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMVKernElement sVGOMVKernElement0 = new SVGOMVKernElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getEndPositionOfChar((Element) sVGOMVKernElement0, 824);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.selectSubString(Lorg/w3c/dom/Element;II)V: I4 Branch 10 IFLT L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMDescElement sVGOMDescElement0 = new SVGOMDescElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.selectSubString((Element) sVGOMDescElement0, (-173), (-173));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // 
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getExtentOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGRect;: I4 Branch 1 IFLT L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getExtentOfChar((Element) null, (-1646));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
