/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import org.apache.batik.ext.awt.image.DistantLight;
import org.junit.BeforeClass;

public class DistantLightEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getElevation()D: root-Branch
   * 2 org.apache.batik.ext.awt.image.DistantLight.<init>(DDLjava/awt/Color;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Color color0 = Color.magenta;
      DistantLight distantLight0 = new DistantLight(0.0, 0.0, color0);
      double double0 = distantLight0.getElevation();
      assertEquals(0.0, double0, 0.01D);
      assertEquals(0.0, distantLight0.getAzimuth(), 0.01D);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLight(DDD[D)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Color color0 = Color.gray;
      DistantLight distantLight0 = new DistantLight(1.0, 1.0, color0);
      double[] doubleArray0 = new double[7];
      distantLight0.getLight(1.0, 1.0, 1.0, doubleArray0);
      assertEquals(1.0, distantLight0.getAzimuth(), 0.01D);
      assertArrayEquals(new double[] {0.9996954135095479, 0.017449748351250485, 0.01745240643728351, 0.0, 0.0, 0.0, 0.0}, doubleArray0);
      assertEquals(1.0, distantLight0.getElevation(), 0.01D);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.DistantLight.isConstant()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Color color0 = Color.getColor("-&Q~_Mb$ odcPN", 0);
      DistantLight distantLight0 = new DistantLight((-1882.8517874739912), (-1882.8517874739912), color0);
      boolean boolean0 = distantLight0.isConstant();
      assertEquals((-1882.8517874739912), distantLight0.getAzimuth(), 0.01D);
      assertEquals((-1882.8517874739912), distantLight0.getElevation(), 0.01D);
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getAzimuth()D: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Color color0 = Color.getColor("-&Q~_Mb$ odcPN", 0);
      DistantLight distantLight0 = new DistantLight((double) 0, (-1882.8517874739912), color0);
      double double0 = distantLight0.getAzimuth();
      assertEquals((-1882.8517874739912), distantLight0.getElevation(), 0.01D);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I52 Branch 3 IF_ICMPGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Color color0 = Color.BLACK;
      DistantLight distantLight0 = new DistantLight(0.0, 0.0, color0);
      double[][] doubleArray0 = new double[8][5];
      double[][] doubleArray1 = distantLight0.getLightRow(0.0, 0.0, 0.0, (-1402), doubleArray0, doubleArray0);
      assertEquals(0.0, distantLight0.getElevation(), 0.01D);
      assertNotNull(doubleArray1);
      assertEquals(0.0, distantLight0.getAzimuth(), 0.01D);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I30 Branch 2 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I30 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Color color0 = Color.WHITE;
      DistantLight distantLight0 = new DistantLight(0.0, 0.0, color0);
      double[][][] doubleArray0 = new double[10][5][4];
      // Undeclared exception!
      try {
        distantLight0.getLightMap(0.0, 0.0, 0.0, 0.0, 399, 399, doubleArray0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 10
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I52 Branch 3 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.image.DistantLight.<init>(DDLjava/awt/Color;)V: root-Branch
   * 3 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Color color0 = Color.magenta;
      DistantLight distantLight0 = new DistantLight(0.0, 0.0, color0);
      double[][] doubleArray0 = new double[3][1];
      // Undeclared exception!
      try {
        distantLight0.getLightRow(0.0, 0.0, 0.0, 1591, doubleArray0, doubleArray0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
