/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.tiff;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.PushbackInputStream;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFDecodeParam;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFImage;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class TIFFImageEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFImage.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;Lorg/apache/batik/ext/awt/image/codec/tiff/TIFFDecodeParam;I)V: I24 Branch 7 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFImage.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;Lorg/apache/batik/ext/awt/image/codec/tiff/TIFFDecodeParam;I)V: I36 Branch 8 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) null);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) pushbackInputStream0);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) bufferedInputStream0);
      TIFFDecodeParam tIFFDecodeParam0 = new TIFFDecodeParam();
      TIFFImage tIFFImage0 = null;
      try {
        tIFFImage0 = new TIFFImage((SeekableStream) forwardSeekableStream0, tIFFDecodeParam0, 8968);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Stream closed
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFImage.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;Lorg/apache/batik/ext/awt/image/codec/tiff/TIFFDecodeParam;I)V: I24 Branch 7 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFImage.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;Lorg/apache/batik/ext/awt/image/codec/tiff/TIFFDecodeParam;I)V: I36 Branch 8 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          PipedInputStream pipedInputStream0 = new PipedInputStream(1003);
          MemoryCacheSeekableStream memoryCacheSeekableStream0 = (MemoryCacheSeekableStream)SeekableStream.wrapInputStream((InputStream) pipedInputStream0, true);
          TIFFImage tIFFImage0 = null;
          try {
            tIFFImage0 = new TIFFImage((SeekableStream) memoryCacheSeekableStream0, (TIFFDecodeParam) null, 1003);
            fail("Expecting exception: IOException");
          
          } catch(IOException e) {
             //
             // Pipe not connected
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }
}
