/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.image.ColorModel;
import java.awt.image.Raster;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import org.apache.batik.ext.awt.image.codec.png.PNGEncodeParam;
import org.apache.batik.ext.awt.image.codec.png.PNGImageEncoder;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder;
import org.apache.batik.ext.awt.image.codec.util.ImageEncodeParam;
import org.junit.BeforeClass;

public class ImageEncoderImplEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.getOutputStream()Ljava/io/OutputStream;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) byteArrayOutputStream0, (ImageEncodeParam) pNGEncodeParam_Palette0);
      ByteArrayOutputStream byteArrayOutputStream1 = (ByteArrayOutputStream)tIFFImageEncoder0.getOutputStream();
      assertSame(byteArrayOutputStream0, byteArrayOutputStream1);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.encode(Ljava/awt/image/Raster;Ljava/awt/image/ColorModel;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PrintStream printStream0 = DebugGraphics.logStream();
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) printStream0, (ImageEncodeParam) pNGEncodeParam_Palette0);
      // Undeclared exception!
      try {
        tIFFImageEncoder0.encode((Raster) null, (ColorModel) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.getParam()Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) byteArrayOutputStream0, (ImageEncodeParam) pNGEncodeParam_Palette0);
      PNGEncodeParam.Palette pNGEncodeParam_Palette1 = (PNGEncodeParam.Palette)tIFFImageEncoder0.getParam();
      assertEquals(false, pNGEncodeParam_Palette1.isCompressedTextSet());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.setParam(Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PNGEncodeParam.Palette pNGEncodeParam_Palette0 = new PNGEncodeParam.Palette();
      PNGEncodeParam.RGB pNGEncodeParam_RGB0 = new PNGEncodeParam.RGB();
      PNGImageEncoder pNGImageEncoder0 = new PNGImageEncoder((OutputStream) byteArrayOutputStream0, (PNGEncodeParam) pNGEncodeParam_RGB0);
      pNGImageEncoder0.setParam((ImageEncodeParam) pNGEncodeParam_Palette0);
      assertEquals(false, pNGEncodeParam_Palette0.isPaletteSet());
  }
}
