/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.svggen;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.Map;
import javax.swing.JSlider;
import org.apache.batik.ext.awt.g2d.GraphicContext;
import org.apache.batik.svggen.DOMGroupManager;
import org.apache.batik.svggen.DOMTreeManager;
import org.apache.batik.svggen.ImageCacher;
import org.apache.batik.svggen.SVGGraphicContext;
import org.apache.batik.svggen.SVGGraphics2DRuntimeException;
import org.junit.BeforeClass;

public class DOMGroupManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.svggen.DOMGroupManager.processDeltaGC(Lorg/apache/batik/svggen/SVGGraphicContext;Lorg/apache/batik/svggen/SVGGraphicContext;)Lorg/apache/batik/svggen/SVGGraphicContext;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMGroupManager.processDeltaGC((SVGGraphicContext) null, (SVGGraphicContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.svggen.DOMGroupManager.processDeltaMap(Ljava/util/Map;Ljava/util/Map;)Ljava/util/Map;: I11 Branch 15 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      HashMap<String, Integer> hashMap0 = new HashMap<String, Integer>();
      Map<?, ?> map0 = DOMGroupManager.processDeltaMap(hashMap0, hashMap0);
      assertEquals(true, map0.isEmpty());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.svggen.DOMGroupManager.processDeltaMap(Ljava/util/Map;Ljava/util/Map;)Ljava/util/Map;: I11 Branch 15 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      JSlider jSlider0 = new JSlider(1913, 1913, 1913);
      Hashtable<?, ?> hashtable0 = jSlider0.createStandardLabels(1913, 1913);
      // Undeclared exception!
      try {
        DOMGroupManager.processDeltaMap(hashtable0, hashtable0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.Integer cannot be cast to java.lang.String
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.svggen.DOMGroupManager.<init>(Lorg/apache/batik/ext/awt/g2d/GraphicContext;Lorg/apache/batik/svggen/DOMTreeManager;)V: I3 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.svggen.DOMGroupManager.<init>(Lorg/apache/batik/ext/awt/g2d/GraphicContext;Lorg/apache/batik/svggen/DOMTreeManager;)V: I11 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      ImageCacher.External imageCacher_External0 = new ImageCacher.External("N|'UFl2c&k}", "N|'UFl2c&k}", "N|'UFl2c&k}");
      DOMTreeManager dOMTreeManager0 = imageCacher_External0.domTreeManager;
      DOMGroupManager dOMGroupManager0 = null;
      try {
        dOMGroupManager0 = new DOMGroupManager(graphicContext0, (DOMTreeManager) null);
        fail("Expecting exception: SVGGraphics2DRuntimeException");
      
      } catch(SVGGraphics2DRuntimeException e) {
         //
         // domTreeManager should not be null
         //
      }
  }
}
