/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import java.util.GregorianCalendar;
import org.apache.batik.anim.timing.AccesskeyTimingSpecifier;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.apache.batik.anim.timing.TimingSpecifierListProducer;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.junit.BeforeClass;

public class TimingSpecifierListProducerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.mediaMarker(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.anim.timing.TimingSpecifierListProducer.<init>(Lorg/apache/batik/anim/timing/TimedElement;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.mediaMarker("", "");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.repeat(FLjava/lang/String;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.repeat((float) 'D', "K HL3YKN4V\"l", (int) 'D');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.offset(F)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 0.0F, 'S');
      accesskeyTimingSpecifier0.getOwner();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      timingSpecifierListProducer0.offset(0.0F);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.eventbase(FLjava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.anim.timing.TimingSpecifierListProducer.parseTimingSpecifierList(Lorg/apache/batik/anim/timing/TimedElement;ZLjava/lang/String;ZZ)[Lorg/apache/batik/anim/timing/TimingSpecifier;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        TimingSpecifierListProducer.parseTimingSpecifierList((TimedElement) null, false, "t", false, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.getTimingSpecifiers()[Lorg/apache/batik/anim/timing/TimingSpecifier;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      TimingSpecifier[] timingSpecifierArray0 = timingSpecifierListProducer0.getTimingSpecifiers();
      assertNotNull(timingSpecifierArray0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.repeat(FLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      sVGAnimateMotionElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.repeat(0.0010F, "bottom-margin");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.indefinite()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 0.0F, 'S');
      accesskeyTimingSpecifier0.getOwner();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      timingSpecifierListProducer0.indefinite();
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.wallclock(Ljava/util/Calendar;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 0.0F, 'S');
      accesskeyTimingSpecifier0.getOwner();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      GregorianCalendar gregorianCalendar0 = (GregorianCalendar)Calendar.getInstance();
      timingSpecifierListProducer0.wallclock((Calendar) gregorianCalendar0);
      assertEquals(1397712044460L, gregorianCalendar0.getTimeInMillis());
      assertEquals("java.util.GregorianCalendar[time=1397712044460,areFieldsSet=true,areAllFieldsSet=true,lenient=true,zone=sun.util.calendar.ZoneInfo[id=\"Europe/Berlin\",offset=3600000,dstSavings=3600000,useDaylight=true,transitions=143,lastRule=java.util.SimpleTimeZone[id=Europe/Berlin,offset=3600000,dstSavings=3600000,useDaylight=true,startYear=0,startMode=2,startMonth=2,startDay=-1,startDayOfWeek=1,startTime=3600000,startTimeMode=2,endMode=2,endMonth=9,endDay=-1,endDayOfWeek=1,endTime=3600000,endTimeMode=2]],firstDayOfWeek=1,minimalDaysInFirstWeek=1,ERA=1,YEAR=2014,MONTH=3,WEEK_OF_YEAR=16,WEEK_OF_MONTH=3,DAY_OF_MONTH=17,DAY_OF_YEAR=107,DAY_OF_WEEK=5,DAY_OF_WEEK_IN_MONTH=3,AM_PM=0,HOUR=7,HOUR_OF_DAY=7,MINUTE=20,SECOND=44,MILLISECOND=460,ZONE_OFFSET=3600000,DST_OFFSET=3600000]", gregorianCalendar0.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.accessKeySVG12(FLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      timingSpecifierListProducer0.accessKeySVG12(0.0F, "t");
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.accesskey(FC)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, false);
      timingSpecifierListProducer0.accesskey(943.7504F, 'D');
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifierListProducer.syncbase(FLjava/lang/String;Ljava/lang/String;)V: I12 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.anim.timing.TimingSpecifierListProducer.<init>(Lorg/apache/batik/anim/timing/TimedElement;Z)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      TimingSpecifierListProducer timingSpecifierListProducer0 = new TimingSpecifierListProducer((TimedElement) null, true);
      // Undeclared exception!
      try {
        timingSpecifierListProducer0.syncbase((float) 'Q', "/c", "/c");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
