/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.SVGDocumentBridge;
import org.apache.batik.css.engine.CSSEngineEvent;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.gvt.RootGraphicsNode;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;
import org.w3c.dom.events.MutationEvent;

public class SVGDocumentBridgeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.handleDOMNodeRemovedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   * 2 org.apache.batik.bridge.SVGDocumentBridge.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGDocumentBridge0.handleDOMNodeRemovedEvent((MutationEvent) dOMMutationNameEvent0);
      assertEquals(false, dOMMutationNameEvent0.getCancelable());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      // Undeclared exception!
      try {
        sVGDocumentBridge0.dispose();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.getViewportWidth()F: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      float float0 = sVGDocumentBridge0.getViewportWidth();
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.getCTM()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      AffineTransform affineTransform0 = sVGDocumentBridge0.getCTM();
      assertNull(affineTransform0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.SVGDocumentBridge.getPixelToMM()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      // Undeclared exception!
      try {
        sVGDocumentBridge0.getPixelToMM();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.getBBox()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      Rectangle2D rectangle2D0 = sVGDocumentBridge0.getBBox();
      assertNull(rectangle2D0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.handleDOMCharacterDataModified(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGDocumentBridge0.handleDOMCharacterDataModified((MutationEvent) dOMMutationNameEvent0);
      assertEquals(0.0F, sVGDocumentBridge0.getViewportHeight(), 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.handleOtherAnimationChanged(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      sVGDocumentBridge0.handleOtherAnimationChanged("");
      assertEquals(0.0F, sVGDocumentBridge0.getViewportHeight(), 0.01F);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.setScreenTransform(Ljava/awt/geom/AffineTransform;)V: root-Branch
   * 2 org.apache.batik.bridge.SVGDocumentBridge.getGlobalTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      sVGDocumentBridge0.getGlobalTransform();
      // Undeclared exception!
      try {
        sVGDocumentBridge0.setScreenTransform((AffineTransform) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.getInstance()Lorg/apache/batik/bridge/Bridge;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      SVGDocumentBridge sVGDocumentBridge1 = (SVGDocumentBridge)sVGDocumentBridge0.getInstance();
      assertEquals(0.0F, sVGDocumentBridge1.getViewportHeight(), 0.01F);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.getFontSize()F: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      float float0 = sVGDocumentBridge0.getFontSize();
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.handleCSSEngineEvent(Lorg/apache/batik/css/engine/CSSEngineEvent;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      sVGDocumentBridge0.handleCSSEngineEvent((CSSEngineEvent) null);
      assertEquals(0.0F, sVGDocumentBridge0.getViewportWidth(), 0.01F);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.createGraphicsNode(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Document;)Lorg/apache/batik/gvt/RootGraphicsNode;: root-Branch
   * 2 org.apache.batik.bridge.SVGDocumentBridge.getNamespaceURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      sVGDocumentBridge0.getNamespaceURI();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType((String) null, (String) null, (String) null);
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      RootGraphicsNode rootGraphicsNode0 = sVGDocumentBridge0.createGraphicsNode((BridgeContext) null, (Document) sVGOMDocument0);
      assertEquals(0, rootGraphicsNode0.size());
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGDocumentBridge.handleDOMNodeInsertedEvent(Lorg/w3c/dom/events/MutationEvent;)V: I3 Branch 2 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.SVGDocumentBridge.<init>()V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGDocumentBridge0.handleDOMNodeInsertedEvent((MutationEvent) dOMMutationNameEvent0);
      assertEquals(1397725241872L, dOMMutationNameEvent0.getTimeStamp());
  }
}
