/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.value.InheritValue;
import org.apache.batik.css.engine.value.ListValue;
import org.apache.batik.css.engine.value.RGBColorValue;
import org.apache.batik.css.engine.value.URIValue;
import org.apache.batik.css.engine.value.Value;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;

public class ListValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.ListValue.item(I)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.ListValue.<init>(C)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ListValue listValue0 = new ListValue('z');
      // Undeclared exception!
      try {
        listValue0.item((int) 'z');
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 122
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.ListValue.getCssValueType()S: root-Branch
   * 2 org.apache.batik.css.engine.value.ListValue.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      try {
        listValue0.getFloatValue();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for the value list type.
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.ListValue.toString()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.ListValue.getCssText()Ljava/lang/String;: I10 Branch 1 IFLE L-1 - true
   * 3 org.apache.batik.css.engine.value.ListValue.getCssText()Ljava/lang/String;: I26 Branch 2 IF_ICMPGE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      String string0 = listValue0.toString();
      assertNotNull(string0);
      assertEquals(',', listValue0.getSeparatorChar());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.ListValue.getSeparatorChar()C: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      char char0 = listValue0.getSeparatorChar();
      assertEquals(',', char0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.ListValue.getLength()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      int int0 = listValue0.getLength();
      assertEquals(',', listValue0.getSeparatorChar());
      assertEquals(0, int0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.ListValue.getCssText()Ljava/lang/String;: I26 Branch 2 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.css.engine.value.ListValue.toString()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.ListValue.getCssText()Ljava/lang/String;: I10 Branch 1 IFLE L-1 - false
   * 4 org.apache.batik.css.engine.value.ListValue.getCssText()Ljava/lang/String;: I26 Branch 2 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.css.engine.value.ListValue.append(Lorg/apache/batik/css/engine/value/Value;)V: I5 Branch 3 IF_ICMPNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      URIValue uRIValue0 = new URIValue("@", "@");
      listValue0.append((Value) uRIValue0);
      InheritValue inheritValue0 = InheritValue.INSTANCE;
      listValue0.append((Value) inheritValue0);
      String string0 = listValue0.toString();
      assertEquals(2, listValue0.getLength());
      assertEquals("url(@),inherit", string0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.ListValue.append(Lorg/apache/batik/css/engine/value/Value;)V: I5 Branch 3 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.ListValue.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.ListValue.append(Lorg/apache/batik/css/engine/value/Value;)V: I5 Branch 3 IF_ICMPNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      RGBColorValue rGBColorValue0 = new RGBColorValue((Value) listValue0, (Value) listValue0, (Value) listValue0);
      listValue0.append((Value) rGBColorValue0);
      listValue0.append((Value) rGBColorValue0);
      listValue0.append((Value) rGBColorValue0);
      listValue0.append((Value) rGBColorValue0);
      listValue0.append((Value) listValue0);
      listValue0.append((Value) rGBColorValue0);
      assertEquals(6, listValue0.getLength());
      assertEquals(',', listValue0.getSeparatorChar());
  }
}
