/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.CharArrayReader;
import java.io.IOException;
import java.io.PushbackReader;
import java.io.Reader;
import java.util.Locale;
import org.apache.batik.css.parser.CSSSACMediaList;
import org.apache.batik.css.parser.CSSSelectorList;
import org.apache.batik.css.parser.DefaultConditionFactory;
import org.apache.batik.css.parser.DefaultDocumentHandler;
import org.apache.batik.css.parser.DefaultErrorHandler;
import org.apache.batik.css.parser.DefaultSelectorFactory;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.ConditionFactory;
import org.w3c.css.sac.DocumentHandler;
import org.w3c.css.sac.ErrorHandler;
import org.w3c.css.sac.InputSource;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.css.sac.SelectorFactory;

public class ExtendedParserWrapperEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setConditionFactory(Lorg/w3c/css/sac/ConditionFactory;)V: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      extendedParserWrapper0.setConditionFactory((ConditionFactory) defaultConditionFactory0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource();
      try {
        extendedParserWrapper0.parseStyleDeclaration(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setSelectorFactory(Lorg/w3c/css/sac/SelectorFactory;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      extendedParserWrapper0.setSelectorFactory((SelectorFactory) defaultSelectorFactory0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseSelectors(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parseSelectors(Ljava/lang/String;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) extendedParserWrapper0);
      CSSSelectorList cSSSelectorList0 = (CSSSelectorList)extendedParserWrapper1.parseSelectors("4K");
      assertEquals(1, cSSSelectorList0.getLength());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      try {
        extendedParserWrapper0.parseStyleSheet("all");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseRule(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      extendedParserWrapper0.parseRule("4K");
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      boolean boolean0 = extendedParserWrapper0.parsePriority("");
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.getParserVersion()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      extendedParserWrapper0.getParserVersion();
      extendedParserWrapper0.parseStyleDeclaration("http://www.w3.org/TR/REC-CSS2");
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setErrorHandler(Lorg/w3c/css/sac/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultErrorHandler defaultErrorHandler0 = (DefaultErrorHandler)DefaultErrorHandler.INSTANCE;
      extendedParserWrapper0.setErrorHandler((ErrorHandler) defaultErrorHandler0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      // Undeclared exception!
      try {
        extendedParserWrapper0.parseStyleSheet((InputSource) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      Locale locale0 = Locale.KOREAN;
      extendedParserWrapper0.setLocale(locale0);
      assertEquals("ko", locale0.getLanguage());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Lorg/w3c/css/sac/InputSource;)Z: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource();
      try {
        extendedParserWrapper0.parsePriority(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseRule(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      char[] charArray0 = new char[3];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      PushbackReader pushbackReader0 = new PushbackReader((Reader) charArrayReader0, (int) 'Z');
      InputSource inputSource0 = new InputSource((Reader) pushbackReader0);
      extendedParserWrapper0.parseRule(inputSource0);
      assertNull(inputSource0.getURI());
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Ljava/lang/String;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) extendedParserWrapper0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper1.parsePropertyValue("4K");
      assertEquals("K", lexicalUnit0.getDimensionUnitText());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setDocumentHandler(Lorg/w3c/css/sac/DocumentHandler;)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultDocumentHandler defaultDocumentHandler0 = (DefaultDocumentHandler)DefaultDocumentHandler.INSTANCE;
      extendedParserWrapper0.setDocumentHandler((DocumentHandler) defaultDocumentHandler0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      ExtendedParserWrapper extendedParserWrapper0 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((org.w3c.css.sac.Parser) null);
      assertNotNull(extendedParserWrapper0);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((org.w3c.css.sac.Parser) extendedParserWrapper0);
      assertSame(extendedParserWrapper1, extendedParserWrapper0);
  }

  //Test case number: 17
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I7 Branch 2 IFGT L-1 - false
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - false
   * 4 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      CSSSACMediaList cSSSACMediaList0 = (CSSSACMediaList)extendedParserWrapper0.parseMedia("4K");
      assertEquals(1, cSSSACMediaList0.getLength());
  }
}
