/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericCDATASection;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class AbstractNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getPreviousSibling()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("]FP['A419+%VbY", "]FP['A419+%VbY", "]FP['A419+%VbY");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      Node node0 = sVG12OMDocument0.getPreviousSibling();
      assertNull(node0);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblParentNode()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getParentNodeEventTarget()Lorg/apache/batik/dom/events/NodeEventTarget;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("?eo3SK?z:ojVJhHny", "?eo3SK?z:ojVJhHny", "?eo3SK?z:ojVJhHny");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("?eo3SK?z:ojVJhHny", (AbstractDocument) sVGOMDocument0);
      genericCDATASection0.getParentNodeEventTarget();
      assertEquals(false, sVGOMDocument0.getEventsEnabled());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.replaceChild(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.createDOMException(SLjava/lang/String;[Ljava/lang/Object;)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("]FP['A419+%VbY", "]FP['A419+%VbY", "]FP['A419+%VbY");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      try {
        genericDocumentType0.replaceChild((Node) genericDocumentType0, (Node) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The current node (type: 10, name: ]FP['A419+%VbY) cannot have children.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.hasChildNodes()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("children.not.allowed", "children.not.allowed", "children.not.allowed");
      boolean boolean0 = genericDocumentType0.hasChildNodes();
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.normalize()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("DOMCharacterDataModified", "DOMCharacterDataModified", "DOMCharacterDataModified");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      genericDocument0.normalize();
      assertEquals("1.0", genericDocument0.getXmlVersion());
  }

  //Test case number: 5
  /*
   * 16 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 74 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 75 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 76 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 77 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 78 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 79 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 80 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 81 TABLESWITCH L-1 Case 8 - true
   * 9 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 82 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 83 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 84 TABLESWITCH L-1 Case 11 - false
   * 12 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 85 TABLESWITCH L-1 Case 12 - false
   * 13 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 86 TABLESWITCH L-1 Default-Case - false
   * 14 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I92 Branch 96 IFNULL L-1 - true
   * 15 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I92 Branch 96 IFNULL L-1 - false
   * 16 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I96 Branch 97 IF_ICMPNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      boolean boolean0 = genericComment0.isDefaultNamespace("?eo3SK?z:ojVJhHny");
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 21 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 77 TABLESWITCH L-1 Case 4 - true
   * 2 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 81 TABLESWITCH L-1 Case 8 - false
   * 3 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 5 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 6 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   * 7 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 74 TABLESWITCH L-1 Case 1 - false
   * 8 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 75 TABLESWITCH L-1 Case 2 - false
   * 9 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 76 TABLESWITCH L-1 Case 3 - false
   * 10 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 78 TABLESWITCH L-1 Case 5 - false
   * 11 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 79 TABLESWITCH L-1 Case 6 - false
   * 12 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 80 TABLESWITCH L-1 Case 7 - false
   * 13 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 82 TABLESWITCH L-1 Case 9 - false
   * 14 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 83 TABLESWITCH L-1 Case 10 - false
   * 15 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 84 TABLESWITCH L-1 Case 11 - false
   * 16 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 85 TABLESWITCH L-1 Case 12 - false
   * 17 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I2 Branch 86 TABLESWITCH L-1 Default-Case - false
   * 18 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I92 Branch 96 IFNULL L-1 - true
   * 19 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I92 Branch 96 IFNULL L-1 - false
   * 20 org.apache.batik.dom.AbstractNode.isDefaultNamespace(Ljava/lang/String;)Z: I96 Branch 97 IF_ICMPNE L-1 - true
   * 21 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("?eo3SK?z:ojVJhHny", "?eo3SK?z:ojVJhHny", "?eo3SK?z:ojVJhHny");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("?eo3SK?z:ojVJhHny", (AbstractDocument) sVGOMDocument0);
      genericCDATASection0.isDefaultNamespace("?eo3SK?z:ojVJhHny");
      assertEquals(false, sVGOMDocument0.getEventsEnabled());
  }
}
