/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMCursorElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMCursorElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMCursorElement.getSystemLanguage()Lorg/w3c/dom/svg/SVGStringList;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMCursorElement.initializeLiveAttributes()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMCursorElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMCursorElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCursorElement sVGOMCursorElement0 = new SVGOMCursorElement("", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        sVGOMCursorElement0.getSystemLanguage();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.getSystemLanguage is not implemented
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMCursorElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType(";t/'#/", ";t/'#/", ";t/'#/");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCursorElement sVGOMCursorElement0 = null;
      try {
        sVGOMCursorElement0 = new SVGOMCursorElement(";t/'#/", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \";t/'#/\" is invalid. Current node type: 1, name: cursor.
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMCursorElement.getTraitInformationTable()Lorg/apache/batik/util/DoublyIndexedTable;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMCursorElement.initializeLiveAttributes()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMCursorElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMCursorElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("length.negative", "length.negative", "length.negative");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCursorElement sVGOMCursorElement0 = new SVGOMCursorElement("length.negative", (AbstractDocument) sVGOMDocument0);
      sVGOMCursorElement0.isAttributeAnimatable("length.negative", "length.negative");
      assertEquals(true, sVGOMCursorElement0.hasAttributes());
  }
}
