/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.StyleSheet;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGStyleSheetProcessingInstructionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.<init>()V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.newNode()Lorg/w3c/dom/Node;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;Lorg/apache/batik/dom/StyleSheetFactory;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.setData(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("alternate", "alternate", "alternate");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGStyleSheetProcessingInstruction sVGStyleSheetProcessingInstruction0 = new SVGStyleSheetProcessingInstruction("alternate", (AbstractDocument) sVGOMDocument0, (StyleSheetFactory) sVGDOMImplementation0);
      SVGStyleSheetProcessingInstruction sVGStyleSheetProcessingInstruction1 = (SVGStyleSheetProcessingInstruction)sVGStyleSheetProcessingInstruction0.cloneNode(false);
      assertEquals("alternate", sVGStyleSheetProcessingInstruction1.getData());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.getCSSStyleSheet()Lorg/apache/batik/css/engine/StyleSheet;: I2 Branch 2 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.setData(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;Lorg/apache/batik/dom/StyleSheetFactory;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("title", "title", "title");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGStyleSheetProcessingInstruction sVGStyleSheetProcessingInstruction0 = new SVGStyleSheetProcessingInstruction("title", (AbstractDocument) sVG12OMDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      // Undeclared exception!
      StyleSheet styleSheet0 = null;
      try {
        styleSheet0 = sVGStyleSheetProcessingInstruction0.getCSSStyleSheet();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong xml-stylesheet data: title
         //
      }
  }
}
