/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMNodeIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVGOMDocument0, (Node) sVGOMDocument0, 1657, (NodeFilter) null, false);
      dOMNodeIterator0.getFilter();
      assertEquals(1657, dOMNodeIterator0.getWhatToShow());
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getExpandEntityReferences()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("--", "--", "--");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, 2, (NodeFilter) null, false);
      boolean boolean0 = dOMNodeIterator0.getExpandEntityReferences();
      assertEquals(false, boolean0);
      assertEquals(2, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getWhatToShow()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVGOMDocument0, (Node) sVGOMDocument0, 1657, (NodeFilter) null, false);
      int int0 = dOMNodeIterator0.getWhatToShow();
      assertEquals(1657, int0);
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 3
  /*
   * 10 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I23 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredPreviousNode()V: I2 Branch 45 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredPreviousNode()V: I9 Branch 46 IF_ACMPNE L-1 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("--", "--", "--");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, 2, (NodeFilter) null, false);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.previousNode();
      assertNotNull(genericDocumentType1);
      
      GenericDocumentType genericDocumentType2 = (GenericDocumentType)dOMNodeIterator0.previousNode();
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(2, dOMNodeIterator0.getWhatToShow());
      assertNull(genericDocumentType2);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I3 Branch 19 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I11 Branch 20 IFNULL L-1 - false
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I15 Branch 21 IF_ACMPEQ L-1 - true
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I27 Branch 23 IFNULL L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I31 Branch 24 IF_ACMPNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      sVG12DOMImplementation0.hasFeature("", "");
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, (-130), (NodeFilter) null, false);
      dOMNodeIterator0.nodeToBeRemoved((Node) genericDocumentType0);
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(-130, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 5
  /*
   * 17 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I2 Branch 37 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I2 Branch 37 IFNONNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I9 Branch 38 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - true
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I30 Branch 41 IFNULL L-1 - true
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I44 Branch 42 IFNULL L-1 - true
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I44 Branch 42 IFNULL L-1 - false
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I48 Branch 43 IF_ACMPEQ L-1 - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I53 Branch 44 IFNULL L-1 - true
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 12 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 13 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - true
   * 14 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 15 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 16 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   * 17 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("--", "--", "--");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, 2, (NodeFilter) null, false);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertNotNull(genericDocumentType1);
      
      dOMNodeIterator0.nextNode();
      GenericDocumentType genericDocumentType2 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertNull(genericDocumentType2);
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(2, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 6
  /*
   * 17 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredPreviousNode()V: I2 Branch 45 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - false
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - true
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - true
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I23 Branch 15 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I2 Branch 37 IFNONNULL L-1 - true
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I9 Branch 38 IF_ICMPNE L-1 - true
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - true
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I30 Branch 41 IFNULL L-1 - true
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I44 Branch 42 IFNULL L-1 - true
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I44 Branch 42 IFNULL L-1 - false
   * 12 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I48 Branch 43 IF_ACMPEQ L-1 - false
   * 13 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I53 Branch 44 IFNULL L-1 - true
   * 14 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 15 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - true
   * 16 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 17 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("--", "--", "--");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, 2, (NodeFilter) null, false);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertNotNull(genericDocumentType1);
      
      GenericDocumentType genericDocumentType2 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertNull(genericDocumentType2);
      
      dOMNodeIterator0.previousNode();
      dOMNodeIterator0.previousNode();
      assertEquals(2, dOMNodeIterator0.getWhatToShow());
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 7
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test7()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("--", "--", "--");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, 2, (NodeFilter) null, false);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.previousNode();
      assertNotNull(genericDocumentType1);
      
      GenericDocumentType genericDocumentType2 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
      assertNotNull(genericDocumentType2);
      assertEquals(2, dOMNodeIterator0.getWhatToShow());
  }
}
