/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.apache.batik.dom.traversal.DOMTreeWalker;
import org.apache.batik.dom.traversal.TraversalSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class TraversalSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.TraversalSupport.<init>()V: root-Branch
   * 3 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocument0, 0, (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator1 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 0, (NodeFilter) null, true);
      assertNotNull(dOMNodeIterator1);
      
      DOMNodeIterator dOMNodeIterator2 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVGOMDocument0, (Node) sVGOMDocument0, 0, (NodeFilter) null, true);
      assertEquals(true, dOMNodeIterator2.getExpandEntityReferences());
      assertEquals(0, dOMNodeIterator2.getWhatToShow());
  }

  //Test case number: 1
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I2 Branch 4 IFNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I10 Branch 5 IFEQ L-1 - true
   * 3 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I10 Branch 5 IFEQ L-1 - false
   * 4 org.apache.batik.dom.traversal.TraversalSupport.<init>()V: root-Branch
   * 5 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("<p*9", "<p*9", "<p*9");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      traversalSupport0.createNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocumentType0, 0, (NodeFilter) null, false);
      traversalSupport0.nodeToBeRemoved((Node) genericDocumentType0);
      assertEquals(10, genericDocumentType0.getNodeType());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createTreeWalker(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/TreeWalker;: I1 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocument0, 0, (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      DOMTreeWalker dOMTreeWalker0 = (DOMTreeWalker)TraversalSupport.createTreeWalker((AbstractDocument) genericDocument0, (Node) genericDocument0, 0, (NodeFilter) null, true);
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
      assertNotNull(dOMTreeWalker0);
      assertEquals(0, dOMTreeWalker0.getWhatToShow());
  }
}
