/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.Cubic;
import org.apache.batik.ext.awt.geom.Linear;
import org.apache.batik.ext.awt.geom.Quadradic;
import org.apache.batik.ext.awt.geom.Segment;
import org.junit.BeforeClass;

public class QuadradicEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.reverse()Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.<init>(DDDDDD)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic((-153.44663454395325), (-153.44663454395325), (-153.44663454395325), (-153.44663454395325), (-153.44663454395325), (-153.44663454395325));
      Quadradic quadradic1 = (Quadradic)quadradic0.reverse();
      assertEquals("M-153.44663454395325,-153.44663454395325Q-153.44663454395325,-153.44663454395325 -153.44663454395325,-153.44663454395325", quadradic1.toString());
      assertNotNull(quadradic1);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.findRoots(D[D)I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(1721.6482588400183, 1721.6482588400183, 1721.6482588400183, 1721.6482588400183);
      Quadradic quadradic0 = new Quadradic(1721.6482588400183, 1721.6482588400183, 1721.6482588400183, 1721.6482588400183, 1721.6482588400183, 1721.6482588400183);
      // Undeclared exception!
      try {
        quadradic0.split(1721.6482588400183);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // fromIndex(0) > toIndex(-1)
         //
      }
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getLength(D)D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getLength()D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      // Undeclared exception!
      try {
        quadradic0.getLength();
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getSegment(DD)Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic1 = (Quadradic)quadradic0.splitAfter(0.0);
      assertNotNull(quadradic1);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic1.toString());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.maxY()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Linear linear0 = new Linear(1.0E-6, 1.0E-6, 1.0E-6, 1.0E-6);
      Cubic cubic0 = new Cubic();
      Quadradic quadradic0 = new Quadradic(linear0.p1, cubic0.p1, cubic0.p3);
      double double0 = quadradic0.maxY();
      assertEquals(1.0E-6, double0, 0.01D);
      assertEquals(0.0, quadradic0.minX(), 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Quadradic quadradic1 = (Quadradic)quadradic0.clone();
      assertNotNull(quadradic1);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic1.toString());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.minY()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      double double0 = quadradic0.minY();
      assertEquals(0.0, quadradic0.maxX(), 0.01D);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      String string0 = quadradic0.toString();
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.maxX()D: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic((-819.6456024184232), (-819.6456024184232), (-819.6456024184232), (-819.6456024184232), (-819.6456024184232), (-819.6456024184232));
      double double0 = quadradic0.maxX();
      assertEquals((-819.6456024184232), double0, 0.01D);
      assertEquals((-819.6456024184232), quadradic0.minX(), 0.01D);
      assertEquals("M-819.6456024184232,-819.6456024184232Q-819.6456024184232,-819.6456024184232 -819.6456024184232,-819.6456024184232", quadradic0.toString());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.minX()D: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      double double0 = quadradic0.minX();
      assertEquals(0.0, quadradic0.maxX(), 0.01D);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic((-819.6456024184232), (-819.6456024184232), (-819.6456024184232), 1563.6471267475715, (-819.6456024184232), 1563.6471267475715);
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)quadradic0.getBounds2D();
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-819.6456024184232,y=-819.6456024184232,w=0.0,h=2383.292729165995]", rectangle2D_Double0.toString());
      assertNotNull(rectangle2D_Double0);
      assertEquals(2383.292729165995, quadradic0.getLength(), 0.01D);
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I52 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic(1.0E-6, (-819.6456024184232), 1.0E-6, 1.0E-6, (-819.6456024184232), 1563.6471267475715);
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)quadradic0.getBounds2D();
      assertNotNull(rectangle2D_Double0);
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-819.6456024184232,y=-819.6456024184232,w=819.6456034184232,h=2383.292729165995]", rectangle2D_Double0.toString());
      assertEquals(2540.7373135160883, quadradic0.getLength(), 0.01D);
  }

  //Test case number: 12
  /*
   * 9 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I52 Branch 4 IFLT L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I81 Branch 5 IFGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I93 Branch 6 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic(1.0E-6, (-1.0), 1.0E-6, 1.0E-6, (-1.0), 1563.6471267475715);
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)quadradic0.getBounds2D();
      assertEquals("M1.0E-6,-1.0Q1.0E-6,1.0E-6 -1.0,1563.6471267475715", quadradic0.toString());
      assertNotNull(rectangle2D_Double0);
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-1.0,y=-1.0,w=1.000001,h=1564.6471267475715]", rectangle2D_Double0.toString());
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 15 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I9 Branch 11 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 16 IFEQ L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I58 Branch 12 IFNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      quadradic0.subdivide(0.0, (Segment) quadradic0, (Segment) quadradic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, quadradic0.maxX(), 0.01D);
  }

  //Test case number: 14
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 16 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I58 Branch 12 IFNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Quadradic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Quadradic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 15 IFEQ L-1 - true
   * 7 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I9 Branch 11 IFNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Cubic cubic0 = new Cubic(0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0);
      Quadradic quadradic0 = new Quadradic(cubic0.p3, cubic0.p4, cubic0.p1);
      quadradic0.subdivide(0.0, (Segment) cubic0, (Segment) cubic0);
      assertEquals(0.0, quadradic0.minY(), 0.01D);
  }

  //Test case number: 15
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I3 Branch 8 IFNONNULL L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic0 = new Quadradic();
      Linear linear0 = new Linear(0.0, 0.0, 0.0, 0.0);
      quadradic0.subdivide((Segment) linear0, (Segment) linear0);
      assertEquals(0.0, linear0.getLength(), 0.01D);
  }

  //Test case number: 16
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.<init>()V: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Cubic cubic0 = new Cubic(quadradic0.p3, quadradic0.p1, quadradic0.p2, quadradic0.p3);
      quadradic0.subdivide((Segment) quadradic0, (Segment) cubic0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic((-153.44663454395325), (-153.44663454395325), (-153.44663454395325), (-153.44663454395325), (-153.44663454395325), (-153.44663454395325));
      quadradic0.subdivide((Segment) quadradic0, (Segment) quadradic0);
      assertEquals("M-153.44663454395325,-153.44663454395325Q-153.44663454395325,-153.44663454395325 -153.44663454395325,-153.44663454395325", quadradic0.toString());
      assertEquals((-153.44663454395325), quadradic0.maxX(), 0.01D);
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.getBounds();
      Quadradic quadradic0 = new Quadradic(1715.5319249125967, (double) 0, (double) 0, 1715.5319249125967, 0.0, (double) 0);
      double double0 = quadradic0.getLength(1715.5319249125967);
      assertEquals(2642.4301200722, quadradic0.getLength(), 0.01D);
      assertEquals(2928.5961823603047, double0, 0.01D);
      assertEquals("M1715.5319249125967,0.0Q0.0,1715.5319249125967 0.0,0.0", quadradic0.toString());
  }

  //Test case number: 19
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getLength(D)D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getLength()D: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Quadradic.<init>(DDDDDD)V: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(1583.9684939875626, 1583.9684939875626, 3.0, 3.0);
      Quadradic quadradic0 = new Quadradic(1583.9684939875626, 1583.9684939875626, 1583.9684939875626, 3.0, 1583.9684939875626, 3.0);
      double double0 = quadradic0.getLength();
      assertEquals(1580.9684939875626, double0, 0.01D);
  }
}
