/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.png;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.batik.ext.awt.image.codec.png.ChunkStream;
import org.junit.BeforeClass;

public class ChunkStreamEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeBytes(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.png.ChunkStream.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeBytes("");
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeLong(J)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeLong((long) 0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeToStream(Ljava/io/DataOutputStream;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      // Undeclared exception!
      try {
        chunkStream0.writeToStream((DataOutputStream) null);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 0
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.write([B)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("w~S");
      byte[] byteArray0 = new byte[4];
      chunkStream0.write(byteArray0);
      assertArrayEquals(new byte[] {(byte)0, (byte)0, (byte)0, (byte)0}, byteArray0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeChars(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeChars("");
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeUTF(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeUTF("");
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeBoolean(Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeBoolean(true);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.write([BII)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("9E=l8C5LBW&h~XR}");
      byte[] byteArray0 = new byte[3];
      chunkStream0.write(byteArray0, (int) (byte)0, (int) (byte)0);
      assertArrayEquals(new byte[] {(byte)0, (byte)0, (byte)0}, byteArray0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeShort(I)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("9E=l8C5LBW&h~XR}");
      byte[] byteArray0 = new byte[3];
      chunkStream0.writeShort((int) (byte)0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeDouble(D)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeDouble((double) 0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeChar(I)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeChar((-1));
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeFloat(F)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeFloat((float) (-1));
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeByte(I)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("9E=l8C5LBW&h~XR}");
      chunkStream0.writeByte((int) (byte)0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.write(I)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.write(0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.writeInt(I)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.writeInt(0);
  }

  //Test case number: 15
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.png.ChunkStream.close()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.png.ChunkStream.close()V: I2 Branch 1 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.png.ChunkStream.close()V: I12 Branch 2 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.image.codec.png.ChunkStream.close()V: I12 Branch 2 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.image.codec.png.ChunkStream.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      ChunkStream chunkStream0 = new ChunkStream("");
      chunkStream0.close();
      chunkStream0.close();
  }
}
