/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.tiff;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.junit.BeforeClass;

public class TIFFDirectoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsByte(I)B: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsByte(II)B: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      // Undeclared exception!
      try {
        tIFFDirectory0.getFieldAsByte((-1615));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsFloat(II)F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      // Undeclared exception!
      try {
        tIFFDirectory0.getFieldAsFloat(1335, 1335);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getIFDOffset()J: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      long long0 = tIFFDirectory0.getIFDOffset();
      assertEquals(0L, tIFFDirectory0.getNextIFDOffset());
      assertEquals(8L, long0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;I)V: I24 Branch 3 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.isValidEndianTag(I)Z: I2 Branch 1 IF_ICMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.isValidEndianTag(I)Z: I5 Branch 2 IF_ICMPNE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      byte[] byteArray0 = new byte[10];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0, (int) (byte)77);
      ForwardSeekableStream forwardSeekableStream0 = (ForwardSeekableStream)SeekableStream.wrapInputStream((InputStream) bufferedInputStream0, false);
      TIFFDirectory tIFFDirectory0 = null;
      try {
        tIFFDirectory0 = new TIFFDirectory((SeekableStream) forwardSeekableStream0, (int) (byte)0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // TIFFDirectory1
         //
      }
  }
}
