/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.util.HashSet;
import java.util.LinkedHashSet;
import java.util.Set;
import org.apache.batik.util.ClassFileUtilities;
import org.junit.BeforeClass;

public class ClassFileUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ClassFileUtilities.getClassDependencies(Ljava/lang/String;Ljava/util/Set;Z)Ljava/util/Set;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      LinkedHashSet<Integer> linkedHashSet0 = new LinkedHashSet<Integer>();
      try {
        ClassFileUtilities.getClassDependencies("ka<;/oRsCV1DE", (Set) linkedHashSet0, false);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // ka<;/oRsCV1DE (No such file or directory)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ClassFileUtilities.getClassDependencies(Ljava/io/InputStream;Ljava/util/Set;Z)Ljava/util/Set;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      HashSet<Object> hashSet0 = new HashSet<Object>();
      try {
        ClassFileUtilities.getClassDependencies((InputStream) pipedInputStream0, (Set) hashSet0, true);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ClassFileUtilities.getClassDependencies(Ljava/io/InputStream;)Ljava/util/Set;: I8 Branch 15 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      try {
        ClassFileUtilities.getClassDependencies((InputStream) byteArrayInputStream0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Invalid classfile
         //
      }
  }
}
