/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.util.PreferenceManager;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class PreferenceManagerEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setPreferenceDirectory(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PreferenceManager.setPreferenceDirectory("SVGConverter.error.cannot.compute.destination");
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.save()V: I4 Branch 6 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.save()V: I22 Branch 7 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.save()V: I24 Branch 8 IFNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;Ljava/util/Map;)V: root-Branch
   * 5 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.cannot.compute.destination");
          // Undeclared exception!
          try {
            preferenceManager0.save();
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission SVGConverter.error.cannot.compute.destination/SVGConverter.error.cannot.compute.destination write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:183)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:84)
             // org.apache.batik.util.PreferenceManager.save(Unknown Source)
             // sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
             // sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I11 Branch 11 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I29 Branch 12 IFNE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I47 Branch 13 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I65 Branch 14 IFNE L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I83 Branch 15 IFNE L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - false
   * 7 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I1 Branch 54 IFNULL L-1 - false
   * 8 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I7 Branch 55 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("^g%0y'_+Co?BbCMM8t", (Map) hashMap0);
      Color color0 = Color.orange;
      preferenceManager0.setColor("^g%0y'_+Co?BbCMM8t", color0);
      Rectangle rectangle0 = preferenceManager0.getRectangle("^g%0y'_+Co?BbCMM8t");
      assertNotNull(rectangle0);
      assertEquals("java.awt.Rectangle[x=255,y=200,width=0,height=255]", rectangle0.toString());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I11 Branch 11 IFNONNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Rectangle rectangle0 = preferenceManager0.getRectangle("");
      assertNull(rectangle0);
  }

  //Test case number: 4
  /*
   * 13 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.setString(Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 58 IFNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setString(Ljava/lang/String;Ljava/lang/String;)V: I7 Branch 59 IFGT L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I20 Branch 33 IFNONNULL L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I20 Branch 33 IFNONNULL L-1 - false
   * 7 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I31 Branch 34 IFEQ L-1 - false
   * 8 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I3 Branch 60 IFNULL L-1 - false
   * 9 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I10 Branch 61 IF_ICMPGE L-1 - true
   * 10 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I10 Branch 61 IF_ICMPGE L-1 - false
   * 11 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I14 Branch 62 IFNULL L-1 - true
   * 12 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I14 Branch 62 IFNULL L-1 - false
   * 13 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I45 Branch 63 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("-1 679", (Map) hashMap0);
      String[] stringArray0 = new String[3];
      stringArray0[1] = "-1 679";
      preferenceManager0.setStrings("-1 679", stringArray0);
      String[] stringArray1 = preferenceManager0.getStrings("-1 679");
      assertNotSame(stringArray1, stringArray0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFont(Ljava/lang/String;Ljava/awt/Font;)V: I1 Branch 56 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I11 Branch 28 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("-1 679", (Map) hashMap0);
      preferenceManager0.getFont("-1 679");
      preferenceManager0.setFont("-1 679", (Font) null);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFont(Ljava/lang/String;Ljava/awt/Font;)V: I1 Branch 56 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setFont(Ljava/lang/String;Ljava/awt/Font;)V: I7 Branch 57 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("org.apache.batik.gvt.filter.Colorspace");
      Font font0 = Font.decode("org.apache.batik.gvt.filter.Colorspace");
      preferenceManager0.setFont("org.apache.batik.gvt.filter.Colorspace", font0);
      assertEquals(12, font0.getSize());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setDimension(Ljava/lang/String;Ljava/awt/Dimension;)V: I1 Branch 50 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("org.apache.batik.gvt.filter.Colorspace");
      preferenceManager0.setDimension("org.apache.batik.gvt.filter.Colorspace", (Dimension) null);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setDimension(Ljava/lang/String;Ljava/awt/Dimension;)V: I1 Branch 50 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setDimension(Ljava/lang/String;Ljava/awt/Dimension;)V: I7 Branch 51 IFNE L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.getPreferenceDirectory()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      PreferenceManager.getPreferenceDirectory();
      Dimension dimension0 = new Dimension();
      preferenceManager0.setDimension("SVGConverter.error.cannot.compute.destination", dimension0);
      assertEquals(0.0, dimension0.getHeight(), 0.01D);
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I3 Branch 72 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I14 Branch 74 IFNULL L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I45 Branch 75 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("^g%0y'_+Co?BbCMM8t", (Map) hashMap0);
      File[] fileArray0 = new File[1];
      preferenceManager0.setFiles("^g%0y'_+Co?BbCMM8t", fileArray0);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 10
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I14 Branch 74 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I1 Branch 70 IFNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I7 Branch 71 IFNE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I3 Branch 72 IFNULL L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I45 Branch 75 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("^g%0y'_+Co?BbCMM8t", (Map) hashMap0);
      File[] fileArray0 = new File[1];
      File file0 = new File("^g%0y'_+Co?BbCMM8t");
      fileArray0[0] = file0;
      preferenceManager0.setFiles("^g%0y'_+Co?BbCMM8t", fileArray0);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 11
  /*
   * 6 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I11 Branch 28 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I24 Branch 29 IFNE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I39 Branch 30 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I57 Branch 31 IFNE L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.setString(Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 58 IFNULL L-1 - false
   * 6 org.apache.batik.util.PreferenceManager.setString(Ljava/lang/String;Ljava/lang/String;)V: I7 Branch 59 IFGT L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("-1 679", (Map) hashMap0);
      preferenceManager0.setString("-1 679", "-1 679");
      Font font0 = preferenceManager0.getFont("-1 679");
      assertNull(font0);
  }

  //Test case number: 12
  /*
   * 6 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I57 Branch 31 IFNE L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I11 Branch 28 IFNONNULL L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I24 Branch 29 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I39 Branch 30 IFNE L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I1 Branch 54 IFNULL L-1 - false
   * 6 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I7 Branch 55 IFNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.source.same.as.destination");
      Color color0 = Color.PINK;
      preferenceManager0.setColor("SVGConverter.error.source.same.as.destination", color0);
      Font font0 = preferenceManager0.getFont("SVGConverter.error.source.same.as.destination");
      assertEquals("java.awt.Font[family=Dialog,name=255,style=plain,size=175]", font0.toString());
      assertNotNull(font0);
  }

  //Test case number: 13
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I11 Branch 23 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I24 Branch 24 IFNE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I42 Branch 25 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I60 Branch 26 IFNE L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I78 Branch 27 IFNE L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.setRectangle(Ljava/lang/String;Ljava/awt/Rectangle;)V: I1 Branch 48 IFNULL L-1 - false
   * 7 org.apache.batik.util.PreferenceManager.setRectangle(Ljava/lang/String;Ljava/awt/Rectangle;)V: I7 Branch 49 IFNE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(0.0, 0.0, 0.0, 0.0);
      Rectangle rectangle0 = rectangle2D_Double0.getBounds();
      preferenceManager0.setRectangle("", rectangle0);
      Color color0 = preferenceManager0.getColor("");
      assertEquals(0, color0.getRGB());
      assertNotNull(color0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I11 Branch 23 IFNONNULL L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("org.apache.batik.gvt.filter.Colorspace");
      Color color0 = preferenceManager0.getColor("org.apache.batik.gvt.filter.Colorspace");
      assertNull(color0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setPoint(Ljava/lang/String;Ljava/awt/Point;)V: I1 Branch 52 IFNULL L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      preferenceManager0.setPoint("", (Point) null);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setPoint(Ljava/lang/String;Ljava/awt/Point;)V: I1 Branch 52 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setPoint(Ljava/lang/String;Ljava/awt/Point;)V: I7 Branch 53 IFNE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Point point0 = new Point();
      preferenceManager0.setPoint("", point0);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I1 Branch 70 IFNULL L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.cannot.compute.destination");
      preferenceManager0.setFile("SVGConverter.error.cannot.compute.destination", (File) null);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.getDimension(Ljava/lang/String;)Ljava/awt/Dimension;: I11 Branch 16 IFNONNULL L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Dimension dimension0 = preferenceManager0.getDimension("");
      assertNull(dimension0);
  }

  //Test case number: 19
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getFloat(Ljava/lang/String;)F: I5 Branch 44 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFloat(Ljava/lang/String;)F: I19 Branch 45 IFNONNULL L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.cannot.compute.destination");
      float float0 = preferenceManager0.getFloat("SVGConverter.error.cannot.compute.destination");
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I5 Branch 42 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I19 Branch 43 IFNONNULL L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      int int0 = preferenceManager0.getInteger("");
      assertEquals(0, int0);
  }

  //Test case number: 21
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I19 Branch 43 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I1 Branch 70 IFNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I7 Branch 71 IFNE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I5 Branch 42 IFNULL L-1 - true
   */

  @Test
  public void test21()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      File file0 = new File("");
      preferenceManager0.setFile("", file0);
      int int0 = preferenceManager0.getInteger("");
      assertEquals(0, int0);
  }

  //Test case number: 22
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setBoolean(Ljava/lang/String;Z)V: I3 Branch 80 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getBoolean(Ljava/lang/String;)Z: I4 Branch 46 IFNULL L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getBoolean(Ljava/lang/String;)Z: I17 Branch 47 IFNULL L-1 - true
   */

  @Test
  public void test22()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("org.apache.batik.gvt.filter.Colorspace");
      preferenceManager0.getBoolean("org.apache.batik.gvt.filter.Colorspace");
      preferenceManager0.setBoolean("org.apache.batik.gvt.filter.Colorspace", false);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I11 Branch 19 IFNONNULL L-1 - false
   */

  @Test
  public void test23()  throws Throwable  {
      HashMap<Integer, String> hashMap0 = new HashMap<Integer, String>();
      PreferenceManager preferenceManager0 = new PreferenceManager("XX tqq$_jOgV;7n7k", (Map) hashMap0);
      Point point0 = preferenceManager0.getPoint("XX tqq$_jOgV;7n7k");
      assertNull(point0);
  }

  //Test case number: 24
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.load()V: I4 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.load()V: I22 Branch 2 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.load()V: I24 Branch 3 IFNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.load()V: I54 Branch 4 IFNONNULL L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.load()V: I107 Branch 5 IFNULL L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("-1 679", (Map) hashMap0);
      preferenceManager0.load();
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setURL(Ljava/lang/String;Ljava/net/URL;)V: I1 Branch 64 IFNULL L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("Q14O(JBx%p3", (Map) null);
      preferenceManager0.setURL("Q14O(JBx%p3", (URL) null);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 26
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I31 Branch 34 IFEQ L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I20 Branch 33 IFNONNULL L-1 - false
   */

  @Test
  public void test26()  throws Throwable  {
      HashMap<Float, Boolean> hashMap0 = new HashMap<Float, Boolean>();
      PreferenceManager preferenceManager0 = new PreferenceManager("-1 679", (Map) hashMap0);
      String[] stringArray0 = preferenceManager0.getStrings("-1 679");
      assertNull(stringArray0);
  }

  //Test case number: 27
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getFiles(Ljava/lang/String;)[Ljava/io/File;: I20 Branch 40 IFNONNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.getFiles(Ljava/lang/String;)[Ljava/io/File;: I31 Branch 41 IFEQ L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getFile(Ljava/lang/String;)Ljava/io/File;: I11 Branch 38 IFNONNULL L-1 - false
   */

  @Test
  public void test27()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      File[] fileArray0 = preferenceManager0.getFiles("");
      assertNull(fileArray0);
  }

  //Test case number: 28
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setInteger(Ljava/lang/String;I)V: I3 Branch 76 IFNULL L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.cannot.compute.destination");
      preferenceManager0.setInteger("SVGConverter.error.cannot.compute.destination", 2015);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 29
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I3 Branch 66 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I45 Branch 69 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.getURLs(Ljava/lang/String;)[Ljava/net/URL;: I20 Branch 36 IFNONNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.getURLs(Ljava/lang/String;)[Ljava/net/URL;: I31 Branch 37 IFEQ L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getURL(Ljava/lang/String;)Ljava/net/URL;: I11 Branch 35 IFNONNULL L-1 - false
   */

  @Test
  public void test29()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.source.same.as.destination");
      preferenceManager0.getURLs("SVGConverter.error.source.same.as.destination");
      preferenceManager0.setURLs("SVGConverter.error.source.same.as.destination", (URL[]) null);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 30
  /*
   * 6 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I3 Branch 66 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I10 Branch 67 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I10 Branch 67 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I14 Branch 68 IFNULL L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - false
   * 6 org.apache.batik.util.PreferenceManager.setURLs(Ljava/lang/String;[Ljava/net/URL;)V: I45 Branch 69 IFNONNULL L-1 - false
   */

  @Test
  public void test30()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("org.apache.batik.gvt.filter.Colorspace");
      URL[] uRLArray0 = new URL[7];
      preferenceManager0.setURLs("org.apache.batik.gvt.filter.Colorspace", uRLArray0);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 31
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFloat(Ljava/lang/String;F)V: I3 Branch 78 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;Ljava/util/Map;)V: root-Branch
   * 3 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - true
   */

  @Test
  public void test31()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("SVGConverter.error.cannot.compute.destination");
      preferenceManager0.setFloat("SVGConverter.error.cannot.compute.destination", (float) 2015);
      assertEquals("SVGConverter.error.cannot.compute.destination", preferenceManager0.getPreferenceDirectory());
  }
}
