/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.sac.CSSChildSelector;
import org.apache.batik.css.engine.sac.CSSConditionalSelector;
import org.apache.batik.css.engine.sac.CSSDescendantSelector;
import org.apache.batik.css.engine.sac.CSSDirectAdjacentSelector;
import org.apache.batik.css.engine.sac.CSSElementSelector;
import org.apache.batik.css.engine.sac.CSSPseudoElementSelector;
import org.apache.batik.css.engine.sac.CSSSelectorFactory;
import org.apache.batik.css.parser.DefaultAttributeCondition;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.Selector;
import org.w3c.css.sac.SimpleSelector;

public class CSSSelectorFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createCDataSectionSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createCDataSectionSelector("@?Id:N0}[(LzP_I");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createCommentSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createCommentSelector("2q}cGG");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createNegativeSelector(Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/NegativeSelector;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSSelectorFactory.createConditionalSelector(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/ConditionalSelector;: root-Branch
   * 3 org.apache.batik.css.engine.sac.CSSSelectorFactory.createElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSElementSelector cSSElementSelector0 = (CSSElementSelector)cSSSelectorFactory0.createElementSelector("", "");
      DefaultAttributeCondition defaultAttributeCondition0 = new DefaultAttributeCondition("", "", true, "");
      CSSConditionalSelector cSSConditionalSelector0 = (CSSConditionalSelector)cSSSelectorFactory0.createConditionalSelector((SimpleSelector) cSSElementSelector0, (Condition) defaultAttributeCondition0);
      try {
        cSSSelectorFactory0.createNegativeSelector((SimpleSelector) cSSConditionalSelector0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createChildSelector(Lorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/DescendantSelector;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSChildSelector cSSChildSelector0 = (CSSChildSelector)cSSSelectorFactory0.createChildSelector((Selector) null, (SimpleSelector) null);
      assertEquals(11, cSSChildSelector0.getSelectorType());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createDescendantSelector(Lorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/DescendantSelector;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSDescendantSelector cSSDescendantSelector0 = (CSSDescendantSelector)cSSSelectorFactory0.createDescendantSelector((Selector) null, (SimpleSelector) null);
      assertEquals("null null", cSSDescendantSelector0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createRootNodeSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createRootNodeSelector();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createDirectAdjacentSelector(SLorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/SiblingSelector;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSSelectorFactory.createPseudoElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSPseudoElementSelector cSSPseudoElementSelector0 = (CSSPseudoElementSelector)cSSSelectorFactory0.createPseudoElementSelector("2q}cGG", "2q}cGG");
      CSSDirectAdjacentSelector cSSDirectAdjacentSelector0 = (CSSDirectAdjacentSelector)cSSSelectorFactory0.createDirectAdjacentSelector((short) (-1), (Selector) cSSPseudoElementSelector0, (SimpleSelector) cSSPseudoElementSelector0);
      assertEquals(-1, cSSDirectAdjacentSelector0.getNodeType());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createTextNodeSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createTextNodeSelector("l4//d}[b");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createAnyNodeSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createAnyNodeSelector();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createProcessingInstructionSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ProcessingInstructionSelector;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createProcessingInstructionSelector("[-GHQic$/d6<Fgag!1", "[-GHQic$/d6<Fgag!1");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }
}
