/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.AbstractSVGPathSegList;
import org.apache.batik.dom.svg.SVGOMAnimatedLengthList;
import org.apache.batik.dom.svg.SVGOMAnimatedNumberList;
import org.apache.batik.dom.svg.SVGOMAnimatedPathData;
import org.apache.batik.dom.svg.SVGOMAnimatedTransformList;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMPathElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.FlowDivElement;
import org.apache.batik.extension.svg.FlowParaElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.svg.SVGException;
import org.w3c.dom.svg.SVGPathSeg;
import org.w3c.dom.svg.SVGPathSegLinetoRel;

public class AbstractSVGListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.startList()V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.getList()Ljava/util/List;: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.endList()V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.<init>(Lorg/apache/batik/dom/svg/AbstractSVGList;)V: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGList.resetAttribute()V: root-Branch
   * 6 org.apache.batik.dom.svg.AbstractSVGList.<init>()V: root-Branch
   * 7 org.apache.batik.dom.svg.AbstractSVGList.clear()V: I4 Branch 2 IFNULL L-1 - false
   * 8 org.apache.batik.dom.svg.AbstractSVGList.clear(Ljava/util/List;)V: I1 Branch 21 IFNONNULL L-1 - true
   * 9 org.apache.batik.dom.svg.AbstractSVGList.clear(Ljava/util/List;)V: I1 Branch 21 IFNONNULL L-1 - false
   * 10 org.apache.batik.dom.svg.AbstractSVGList.clear(Ljava/util/List;)V: I10 Branch 22 IFEQ L-1 - true
   * 11 org.apache.batik.dom.svg.AbstractSVGList.setValueAsString(Ljava/util/List;)V: I7 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedPathData sVGOMAnimatedPathData0 = sVGOMPathElement0.getAnimatedPathData();
      SVGOMAnimatedPathData.NormalizedBaseSVGPathSegList sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0 = sVGOMAnimatedPathData0.new NormalizedBaseSVGPathSegList();
      sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0.clear();
      assertEquals(true, sVGOMPathElement0.hasAttributes());
      assertEquals(true, sVGOMAnimatedPathData0.isSpecified());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.invalidate()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("index.out.of.bounds", "index.out.of.bounds", "index.out.of.bounds");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("index.out.of.bounds", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedPathData sVGOMAnimatedPathData0 = sVGOMPathElement0.getAnimatedPathData();
      SVGOMAnimatedPathData.AnimSVGPathSegList sVGOMAnimatedPathData_AnimSVGPathSegList0 = sVGOMAnimatedPathData0.new AnimSVGPathSegList();
      sVGOMAnimatedPathData_AnimSVGPathSegList0.invalidate();
      assertEquals(0, sVGOMAnimatedPathData_AnimSVGPathSegList0.getNumberOfItems());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.itemChanged()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGOMAnimatedLengthList sVGOMAnimatedLengthList0 = new SVGOMAnimatedLengthList((AbstractElement) null, "w3Sv?DM?%a=MS$8 <", "w3Sv?DM?%a=MS$8 <", "w3Sv?DM?%a=MS$8 <", false, (short) (-1));
      SVGOMAnimatedLengthList.BaseSVGLengthList sVGOMAnimatedLengthList_BaseSVGLengthList0 = sVGOMAnimatedLengthList0.new BaseSVGLengthList();
      // Undeclared exception!
      try {
        sVGOMAnimatedLengthList_BaseSVGLengthList0.itemChanged();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.initializeImpl(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: I5 Branch 3 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.svg.AbstractSVGList.setValueAsString(Ljava/util/List;)V: I7 Branch 18 IFEQ L-1 - false
   * 3 org.apache.batik.dom.svg.AbstractSVGList.setValueAsString(Ljava/util/List;)V: I28 Branch 19 IFEQ L-1 - true
   * 4 org.apache.batik.dom.svg.AbstractSVGList.removeIfNeeded(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: I2 Branch 14 IFEQ L-1 - false
   * 5 org.apache.batik.dom.svg.AbstractSVGList.removeIfNeeded(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: I8 Branch 15 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedPathData sVGOMAnimatedPathData0 = sVGOMPathElement0.getAnimatedPathData();
      SVGOMAnimatedPathData.BaseSVGPathSegList sVGOMAnimatedPathData_BaseSVGPathSegList0 = sVGOMAnimatedPathData0.new BaseSVGPathSegList();
      AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem abstractSVGPathSegList_SVGPathSegCurvetoCubicItem0 = sVGOMAnimatedPathData_BaseSVGPathSegList0.new SVGPathSegCurvetoCubicItem((short)0, "", (float) (short)0, (float) (short)0, (float) (short)0, (float) (short)0, (float) (short)0, (float) (short)0);
      sVGOMAnimatedPathData_BaseSVGPathSegList0.initialize((SVGPathSeg) abstractSVGPathSegList_SVGPathSegCurvetoCubicItem0);
      assertEquals(1, sVGOMAnimatedPathData_BaseSVGPathSegList0.getNumberOfItems());
      assertEquals(true, sVGOMPathElement0.hasAttributes());
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.removeIfNeeded(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: I2 Branch 14 IFEQ L-1 - true
   * 2 org.apache.batik.dom.svg.AbstractSVGList.appendItemImpl(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: I21 Branch 13 IF_ICMPGT L-1 - false
   * 3 org.apache.batik.dom.svg.AbstractSVGList.resetAttribute()V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGList.setValueAsString(Ljava/util/List;)V: I7 Branch 18 IFEQ L-1 - false
   * 5 org.apache.batik.dom.svg.AbstractSVGList.setValueAsString(Ljava/util/List;)V: I28 Branch 19 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("index.out.of.bounds", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedPathData sVGOMAnimatedPathData0 = sVGOMPathElement0.getAnimatedPathData();
      SVGOMAnimatedPathData.NormalizedBaseSVGPathSegList sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0 = sVGOMAnimatedPathData0.new NormalizedBaseSVGPathSegList();
      SVGPathSegLinetoRel sVGPathSegLinetoRel0 = sVGOMPathElement0.createSVGPathSegLinetoRel((float) (short) (-766), (float) (short) (-766));
      sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0.appendItem((SVGPathSeg) sVGPathSegLinetoRel0);
      assertEquals(true, sVGOMAnimatedPathData0.isSpecified());
      assertEquals(1, sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0.getNumberOfItems());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.getNumberOfItems()I: I4 Branch 1 IFNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("index.out.of.bounds", "index.out.of.bounds", "index.out.of.bounds");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowParaElement flowParaElement0 = new FlowParaElement("index.out.of.bounds", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedTransformList sVGOMAnimatedTransformList0 = new SVGOMAnimatedTransformList((AbstractElement) flowParaElement0, "index.out.of.bounds", "index.out.of.bounds", "index.out.of.bounds");
      SVGOMAnimatedTransformList.BaseSVGTransformList sVGOMAnimatedTransformList_BaseSVGTransformList0 = sVGOMAnimatedTransformList0.new BaseSVGTransformList();
      AffineTransform affineTransform0 = sVGOMAnimatedTransformList_BaseSVGTransformList0.getAffineTransform();
      assertEquals(0.0, affineTransform0.getTranslateY(), 0.01D);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.getItemImpl(I)Lorg/apache/batik/dom/svg/SVGItem;: I3 Branch 4 IFLT L-1 - false
   * 2 org.apache.batik.dom.svg.AbstractSVGList.getItemImpl(I)Lorg/apache/batik/dom/svg/SVGItem;: I6 Branch 5 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowDivElement flowDivElement0 = new FlowDivElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) flowDivElement0, "", "", "", false);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.getItem((int) (short)0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given index (0) is out of bounds.
         //
      }
  }

  //Test case number: 7
  /*
   * 9 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGList.getItemImpl(I)Lorg/apache/batik/dom/svg/SVGItem;: I6 Branch 5 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.AbstractSVGList.getItemImpl(I)Lorg/apache/batik/dom/svg/SVGItem;: I11 Branch 6 IF_ICMPLT L-1 - false
   * 3 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.startList()V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.getList()Ljava/util/List;: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.endList()V: root-Branch
   * 6 org.apache.batik.dom.svg.AbstractSVGList$ListBuilder.<init>(Lorg/apache/batik/dom/svg/AbstractSVGList;)V: root-Branch
   * 7 org.apache.batik.dom.svg.AbstractSVGList.<init>()V: root-Branch
   * 8 org.apache.batik.dom.svg.AbstractSVGList.clear(Ljava/util/List;)V: I1 Branch 21 IFNONNULL L-1 - false
   * 9 org.apache.batik.dom.svg.AbstractSVGList.getItemImpl(I)Lorg/apache/batik/dom/svg/SVGItem;: I3 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("index.out.of.bounds", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedPathData sVGOMAnimatedPathData0 = sVGOMPathElement0.getAnimatedPathData();
      SVGOMAnimatedPathData.NormalizedBaseSVGPathSegList sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0 = sVGOMAnimatedPathData0.new NormalizedBaseSVGPathSegList();
      try {
        sVGOMAnimatedPathData_NormalizedBaseSVGPathSegList0.getItem(1);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given index (1) is out of bounds.
         //
      }
  }
}
