/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEFuncGElement;
import org.apache.batik.dom.svg.SVGZoomAndPanSupport;
import org.apache.batik.dom.svg12.XBLOMImportElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGZoomAndPanSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - true
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGZoomAndPanSupport.setZoomAndPan((Element) null, (short)1);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - true
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      XBLOMImportElement xBLOMImportElement0 = new XBLOMImportElement("SelectMedia", (AbstractDocument) sVGOMDocument0);
      try {
        SVGZoomAndPanSupport.setZoomAndPan((Element) xBLOMImportElement0, (short) (-73));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given value (-73) represents an invalid SVGZoomAndPan value.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.getZoomAndPan(Lorg/w3c/dom/Element;)S: I8 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("SelectMedia", (AbstractDocument) sVGOMDocument0);
      short short0 = SVGZoomAndPanSupport.getZoomAndPan((Element) sVGOMFEFuncGElement0);
      assertEquals((short)1, short0);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.getZoomAndPan(Lorg/w3c/dom/Element;)S: I8 Branch 4 IFLE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - true
   * 4 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("SelectMedia", (AbstractDocument) sVGOMDocument0);
      SVGZoomAndPanSupport.setZoomAndPan((Element) sVGOMFEFuncGElement0, (short)2);
      short short0 = SVGZoomAndPanSupport.getZoomAndPan((Element) sVGOMFEFuncGElement0);
      assertEquals(true, sVGOMFEFuncGElement0.hasAttributes());
      assertEquals((short)2, short0);
  }
}
