/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.Cubic;
import org.apache.batik.ext.awt.geom.Segment;
import org.junit.BeforeClass;

public class CubicEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getSegment(DD)Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Cubic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Cubic.<init>(DDDDDDDD)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056));
      Cubic cubic1 = (Cubic)cubic0.splitAfter((-1680.9464364075056));
      assertNotNull(cubic1);
      assertEquals("M-1680.947265625,-1680.947265625C-1680.947265625,-1680.947265625 -1680.9464364075056,-1680.9464364075056 -1680.9464364075056,-1680.9464364075056", cubic1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.findRoots(D[D)I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056));
      // Undeclared exception!
      try {
        cubic0.split((-1680.9464364075056));
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // fromIndex(0) > toIndex(-1)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.reverse()Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      Cubic cubic1 = (Cubic)cubic0.reverse();
      assertNotNull(cubic1);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic1.toString());
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.maxX()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.maxX();
      assertEquals(0.0, cubic0.minY(), 0.01D);
      assertEquals(0.0, cubic0.minX(), 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.minX()D: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-714.6503170527452), (-714.6503170527452), (-714.6503170527452), (-714.6503170527452));
      Cubic cubic0 = new Cubic((-714.6503170527452), (-714.6503170527452), (-714.6503170527452), (-714.6503170527452), (-714.6503170527452), (-714.6503170527452), (-714.6503170527452), (-714.6503170527452));
      double double0 = cubic0.minX();
      assertEquals("M-714.6503170527452,-714.6503170527452C-714.6503170527452,-714.6503170527452 -714.6503170527452,-714.6503170527452 -714.6503170527452,-714.6503170527452", cubic0.toString());
      assertEquals((-714.6503170527452), double0, 0.01D);
      assertEquals((-714.6503170527452), cubic0.maxX(), 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Cubic cubic0 = new Cubic(1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656);
      String string0 = cubic0.toString();
      assertEquals("M1822.7395501363656,1822.7395501363656C1822.7395501363656,1822.7395501363656 1822.7395501363656,1822.7395501363656 1822.7395501363656,1822.7395501363656", string0);
      assertNotNull(string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.clone()Ljava/lang/Object;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      Cubic cubic1 = (Cubic)cubic0.clone();
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic1.toString());
      assertNotNull(cubic1);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.minY()D: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      double double0 = cubic0.minY();
      assertEquals(0.0, cubic0.maxY(), 0.01D);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.maxY()D: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      double double0 = cubic0.maxY();
      assertEquals(0.0, double0, 0.01D);
      assertEquals(0.0, cubic0.minX(), 0.01D);
  }

  //Test case number: 9
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getLength()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.getLength(D)D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I63 Branch 19 IFGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I78 Branch 20 IFGE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      // Undeclared exception!
      try {
        cubic0.getLength();
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 9 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 10 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 16 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I15 Branch 17 IFNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I88 Branch 18 IFNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide(0.0, (Segment) null, (Segment) cubic0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 9 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I15 Branch 17 IFNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 10 IFEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I88 Branch 18 IFNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide(0.0, (Segment) cubic0, (Segment) cubic0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 12
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 10 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I88 Branch 18 IFNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Cubic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 9 IFEQ L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - true
   * 7 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I15 Branch 17 IFNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide(0.0, (Segment) cubic0, (Segment) null);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I80 Branch 3 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-1680.9464364075056), (-512.4083623692563), (-1680.9464364075056));
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)cubic0.getBounds2D();
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-1680.9464364075056,y=-1680.9464364075056,w=1168.5380740382493,h=0.0]", rectangle2D_Double0.toString());
      assertNotNull(rectangle2D_Double0);
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I140 Branch 5 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I80 Branch 3 IFLE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1680.9464364075056), 0.5, 0.5, (-1680.9464364075056), 0.5, 0.5, 0.5, 0.5);
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)cubic0.getBounds2D();
      assertNotNull(rectangle2D_Double0);
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-1680.9464364075056,y=-746.809527292225,w=1681.4464364075056,h=747.309527292225]", rectangle2D_Double0.toString());
  }

  //Test case number: 15
  /*
   * 9 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I152 Branch 6 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I80 Branch 3 IFLE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - true
   * 8 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I140 Branch 5 IFGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I152 Branch 6 IFLE L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1680.9464364075056), 0.5, 0.5, (-1680.9464364075056), 0.5, 0.5, (-1680.9464364075056), (-1680.9464364075056));
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)cubic0.getBounds2D();
      assertNotNull(rectangle2D_Double0);
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-1680.9464364075056,y=-1680.9464364075056,w=1261.0848273056292,h=1681.4464364075056]", rectangle2D_Double0.toString());
      assertEquals("M-1680.9464364075056,0.5C0.5,-1680.9464364075056 0.5,0.5 -1680.9464364075056,-1680.9464364075056", cubic0.toString());
  }

  //Test case number: 16
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 7 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 8 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 11 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 12 IFNONNULL L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide((Segment) null, (Segment) null);
      assertEquals(0.0, cubic0.minY(), 0.01D);
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 7 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 8 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 11 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I103 Branch 13 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I162 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide((Segment) cubic0, (Segment) cubic0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 18
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I78 Branch 20 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getLength(D)D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.<init>(DDDDDDDD)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I63 Branch 19 IFGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I78 Branch 20 IFGE L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(1822.7395501363656, 0.0, 0.0, 0.0);
      Cubic cubic0 = new Cubic(1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 1822.7395501363656, 421.2050383611236, 421.2050383611236, 0.0);
      // Undeclared exception!
      try {
        cubic0.getLength(0.0);
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 12 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I103 Branch 13 IFNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 11 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I162 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide((Cubic) null, cubic0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 20
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 16 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide(752.204445958613, (Cubic) null, (Cubic) null);
      assertEquals(0.0, cubic0.maxY(), 0.01D);
  }
}
