/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.apps.rasterizer;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;
import java.io.File;
import java.text.Format;
import java.text.SimpleDateFormat;
import javax.swing.BoundedRangeModel;
import javax.swing.DefaultBoundedRangeModel;
import javax.swing.JFormattedTextField;
import javax.swing.JProgressBar;
import javax.swing.JTree;
import javax.swing.plaf.ColorUIResource;
import javax.swing.text.DateFormatter;
import org.apache.batik.apps.rasterizer.DefaultSVGConverterController;
import org.apache.batik.apps.rasterizer.DestinationType;
import org.apache.batik.apps.rasterizer.Main;
import org.apache.batik.apps.rasterizer.SVGConverter;
import org.apache.batik.apps.rasterizer.SVGConverterController;
import org.apache.batik.apps.rasterizer.SVGConverterException;
import org.apache.batik.transcoder.keys.LengthKey;
import org.apache.batik.transcoder.print.PrintTranscoder;
import org.apache.batik.util.SVGConstants;
import org.junit.BeforeClass;

public class SVGConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setBackgroundColor(Ljava/awt/Color;)V: root-Branch
   * 2 org.apache.batik.apps.rasterizer.SVGConverter.<init>()V: root-Branch
   * 3 org.apache.batik.apps.rasterizer.SVGConverter.<init>(Lorg/apache/batik/apps/rasterizer/SVGConverterController;)V: I74 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      JTree jTree0 = new JTree();
      ColorUIResource colorUIResource0 = (ColorUIResource)jTree0.getBackground();
      sVGConverter0.setBackgroundColor((Color) colorUIResource0);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getIndexed()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      int int0 = sVGConverter0.getIndexed();
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1), int0);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setHeight(F)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.setHeight((-185.42436F));
      assertEquals((-185.42436F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getExecuteOnload()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      String[] stringArray0 = new String[10];
      Main main0 = new Main(stringArray0);
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) main0);
      boolean boolean0 = sVGConverter0.getExecuteOnload();
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, boolean0);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getSources()Ljava/util/List;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.getSources();
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getQuality()F: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      float float0 = sVGConverter0.getQuality();
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), float0, 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setMaxHeight(F)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      
      sVGConverter0.setMaxHeight(1.0F);
      assertEquals(1.0F, sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setArea(Ljava/awt/geom/Rectangle2D;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      DateFormatter dateFormatter0 = new DateFormatter();
      SimpleDateFormat simpleDateFormat0 = (SimpleDateFormat)dateFormatter0.getFormat();
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField((Format) simpleDateFormat0);
      DefaultBoundedRangeModel defaultBoundedRangeModel0 = (DefaultBoundedRangeModel)jFormattedTextField0.getHorizontalVisibility();
      JProgressBar jProgressBar0 = new JProgressBar((BoundedRangeModel) defaultBoundedRangeModel0);
      Rectangle rectangle0 = jProgressBar0.getBounds((Rectangle) null);
      sVGConverter0.setArea((Rectangle2D) rectangle0);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setExecuteOnload(Z)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      LengthKey lengthKey0 = (LengthKey)PrintTranscoder.KEY_MARGIN_BOTTOM;
      String string0 = SVGConstants.SVG_DOMFOCUSIN_EVENT_TYPE;
      lengthKey0.isCompatibleValue((Object) "DOMFocusIn");
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      sVGConverter0.setExecuteOnload(false);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getSecurityOff()Z: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      boolean boolean0 = sVGConverter0.getSecurityOff();
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, boolean0);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getMaxWidth()F: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      float float0 = sVGConverter0.getMaxWidth();
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), float0, 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setSecurityOff(Z)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.setSecurityOff(false);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(-1, sVGConverter0.getIndexed());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getSnapshotTime()F: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      float float0 = sVGConverter0.getSnapshotTime();
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(Float.NaN, float0, 0.01F);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getHeight()F: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      float float0 = sVGConverter0.getHeight();
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), float0, 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setLanguage(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.apps.rasterizer.SVGConverter.getMediaType()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.getMediaType();
      sVGConverter0.setLanguage((String) null);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getPixelUnitToMillimeter()F: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      float float0 = sVGConverter0.getPixelUnitToMillimeter();
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), float0, 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getBackgroundColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.getBackgroundColor();
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getDestinationType()Lorg/apache/batik/apps/rasterizer/DestinationType;: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      DestinationType destinationType0 = sVGConverter0.getDestinationType();
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertNotNull(destinationType0);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getAlternateStylesheet()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.getAlternateStylesheet();
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setMaxWidth(F)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      
      sVGConverter0.setMaxWidth(1.0F);
      assertEquals(1.0F, sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getLanguage()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.getLanguage();
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setSnapshotTime(F)V: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      
      sVGConverter0.setSnapshotTime(1.0F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setAllowedScriptTypes(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test22()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      String string0 = SVGConstants.SVG_DOMFOCUSIN_EVENT_TYPE;
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      sVGConverter0.setAllowedScriptTypes("DOMFocusIn");
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getMaxHeight()F: root-Branch
   */

  @Test
  public void test23()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      float float0 = sVGConverter0.getMaxHeight();
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), float0, 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getUserStylesheet()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test24()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      sVGConverter0.getUserStylesheet();
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.getFileNRef(Ljava/lang/String;)[Ljava/lang/String;: I17 Branch 26 IF_ICMPLE L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      DefaultSVGConverterController defaultSVGConverterController0 = new DefaultSVGConverterController();
      String string0 = SVGConstants.SVG_DOMFOCUSIN_EVENT_TYPE;
      SVGConverter sVGConverter0 = new SVGConverter((SVGConverterController) defaultSVGConverterController0);
      String[] stringArray0 = sVGConverter0.getFileNRef("DOMFocusIn");
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertNotNull(stringArray0);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
  }

  //Test case number: 26
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setQuality(F)V: I3 Branch 3 IFLT L-1 - false
   */

  @Test
  public void test26()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      try {
        sVGConverter0.setQuality(258.5224F);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 27
  /*
   * 5 covered goals:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I1 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I18 Branch 5 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I18 Branch 5 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I22 Branch 6 IFNULL L-1 - true
   * 5 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I37 Branch 7 IFNE L-1 - false
   */

  @Test
  public void test27()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      String[] stringArray0 = new String[1];
      sVGConverter0.setSources(stringArray0);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
  }

  //Test case number: 28
  /*
   * 5 covered goals:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I22 Branch 6 IFNULL L-1 - false
   * 2 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I37 Branch 7 IFNE L-1 - true
   * 3 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I1 Branch 4 IFNONNULL L-1 - true
   * 4 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I18 Branch 5 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.apps.rasterizer.SVGConverter.setSources([Ljava/lang/String;)V: I18 Branch 5 IF_ICMPGE L-1 - false
   */

  @Test
  public void test28()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      String[] stringArray0 = new String[1];
      stringArray0[0] = "SVGConverter.error.cannot.use.dst.file";
      sVGConverter0.setSources(stringArray0);
      assertEquals(false, sVGConverter0.getSecurityOff());
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
  }

  //Test case number: 29
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter.computeSources()Ljava/util/List;: I6 Branch 22 IFNONNULL L-1 - false
   */

  @Test
  public void test29()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      try {
        sVGConverter0.execute();
        fail("Expecting exception: SVGConverterException");
      
      } catch(SVGConverterException e) {
         //
         // Error: no source was specified.
         //
      }
  }

  //Test case number: 30
  /*
   * 5 covered goals:
   * 1 org.apache.batik.apps.rasterizer.SVGConverter$SVGFileFilter.accept(Ljava/io/File;)Z: I1 Branch 61 IFNULL L-1 - true
   * 2 org.apache.batik.apps.rasterizer.SVGConverter.<init>()V: root-Branch
   * 3 org.apache.batik.apps.rasterizer.SVGConverter.getDst()Ljava/io/File;: root-Branch
   * 4 org.apache.batik.apps.rasterizer.SVGConverter.<init>(Lorg/apache/batik/apps/rasterizer/SVGConverterController;)V: I74 Branch 1 IFNONNULL L-1 - true
   * 5 org.apache.batik.apps.rasterizer.SVGConverter$SVGFileFilter.<init>()V: root-Branch
   */

  @Test
  public void test30()  throws Throwable  {
      SVGConverter sVGConverter0 = new SVGConverter();
      SVGConverter.SVGFileFilter sVGConverter_SVGFileFilter0 = new SVGConverter.SVGFileFilter();
      sVGConverter0.getDst();
      assertEquals(-1, sVGConverter0.getIndexed());
      assertEquals((-1.0F), sVGConverter0.getMaxWidth(), 0.01F);
      assertEquals(Float.NaN, sVGConverter0.getSnapshotTime(), 0.01F);
      assertEquals(true, sVGConverter0.getConstrainScriptOrigin());
      assertEquals((-1.0F), sVGConverter0.getQuality(), 0.01F);
      assertEquals(false, sVGConverter0.getValidate());
      assertEquals((-1.0F), sVGConverter0.getHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getMaxHeight(), 0.01F);
      assertEquals((-1.0F), sVGConverter0.getWidth(), 0.01F);
      assertEquals(false, sVGConverter0.getExecuteOnload());
      assertEquals((-1.0F), sVGConverter0.getPixelUnitToMillimeter(), 0.01F);
      assertEquals(false, sVGConverter0.getSecurityOff());
      
      boolean boolean0 = sVGConverter_SVGFileFilter0.accept((File) null);
      assertEquals(false, boolean0);
  }
}
