/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.transcoder.svg2svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.CharArrayWriter;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedReader;
import java.io.PipedWriter;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.io.Writer;
import java.util.LinkedList;
import java.util.List;
import org.apache.batik.transcoder.svg2svg.OutputManager;
import org.apache.batik.transcoder.svg2svg.PrettyPrinter;
import org.junit.BeforeClass;

public class OutputManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printAttName([C[C[C)V: root-Branch
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.<init>(Lorg/apache/batik/transcoder/svg2svg/PrettyPrinter;Ljava/io/Writer;)V: root-Branch
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacter(C)V: I2 Branch 4 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printSpaces([CZ)V: I3 Branch 8 IFEQ L-1 - false
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printSpaces([CZ)V: I5 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      char[] charArray0 = new char[5];
      outputManager0.printAttName(charArray0, charArray0, charArray0);
      assertEquals(7, charArrayWriter0.size());
      assertEquals(" \u0000\u0000\u0000\u0000\u0000 ", charArrayWriter0.toString());
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printCDATASection([C)V: root-Branch
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacters([C)V: I6 Branch 7 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacters([C)V: I6 Branch 7 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printString(Ljava/lang/String;)V: I6 Branch 6 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printString(Ljava/lang/String;)V: I6 Branch 6 IF_ICMPGE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) printWriter0);
      char[] charArray0 = new char[9];
      outputManager0.printCDATASection(charArray0);
      assertEquals(21, byteArrayOutputStream0.size());
      assertEquals("<![CDATA[\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000]]>", byteArrayOutputStream0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printParameterEntityReference([C)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      PipedReader pipedReader0 = new PipedReader();
      PipedWriter pipedWriter0 = new PipedWriter(pipedReader0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) pipedWriter0);
      char[] charArray0 = new char[9];
      outputManager0.printParameterEntityReference(charArray0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printAttlistStart([C[C)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      PipedReader pipedReader0 = new PipedReader();
      PipedWriter pipedWriter0 = new PipedWriter(pipedReader0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) pipedWriter0);
      char[] charArray0 = new char[9];
      outputManager0.printAttlistStart(charArray0, charArray0);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printTopSpaces([C)V: I3 Branch 10 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printTopSpaces([C)V: I13 Branch 11 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.newlines([C)I: I8 Branch 90 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.newlines([C)I: I8 Branch 90 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.newlines([C)I: I13 Branch 91 IF_ICMPNE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      char[] charArray0 = new char[3];
      outputManager0.printTopSpaces(charArray0);
      assertEquals("", charArrayWriter0.toString());
      assertEquals(0, charArrayWriter0.size());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeEnd([C)V: I1 Branch 41 IFNULL L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printSpaces([CZ)V: I5 Branch 9 IFNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) printWriter0);
      char[] charArray0 = new char[9];
      outputManager0.printDoctypeEnd(charArray0);
      assertEquals(1, byteArrayOutputStream0.size());
      assertEquals(">", byteArrayOutputStream0.toString());
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I3 Branch 30 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I14 Branch 31 IFNULL L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I34 Branch 32 IFNULL L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I36 Branch 33 IFNULL L-1 - false
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I47 Branch 34 IF_ICMPLE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      StringWriter stringWriter0 = new StringWriter();
      PrintWriter printWriter0 = new PrintWriter((Writer) stringWriter0);
      Integer.toString(0, 0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) printWriter0);
      char[] charArray0 = new char[3];
      char[] charArray1 = new char[10];
      outputManager0.printDoctypeStart(charArray0, charArray0, charArray0, "0", charArray0, charArray1, 'T', charArray0, charArray1, '\u0000', charArray0);
      assertEquals("<!DOCTYPE \u0000\u0000\u0000 0 T\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000T \u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000 ", stringWriter0.toString());
  }

  //Test case number: 7
  /*
   * 21 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I47 Branch 34 IF_ICMPLE L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I57 Branch 35 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I57 Branch 35 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printNewline()V: I10 Branch 5 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printNewline()V: I10 Branch 5 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I11 Branch 16 IFNULL L-1 - false
   * 7 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I21 Branch 17 IFNULL L-1 - false
   * 8 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I37 Branch 18 IFNULL L-1 - false
   * 9 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I43 Branch 19 IFNULL L-1 - false
   * 10 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I48 Branch 20 IFNULL L-1 - false
   * 11 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I58 Branch 21 IFNULL L-1 - false
   * 12 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I74 Branch 22 IFNULL L-1 - false
   * 13 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I78 Branch 23 IFNONNULL L-1 - true
   * 14 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I87 Branch 24 IFNULL L-1 - false
   * 15 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I92 Branch 25 IFNULL L-1 - false
   * 16 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I102 Branch 26 IFNULL L-1 - false
   * 17 org.apache.batik.transcoder.svg2svg.OutputManager.printXMLDecl([C[C[C[CC[C[C[C[CC[C[C[C[CC[C)V: I118 Branch 27 IFNULL L-1 - false
   * 18 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I3 Branch 30 IFEQ L-1 - false
   * 19 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I14 Branch 31 IFNULL L-1 - false
   * 20 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I34 Branch 32 IFNULL L-1 - false
   * 21 org.apache.batik.transcoder.svg2svg.OutputManager.printDoctypeStart([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I36 Branch 33 IFNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      StringWriter stringWriter0 = new StringWriter();
      PrintWriter printWriter0 = new PrintWriter((Writer) stringWriter0);
      Integer.toString(0, 0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) printWriter0);
      char[] charArray0 = new char[3];
      char[] charArray1 = new char[10];
      char[] charArray2 = new char[6];
      outputManager0.printXMLDecl(charArray0, charArray0, charArray2, charArray1, '\u0000', charArray1, charArray2, charArray0, charArray0, '\u0000', charArray1, charArray2, charArray0, charArray0, '\u0000', charArray0);
      outputManager0.printDoctypeStart(charArray0, charArray0, charArray0, "0", charArray0, charArray1, 'T', charArray0, charArray1, '\u0000', charArray0);
      assertEquals("<?xml version=\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000 encoding=\u0000\u0000\u0000\u0000\u0000 standalone=\u0000\u0000\u0000\u0000\u0000?><!DOCTYPE \u0000\u0000\u0000 0 T\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000T\n    \u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000 ", stringWriter0.toString());
  }

  //Test case number: 8
  /*
   * 15 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I8 Branch 94 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I8 Branch 94 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I13 Branch 95 IF_ICMPLT L-1 - true
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I20 Branch 96 IFNE L-1 - false
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I36 Branch 97 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I36 Branch 97 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I41 Branch 98 IFEQ L-1 - true
   * 8 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I55 Branch 99 IFNE L-1 - true
   * 9 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I60 Branch 100 IFEQ L-1 - true
   * 10 org.apache.batik.transcoder.svg2svg.OutputManager.isWhiteSpace([C)Z: I6 Branch 92 IF_ICMPGE L-1 - false
   * 11 org.apache.batik.transcoder.svg2svg.OutputManager.isWhiteSpace([C)Z: I11 Branch 93 IFNE L-1 - false
   * 12 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I3 Branch 76 IFNE L-1 - true
   * 13 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I16 Branch 77 IFEQ L-1 - true
   * 14 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I42 Branch 79 IF_ACMPNE L-1 - true
   * 15 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I53 Branch 80 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) printWriter0);
      char[] charArray0 = new char[9];
      boolean boolean0 = outputManager0.printCharacterData(charArray0, false, false);
      assertEquals(9, byteArrayOutputStream0.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 9
  /*
   * 18 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I102 Branch 104 IF_ICMPLE L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I8 Branch 94 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I8 Branch 94 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I13 Branch 95 IF_ICMPLT L-1 - true
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I20 Branch 96 IFNE L-1 - false
   * 6 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I36 Branch 97 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I36 Branch 97 IF_ICMPGE L-1 - false
   * 8 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I41 Branch 98 IFEQ L-1 - true
   * 9 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I55 Branch 99 IFNE L-1 - true
   * 10 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I60 Branch 100 IFEQ L-1 - false
   * 11 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I73 Branch 101 IF_ICMPLT L-1 - true
   * 12 org.apache.batik.transcoder.svg2svg.OutputManager.formatText([CLjava/lang/String;Z)Z: I102 Branch 104 IF_ICMPLE L-1 - true
   * 13 org.apache.batik.transcoder.svg2svg.OutputManager.isWhiteSpace([C)Z: I6 Branch 92 IF_ICMPGE L-1 - false
   * 14 org.apache.batik.transcoder.svg2svg.OutputManager.isWhiteSpace([C)Z: I11 Branch 93 IFNE L-1 - false
   * 15 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I3 Branch 76 IFNE L-1 - true
   * 16 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I16 Branch 77 IFEQ L-1 - true
   * 17 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I42 Branch 79 IF_ACMPNE L-1 - true
   * 18 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterData([CZZ)Z: I53 Branch 80 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) printWriter0);
      char[] charArray0 = new char[9];
      outputManager0.printCharacterData(charArray0, false, true);
      boolean boolean0 = outputManager0.printCharacterData(charArray0, false, true);
      assertEquals("\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000 \u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000", byteArrayOutputStream0.toString());
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I3 Branch 45 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I9 Branch 46 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I11 Branch 47 IFEQ L-1 - true
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I22 Branch 48 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      char[] charArray0 = new char[5];
      outputManager0.printCharacterEntityReference(charArray0, false, false);
      assertEquals(8, charArrayWriter0.size());
      assertEquals("&#\u0000\u0000\u0000\u0000\u0000;", charArrayWriter0.toString());
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I22 Branch 48 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I35 Branch 49 IF_ICMPLE L-1 - true
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I3 Branch 45 IFEQ L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I9 Branch 46 IF_ACMPEQ L-1 - false
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacterEntityReference([CZZ)V: I11 Branch 47 IFEQ L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      char[] charArray0 = new char[5];
      outputManager0.printCharacterEntityReference(charArray0, false, true);
      assertEquals(9, charArrayWriter0.size());
      assertEquals(" &#\u0000\u0000\u0000\u0000\u0000;", charArrayWriter0.toString());
  }

  //Test case number: 12
  /*
   * 8 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I20 Branch 50 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I23 Branch 51 IFEQ L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I41 Branch 52 IFEQ L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I47 Branch 53 IFEQ L-1 - true
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I97 Branch 56 IFEQ L-1 - true
   * 6 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I267 Branch 67 IFNULL L-1 - false
   * 7 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I286 Branch 68 IF_ICMPGE L-1 - true
   * 8 org.apache.batik.transcoder.svg2svg.OutputManager.printElementStart([CLjava/util/List;[C)V: I286 Branch 68 IF_ICMPGE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      PipedReader pipedReader0 = new PipedReader();
      PipedWriter pipedWriter0 = new PipedWriter(pipedReader0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) pipedWriter0);
      char[] charArray0 = new char[9];
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      outputManager0.printElementStart(charArray0, (List) linkedList0, charArray0);
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printPI([C[C[C)V: I3 Branch 28 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printPI([C[C[C)V: I6 Branch 29 IFEQ L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printString(Ljava/lang/String;)V: I6 Branch 6 IF_ICMPGE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      char[] charArray0 = new char[5];
      char[] charArray1 = new char[2];
      outputManager0.printPI(charArray0, charArray0, charArray1);
      assertEquals("\n<?\u0000\u0000\u0000\u0000\u0000 \u0000\u0000?>", charArrayWriter0.toString());
      assertEquals(13, charArrayWriter0.size());
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printElementEnd([C[C)V: I7 Branch 69 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager$AttributeInfo.<init>([C[C[C[CLjava/lang/String;CZ)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      char[] charArray0 = new char[3];
      OutputManager.AttributeInfo outputManager_AttributeInfo0 = new OutputManager.AttributeInfo(charArray0, charArray0, charArray0, charArray0, "jWl36eq~PC`('y", '\u0000', false);
      // Undeclared exception!
      try {
        outputManager0.printElementEnd(charArray0, outputManager_AttributeInfo0.space1);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 0
         //
      }
  }

  //Test case number: 15
  /*
   * 8 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printEntityReference([CZ)V: I3 Branch 42 IFEQ L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printEntityReference([CZ)V: I9 Branch 43 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printEntityReference([CZ)V: I11 Branch 44 IFEQ L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacters([C)V: I6 Branch 7 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacters([C)V: I6 Branch 7 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.transcoder.svg2svg.OutputManager.printNewline()V: I10 Branch 5 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.transcoder.svg2svg.OutputManager.printNewline()V: I10 Branch 5 IF_ICMPGE L-1 - false
   * 8 org.apache.batik.transcoder.svg2svg.OutputManager.printString(Ljava/lang/String;)V: I6 Branch 6 IF_ICMPGE L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      char[] charArray0 = new char[5];
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) charArrayWriter0);
      outputManager0.printEntityReference(charArray0, true);
      assertEquals(8, charArrayWriter0.size());
      assertEquals("\n&\u0000\u0000\u0000\u0000\u0000;", charArrayWriter0.toString());
  }

  //Test case number: 16
  /*
   * 8 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager.printNotation([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I37 Branch 81 IFNULL L-1 - false
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager.printNotation([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I43 Branch 82 IFNULL L-1 - false
   * 3 org.apache.batik.transcoder.svg2svg.OutputManager.printNotation([C[C[CLjava/lang/String;[C[CC[C[CC[C)V: I58 Branch 83 IFNULL L-1 - false
   * 4 org.apache.batik.transcoder.svg2svg.OutputManager.<init>(Lorg/apache/batik/transcoder/svg2svg/PrettyPrinter;Ljava/io/Writer;)V: root-Branch
   * 5 org.apache.batik.transcoder.svg2svg.OutputManager.printCharacter(C)V: I2 Branch 4 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.transcoder.svg2svg.OutputManager.printSpaces([CZ)V: I3 Branch 8 IFEQ L-1 - false
   * 7 org.apache.batik.transcoder.svg2svg.OutputManager.printSpaces([CZ)V: I5 Branch 9 IFNE L-1 - true
   * 8 org.apache.batik.transcoder.svg2svg.OutputManager.printSpaces([CZ)V: I5 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      PrettyPrinter prettyPrinter0 = new PrettyPrinter();
      PipedReader pipedReader0 = new PipedReader();
      PipedWriter pipedWriter0 = new PipedWriter(pipedReader0);
      OutputManager outputManager0 = new OutputManager(prettyPrinter0, (Writer) pipedWriter0);
      char[] charArray0 = new char[9];
      outputManager0.printNotation(charArray0, charArray0, charArray0, "$Qin>LL81I/gB@", charArray0, charArray0, '\u0000', charArray0, charArray0, '\u0000', charArray0);
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager$NameInfo.<init>([C[C[C)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      char[] charArray0 = new char[3];
      OutputManager.AttributeInfo outputManager_AttributeInfo0 = new OutputManager.AttributeInfo(charArray0, charArray0, charArray0, charArray0, "jWl36eq~PC`('y", 'S', false);
      OutputManager.NameInfo outputManager_NameInfo0 = new OutputManager.NameInfo(outputManager_AttributeInfo0.space2, outputManager_AttributeInfo0.space1, charArray0);
      assertEquals(false, outputManager_AttributeInfo0.entityReferences);
      assertEquals('S', outputManager_AttributeInfo0.delimiter);
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.svg2svg.OutputManager$AttributeInfo.isAttribute(Ljava/lang/String;)Z: I5 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.transcoder.svg2svg.OutputManager$AttributeInfo.<init>([C[C[C[CLjava/lang/String;CZ)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      char[] charArray0 = new char[3];
      OutputManager.AttributeInfo outputManager_AttributeInfo0 = new OutputManager.AttributeInfo(charArray0, charArray0, charArray0, charArray0, "jWl36eq~PC`('y", 'S', false);
      boolean boolean0 = outputManager_AttributeInfo0.isAttribute("jWl36eq~PC`('y");
      assertEquals('S', outputManager_AttributeInfo0.delimiter);
      assertEquals(false, boolean0);
      assertEquals(false, outputManager_AttributeInfo0.entityReferences);
  }
}
