/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMMaskElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class DocumentLoaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.getUserAgent()Lorg/apache/batik/bridge/UserAgent;: root-Branch
   * 2 org.apache.batik.bridge.DocumentLoader.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      UserAgentAdapter userAgentAdapter1 = (UserAgentAdapter)documentLoader0.getUserAgent();
      assertSame(userAgentAdapter0, userAgentAdapter1);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.DocumentLoader.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      documentLoader0.dispose();
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I49 Branch 3 IFNULL L-1 - true
   * 4 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: I5 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      try {
        documentLoader0.loadDocument("gradientUnits");
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.DocumentLoader.getLineNumber(Lorg/w3c/dom/Element;)I: I30 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      userAgentAdapter0.getXMLParserClassName();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType((String) null, (String) null, (String) null);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMMaskElement sVGOMMaskElement0 = new SVGOMMaskElement((String) null, (AbstractDocument) sVG12OMDocument0);
      int int0 = documentLoader0.getLineNumber((Element) sVGOMMaskElement0);
      assertEquals((-1), int0);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: I5 Branch 5 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DocumentLoader.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   * 3 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - true
   * 5 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I49 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      try {
        documentLoader0.loadDocument("fantasy", (InputStream) byteArrayInputStream0);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // Content is not allowed in prolog.
         //
      }
  }
}
