/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.apache.batik.dom.anim.AnimationTargetListener;
import org.apache.batik.dom.events.DOMMutationEvent;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.events.MutationEvent;

public class SVGAnimationElementBridgeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.getPixelUnitToMillimeter();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMNodeInsertedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      sVGAnimateColorElementBridge0.handleDOMNodeInsertedEvent((MutationEvent) dOMMutationEvent0);
      assertEquals(0, dOMMutationEvent0.getAttrChange());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMAttrModifiedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGSetElementBridge0.handleDOMAttrModifiedEvent((MutationEvent) dOMMutationNameEvent0);
      assertEquals(false, dOMMutationNameEvent0.getBubbles());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleOtherAnimationChanged(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.handleOtherAnimationChanged("k");
      assertEquals("http://www.w3.org/2000/svg", sVGSetElementBridge0.getNamespaceURI());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getViewportHeight()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateColorElementBridge0.getViewportHeight();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMCharacterDataModified(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      sVGAnimateMotionElementBridge0.handleDOMCharacterDataModified((MutationEvent) dOMMutationEvent0);
      assertEquals("animateMotion", sVGAnimateMotionElementBridge0.getLocalName());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getViewportWidth()F: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      // Undeclared exception!
      try {
        sVGSetElementBridge0.getViewportWidth();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.beginElementAt(F)Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateMotionElementBridge0.beginElementAt(0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getScreenTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.getScreenTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getCTM()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      AffineTransform affineTransform0 = sVGAnimateColorElementBridge0.getCTM();
      assertNull(affineTransform0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.removeTargetListener(Ljava/lang/String;Lorg/apache/batik/dom/anim/AnimationTargetListener;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.removeTargetListener("", (AnimationTargetListener) null);
      assertEquals("animateColor", sVGAnimateColorElementBridge0.getLocalName());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getGlobalTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      AffineTransform affineTransform0 = sVGSetElementBridge0.getGlobalTransform();
      assertNull(affineTransform0);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getFontSize()F: root-Branch
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      float float0 = sVGAnimateTransformElementBridge0.getFontSize();
      assertEquals(0.0F, float0, 0.01F);
  }
}
