/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.MediaRule;
import org.apache.batik.css.engine.Rule;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.css.sac.SACMediaList;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class MediaRuleEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.MediaRule.setMediaList(Lorg/w3c/css/sac/SACMediaList;)V: root-Branch
   * 2 org.apache.batik.css.engine.MediaRule.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      MediaRule mediaRule0 = new MediaRule();
      mediaRule0.setMediaList((SACMediaList) null);
      assertEquals(0, mediaRule0.getSize());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.MediaRule.getType()S: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      MediaRule mediaRule0 = new MediaRule();
      short short0 = mediaRule0.getType();
      assertEquals((short)1, short0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.MediaRule.getMediaList()Lorg/w3c/css/sac/SACMediaList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      MediaRule mediaRule0 = new MediaRule();
      SACMediaList sACMediaList0 = mediaRule0.getMediaList();
      assertNull(sACMediaList0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.MediaRule.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I10 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.css.engine.MediaRule.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I43 Branch 3 IF_ICMPGE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      MediaRule mediaRule0 = new MediaRule();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      String string0 = mediaRule0.toString((CSSEngine) sVG12CSSEngine0);
      assertNotNull(string0);
      assertEquals("@media {\n}\n", string0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.MediaRule.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I43 Branch 3 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.css.engine.MediaRule.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.MediaRule.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I10 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      MediaRule mediaRule0 = new MediaRule();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      mediaRule0.append((Rule) mediaRule0);
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      // Undeclared exception!
      try {
        mediaRule0.toString((CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
