/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.svg.AlignmentBaselineManager;
import org.apache.batik.css.engine.value.svg.SVGPaintManager;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMImageElement;
import org.apache.batik.dom.svg.SVGOMUseElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractColorManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractColorManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.AbstractColorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("COe\"V", (Value) null);
      sVGPaintManager0.getPropertyName();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("COe\"V");
      try {
        sVGPaintManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"COe\" identifier is not a valid value for the \"COe\"V\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 2 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I13 Branch 3 IFNULL L-1 - true
   * 3 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I20 Branch 4 IFNONNULL L-1 - false
   * 4 org.apache.batik.css.engine.value.AbstractColorManager.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AlignmentBaselineManager alignmentBaselineManager0 = new AlignmentBaselineManager();
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("T");
      StringValue stringValue0 = (StringValue)alignmentBaselineManager0.getDefaultValue();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("T", "T", "T");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMUseElement sVGOMUseElement0 = new SVGOMUseElement("T", (AbstractDocument) sVGOMDocument0);
      SVGOMImageElement sVGOMImageElement0 = new SVGOMImageElement("T", (AbstractDocument) sVGOMDocument0);
      sVGOMImageElement0.getComputedStyleMap("T");
      // Undeclared exception!
      try {
        sVGPaintManager0.computeValue((CSSStylableElement) sVGOMUseElement0, "T", (CSSEngine) null, (-1), (StyleMap) null, (Value) stringValue0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Not a system-color:auto
         //
      }
  }
}
