/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.FloatValue;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontSizeManager;
import org.apache.batik.css.engine.value.svg.FilterManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEImageElement;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.ColorSwitchElement;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class FontSizeManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 4 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 5 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 6 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I17 Branch 4 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.FONT_FAMILY_LU;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("VU'C", "VU'C", "VU'C");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      try {
        fontSizeManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"dialog\" identifier is not a valid value for the \"font-size\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      boolean boolean0 = fontSizeManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      boolean boolean0 = fontSizeManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      int int0 = fontSizeManager0.getPropertyType();
      assertEquals(39, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      boolean boolean0 = fontSizeManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      StringMap stringMap0 = fontSizeManager0.getIdentifiers();
      assertNotNull(stringMap0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - true
   */

  @Test
  public void test6()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.SZ_8PT_LU;
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      sVGOMDocument0.getImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      ParsedURL parsedURL0 = new ParsedURL((ParsedURL) null, "");
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ValueManager[] valueManagerArray0 = new ValueManager[2];
      valueManagerArray0[0] = (ValueManager) fontSizeManager0;
      valueManagerArray0[1] = (ValueManager) fontSizeManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[7];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) marginShorthandManager0;
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVGCSSEngine sVGCSSEngine0 = new SVGCSSEngine((Document) sVG12OMDocument0, parsedURL0, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      fontSizeManager0.createValue(lexicalUnit0, (CSSEngine) sVGCSSEngine0);
      assertEquals(61, sVGCSSEngine0.getFontSizeIndex());
      assertEquals("font-size", fontSizeManager0.getPropertyName());
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I17 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 4 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test7()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      LexicalUnit lexicalUnit0 = FontShorthandManager.MEDIUM_LU;
      StringValue stringValue0 = (StringValue)fontSizeManager0.createValue(lexicalUnit0, (CSSEngine) null);
      assertEquals("medium", stringValue0.getStringValue());
  }

  //Test case number: 8
  /*
   * 15 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 7 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 8 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 9 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 10 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 11 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 12 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 13 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 14 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 15 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 16 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 17 TABLESWITCH L-1 Default-Case - true
   * 12 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I130 Branch 18 IF_ACMPNE L-1 - true
   * 13 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I139 Branch 19 IF_ACMPNE L-1 - true
   * 14 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I146 Branch 20 IFEQ L-1 - true
   * 15 org.apache.batik.css.engine.value.css2.FontSizeManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      String string0 = fontSizeManager0.getPropertyName();
      assertEquals("font-size", string0);
      
      StringValue stringValue0 = (StringValue)fontSizeManager0.getDefaultValue();
      assertNotNull(stringValue0);
      
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("font-size", "font-size", "font-size");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      ColorSwitchElement colorSwitchElement0 = new ColorSwitchElement("font-size", (AbstractDocument) sVGOMDocument0);
      sVGOMDocument0.getCSSEngine();
      SVGOMFEImageElement sVGOMFEImageElement0 = new SVGOMFEImageElement("font-size", (AbstractDocument) sVGOMDocument0);
      sVGOMFEImageElement0.getComputedStyleMap("font-size");
      // Undeclared exception!
      try {
        fontSizeManager0.computeValue((CSSStylableElement) colorSwitchElement0, "font-size", (CSSEngine) null, 0, (StyleMap) null, (Value) stringValue0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 22 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I193 Branch 22 LOOKUPSWITCH L-1 Case 108 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I193 Branch 23 LOOKUPSWITCH L-1 Case 109 - false
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I193 Branch 24 LOOKUPSWITCH L-1 Case 115 - false
   * 4 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I193 Branch 25 LOOKUPSWITCH L-1 Default-Case - true
   * 5 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I216 Branch 26 LOOKUPSWITCH L-1 Case 120 - false
   * 6 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I216 Branch 27 LOOKUPSWITCH L-1 Default-Case - true
   * 7 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I250 Branch 30 LOOKUPSWITCH L-1 Case 115 - false
   * 8 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I250 Branch 31 LOOKUPSWITCH L-1 Default-Case - true
   * 9 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 7 TABLESWITCH L-1 Case 1 - false
   * 10 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 8 TABLESWITCH L-1 Case 2 - false
   * 11 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 9 TABLESWITCH L-1 Case 3 - false
   * 12 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 10 TABLESWITCH L-1 Case 4 - false
   * 13 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 11 TABLESWITCH L-1 Case 5 - false
   * 14 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 12 TABLESWITCH L-1 Case 6 - false
   * 15 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 13 TABLESWITCH L-1 Case 7 - false
   * 16 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 14 TABLESWITCH L-1 Case 8 - false
   * 17 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 15 TABLESWITCH L-1 Case 9 - false
   * 18 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 16 TABLESWITCH L-1 Case 10 - false
   * 19 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 17 TABLESWITCH L-1 Default-Case - true
   * 20 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I130 Branch 18 IF_ACMPNE L-1 - true
   * 21 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I139 Branch 19 IF_ACMPNE L-1 - true
   * 22 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I146 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("ir", "ir", "ir");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("ir", (AbstractDocument) sVGOMDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      sVGOMPatternElement0.getComputedStyleMap("ir");
      FilterManager filterManager0 = new FilterManager();
      StringValue stringValue0 = (StringValue)filterManager0.getDefaultValue();
      FloatValue floatValue0 = (FloatValue)fontSizeManager0.computeValue((CSSStylableElement) sVGOMPatternElement0, "ir", (CSSEngine) sVG12CSSEngine0, (-485), (StyleMap) null, (Value) stringValue0);
      assertNotNull(floatValue0);
      assertEquals(22, sVG12CSSEngine0.getFontSizeIndex());
      assertEquals("font-size", fontSizeManager0.getPropertyName());
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("#", "#", "#");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      try {
        fontSizeManager0.createStringValue((short) (-603), "#", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (-603) is invalid for the \"font-size\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
