/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.value.FloatValue;
import org.apache.batik.css.engine.value.svg.OpacityManager;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class OpacityManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.isAnimatableProperty()Z: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("2st@:<M.[J,vra40c", false);
      boolean boolean0 = opacityManager0.isAnimatableProperty();
      assertEquals(false, opacityManager0.isInheritedProperty());
      assertEquals(true, boolean0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("2st@:<M.[J,vra40c", false);
      int int0 = opacityManager0.getPropertyType();
      assertEquals(25, int0);
      assertEquals(false, opacityManager0.isInheritedProperty());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("2st@:<M.[J,vra40c", false);
      boolean boolean0 = opacityManager0.isInheritedProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("2st@:<M.[J,vra40c", false);
      boolean boolean0 = opacityManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
      assertEquals(false, opacityManager0.isInheritedProperty());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", false);
      FloatValue floatValue0 = (FloatValue)opacityManager0.getDefaultValue();
      assertNotNull(floatValue0);
      assertEquals(false, opacityManager0.isInheritedProperty());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 TABLESWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 TABLESWITCH L-1 Case 13 - false
   * 3 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 TABLESWITCH L-1 Case 14 - false
   * 4 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 4 TABLESWITCH L-1 Default-Case - true
   * 5 org.apache.batik.css.engine.value.svg.OpacityManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("U+0026", true);
      opacityManager0.getPropertyName();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("U+0026");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("U+0026", "U+0026", "U+0026");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, (InterpreterPool) null, documentLoader0);
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0);
      assertNotNull(sVGCSSEngine0);
      
      try {
        opacityManager0.createValue(lexicalUnit0, (CSSEngine) sVGCSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"U+0026\" property does not support identifier values.
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.svg.OpacityManager.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", false);
      try {
        opacityManager0.createFloatValue((short)1425, (short)1425);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_RGBCOLOR) represents an invalid type for the \"\".
         //
      }
  }
}
