/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericCDATASection;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentFragment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericEntityReference;
import org.apache.batik.dom.GenericProcessingInstruction;
import org.apache.batik.dom.events.EventSupport;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

public class AbstractNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblBoundElement()Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      // Undeclared exception!
      try {
        genericComment0.getXblBoundElement();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblNextElementSibling()Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 5 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("DOMNodeInsertedIntoDocument", "DOMNodeInsertedIntoDocument", "DOMNodeInsertedIntoDocument");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("DOMNodeInsertedIntoDocument", (AbstractDocument) genericDocument0);
      Element element0 = genericCDATASection0.getXblNextElementSibling();
      assertNull(element0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getXblChildNodes()Lorg/w3c/dom/NodeList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("xmlns", "xmlns", "xmlns");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericEntityReference genericEntityReference0 = new GenericEntityReference("xmlns", (AbstractDocument) genericDocument0);
      NodeList nodeList0 = genericEntityReference0.getXblChildNodes();
      assertEquals(0, nodeList0.getLength());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.createDOMException(SLjava/lang/String;[Ljava/lang/Object;)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVG12OMDocument sVG12OMDocument0 = null;
      try {
        sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given node (type: 9, name: #document) was not created by the current document.
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getNamespaceURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("DX", "DX", "DX");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericProcessingInstruction genericProcessingInstruction0 = new GenericProcessingInstruction("DX", "DX", (AbstractDocument) genericDocument0);
      genericProcessingInstruction0.getNamespaceURI();
      assertEquals(false, genericDocument0.getEventsEnabled());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblScopedChildNodes()Lorg/w3c/dom/NodeList;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getChildNodes()Lorg/w3c/dom/NodeList;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("$X", "$X", "$X");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("$X", (AbstractDocument) genericDocument0);
      NodeList nodeList0 = genericCDATASection0.getXblScopedChildNodes();
      assertEquals(false, genericDocument0.getEventsEnabled());
      assertNotNull(nodeList0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getXblPreviousElementSibling()Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("xmlns", "xmlns", "xmlns");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericEntityReference genericEntityReference0 = new GenericEntityReference("xmlns", (AbstractDocument) genericDocument0);
      Element element0 = genericEntityReference0.getXblPreviousElementSibling();
      assertNull(element0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getEventSupport()Lorg/apache/batik/dom/events/EventSupport;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      EventSupport eventSupport0 = genericComment0.getEventSupport();
      assertNull(eventSupport0);
  }

  //Test case number: 8
  /*
   * 26 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getBaseURI()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I1 Branch 43 IFNULL L-1 - false
   * 3 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I4 Branch 44 IFNE L-1 - true
   * 4 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 45 TABLESWITCH L-1 Case 1 - false
   * 5 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 46 TABLESWITCH L-1 Case 2 - false
   * 6 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 47 TABLESWITCH L-1 Case 3 - false
   * 7 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 48 TABLESWITCH L-1 Case 4 - false
   * 8 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 49 TABLESWITCH L-1 Case 5 - false
   * 9 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 50 TABLESWITCH L-1 Case 6 - false
   * 10 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 51 TABLESWITCH L-1 Case 7 - false
   * 11 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 52 TABLESWITCH L-1 Case 8 - true
   * 12 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 53 TABLESWITCH L-1 Case 9 - false
   * 13 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 54 TABLESWITCH L-1 Case 10 - false
   * 14 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 55 TABLESWITCH L-1 Case 11 - false
   * 15 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 56 TABLESWITCH L-1 Case 12 - false
   * 16 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 57 TABLESWITCH L-1 Default-Case - false
   * 17 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I55 Branch 59 IFNULL L-1 - true
   * 18 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I7 Branch 14 IFNULL L-1 - true
   * 19 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I24 Branch 16 IFNONNULL L-1 - false
   * 20 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I28 Branch 17 IF_ICMPNE L-1 - true
   * 21 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I44 Branch 18 IFNULL L-1 - true
   * 22 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I44 Branch 18 IFNULL L-1 - false
   * 23 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I48 Branch 19 IF_ICMPEQ L-1 - false
   * 24 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I55 Branch 20 IFNONNULL L-1 - false
   * 25 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 26 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      genericComment0.lookupPrefix("$X");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType((String) null, (String) null, (String) null);
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericProcessingInstruction genericProcessingInstruction0 = new GenericProcessingInstruction("$X", (String) null, (AbstractDocument) genericDocument0);
      genericProcessingInstruction0.getBaseURI();
      assertEquals(false, genericDocument0.getEventsEnabled());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 52 TABLESWITCH L-1 Case 8 - false
   * 2 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 53 TABLESWITCH L-1 Case 9 - true
   */

  @Test
  public void test9()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("eo", "eo", "eo");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      // Undeclared exception!
      try {
        genericDocument0.lookupPrefix("eo");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 19 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getUserData(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 153 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I1 Branch 43 IFNULL L-1 - false
   * 5 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I4 Branch 44 IFNE L-1 - true
   * 6 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 45 TABLESWITCH L-1 Case 1 - false
   * 7 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 46 TABLESWITCH L-1 Case 2 - false
   * 8 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 47 TABLESWITCH L-1 Case 3 - false
   * 9 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 48 TABLESWITCH L-1 Case 4 - false
   * 10 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 49 TABLESWITCH L-1 Case 5 - false
   * 11 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 50 TABLESWITCH L-1 Case 6 - false
   * 12 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 51 TABLESWITCH L-1 Case 7 - false
   * 13 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 52 TABLESWITCH L-1 Case 8 - true
   * 14 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 53 TABLESWITCH L-1 Case 9 - false
   * 15 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 54 TABLESWITCH L-1 Case 10 - false
   * 16 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 55 TABLESWITCH L-1 Case 11 - false
   * 17 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 56 TABLESWITCH L-1 Case 12 - false
   * 18 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 57 TABLESWITCH L-1 Default-Case - false
   * 19 org.apache.batik.dom.AbstractNode.lookupPrefix(Ljava/lang/String;)Ljava/lang/String;: I55 Branch 59 IFNULL L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      genericComment0.lookupPrefix("$X");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType((String) null, (String) null, (String) null);
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericDocumentFragment genericDocumentFragment0 = new GenericDocumentFragment((AbstractDocument) genericDocument0);
      Object object0 = genericDocumentFragment0.getUserData((String) null);
      assertNull(object0);
  }

  //Test case number: 11
  /*
   * 14 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 98 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 99 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 100 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 101 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 102 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 103 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 104 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 105 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 106 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 107 TABLESWITCH L-1 Case 10 - true
   * 11 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 108 TABLESWITCH L-1 Case 11 - false
   * 12 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 109 TABLESWITCH L-1 Case 12 - false
   * 13 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 110 TABLESWITCH L-1 Default-Case - false
   * 14 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      String string0 = genericDocumentType0.lookupNamespaceURI("");
      assertNull(string0);
  }
}
