/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.MissingResourceException;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.svg.ColorInterpolationFiltersManager;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class ExtensibleDOMImplementationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.ExtensibleDOMImplementation.getDomExtensions()Ljava/util/List;: I1 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      Object[] objectArray0 = new Object[5];
      try {
        sVG12DOMImplementation0.formatMessage("", objectArray0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: 
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;)Lorg/apache/batik/css/engine/CSSEngine;: I64 Branch 5 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;)Lorg/apache/batik/css/engine/CSSEngine;: I84 Branch 6 IFEQ L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;)Lorg/apache/batik/css/engine/CSSEngine;: I84 Branch 6 IFEQ L-1 - false
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;)Lorg/apache/batik/css/engine/CSSEngine;: I96 Branch 7 IFNONNULL L-1 - false
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSValueManager(Lorg/apache/batik/css/engine/value/ValueManager;)V: I2 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      ColorInterpolationFiltersManager colorInterpolationFiltersManager0 = new ColorInterpolationFiltersManager();
      sVG12DOMImplementation0.registerCustomCSSValueManager((ValueManager) colorInterpolationFiltersManager0);
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("http://www.w3.org/TR/SVG11/feature#ExternalResourcesRequired", "http://www.w3.org/TR/SVG11/feature#ExternalResourcesRequired", "http://www.w3.org/TR/SVG11/feature#ExternalResourcesRequired");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      // Undeclared exception!
      try {
        sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I1 Branch 9 IFNULL L-1 - false
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I4 Branch 10 IFNE L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I9 Branch 11 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I20 Branch 12 IFNULL L-1 - false
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I32 Branch 13 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getDoctype();
      try {
        sVGDOMImplementation0.createDocument("kiVJ", "kiVJ", (DocumentType) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"kiVJ\") is an invalid XML name.
         //
      }
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSShorthandManager(Lorg/apache/batik/css/engine/value/ShorthandManager;)V: I2 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.ExtensibleDOMImplementation.getDomExtensions()Ljava/util/List;: I1 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      sVGDOMImplementation0.registerCustomCSSShorthandManager((ShorthandManager) null);
  }
}
