/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.StyleSheetProcessingInstruction;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class StyleSheetProcessingInstructionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.getTarget()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.StyleSheetProcessingInstruction.setData(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.StyleSheetProcessingInstruction.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;Lorg/apache/batik/dom/StyleSheetFactory;)V: root-Branch
   * 4 org.apache.batik.dom.StyleSheetProcessingInstruction.isReadonly()Z: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) sVGOMDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      try {
        styleSheetProcessingInstruction0.setTextContent("");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The current node (type: 7, name: xml-stylesheet) cannot have children.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.setReadonly(Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) sVGOMDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      styleSheetProcessingInstruction0.setReadonly(false);
      assertEquals(false, styleSheetProcessingInstruction0.isReadonly());
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.getPseudoAttributes()Lorg/apache/batik/dom/util/HashTable;: I2 Branch 2 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.StyleSheetProcessingInstruction.getSheet()Lorg/w3c/dom/stylesheets/StyleSheet;: I2 Branch 1 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.StyleSheetProcessingInstruction.setData(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.StyleSheetProcessingInstruction.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;Lorg/apache/batik/dom/StyleSheetFactory;)V: root-Branch
   * 5 org.apache.batik.dom.StyleSheetProcessingInstruction.isReadonly()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) genericDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      // Undeclared exception!
      try {
        styleSheetProcessingInstruction0.getSheet();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // StyleSheetFactory.createStyleSheet is not implemented
         //
      }
  }
}
