/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMSVGElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMSVGElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMSVGElement.getPixelUnitToMillimeterX()F: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMSVGElement.initializeLiveAttributes()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMSVGElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMSVGElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "SVGAnimatedPathData.getAnimatedNormalizedPathSegList is not implemented");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        sVGOMSVGElement0.getPixelUnitToMillimeterX();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMSVGElement.getContentStyleType()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("stemv", "stemv", "stemv");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("stemv", (AbstractDocument) sVGOMDocument0);
      String string0 = sVGOMSVGElement0.getContentStyleType();
      assertNotNull(string0);
      assertEquals("text/css", string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMSVGElement.unpauseAnimations()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("add.ancestor", "add.ancestor", "add.ancestor");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("add.ancestor", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMSVGElement0.unpauseAnimations();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMSVGElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("RQ^Xr5L~z", "RQ^Xr5L~z", "RQ^Xr5L~z");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = null;
      try {
        sVGOMSVGElement0 = new SVGOMSVGElement("RQ^Xr5L~z", (AbstractDocument) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"RQ^Xr5L~z\" is invalid. Current node type: 1, name: svg.
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMSVGElement.suspendRedraw(I)I: I2 Branch 3 IF_ICMPLE L-1 - true
   * 2 org.apache.batik.dom.svg.SVGOMSVGElement.suspendRedraw(I)I: I8 Branch 4 IFGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMSVGElement0.getChildElementCount();
      // Undeclared exception!
      try {
        sVGOMSVGElement0.suspendRedraw(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMSVGElement.suspendRedraw(I)I: I8 Branch 4 IFGE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMSVGElement.initializeLiveAttributes()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMSVGElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMSVGElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 5 org.apache.batik.dom.svg.SVGOMSVGElement.suspendRedraw(I)I: I2 Branch 3 IF_ICMPLE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        sVGOMSVGElement0.suspendRedraw((-386));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
