/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.SVGAnimateElementBridge;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMElement;
import org.apache.batik.dom.svg.SVGOMFETileElement;
import org.apache.batik.dom.svg.SVGTextContentSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowLineElement;
import org.apache.batik.extension.svg.BatikStarElement;
import org.apache.batik.extension.svg.FlowTextElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGTextContentSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.setY(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint((SVGOMElement) null);
      // Undeclared exception!
      try {
        sVGTextContentSupport_SVGTextPoint0.setY((-1482.6243F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGTextContentSupport sVGTextContentSupport0 = new SVGTextContentSupport();
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.selectSubString(Lorg/w3c/dom/Element;II)V: I4 Branch 10 IFLT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("readonly.point", "readonly.point", "readonly.point");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFETileElement sVGOMFETileElement0 = new SVGOMFETileElement("readonly.point", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.selectSubString((Element) sVGOMFETileElement0, 1890, 1890);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getCharNumAtPosition(Lorg/w3c/dom/Element;FF)I: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint((SVGOMElement) null);
      sVGTextContentSupport_SVGTextPoint0.getY();
      // Undeclared exception!
      try {
        SVGTextContentSupport.getCharNumAtPosition((Element) null, 0.0F, 0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getStartPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMFlowLineElement sVGOMFlowLineElement0 = new SVGOMFlowLineElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMFlowLineElement0.getStartPositionOfChar(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getEndPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 7 IFLT L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFlowLineElement sVGOMFlowLineElement0 = new SVGOMFlowLineElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMFlowLineElement0.getEndPositionOfChar(1565);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getExtentOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGRect;: I4 Branch 1 IFLT L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateElementBridge sVGAnimateElementBridge0 = new SVGAnimateElementBridge();
      sVGAnimateElementBridge0.getTargetElement();
      // Undeclared exception!
      try {
        SVGTextContentSupport.getExtentOfChar((Element) null, (-409));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getExtentOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGRect;: I4 Branch 1 IFLT L-1 - false
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("readonly.rect", "readonly.rect", "readonly.rect");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      BatikStarElement batikStarElement0 = new BatikStarElement("readonly.rect", (AbstractDocument) sVG12OMDocument0);
      batikStarElement0.getOwnerSVGElement();
      // Undeclared exception!
      try {
        SVGTextContentSupport.getExtentOfChar((Element) null, 385);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getRotationOfChar(Lorg/w3c/dom/Element;I)F: I4 Branch 12 IFLT L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowTextElement flowTextElement0 = new FlowTextElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getRotationOfChar((Element) flowTextElement0, (-456));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // 
         //
      }
  }
}
