/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMUseElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.util.DOMUtilities;
import org.apache.batik.dom.util.HashTable;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class DOMUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 12 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.getXML(Lorg/w3c/dom/Node;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 5 TABLESWITCH L-1 Case 4 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 6 TABLESWITCH L-1 Case 5 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 7 TABLESWITCH L-1 Case 6 - false
   * 8 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 8 TABLESWITCH L-1 Case 7 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 9 TABLESWITCH L-1 Case 8 - false
   * 10 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 10 TABLESWITCH L-1 Case 9 - false
   * 11 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 11 TABLESWITCH L-1 Case 10 - true
   * 12 org.apache.batik.dom.util.DOMUtilities.writeNode(Lorg/w3c/dom/Node;Ljava/io/Writer;)V: I2 Branch 12 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("/eIes(B", "/eIes(B", "/eIes(B");
      // Undeclared exception!
      try {
        DOMUtilities.getXML((Node) genericDocumentType0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      String string0 = DOMUtilities.getLocalName("/eIes(B");
      assertEquals("/eIes(B", string0);
      assertNotNull(string0);
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I70 Branch 89 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I70 Branch 89 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I90 Branch 90 IFNE L-1 - true
   * 8 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I102 Branch 91 IF_ICMPLT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      HashTable hashTable0 = new HashTable();
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("org.apache.batik.anim.timing.TimedElement", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong xml-stylesheet data: org.apache.batik.anim.timing.TimedElement
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      HashTable hashTable0 = new HashTable();
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("4*F*+k%!CD'C0n", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong name initial:  4
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I27 Branch 77 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("/eIes(B");
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I27 Branch 77 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I36 Branch 78 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I36 Branch 78 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I56 Branch 79 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("show");
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 10 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isAncestorOf(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Z: I1 Branch 33 IFNULL L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 84 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 81 IF_ICMPEQ L-1 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 82 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 8 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 9 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 10 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMUseElement sVGOMUseElement0 = new SVGOMUseElement("org.apache.batik.anim.timing.TimedElement", (AbstractDocument) sVG12OMDocument0);
      sVGOMUseElement0.getXblNextElementSibling();
      assertEquals("org.apache.batik.anim.timing.TimedElement", sVGOMUseElement0.getPrefix());
      
      boolean boolean0 = DOMUtilities.isAncestorOf((Node) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName("SVGViewElement.getViewTarget is not implemented");
      assertEquals(false, boolean0);
  }
}
