/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedReader;
import java.io.Reader;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.DocumentDescriptor;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class SAXDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory$ProcessingInstructionInfo.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 43 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I9 Branch 44 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "aA,I#[N", true);
      // Undeclared exception!
      try {
        sAXDocumentFactory0.processingInstruction("aA,I#[N", "aA,I#[N");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "{X`zBhU");
      try {
        sAXDocumentFactory0.createDocument("{X`zBhU", (InputStream) null);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class {X`zBhU not found
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "", true);
      sAXDocumentFactory0.startDTD("", "", "");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.warning(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "!\"|^", true);
      SAXParseException sAXParseException0 = new SAXParseException("!\"|^", (Locator) null);
      sAXDocumentFactory0.warning(sAXParseException0);
      assertEquals(-1, sAXParseException0.getColumnNumber());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "!\"|^", true);
      try {
        sAXDocumentFactory0.createDocument("!\"|^");
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class !\"|^ not found
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDocumentDescriptor()Lorg/apache/batik/dom/util/DocumentDescriptor;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "!\"|^", true);
      DocumentDescriptor documentDescriptor0 = sAXDocumentFactory0.getDocumentDescriptor();
      assertNull(documentDescriptor0);
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/io/Reader;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "inactiveborder", false);
      PipedReader pipedReader0 = new PipedReader();
      try {
        sAXDocumentFactory0.createDocument("inactiveborder", "inactiveborder", "inactiveborder", (Reader) pipedReader0);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class inactiveborder not found
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "!\"|^", true);
      sAXDocumentFactory0.startEntity("!\"|^");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endDTD()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "inactiveborder", false);
      sAXDocumentFactory0.endDTD();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setValidating(Z)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "!\"|^", true);
      sAXDocumentFactory0.setValidating(true);
      assertEquals(true, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.isValidating()Z: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "", true);
      boolean boolean0 = sAXDocumentFactory0.isValidating();
      assertEquals(false, boolean0);
  }

  //Test case number: 11
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I18 Branch 40 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I21 Branch 41 IFEQ L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.comment([CII)V: I2 Branch 45 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory$CDataInfo.<init>(Ljava/lang/String;)V: root-Branch
   * 6 org.apache.batik.dom.util.SAXDocumentFactory.startCDATA()V: root-Branch
   * 7 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 8 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "~qQ|2h^'w t");
      sAXDocumentFactory0.startCDATA();
      char[] charArray0 = new char[7];
      // Undeclared exception!
      try {
        sAXDocumentFactory0.comment(charArray0, (int) '\u0000', (int) 'C');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
