/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Point;
import java.awt.geom.Line2D;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.Cubic;
import org.apache.batik.ext.awt.geom.Linear;
import org.apache.batik.ext.awt.geom.Quadradic;
import org.apache.batik.ext.awt.geom.Segment;
import org.junit.BeforeClass;

public class QuadradicEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.reverse()Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.<init>(DDDDDD)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic(0.5, 0.5, 0.5, 0.5, 0.5, 0.5);
      Quadradic quadradic1 = (Quadradic)quadradic0.reverse();
      assertEquals("M0.5,0.5Q0.5,0.5 0.5,0.5", quadradic1.toString());
      assertNotNull(quadradic1);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.findRoots(D[D)I: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double();
      Quadradic quadradic0 = new Quadradic();
      // Undeclared exception!
      try {
        quadradic0.split(0.0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // fromIndex(0) > toIndex(-1)
         //
      }
  }

  //Test case number: 2
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 15 IFEQ L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 16 IFEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I9 Branch 11 IFNULL L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I58 Branch 12 IFNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double();
      Quadradic quadradic0 = new Quadradic();
      quadradic0.subdivide(0.0, (Segment) quadradic0, (Segment) quadradic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, quadradic0.minX(), 0.01D);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getLength(D)D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getLength()D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float(919.2694F, 919.2694F, 919.2694F, 919.2694F);
      Quadradic quadradic0 = new Quadradic((double) 919.2694F, 0.0, (double) 919.2694F, 0.0, 0.0, 0.0);
      double double0 = quadradic0.getLength();
      assertEquals("M919.2694091796875,0.0Q919.2694091796875,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(919.2694091796875, double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getSegment(DD)Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Quadradic quadradic1 = (Quadradic)quadradic0.splitAfter(1545.1796707520687);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic1.toString());
      assertNotNull(quadradic1);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)quadradic0.getBounds2D();
      assertNotNull(rectangle2D_Double0);
      assertEquals("java.awt.geom.Rectangle2D$Double[x=0.0,y=0.0,w=0.0,h=0.0]", rectangle2D_Double0.toString());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.maxY()D: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic(0.5, 0.5, 0.5, 0.5, 0.5, 0.5);
      double double0 = quadradic0.maxY();
      assertEquals("M0.5,0.5Q0.5,0.5 0.5,0.5", quadradic0.toString());
      assertEquals(0.5, quadradic0.minY(), 0.01D);
      assertEquals(0.5, double0, 0.01D);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.clone()Ljava/lang/Object;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic0 = new Quadradic(0.0, 0.0, 0.0, 0.0, 0.0, 0.0);
      Quadradic quadradic1 = (Quadradic)quadradic0.clone();
      assertNotNull(quadradic1);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic1.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic(0.5, 0.5, 0.5, 0.5, 0.5, 0.5);
      String string0 = quadradic0.toString();
      assertEquals("M0.5,0.5Q0.5,0.5 0.5,0.5", string0);
      assertNotNull(string0);
  }

  //Test case number: 9
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.minY()D: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Quadradic.minX()D: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      double double0 = quadradic0.minY();
      Point2D.Double point2D_Double0 = new Point2D.Double(0.0, 1545.1796707520687);
      Quadradic quadradic1 = new Quadradic(0.0, 0.0, 1545.1796707520687, 1545.1796707520687, 1545.1796707520687, 0.0);
      double double1 = quadradic1.minX();
      assertEquals(0.0, quadradic1.minY(), 0.01D);
      assertEquals(1545.1796707520687, quadradic1.maxX(), 0.01D);
      assertEquals(0.0, quadradic1.maxY(), 0.01D);
      assertEquals("M0.0,0.0Q1545.1796707520687,1545.1796707520687 1545.1796707520687,0.0", quadradic1.toString());
      assertTrue(double1 == double0);
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I52 Branch 4 IFLT L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.maxX()D: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(635.193847603294, 635.193847603294, 1.0E-6, 1.0E-6);
      Quadradic quadradic0 = new Quadradic(1.0E-6, 1.0E-6, 635.193847603294, 1774.8525515689148, 1774.8525515689148, 1.0E-6);
      double double0 = quadradic0.maxX();
      assertEquals(1.0E-6, quadradic0.minX(), 0.01D);
      assertEquals(1.0E-6, quadradic0.maxY(), 0.01D);
      assertEquals(1.0E-6, quadradic0.minY(), 0.01D);
      assertEquals(1774.8525515689148, double0, 0.01D);
      assertEquals("M1.0E-6,1.0E-6Q635.193847603294,1774.8525515689148 1774.8525515689148,1.0E-6", quadradic0.toString());
  }

  //Test case number: 11
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I52 Branch 4 IFLT L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I81 Branch 5 IFGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I93 Branch 6 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.maxX()D: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Linear linear0 = new Linear(0.0, 0.0, 0.0, (-505.3492833821302));
      Quadradic quadradic0 = new Quadradic(442.55204414348515, 127.22900750660463, 127.22900750660463, 0.0, (-505.3492833821302), 0.0);
      double double0 = quadradic0.maxX();
      assertEquals(442.55204414348515, double0, 0.01D);
      assertEquals((-505.3492833821302), quadradic0.minX(), 0.01D);
      assertEquals("M442.55204414348515,127.22900750660463Q127.22900750660463,0.0 -505.3492833821302,0.0", quadradic0.toString());
      assertEquals(127.22900750660463, quadradic0.maxY(), 0.01D);
  }

  //Test case number: 12
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 15 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 16 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I9 Branch 11 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I58 Branch 12 IFNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double();
      Quadradic quadradic0 = new Quadradic();
      Linear linear0 = new Linear(quadradic0.p3, quadradic0.p3);
      quadradic0.subdivide(0.0, (Segment) linear0, (Segment) linear0);
      assertEquals(0.0, linear0.minY(), 0.01D);
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I3 Branch 8 IFNONNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Point point0 = new Point(0, 0);
      Line2D.Float line2D_Float0 = new Line2D.Float((float) 0, (float) 0, (float) 0, (float) 0);
      Quadradic quadradic0 = new Quadradic((double) 0, (double) 0.0F, 0.0, (double) 0.0F, 0.0, (double) 0);
      Cubic cubic0 = new Cubic();
      quadradic0.subdivide((Segment) cubic0, (Segment) cubic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      quadradic0.subdivide((Segment) quadradic0, (Segment) quadradic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, quadradic0.minY(), 0.01D);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Point point0 = new Point(0, 0);
      Line2D.Float line2D_Float0 = new Line2D.Float((float) 0, (float) 0, (float) 0, (float) 0);
      Quadradic quadradic0 = new Quadradic((double) 0, 1018.5967881827002, 0.0, (double) 0, 0.0, (double) 0.0F);
      double double0 = quadradic0.getLength(1018.5967881827002);
      assertEquals(1018.5967881827002, double0, 0.01D);
      assertEquals("M0.0,1018.5967881827002Q0.0,0.0 0.0,0.0", quadradic0.toString());
  }

  //Test case number: 16
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getLength(D)D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.<init>(DDDDDD)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Point point0 = new Point(0, 0);
      Quadradic quadradic0 = new Quadradic(0.0, (double) 0, 0.0, (double) 0, 0.0, 0.0);
      // Undeclared exception!
      try {
        quadradic0.getLength(0.0);
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1301.726335473338), (-1301.726335473338), (-1301.726335473338), (-1301.726335473338), (-1301.726335473338), (-1301.726335473338), (-1301.726335473338), (-1301.726335473338));
      Linear linear0 = new Linear(cubic0.p2, cubic0.p2);
      Quadradic quadradic0 = new Quadradic();
      quadradic0.subdivide((Segment) quadradic0, (Segment) linear0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
  }
}
