/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import org.apache.batik.ext.awt.image.codec.png.PNGDecodeParam;
import org.apache.batik.ext.awt.image.codec.png.PNGImageDecoder;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFImageDecoder;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.ImageDecodeParam;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.junit.BeforeClass;

public class ImageDecoderImplEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.getNumPages()I: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.<init>(Ljava/io/InputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      int int0 = pNGImageDecoder0.getNumPages();
      assertEquals(1, int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.getInputStream()Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      ForwardSeekableStream forwardSeekableStream0 = (ForwardSeekableStream)pNGImageDecoder0.getInputStream();
      assertEquals(0L, forwardSeekableStream0.getFilePointer());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.decodeAsRaster()Ljava/awt/image/Raster;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.decodeAsRaster(I)Ljava/awt/image/Raster;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      // Undeclared exception!
      try {
        pNGImageDecoder0.decodeAsRaster();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.decodeAsRenderedImage()Ljava/awt/image/RenderedImage;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) pipedInputStream0);
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      TIFFImageDecoder tIFFImageDecoder0 = new TIFFImageDecoder((SeekableStream) forwardSeekableStream0, (ImageDecodeParam) pNGDecodeParam0);
      try {
        tIFFImageDecoder0.decodeAsRenderedImage();
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.getParam()Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      PNGDecodeParam pNGDecodeParam1 = (PNGDecodeParam)pNGImageDecoder0.getParam();
      assertSame(pNGDecodeParam0, pNGDecodeParam1);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.setParam(Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.<init>(Ljava/io/InputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      pNGDecodeParam0.getEncodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      pNGImageDecoder0.setParam((ImageDecodeParam) null);
      assertEquals(1, pNGImageDecoder0.getNumPages());
  }
}
