/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.event;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import java.awt.geom.AffineTransform;
import javax.swing.JSpinner;
import javax.swing.SpinnerModel;
import javax.swing.SpinnerNumberModel;
import org.apache.batik.bridge.SVGImageElementBridge;
import org.apache.batik.bridge.SVGTextPathElementBridge;
import org.apache.batik.gvt.GraphicsNode;
import org.apache.batik.gvt.RasterImageNode;
import org.apache.batik.gvt.event.AWTEventDispatcher;
import org.apache.batik.gvt.event.GraphicsNodeKeyEvent;
import org.apache.batik.gvt.event.GraphicsNodeKeyListener;
import org.apache.batik.gvt.event.GraphicsNodeMouseListener;
import org.apache.batik.gvt.event.GraphicsNodeMouseWheelListener;
import org.apache.batik.gvt.text.ConcreteTextSelector;
import org.junit.BeforeClass;

public class AbstractAWTEventDispatcherEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.mouseExited(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.<init>()V: root-Branch
   * 3 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.dispatchEvent(Ljava/util/EventObject;)V: I2 Branch 23 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      aWTEventDispatcher0.mouseExited((MouseEvent) null);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.getBaseTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      // Undeclared exception!
      try {
        aWTEventDispatcher0.getBaseTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.getRootNode()Lorg/apache/batik/gvt/GraphicsNode;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      GraphicsNode graphicsNode0 = aWTEventDispatcher0.getRootNode();
      assertNull(graphicsNode0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.mouseEntered(Ljava/awt/event/MouseEvent;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      SpinnerNumberModel spinnerNumberModel0 = new SpinnerNumberModel();
      JSpinner jSpinner0 = new JSpinner((SpinnerModel) spinnerNumberModel0);
      JSpinner.NumberEditor jSpinner_NumberEditor0 = new JSpinner.NumberEditor(jSpinner0);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) jSpinner_NumberEditor0, 0, (long) 0, 0, 0, 0, 0, true, 0, 0, 0);
      aWTEventDispatcher0.mouseEntered((MouseEvent) mouseWheelEvent0);
      assertEquals(false, mouseWheelEvent0.isShiftDown());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.addGraphicsNodeKeyListener(Lorg/apache/batik/gvt/event/GraphicsNodeKeyListener;)V: I2 Branch 13 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.addGraphicsNodeKeyListener(Lorg/apache/batik/gvt/event/GraphicsNodeKeyListener;)V: I12 Branch 14 IFNONNULL L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      ConcreteTextSelector concreteTextSelector0 = new ConcreteTextSelector();
      aWTEventDispatcher0.addGraphicsNodeKeyListener((GraphicsNodeKeyListener) concreteTextSelector0);
      assertEquals(true, concreteTextSelector0.isEmpty());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setBaseTransform(Ljava/awt/geom/AffineTransform;)V: I3 Branch 2 IF_ACMPEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      SVGTextPathElementBridge sVGTextPathElementBridge0 = new SVGTextPathElementBridge();
      sVGTextPathElementBridge0.getGlobalTransform();
      aWTEventDispatcher0.setBaseTransform((AffineTransform) null);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setBaseTransform(Ljava/awt/geom/AffineTransform;)V: I3 Branch 2 IF_ACMPEQ L-1 - false
   * 2 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setBaseTransform(Ljava/awt/geom/AffineTransform;)V: I6 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      SVGImageElementBridge sVGImageElementBridge0 = new SVGImageElementBridge();
      AffineTransform affineTransform0 = sVGImageElementBridge0.getCTM();
      aWTEventDispatcher0.setBaseTransform(affineTransform0);
      assertEquals(0, affineTransform0.getType());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.removeGraphicsNodeMouseListener(Lorg/apache/batik/gvt/event/GraphicsNodeMouseListener;)V: I2 Branch 7 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      ConcreteTextSelector concreteTextSelector0 = new ConcreteTextSelector();
      aWTEventDispatcher0.removeGraphicsNodeMouseListener((GraphicsNodeMouseListener) concreteTextSelector0);
      assertEquals(true, concreteTextSelector0.isEmpty());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.removeGraphicsNodeMouseWheelListener(Lorg/apache/batik/gvt/event/GraphicsNodeMouseWheelListener;)V: I2 Branch 11 IFNULL L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      aWTEventDispatcher0.removeGraphicsNodeMouseWheelListener((GraphicsNodeMouseWheelListener) null);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setEventQueueMaxSize(I)V: I4 Branch 21 IFNE L-1 - true
   * 2 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setEventQueueMaxSize(I)V: I14 Branch 22 IF_ICMPLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      aWTEventDispatcher0.setEventQueueMaxSize(243);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setEventQueueMaxSize(I)V: I4 Branch 21 IFNE L-1 - false
   * 2 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.setEventQueueMaxSize(I)V: I14 Branch 22 IF_ICMPLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      aWTEventDispatcher0.setEventQueueMaxSize(0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.processKeyEvent(Lorg/apache/batik/gvt/event/GraphicsNodeKeyEvent;)V: I2 Branch 58 IFNULL L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      RasterImageNode rasterImageNode0 = new RasterImageNode();
      GraphicsNodeKeyEvent graphicsNodeKeyEvent0 = new GraphicsNodeKeyEvent((GraphicsNode) rasterImageNode0, 0, (long) 0, 0, 0, 0, 'f', 0);
      aWTEventDispatcher0.processKeyEvent(graphicsNodeKeyEvent0);
      assertEquals(true, graphicsNodeKeyEvent0.isConsumed());
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.removeGraphicsNodeKeyListener(Lorg/apache/batik/gvt/event/GraphicsNodeKeyListener;)V: I2 Branch 15 IFNULL L-1 - false
   * 2 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.removeGraphicsNodeKeyListener(Lorg/apache/batik/gvt/event/GraphicsNodeKeyListener;)V: I6 Branch 16 IFNONNULL L-1 - true
   * 3 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.<init>()V: root-Branch
   * 4 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.addGraphicsNodeMouseListener(Lorg/apache/batik/gvt/event/GraphicsNodeMouseListener;)V: I2 Branch 5 IFNONNULL L-1 - false
   * 5 org.apache.batik.gvt.event.AbstractAWTEventDispatcher.addGraphicsNodeMouseListener(Lorg/apache/batik/gvt/event/GraphicsNodeMouseListener;)V: I12 Branch 6 IFNONNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      AWTEventDispatcher aWTEventDispatcher0 = new AWTEventDispatcher();
      ConcreteTextSelector concreteTextSelector0 = new ConcreteTextSelector();
      aWTEventDispatcher0.addGraphicsNodeMouseListener((GraphicsNodeMouseListener) concreteTextSelector0);
      aWTEventDispatcher0.removeGraphicsNodeKeyListener((GraphicsNodeKeyListener) concreteTextSelector0);
      assertEquals(true, concreteTextSelector0.isEmpty());
  }
}
