/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.values;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.values.AnimatableLengthOrIdentValue;
import org.apache.batik.anim.values.AnimatableLengthValue;
import org.apache.batik.anim.values.AnimatableValue;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.anim.AnimationTarget;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEComponentTransferElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AnimatableLengthValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.getZeroValue()Lorg/apache/batik/anim/values/AnimatableValue;: root-Branch
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;SFS)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AnimatableLengthValue animatableLengthValue0 = new AnimatableLengthValue((AnimationTarget) null, (short) (-1243), (float) (short) (-1243), (short) (-1243));
      AnimatableLengthValue animatableLengthValue1 = (AnimatableLengthValue)animatableLengthValue0.getZeroValue();
      assertEquals(1, animatableLengthValue1.getLengthType());
      assertEquals("org.apache.batik.anim.values.AnimatableLengthValue[0.0]", animatableLengthValue1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.getLengthValue()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMFEComponentTransferElement sVGOMFEComponentTransferElement0 = new SVGOMFEComponentTransferElement("mm", (AbstractDocument) sVGOMDocument0);
      AnimatableLengthValue animatableLengthValue0 = new AnimatableLengthValue((AnimationTarget) sVGOMFEComponentTransferElement0, (short) (-683), (float) (short) (-683), (short) (-683));
      float float0 = animatableLengthValue0.getLengthValue();
      assertEquals(-683, animatableLengthValue0.getLengthType());
      assertEquals((-683.0F), float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.getCssText()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;)V: root-Branch
   * 3 org.apache.batik.anim.values.AnimatableLengthValue.getLengthType()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, "");
      animatableLengthOrIdentValue0.getLengthType();
      AnimatableLengthValue animatableLengthValue0 = new AnimatableLengthValue((AnimationTarget) null, (short)556, (float) 0, (short)556);
      // Undeclared exception!
      try {
        animatableLengthValue0.getCssText();
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 555
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.canPace()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, "");
      animatableLengthOrIdentValue0.getLengthType();
      AnimatableLengthValue animatableLengthValue0 = new AnimatableLengthValue((AnimationTarget) null, (short)556, (float) 0, (short)556);
      boolean boolean0 = animatableLengthValue0.canPace();
      assertEquals(0.0F, animatableLengthValue0.getLengthValue(), 0.01F);
      assertEquals(true, boolean0);
      assertEquals(556, animatableLengthValue0.getLengthType());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.distanceTo(Lorg/apache/batik/anim/values/AnimatableValue;)F: root-Branch
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.getLengthType()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, "");
      animatableLengthOrIdentValue0.getLengthType();
      AnimatableLengthValue animatableLengthValue0 = new AnimatableLengthValue((AnimationTarget) null, (short)556, (float) 0, (short)556);
      // Undeclared exception!
      try {
        animatableLengthValue0.distanceTo((AnimatableValue) animatableLengthOrIdentValue0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I2 Branch 9 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I12 Branch 12 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I15 Branch 13 IF_ICMPEQ L-1 - false
   * 4 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I19 Branch 14 IF_ICMPNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      boolean boolean0 = AnimatableLengthValue.compatibleTypes((short)1, (short)556, (short)556, (short)556);
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 10 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I1 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I36 Branch 2 IFNULL L-1 - false
   * 3 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I49 Branch 3 IFNE L-1 - true
   * 4 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I93 Branch 4 IFNULL L-1 - false
   * 5 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I106 Branch 5 IFNE L-1 - true
   * 6 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I150 Branch 6 IF_ICMPNE L-1 - false
   * 7 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I154 Branch 7 IF_ICMPNE L-1 - false
   * 8 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I159 Branch 8 IFEQ L-1 - false
   * 9 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I2 Branch 9 IF_ICMPNE L-1 - false
   * 10 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I5 Branch 10 IF_ICMPNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, (short) (-1243), (float) (short) (-1243), (short) (-1243));
      animatableLengthOrIdentValue0.interpolate((AnimatableValue) animatableLengthOrIdentValue0, (AnimatableValue) animatableLengthOrIdentValue0, (float) (short) (-1243), (AnimatableValue) animatableLengthOrIdentValue0, (int) (short) (-1243));
      assertEquals(1543806.0F, animatableLengthOrIdentValue0.getLengthValue(), 0.01F);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I36 Branch 2 IFNULL L-1 - true
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I93 Branch 4 IFNULL L-1 - true
   * 3 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I150 Branch 6 IF_ICMPNE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, (short) (-1243), (float) (short) (-1243), (short) (-1243));
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue1 = (AnimatableLengthOrIdentValue)animatableLengthOrIdentValue0.interpolate((AnimatableValue) null, (AnimatableValue) null, (float) (short) (-1243), (AnimatableValue) null, (int) (short) (-1243));
      assertEquals(-1243, animatableLengthOrIdentValue1.getLengthType());
      assertEquals((-1243.0F), animatableLengthOrIdentValue1.getLengthValue(), 0.01F);
      assertNotNull(animatableLengthOrIdentValue1);
  }

  //Test case number: 8
  /*
   * 9 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I106 Branch 5 IFNE L-1 - false
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I2 Branch 9 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I2 Branch 9 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I5 Branch 10 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I12 Branch 12 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.anim.values.AnimatableLengthValue.compatibleTypes(SSSS)Z: I19 Branch 14 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I36 Branch 2 IFNULL L-1 - false
   * 8 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I49 Branch 3 IFNE L-1 - true
   * 9 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I93 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, (short)80, (float) (short)80, (short)80);
      AnimatableValue.formatNumber((float) (short)80);
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue1 = new AnimatableLengthOrIdentValue((AnimationTarget) null, "80.0");
      // Undeclared exception!
      try {
        animatableLengthOrIdentValue0.interpolate((AnimatableValue) animatableLengthOrIdentValue0, (AnimatableValue) animatableLengthOrIdentValue0, (float) (short)80, (AnimatableValue) animatableLengthOrIdentValue1, (int) (short)80);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 7 covered goals:
   * 1 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I154 Branch 7 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.anim.values.AnimatableLengthValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;)V: root-Branch
   * 3 org.apache.batik.anim.values.AnimatableLengthValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;SFS)V: root-Branch
   * 4 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I1 Branch 1 IFNONNULL L-1 - true
   * 5 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I36 Branch 2 IFNULL L-1 - true
   * 6 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I93 Branch 4 IFNULL L-1 - true
   * 7 org.apache.batik.anim.values.AnimatableLengthValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I150 Branch 6 IF_ICMPNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) null, (short) (-1243), (float) (short) (-1243), (short)0);
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue1 = (AnimatableLengthOrIdentValue)animatableLengthOrIdentValue0.interpolate((AnimatableValue) null, (AnimatableValue) null, (float) (short) (-1243), (AnimatableValue) null, (int) (short) (-1243));
      assertEquals((-1243.0F), animatableLengthOrIdentValue1.getLengthValue(), 0.01F);
      assertNotNull(animatableLengthOrIdentValue1);
      assertEquals(-1243, animatableLengthOrIdentValue1.getLengthType());
  }
}
