/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.apps.svgbrowser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Locale;
import java.util.MissingResourceException;
import org.apache.batik.apps.svgbrowser.Resources;
import org.junit.BeforeClass;

public class ResourcesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.Resources.getInteger(Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      try {
        Resources.getInteger("");
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Can't find resource for bundle java.util.PropertyResourceBundle, key 
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.Resources.getString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        Resources.getString((String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.Resources.setLocale(Ljava/util/Locale;)V: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.Resources.getLocale()Ljava/util/Locale;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Locale locale0 = Resources.getLocale();
      Resources.setLocale(locale0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.Resources.getCharacter(Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      try {
        Resources.getCharacter(" \t\n\r\f");
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Can't find resource for bundle java.util.PropertyResourceBundle, key  \t
         // \r\f
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.Resources.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Object[] objectArray0 = new Object[4];
      try {
        Resources.formatMessage("^ts", objectArray0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: ^ts
         //
      }
  }
}
