/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URL;
import org.apache.batik.bridge.EmbededScriptSecurity;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;

public class EmbededScriptSecurityEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I22 Branch 3 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("data:", "data:");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("data:", parsedURL0, parsedURL0);
      embededScriptSecurity0.checkLoadScript();
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("!|0B", (ParsedURL) null, (ParsedURL) null);
      // Undeclared exception!
      try {
        embededScriptSecurity0.checkLoadScript();
        fail("Expecting exception: SecurityException");
      
      } catch(SecurityException e) {
         //
         // Could not access the current document URL when trying to load script file null. Script will not be loaded as it is not possible to verify it comes from the same location as the document.
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I22 Branch 3 IFNE L-1 - false
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I24 Branch 4 IFNULL L-1 - false
   * 3 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 5 IFGT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      File file0 = new File(")ata", ")ata");
      URI uRI0 = file0.toURI();
      URL uRL0 = uRI0.toURL();
      ParsedURL parsedURL0 = new ParsedURL(uRL0);
      ParsedURL parsedURL1 = new ParsedURL(")ata", ")ata");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity(")ata", parsedURL0, parsedURL1);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I24 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("DefaultScriptSecurity.error.cannot.access.document.url", "DefaultScriptSecurity.error.cannot.access.document.url");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("DefaultScriptSecurity.error.cannot.access.document.url", (ParsedURL) null, parsedURL0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 5 IFGT L-1 - true
   * 2 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I22 Branch 3 IFNE L-1 - false
   * 4 org.apache.batik.bridge.EmbededScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I24 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("data:", "data:");
      ParsedURL parsedURL1 = new ParsedURL(parsedURL0, "bQse6^");
      EmbededScriptSecurity embededScriptSecurity0 = new EmbededScriptSecurity("bQse6^", parsedURL0, parsedURL1);
  }
}
