/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.bridge.ViewBox;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimatedPreserveAspectRatio;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMTSpanElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.XBLOMDefinitionElement;
import org.apache.batik.extension.svg.ColorSwitchElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.svg.SVGAnimatedPreserveAspectRatio;

public class ViewBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform(Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I2 Branch 14 IFNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      ColorSwitchElement colorSwitchElement0 = new ColorSwitchElement("", (AbstractDocument) genericDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform((Element) colorSwitchElement0, 1.0F, 1.0F, bridgeContext0);
      assertEquals(1.0, affineTransform0.getDeterminant(), 0.01D);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform(Lorg/w3c/dom/Element;[FFFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      float[] floatArray0 = new float[2];
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      // Undeclared exception!
      try {
        ViewBox.getPreserveAspectRatioTransform((Element) null, floatArray0, 0.0F, 0.0F, bridgeContext0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 13 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform(Lorg/w3c/dom/Element;[FFFLorg/w3c/dom/svg/SVGAnimatedPreserveAspectRatio;Lorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I10 Branch 15 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I1 Branch 25 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I25 Branch 26 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I57 Branch 27 IFGE L-1 - true
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I64 Branch 29 IFLT L-1 - false
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I66 Branch 30 IFNE L-1 - true
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 40 TABLESWITCH L-1 Case 2 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 41 TABLESWITCH L-1 Case 3 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 42 TABLESWITCH L-1 Case 4 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 43 TABLESWITCH L-1 Case 5 - false
   * 11 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 44 TABLESWITCH L-1 Case 6 - true
   * 12 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 45 TABLESWITCH L-1 Case 7 - false
   * 13 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 46 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("in2", "in2", "in2");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      XBLOMDefinitionElement xBLOMDefinitionElement0 = new XBLOMDefinitionElement("in2", (AbstractDocument) genericDocument0);
      float[] floatArray0 = new float[5];
      SVGOMAnimatedPreserveAspectRatio sVGOMAnimatedPreserveAspectRatio0 = new SVGOMAnimatedPreserveAspectRatio((AbstractElement) xBLOMDefinitionElement0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform((Element) xBLOMDefinitionElement0, floatArray0, 0.0F, 0.0F, (SVGAnimatedPreserveAspectRatio) sVGOMAnimatedPreserveAspectRatio0, bridgeContext0);
      assertEquals(13, affineTransform0.getType());
      assertNotNull(affineTransform0);
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I4 Branch 2 IFNE L-1 - true
   * 3 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I31 Branch 3 IFEQ L-1 - false
   * 4 org.apache.batik.bridge.ViewBox.getViewTransform(Ljava/lang/String;Lorg/w3c/dom/Element;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I42 Branch 4 IFNONNULL L-1 - false
   * 5 org.apache.batik.bridge.ViewBox$ViewHandler.<init>()V: root-Branch
   * 6 org.apache.batik.bridge.ViewBox$ViewHandler.startFragmentIdentifier()V: root-Branch
   * 7 org.apache.batik.bridge.ViewBox$ViewHandler.idReference(Ljava/lang/String;)V: root-Branch
   * 8 org.apache.batik.bridge.ViewBox$ViewHandler.endFragmentIdentifier()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("namespaces", "namespaces", "namespaces");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMTSpanElement sVGOMTSpanElement0 = new SVGOMTSpanElement("namespaces", (AbstractDocument) sVGOMDocument0);
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      BridgeContext bridgeContext0 = sVGDescElementBridge0.theCtx;
      // Undeclared exception!
      try {
        ViewBox.getViewTransform("namespaces", (Element) sVGOMTSpanElement0, 1133.793F, 1133.793F, (BridgeContext) null);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // null:0
         // The URI \"namespaces\"
         // specified on the element <tspan> is invalid
         //
      }
  }

  //Test case number: 4
  /*
   * 10 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I57 Branch 27 IFGE L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I59 Branch 28 IFNE L-1 - false
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I64 Branch 29 IFLT L-1 - true
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 44 TABLESWITCH L-1 Case 6 - false
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 46 TABLESWITCH L-1 Default-Case - true
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 40 TABLESWITCH L-1 Case 2 - false
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 41 TABLESWITCH L-1 Case 3 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 42 TABLESWITCH L-1 Case 4 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 43 TABLESWITCH L-1 Case 5 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I164 Branch 45 TABLESWITCH L-1 Case 7 - false
   */

  @Test
  public void test4()  throws Throwable  {
      float[] floatArray0 = new float[4];
      floatArray0[3] = 1509.682F;
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform(floatArray0, (short)0, false, 1509.682F, 1509.682F);
      assertNotNull(affineTransform0);
      assertEquals("AffineTransform[[Infinity, 0.0, NaN], [0.0, Infinity, -Infinity]]", affineTransform0.toString());
  }

  //Test case number: 5
  /*
   * 10 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I66 Branch 30 IFNE L-1 - false
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 31 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 32 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 33 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 34 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 35 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 36 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 37 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 38 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 39 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test5()  throws Throwable  {
      float[] floatArray0 = new float[10];
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform(floatArray0, (short)244, false, 0.0F, 0.0F);
      assertEquals(Double.NaN, affineTransform0.getScaleY(), 0.01D);
      assertNotNull(affineTransform0);
  }

  //Test case number: 6
  /*
   * 14 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 36 TABLESWITCH L-1 Case 7 - true
   * 2 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 39 TABLESWITCH L-1 Default-Case - false
   * 3 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I1 Branch 25 IFNONNULL L-1 - true
   * 4 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I25 Branch 26 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I57 Branch 27 IFGE L-1 - true
   * 6 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I64 Branch 29 IFLT L-1 - false
   * 7 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I66 Branch 30 IFNE L-1 - false
   * 8 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 31 TABLESWITCH L-1 Case 2 - false
   * 9 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 32 TABLESWITCH L-1 Case 3 - false
   * 10 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 33 TABLESWITCH L-1 Case 4 - false
   * 11 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 34 TABLESWITCH L-1 Case 5 - false
   * 12 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 35 TABLESWITCH L-1 Case 6 - false
   * 13 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 37 TABLESWITCH L-1 Case 8 - false
   * 14 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform([FSZFF)Ljava/awt/geom/AffineTransform;: I81 Branch 38 TABLESWITCH L-1 Case 9 - false
   */

  @Test
  public void test6()  throws Throwable  {
      float[] floatArray0 = new float[5];
      AffineTransform affineTransform0 = ViewBox.getPreserveAspectRatioTransform(floatArray0, (short)7, false, 79.0F, 0.0F);
      assertEquals("AffineTransform[[NaN, 0.0, NaN], [0.0, NaN, NaN]]", affineTransform0.toString());
      assertNotNull(affineTransform0);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.ViewBox.getPreserveAspectRatioTransform(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;FFLorg/apache/batik/bridge/BridgeContext;)Ljava/awt/geom/AffineTransform;: I2 Branch 14 IFNE L-1 - true
   * 2 org.apache.batik.bridge.ViewBox.parseViewBoxAttribute(Lorg/w3c/dom/Element;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)[F: I2 Branch 17 IFNE L-1 - true
   * 3 org.apache.batik.bridge.ViewBox.parseViewBoxAttribute(Lorg/w3c/dom/Element;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)[F: I20 Branch 18 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.bridge.ViewBox.parseViewBoxAttribute(Lorg/w3c/dom/Element;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)[F: I23 Branch 19 IFEQ L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      float[] floatArray0 = new float[10];
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      // Undeclared exception!
      try {
        ViewBox.getPreserveAspectRatioTransform((Element) null, "evt", "evt", 0.0F, 0.0F, bridgeContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // For input string: \"evt\"
         //
      }
  }
}
