/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedHashSet;
import java.util.Set;
import org.apache.batik.css.engine.sac.CSSAttributeCondition;
import org.apache.batik.css.engine.sac.CSSClassCondition;
import org.apache.batik.css.engine.sac.CSSConditionalSelector;
import org.apache.batik.css.engine.sac.CSSElementSelector;
import org.apache.batik.css.parser.DefaultElementSelector;
import org.apache.batik.css.parser.DefaultOneOfAttributeCondition;
import org.apache.batik.util.CSSConstants;
import org.junit.BeforeClass;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.SimpleSelector;

public class CSSConditionalSelectorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DefaultElementSelector defaultElementSelector0 = new DefaultElementSelector("$", "$");
      CSSAttributeCondition cSSAttributeCondition0 = new CSSAttributeCondition("$", "$", true, "$");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) defaultElementSelector0, (Condition) cSSAttributeCondition0);
      CSSAttributeCondition cSSAttributeCondition1 = (CSSAttributeCondition)cSSConditionalSelector0.getCondition();
      assertEquals("$", cSSAttributeCondition1.getValue());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.fillAttributeSet(Ljava/util/Set;)V: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) null);
      LinkedHashSet<CSSClassCondition> linkedHashSet0 = new LinkedHashSet<CSSClassCondition>();
      // Undeclared exception!
      try {
        cSSConditionalSelector0.fillAttributeSet((Set) linkedHashSet0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSpecificity()I: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSClassCondition cSSClassCondition0 = new CSSClassCondition("", "", "");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) cSSClassCondition0);
      // Undeclared exception!
      try {
        cSSConditionalSelector0.getSpecificity();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSElementSelector cSSElementSelector0 = new CSSElementSelector("bI", "bI");
      DefaultOneOfAttributeCondition defaultOneOfAttributeCondition0 = new DefaultOneOfAttributeCondition("bI", "bI", true, "bI");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) cSSElementSelector0, (Condition) defaultOneOfAttributeCondition0);
      String string0 = cSSConditionalSelector0.toString();
      assertNotNull(string0);
      assertEquals("bI[bI~=\"bI\"]", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSelectorType()S: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) null);
      short short0 = cSSConditionalSelector0.getSelectorType();
      assertEquals((short)0, short0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I6 Branch 2 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSElementSelector cSSElementSelector0 = new CSSElementSelector("bI", "bI");
      DefaultOneOfAttributeCondition defaultOneOfAttributeCondition0 = new DefaultOneOfAttributeCondition("bI", "bI", true, "bI");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) cSSElementSelector0, (Condition) defaultOneOfAttributeCondition0);
      String string0 = CSSConstants.CSS_NAVAJOWHITE_VALUE;
      boolean boolean0 = cSSConditionalSelector0.equals((Object) "navajowhite");
      assertEquals(false, boolean0);
  }
}
