/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.RGBColorValue;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.svg.ColorManager;
import org.apache.batik.css.engine.value.svg.KerningManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.SVGPaintManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMGlyphElement;
import org.apache.batik.dom.svg.SVGOMPolygonElement;
import org.apache.batik.dom.svg.SVGOMUseElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMSubImageRefElement;
import org.apache.batik.script.InterpreterPool;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class AbstractColorManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractColorManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.AbstractColorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("event");
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("event");
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("event", "event", "event");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      try {
        sVGPaintManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"event\" identifier is not a valid value for the \"event\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 2 IF_ICMPNE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("");
      RGBColorValue rGBColorValue0 = (RGBColorValue)sVGPaintManager0.getDefaultValue();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSubImageRefElement sVGOMSubImageRefElement0 = new SVGOMSubImageRefElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMUseElement sVGOMUseElement0 = new SVGOMUseElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMUseElement0.getComputedStyleMap("");
      RGBColorValue rGBColorValue1 = (RGBColorValue)sVGPaintManager0.computeValue((CSSStylableElement) sVGOMSubImageRefElement0, "", (CSSEngine) null, 0, (StyleMap) null, (Value) rGBColorValue0);
      assertSame(rGBColorValue0, rGBColorValue1);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 2 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I13 Branch 3 IFNULL L-1 - true
   * 3 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I20 Branch 4 IFNONNULL L-1 - false
   * 4 org.apache.batik.css.engine.value.AbstractColorManager.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ColorManager colorManager0 = new ColorManager();
      colorManager0.getPropertyName();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("color", "color", "color");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMGlyphElement sVGOMGlyphElement0 = new SVGOMGlyphElement("color", (AbstractDocument) sVG12OMDocument0);
      ValueManager[] valueManagerArray0 = new ValueManager[3];
      valueManagerArray0[0] = (ValueManager) colorManager0;
      valueManagerArray0[1] = (ValueManager) colorManager0;
      valueManagerArray0[2] = (ValueManager) colorManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[5];
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) marginShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) markerShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) marginShorthandManager0;
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, (DocumentLoader) null);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVG12OMDocument0, (ParsedURL) null, (ExtendedParser) null, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      SVGOMPolygonElement sVGOMPolygonElement0 = new SVGOMPolygonElement("color", (AbstractDocument) sVG12OMDocument0);
      sVGOMPolygonElement0.getComputedStyleMap("color");
      KerningManager kerningManager0 = new KerningManager();
      StringValue stringValue0 = (StringValue)kerningManager0.getDefaultValue();
      // Undeclared exception!
      try {
        colorManager0.computeValue((CSSStylableElement) sVGOMGlyphElement0, "color", (CSSEngine) sVG12CSSEngine0, (-1556), (StyleMap) null, (Value) stringValue0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Not a system-color:auto
         //
      }
  }
}
