/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontWeightManager;
import org.apache.batik.css.engine.value.svg.DominantBaselineManager;
import org.apache.batik.css.engine.value.svg.FillRuleManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.SVGColorManager;
import org.apache.batik.css.engine.value.svg.StrokeWidthManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractValueFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidStringTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DominantBaselineManager dominantBaselineManager0 = new DominantBaselineManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("|:/A}\"w[)`'N", "|:/A}\"w[)`'N", "|:/A}\"w[)`'N");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      ValueManager[] valueManagerArray0 = new ValueManager[3];
      valueManagerArray0[0] = (ValueManager) dominantBaselineManager0;
      SVGColorManager sVGColorManager0 = new SVGColorManager("|:/A}\"w[)`'N");
      valueManagerArray0[1] = (ValueManager) sVGColorManager0;
      valueManagerArray0[2] = (ValueManager) dominantBaselineManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[4];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) marginShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) markerShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) null, valueManagerArray0, shorthandManagerArray0);
      try {
        dominantBaselineManager0.createStringValue((short)0, "|:/A}\"w[)`'N", (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (0) is invalid for the \"dominant-baseline\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StrokeWidthManager strokeWidthManager0 = new StrokeWidthManager();
      try {
        strokeWidthManager0.createFloatValue((short) (-2048), (short) (-2048));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_UNKNOWN) represents an invalid type for the \"stroke-width\".
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatValueDOMException(F)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      try {
        fontWeightManager0.createFloatValue((short)937, (short)937);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '937' represents an invalid value for the 'font-weight' property.
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FillRuleManager fillRuleManager0 = new FillRuleManager();
      try {
        fillRuleManager0.createFloatValue((short)0, (short)0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"fill-rule\" property.
         //
      }
  }
}
