/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericCDATASection;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericText;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractCharacterDataEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.copyInto(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      GenericComment genericComment1 = (GenericComment)genericComment0.cloneNode(false);
      assertFalse(genericComment1.equals(genericComment0));
  }

  //Test case number: 1
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.getNodeValue()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I2 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I29 Branch 2 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I43 Branch 3 IFNULL L-1 - true
   * 5 org.apache.batik.dom.AbstractCharacterData.appendData(Ljava/lang/String;)V: I2 Branch 4 IFEQ L-1 - true
   * 6 org.apache.batik.dom.AbstractCharacterData.appendData(Ljava/lang/String;)V: I32 Branch 5 IFNONNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("Scroll", (AbstractDocument) genericDocument0);
      genericCDATASection0.appendData("Scroll");
      assertEquals(12, genericCDATASection0.getLength());
      assertEquals("ScrollScroll", genericCDATASection0.getTextContent());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractCharacterData.setData(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      GenericText genericText0 = new GenericText("nr.x\"6Wz,Qr^", (AbstractDocument) genericDocument0);
      genericText0.setData("nr.x\"6Wz,Qr^");
      assertEquals(12, genericText0.getLength());
      assertEquals("nr.x\"6Wz,Qr^", genericText0.getWholeText());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.getLength()I: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.checkOffsetCount(II)V: I1 Branch 11 IFLT L-1 - false
   * 3 org.apache.batik.dom.AbstractCharacterData.checkOffsetCount(II)V: I5 Branch 12 IF_ICMPLT L-1 - false
   * 4 org.apache.batik.dom.AbstractCharacterData.deleteData(II)V: I2 Branch 9 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      try {
        genericComment0.deleteData(0, 0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // offset
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I2 Branch 6 IFEQ L-1 - true
   * 2 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I25 Branch 7 IFLT L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("negative.count", "negative.count", "negative.count");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericText genericText0 = new GenericText("negative.count", (AbstractDocument) sVGOMDocument0);
      try {
        genericText0.insertData((int) (short) (-106), "negative.count");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given offset (-106) is out of range.
         //
      }
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I25 Branch 7 IFLT L-1 - false
   * 2 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I29 Branch 8 IF_ICMPLE L-1 - true
   * 3 org.apache.batik.dom.AbstractCharacterData.<init>()V: root-Branch
   * 4 org.apache.batik.dom.AbstractCharacterData.getNodeValue()Ljava/lang/String;: root-Branch
   * 5 org.apache.batik.dom.AbstractCharacterData.getLength()I: root-Branch
   * 6 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I2 Branch 6 IFEQ L-1 - true
   * 7 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I2 Branch 1 IFEQ L-1 - true
   * 8 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I29 Branch 2 IFNONNULL L-1 - true
   * 9 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I43 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("negative.count", "negative.count", "negative.count");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericText genericText0 = new GenericText("negative.count", (AbstractDocument) sVGOMDocument0);
      genericText0.insertData(1, "negative.count");
      assertEquals("nnegative.countegative.count", genericText0.getWholeText());
      assertEquals("nnegative.countegative.count", genericText0.getNodeValue());
  }
}
