/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericAttr;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericEntity;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.StyleSheetProcessingInstruction;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class AbstractNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getNextSibling()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType(";/", ";/", ";/");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      GenericEntity genericEntity0 = new GenericEntity(";/", ";/", ";/", (AbstractDocument) sVG12OMDocument0);
      Node node0 = genericEntity0.getNextSibling();
      assertNull(node0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getPreviousSibling()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("KO", "KO", "KO");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      Node node0 = sVGOMDocument0.getPreviousSibling();
      assertNull(node0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.willTriggerNS(Ljava/lang/String;Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      boolean boolean0 = sVGOMDocument0.willTriggerNS("pzA;&{Yp6uk=`8G_hP", "pzA;&{Yp6uk=`8G_hP");
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblParentNode()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getParentNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType(";/", ";/", ";/");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      GenericEntity genericEntity0 = new GenericEntity(";/", ";/", ";/", (AbstractDocument) sVG12OMDocument0);
      Node node0 = genericEntity0.getXblParentNode();
      assertNull(node0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.createDOMException(SLjava/lang/String;[Ljava/lang/Object;)Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericAttr genericAttr0 = null;
      try {
        genericAttr0 = new GenericAttr("", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"\") is an invalid XML name.
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getNamespaceURI()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getPrefix()Ljava/lang/String;: I2 Branch 2 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      GenericComment genericComment0 = new GenericComment("pzA;&{Yp6uk=`8G_hP", (AbstractDocument) sVGOMDocument0);
      genericComment0.getPrefix();
      assertEquals(false, sVGOMDocument0.getEventsEnabled());
  }

  //Test case number: 6
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getBaseURI()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I7 Branch 14 IFNULL L-1 - true
   * 3 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I24 Branch 16 IFNONNULL L-1 - false
   * 4 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I28 Branch 17 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I44 Branch 18 IFNULL L-1 - true
   * 6 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I44 Branch 18 IFNULL L-1 - false
   * 7 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I48 Branch 19 IF_ICMPEQ L-1 - false
   * 8 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I55 Branch 20 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("DOMNodeInsertedIntoDocument", "DOMNodeInsertedIntoDocument", "DOMNodeInsertedIntoDocument");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericComment genericComment0 = new GenericComment("DOMNodeInsertedIntoDocument", (AbstractDocument) genericDocument0);
      genericComment0.getBaseURI();
      assertEquals(false, genericDocument0.getEventsEnabled());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.normalize()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("KO", "KO", "KO");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVGOMDocument0.normalize();
      assertEquals("null", sVGOMDocument0.getTextContent());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.initializeEventSupport()Lorg/apache/batik/dom/events/EventSupport;: I2 Branch 171 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType(";/", ";/", ";/");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      // Undeclared exception!
      try {
        sVG12OMDocument0.initializeEventSupport();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.hasEventListenerNS(Ljava/lang/String;Ljava/lang/String;)Z: I2 Branch 168 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType(";/", ";/", ";/");
      boolean boolean0 = genericDocumentType0.hasEventListenerNS(";/", ";/");
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 19 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 98 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 99 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 100 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 101 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 102 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 103 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 104 TABLESWITCH L-1 Case 7 - true
   * 8 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 105 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 106 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 107 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 108 TABLESWITCH L-1 Case 11 - false
   * 12 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 109 TABLESWITCH L-1 Case 12 - false
   * 13 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 110 TABLESWITCH L-1 Default-Case - false
   * 14 org.apache.batik.dom.AbstractNode.lookupNamespaceURI(Ljava/lang/String;)Ljava/lang/String;: I97 Branch 120 IFNULL L-1 - true
   * 15 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 16 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 17 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 18 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   * 19 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("KO", "KO", "KO");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("KO", (AbstractDocument) sVGOMDocument0, (StyleSheetFactory) sVGDOMImplementation0);
      styleSheetProcessingInstruction0.lookupNamespaceURI("KO");
      assertEquals(false, sVGOMDocument0.getEventsEnabled());
  }
}
