/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.events;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.dom.CSSOMViewCSS;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.svg.BaselineShiftManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationHorizontalManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.events.DOMTimeEvent;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.views.AbstractView;

public class DOMTimeEventEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.DOMTimeEvent.setTimestamp(J)V: root-Branch
   * 2 org.apache.batik.dom.events.DOMTimeEvent.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.setTimestamp((long) 0);
      assertEquals(0, dOMTimeEvent0.getDetail());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.DOMTimeEvent.initTimeEventNS(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/views/AbstractView;I)V: root-Branch
   * 2 org.apache.batik.dom.events.DOMTimeEvent.getView()Lorg/w3c/dom/views/AbstractView;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.getView();
      dOMTimeEvent0.initTimeEventNS("", "", (AbstractView) null, (int) (short) (-1967));
      assertEquals(-1967, dOMTimeEvent0.getDetail());
      assertEquals(1398045580457L, dOMTimeEvent0.getTimeStamp());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DOMTimeEvent.getDetail()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      int int0 = dOMTimeEvent0.getDetail();
      assertEquals(1398045580478L, dOMTimeEvent0.getTimeStamp());
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.DOMTimeEvent.initTimeEvent(Ljava/lang/String;Lorg/w3c/dom/views/AbstractView;I)V: root-Branch
   * 2 org.apache.batik.dom.events.DOMTimeEvent.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      Parser parser0 = new Parser();
      ValueManager[] valueManagerArray0 = new ValueManager[2];
      BaselineShiftManager baselineShiftManager0 = new BaselineShiftManager();
      valueManagerArray0[0] = (ValueManager) baselineShiftManager0;
      GlyphOrientationHorizontalManager glyphOrientationHorizontalManager0 = new GlyphOrientationHorizontalManager();
      valueManagerArray0[1] = (ValueManager) glyphOrientationHorizontalManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[1];
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) marginShorthandManager0;
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0);
      CSSOMViewCSS cSSOMViewCSS0 = new CSSOMViewCSS((CSSEngine) sVGCSSEngine0);
      dOMTimeEvent0.initTimeEvent("right.brace", (AbstractView) cSSOMViewCSS0, 0);
      assertEquals(1398045580490L, dOMTimeEvent0.getTimeStamp());
  }
}
