/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMElement;
import org.apache.batik.dom.svg.SVGOMFontFaceElement;
import org.apache.batik.dom.svg.SVGOMLineElement;
import org.apache.batik.dom.svg.SVGTextContentSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVGOMFlowSpanElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGTextContentSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint((SVGOMElement) null);
      assertEquals(0.0F, sVGTextContentSupport_SVGTextPoint0.getX(), 0.01F);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGTextContentSupport sVGTextContentSupport0 = new SVGTextContentSupport();
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getStartPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getStartPositionOfChar((Element) null, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getStartPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 4 IFLT L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getStartPositionOfChar((Element) null, (-881));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getEndPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 7 IFLT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("readonly.rect", "readonly.rect", "readonly.rect");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFlowSpanElement sVGOMFlowSpanElement0 = new SVGOMFlowSpanElement("readonly.rect", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMFlowSpanElement0.getEndPositionOfChar(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getSubStringLength(Lorg/w3c/dom/Element;II)F: I4 Branch 14 IFLT L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("g:Ss9fG", "g:Ss9fG", "g:Ss9fG");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMLineElement sVGOMLineElement0 = new SVGOMLineElement("g:Ss9fG", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getSubStringLength((Element) sVGOMLineElement0, (-1853), (-1853));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // 
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getExtentOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGRect;: I4 Branch 1 IFLT L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getExtentOfChar((Element) null, 222);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getRotationOfChar(Lorg/w3c/dom/Element;I)F: I4 Branch 12 IFLT L-1 - false
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFontFaceElement sVGOMFontFaceElement0 = new SVGOMFontFaceElement("", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getRotationOfChar((Element) sVGOMFontFaceElement0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
