/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.image.ColorModel;
import java.awt.image.DirectColorModel;
import java.awt.image.Raster;
import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.JToolBar;
import org.apache.batik.ext.awt.image.GraphicsUtil;
import org.junit.BeforeClass;

public class GraphicsUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.GraphicsUtil.makeRasterWritable(Ljava/awt/image/Raster;)Ljava/awt/image/WritableRaster;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        GraphicsUtil.makeRasterWritable((Raster) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.GraphicsUtil.makeLinear_sRGBCM(Z)Ljava/awt/image/ColorModel;: I1 Branch 58 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      DirectColorModel directColorModel0 = (DirectColorModel)GraphicsUtil.makeLinear_sRGBCM(true);
      assertEquals(true, directColorModel0.isAlphaPremultiplied());
      assertNotNull(directColorModel0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.GraphicsUtil.coerceColorModel(Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I3 Branch 87 IF_ICMPNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      JToolBar jToolBar0 = new JToolBar();
      JRadioButton jRadioButton0 = new JRadioButton();
      jRadioButton0.getAction();
      JButton jButton0 = jToolBar0.add((Action) null);
      DirectColorModel directColorModel0 = (DirectColorModel)jButton0.getColorModel();
      DirectColorModel directColorModel1 = (DirectColorModel)GraphicsUtil.coerceColorModel((ColorModel) directColorModel0, true);
      assertNotNull(directColorModel1);
      assertEquals(true, directColorModel1.isAlphaPremultiplied());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.GraphicsUtil.coerceColorModel(Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I3 Branch 87 IF_ICMPNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      DirectColorModel directColorModel0 = (DirectColorModel)ColorModel.getRGBdefault();
      DirectColorModel directColorModel1 = (DirectColorModel)GraphicsUtil.coerceColorModel((ColorModel) directColorModel0, false);
      assertEquals(4, directColorModel1.getNumComponents());
  }
}
