/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.renderer;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.geom.AffineTransform;
import javax.swing.Box;
import org.apache.batik.gvt.renderer.StaticRenderer;
import org.junit.BeforeClass;

public class StaticRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.setRenderingHints(Ljava/awt/RenderingHints;)V: root-Branch
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      // Undeclared exception!
      try {
        staticRenderer0.setRenderingHints((RenderingHints) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.dispose();
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.getRenderingHints()Ljava/awt/RenderingHints;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      RenderingHints renderingHints0 = staticRenderer0.getRenderingHints();
      assertEquals(false, renderingHints0.isEmpty());
      assertNotNull(renderingHints0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.setTransform(Ljava/awt/geom/AffineTransform;)V: I4 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.setTransform(Ljava/awt/geom/AffineTransform;)V: I8 Branch 2 IFNONNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      AffineTransform affineTransform0 = AffineTransform.getQuadrantRotateInstance((-1));
      staticRenderer0.setTransform(affineTransform0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.flush(Ljava/awt/Rectangle;)V: I2 Branch 21 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      Box box0 = Box.createVerticalBox();
      Rectangle rectangle0 = box0.getBounds((Rectangle) null);
      staticRenderer0.flush(rectangle0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }
}
