/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Point;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.geom.Line2D;
import java.awt.geom.Point2D;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.util.PreferenceManager;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class PreferenceManagerEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.getPreferenceDirectory()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      String string0 = PreferenceManager.getPreferenceDirectory();
      assertNull(string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setPreferenceDirectory(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PreferenceManager.setPreferenceDirectory(".svg");
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.save()V: I4 Branch 6 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.save()V: I22 Branch 7 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.save()V: I24 Branch 8 IFNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;Ljava/util/Map;)V: root-Branch
   * 5 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          PreferenceManager preferenceManager0 = new PreferenceManager("");
          // Undeclared exception!
          try {
            preferenceManager0.save();
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission .svg write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:183)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:84)
             // org.apache.batik.util.PreferenceManager.save(Unknown Source)
             // sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
             // sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I11 Branch 11 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I29 Branch 12 IFNE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I47 Branch 13 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I65 Branch 14 IFNE L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I83 Branch 15 IFNE L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - true
   * 7 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I1 Branch 54 IFNULL L-1 - false
   * 8 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I7 Branch 55 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Color color0 = new Color(1554);
      preferenceManager0.setColor("", color0);
      Rectangle rectangle0 = preferenceManager0.getRectangle("");
      assertNotNull(rectangle0);
      assertEquals("java.awt.Rectangle[x=0,y=6,width=18,height=255]", rectangle0.toString());
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.setFont(Ljava/lang/String;Ljava/awt/Font;)V: I1 Branch 56 IFNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.setFont(Ljava/lang/String;Ljava/awt/Font;)V: I7 Branch 57 IFNE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I5 Branch 42 IFNULL L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I19 Branch 43 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      int int0 = preferenceManager0.getInteger("");
      assertEquals(0, int0);
      
      Font font0 = new Font("", 0, 0);
      preferenceManager0.setFont("", font0);
      String string0 = preferenceManager0.getString("");
      assertNotNull(string0);
      assertEquals(" 0 0", string0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I20 Branch 33 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I31 Branch 34 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      String[] stringArray0 = preferenceManager0.getStrings("");
      assertNull(stringArray0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFont(Ljava/lang/String;Ljava/awt/Font;)V: I1 Branch 56 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFont(Ljava/lang/String;)Ljava/awt/Font;: I11 Branch 28 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager(".svg");
      preferenceManager0.getFont(".svg");
      preferenceManager0.setFont(".svg", (Font) null);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getBoolean(Ljava/lang/String;)Z: I4 Branch 46 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getBoolean(Ljava/lang/String;)Z: I17 Branch 47 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      boolean boolean0 = preferenceManager0.getBoolean("");
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setDimension(Ljava/lang/String;Ljava/awt/Dimension;)V: I1 Branch 50 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getDimension(Ljava/lang/String;)Ljava/awt/Dimension;: I11 Branch 16 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("rYs");
      preferenceManager0.getDimension("rYs");
      preferenceManager0.setDimension("rYs", (Dimension) null);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I3 Branch 72 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I45 Branch 75 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.getFiles(Ljava/lang/String;)[Ljava/io/File;: I20 Branch 40 IFNONNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.getFiles(Ljava/lang/String;)[Ljava/io/File;: I31 Branch 41 IFEQ L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getFile(Ljava/lang/String;)Ljava/io/File;: I11 Branch 38 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager(".svg");
      preferenceManager0.getFiles(".svg");
      preferenceManager0.setFiles(".svg", (File[]) null);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I3 Branch 72 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I14 Branch 74 IFNULL L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      File[] fileArray0 = new File[1];
      preferenceManager0.setFiles("V~r", fileArray0);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 11
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I14 Branch 74 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I1 Branch 70 IFNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.setFile(Ljava/lang/String;Ljava/io/File;)V: I7 Branch 71 IFNE L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I3 Branch 72 IFNULL L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I10 Branch 73 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.util.PreferenceManager.setFiles(Ljava/lang/String;[Ljava/io/File;)V: I45 Branch 75 IFNONNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      File[] fileArray0 = new File[1];
      File file0 = new File("V~r");
      fileArray0[0] = file0;
      preferenceManager0.setFiles("V~r", fileArray0);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I11 Branch 23 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I24 Branch 24 IFNE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I42 Branch 25 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I60 Branch 26 IFNE L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I78 Branch 27 IFNE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Color color0 = new Color(1554);
      preferenceManager0.setColor("", color0);
      Color color1 = preferenceManager0.getColor("");
      assertEquals(-16775662, color1.getRGB());
      assertNotNull(color1);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.getColor(Ljava/lang/String;)Ljava/awt/Color;: I11 Branch 23 IFNONNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      Color color0 = preferenceManager0.getColor("");
      assertNull(color0);
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setPoint(Ljava/lang/String;Ljava/awt/Point;)V: I1 Branch 52 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setPoint(Ljava/lang/String;Ljava/awt/Point;)V: I7 Branch 53 IFNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      Point point0 = new Point(113, 113);
      preferenceManager0.setPoint("V~r", point0);
      assertEquals(113.0, point0.getY(), 0.01D);
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.getRectangle(Ljava/lang/String;)Ljava/awt/Rectangle;: I11 Branch 11 IFNONNULL L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      HashMap<Float, File> hashMap0 = new HashMap<Float, File>();
      PreferenceManager preferenceManager0 = new PreferenceManager("-VPQ'}", (Map) hashMap0);
      Rectangle rectangle0 = preferenceManager0.getRectangle("-VPQ'}");
      assertNull(rectangle0);
  }

  //Test case number: 16
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getURLs(Ljava/lang/String;)[Ljava/net/URL;: I20 Branch 36 IFNONNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.getURLs(Ljava/lang/String;)[Ljava/net/URL;: I31 Branch 37 IFEQ L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getURL(Ljava/lang/String;)Ljava/net/URL;: I11 Branch 35 IFNONNULL L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      URL[] uRLArray0 = preferenceManager0.getURLs("V~r");
      assertNull(uRLArray0);
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getFloat(Ljava/lang/String;)F: I5 Branch 44 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFloat(Ljava/lang/String;)F: I19 Branch 45 IFNONNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      float float0 = preferenceManager0.getFloat("");
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I1 Branch 54 IFNULL L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("rYs");
      preferenceManager0.setColor("rYs", (Color) null);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setBoolean(Ljava/lang/String;Z)V: I3 Branch 80 IFNULL L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("9'");
      preferenceManager0.setBoolean("9'", true);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setRectangle(Ljava/lang/String;Ljava/awt/Rectangle;)V: I1 Branch 48 IFNULL L-1 - false
   * 2 org.apache.batik.util.PreferenceManager.setRectangle(Ljava/lang/String;Ljava/awt/Rectangle;)V: I7 Branch 49 IFNE L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("");
      preferenceManager0.getString("");
      Point point0 = new Point();
      Line2D.Double line2D_Double0 = new Line2D.Double((Point2D) point0, (Point2D) point0);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      // Undeclared exception!
      try {
        preferenceManager0.setRectangle((String) null, rectangle0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 21
  /*
   * 6 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I11 Branch 19 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I29 Branch 20 IFNE L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I47 Branch 21 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I65 Branch 22 IFNE L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.setDimension(Ljava/lang/String;Ljava/awt/Dimension;)V: I1 Branch 50 IFNULL L-1 - false
   * 6 org.apache.batik.util.PreferenceManager.setDimension(Ljava/lang/String;Ljava/awt/Dimension;)V: I7 Branch 51 IFNE L-1 - false
   */

  @Test
  public void test21()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("-VPQ'}");
      Dimension dimension0 = new Dimension();
      preferenceManager0.setDimension("-VPQ'}", dimension0);
      Point point0 = preferenceManager0.getPoint("-VPQ'}");
      assertNull(point0);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I11 Branch 19 IFNONNULL L-1 - false
   */

  @Test
  public void test22()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager(".svg");
      Point point0 = preferenceManager0.getPoint(".svg");
      assertNull(point0);
  }

  //Test case number: 23
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I65 Branch 22 IFNE L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I11 Branch 19 IFNONNULL L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I29 Branch 20 IFNE L-1 - true
   * 4 org.apache.batik.util.PreferenceManager.getPoint(Ljava/lang/String;)Ljava/awt/Point;: I47 Branch 21 IFNE L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      Color color0 = new Color(113, true);
      preferenceManager0.setColor("V~r", color0);
      Point point0 = preferenceManager0.getPoint("V~r");
      assertEquals("java.awt.Point[x=0,y=0]", point0.toString());
      assertNotNull(point0);
  }

  //Test case number: 24
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.load()V: I4 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.load()V: I22 Branch 2 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.load()V: I24 Branch 3 IFNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.load()V: I54 Branch 4 IFNONNULL L-1 - false
   * 5 org.apache.batik.util.PreferenceManager.load()V: I107 Branch 5 IFNULL L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager(".svg");
      preferenceManager0.load();
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setURL(Ljava/lang/String;Ljava/net/URL;)V: I1 Branch 64 IFNULL L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      preferenceManager0.setURL("V~r", (URL) null);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 26
  /*
   * 13 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I20 Branch 33 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I31 Branch 34 IFEQ L-1 - false
   * 3 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I3 Branch 60 IFNULL L-1 - false
   * 4 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I10 Branch 61 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I10 Branch 61 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I14 Branch 62 IFNULL L-1 - true
   * 7 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I14 Branch 62 IFNULL L-1 - false
   * 8 org.apache.batik.util.PreferenceManager.setStrings(Ljava/lang/String;[Ljava/lang/String;)V: I45 Branch 63 IFNONNULL L-1 - false
   * 9 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - true
   * 10 org.apache.batik.util.PreferenceManager.getString(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 32 IFNONNULL L-1 - false
   * 11 org.apache.batik.util.PreferenceManager.setString(Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 58 IFNULL L-1 - false
   * 12 org.apache.batik.util.PreferenceManager.setString(Ljava/lang/String;Ljava/lang/String;)V: I7 Branch 59 IFGT L-1 - false
   * 13 org.apache.batik.util.PreferenceManager.getStrings(Ljava/lang/String;)[Ljava/lang/String;: I20 Branch 33 IFNONNULL L-1 - false
   */

  @Test
  public void test26()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("9'");
      String[] stringArray0 = new String[7];
      stringArray0[3] = "9'";
      preferenceManager0.setStrings("9'", stringArray0);
      String[] stringArray1 = preferenceManager0.getStrings("9'");
      assertFalse(stringArray1.equals(stringArray0));
  }

  //Test case number: 27
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.setInteger(Ljava/lang/String;I)V: I3 Branch 76 IFNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I5 Branch 42 IFNULL L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.getInteger(Ljava/lang/String;)I: I19 Branch 43 IFNONNULL L-1 - false
   */

  @Test
  public void test27()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("V~r", (Map) null);
      preferenceManager0.getInteger("V~r");
      preferenceManager0.setInteger("V~r", 0);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 28
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.PreferenceManager.setFloat(Ljava/lang/String;F)V: I3 Branch 78 IFNULL L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager(".svg");
      Polygon polygon0 = new Polygon();
      polygon0.getBounds();
      preferenceManager0.setFloat(".svg", (float) 0);
      assertEquals(".svg", preferenceManager0.getPreferenceDirectory());
  }

  //Test case number: 29
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.PreferenceManager.getFile(Ljava/lang/String;)Ljava/io/File;: I11 Branch 38 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.PreferenceManager.getFile(Ljava/lang/String;)Ljava/io/File;: I22 Branch 39 IFEQ L-1 - true
   * 3 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;Ljava/util/Map;)V: root-Branch
   * 4 org.apache.batik.util.PreferenceManager.<init>(Ljava/lang/String;)V: root-Branch
   * 5 org.apache.batik.util.PreferenceManager.getDefault(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 10 IFNULL L-1 - true
   * 6 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I1 Branch 54 IFNULL L-1 - false
   * 7 org.apache.batik.util.PreferenceManager.setColor(Ljava/lang/String;Ljava/awt/Color;)V: I7 Branch 55 IFNE L-1 - false
   */

  @Test
  public void test29()  throws Throwable  {
      PreferenceManager preferenceManager0 = new PreferenceManager("9'");
      Color color0 = Color.DARK_GRAY;
      preferenceManager0.setColor("9'", color0);
      File file0 = preferenceManager0.getFile("9'");
      assertNull(file0);
  }
}
