/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.resources;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.Reader;
import java.io.StringReader;
import java.util.MissingResourceException;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;
import org.apache.batik.util.resources.ResourceFormatException;
import org.apache.batik.util.resources.ResourceManager;
import org.junit.BeforeClass;

public class ResourceManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.resources.ResourceManager.getString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.util.resources.ResourceManager.<init>(Ljava/util/ResourceBundle;)V: root-Branch
   * 3 org.apache.batik.util.resources.ResourceManager.getInteger(Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ResourceManager resourceManager0 = new ResourceManager((ResourceBundle) null);
      // Undeclared exception!
      try {
        resourceManager0.getInteger("$Whl2{dFwAE=p");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.resources.ResourceManager.getStringList(Ljava/lang/String;Ljava/lang/String;)Ljava/util/List;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ResourceManager resourceManager0 = new ResourceManager((ResourceBundle) null);
      // Undeclared exception!
      try {
        resourceManager0.getStringList("true", "true");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.resources.ResourceManager.getStringList(Ljava/lang/String;)Ljava/util/List;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ResourceManager resourceManager0 = new ResourceManager((ResourceBundle) null);
      // Undeclared exception!
      try {
        resourceManager0.getStringList("SVGConverter.error.cannot.read.source");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.resources.ResourceManager.getBoolean(Ljava/lang/String;)Z: I7 Branch 2 IFLE L-1 - true
   * 2 org.apache.batik.util.resources.ResourceManager.getBoolean(Ljava/lang/String;)Z: I14 Branch 3 IFLE L-1 - true
   * 3 org.apache.batik.util.resources.ResourceManager.getString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.util.resources.ResourceManager.<init>(Ljava/util/ResourceBundle;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StringReader stringReader0 = new StringReader("dCjPEe)2#DC)G#lnEE");
      PropertyResourceBundle propertyResourceBundle0 = new PropertyResourceBundle((Reader) stringReader0);
      ResourceManager resourceManager0 = new ResourceManager((ResourceBundle) propertyResourceBundle0);
      try {
        resourceManager0.getBoolean("dCjPEe)2#DC)G#lnEE");
        fail("Expecting exception: ResourceFormatException");
      
      } catch(ResourceFormatException e) {
         //
         // Malformed boolean
         //
      }
  }
}
