/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.xml;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.PrintWriter;
import org.apache.batik.xml.XMLException;
import org.junit.BeforeClass;

public class XMLExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.xml.XMLException.getException()Ljava/lang/Exception;: root-Branch
   * 2 org.apache.batik.xml.XMLException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XMLException xMLException0 = new XMLException("");
      Exception exception0 = xMLException0.getException();
      assertNull(exception0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.xml.XMLException.<init>(Ljava/lang/String;Ljava/lang/Exception;)V: root-Branch
   * 2 org.apache.batik.xml.XMLException.<init>(Ljava/lang/Exception;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Exception exception0 = new Exception("");
      XMLException xMLException0 = new XMLException(exception0);
      XMLException xMLException1 = new XMLException("", (Exception) xMLException0);
      assertFalse(xMLException0.equals(xMLException1));
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintWriter;)V: I2 Branch 5 IFNONNULL L-1 - true
   * 2 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - false
   * 3 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Exception exception0 = new Exception("");
      XMLException xMLException0 = new XMLException(exception0);
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      PrintWriter printWriter0 = new PrintWriter((OutputStream) pipedOutputStream0);
      xMLException0.printStackTrace(printWriter0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintWriter;)V: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      XMLException xMLException0 = new XMLException("SVGConverter.error.cannot.access.transcoder");
      // Undeclared exception!
      try {
        xMLException0.printStackTrace((PrintWriter) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintStream;)V: I2 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.xml.XMLException.printStackTrace()V: I2 Branch 3 IFNONNULL L-1 - true
   * 3 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Exception exception0 = new Exception();
      XMLException xMLException0 = new XMLException(exception0);
      // Undeclared exception!
      try {
        xMLException0.printStackTrace();
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintStream;)V: I2 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.xml.XMLException.printStackTrace()V: I2 Branch 3 IFNONNULL L-1 - false
   * 3 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - true
   * 4 org.apache.batik.xml.XMLException.<init>(Ljava/lang/Exception;)V: root-Branch
   * 5 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      XMLException xMLException0 = new XMLException((Exception) null);
      xMLException0.printStackTrace();
      assertNull(xMLException0.getMessage());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.xml.XMLException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      XMLException xMLException0 = new XMLException("");
      String string0 = xMLException0.getLocalizedMessage();
      assertEquals("", string0);
  }
}
