/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.sac.CSSChildSelector;
import org.apache.batik.css.engine.sac.CSSConditionalSelector;
import org.apache.batik.css.engine.sac.CSSDescendantSelector;
import org.apache.batik.css.engine.sac.CSSDirectAdjacentSelector;
import org.apache.batik.css.engine.sac.CSSElementSelector;
import org.apache.batik.css.engine.sac.CSSPseudoElementSelector;
import org.apache.batik.css.engine.sac.CSSSelectorFactory;
import org.apache.batik.css.parser.DefaultElementSelector;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.Selector;
import org.w3c.css.sac.SimpleSelector;

public class CSSSelectorFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createCDataSectionSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createCDataSectionSelector("6nS");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createCommentSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createCommentSelector("{Y+Cm5][4J@0Pd?&D4");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createNegativeSelector(Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/NegativeSelector;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSSelectorFactory.createConditionalSelector(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/ConditionalSelector;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      DefaultElementSelector defaultElementSelector0 = new DefaultElementSelector("#-Smb^c@@{B", "#-Smb^c@@{B");
      CSSConditionalSelector cSSConditionalSelector0 = (CSSConditionalSelector)cSSSelectorFactory0.createConditionalSelector((SimpleSelector) defaultElementSelector0, (Condition) null);
      try {
        cSSSelectorFactory0.createNegativeSelector((SimpleSelector) cSSConditionalSelector0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createDescendantSelector(Lorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/DescendantSelector;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSSelectorFactory.createChildSelector(Lorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/DescendantSelector;: root-Branch
   * 3 org.apache.batik.css.engine.sac.CSSSelectorFactory.createPseudoElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSPseudoElementSelector cSSPseudoElementSelector0 = (CSSPseudoElementSelector)cSSSelectorFactory0.createPseudoElementSelector("6nS", "6nS");
      CSSChildSelector cSSChildSelector0 = (CSSChildSelector)cSSSelectorFactory0.createChildSelector((Selector) cSSPseudoElementSelector0, (SimpleSelector) cSSPseudoElementSelector0);
      CSSDescendantSelector cSSDescendantSelector0 = (CSSDescendantSelector)cSSSelectorFactory0.createDescendantSelector((Selector) cSSChildSelector0, (SimpleSelector) cSSPseudoElementSelector0);
      assertEquals(":6nS:6nS :6nS", cSSDescendantSelector0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createRootNodeSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createRootNodeSelector();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createDirectAdjacentSelector(SLorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/SiblingSelector;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSSelectorFactory.createPseudoElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSPseudoElementSelector cSSPseudoElementSelector0 = (CSSPseudoElementSelector)cSSSelectorFactory0.createPseudoElementSelector("6nS", "6nS");
      CSSDirectAdjacentSelector cSSDirectAdjacentSelector0 = (CSSDirectAdjacentSelector)cSSSelectorFactory0.createDirectAdjacentSelector((short)1, (Selector) cSSPseudoElementSelector0, (SimpleSelector) cSSPseudoElementSelector0);
      assertEquals(1, cSSDirectAdjacentSelector0.getNodeType());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createTextNodeSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createTextNodeSelector("I'8@3");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      CSSElementSelector cSSElementSelector0 = (CSSElementSelector)cSSSelectorFactory0.createElementSelector("6nS", "6nS");
      assertEquals("6nS", cSSElementSelector0.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createAnyNodeSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createAnyNodeSelector();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSSelectorFactory.createProcessingInstructionSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ProcessingInstructionSelector;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CSSSelectorFactory cSSSelectorFactory0 = (CSSSelectorFactory)CSSSelectorFactory.INSTANCE;
      try {
        cSSSelectorFactory0.createProcessingInstructionSelector("AuaB<K#", "AuaB<K#");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }
}
