/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.RGBColorValue;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontWeightManager;
import org.apache.batik.css.engine.value.svg.ColorManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.SVGColorManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMTextElement;
import org.apache.batik.dom.svg.SVGOMUseElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractColorManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.AbstractColorManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   * 3 org.apache.batik.css.engine.value.AbstractColorManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ColorManager colorManager0 = new ColorManager();
      colorManager0.getPropertyName();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("color");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("color", "color", "color");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        colorManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"color\" identifier is not a valid value for the \"color\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 2 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.AbstractColorManager.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGColorManager sVGColorManager0 = new SVGColorManager("");
      RGBColorValue rGBColorValue0 = (RGBColorValue)sVGColorManager0.getDefaultValue();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMUseElement sVGOMUseElement0 = new SVGOMUseElement("", (AbstractDocument) sVG12OMDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ValueManager[] valueManagerArray0 = new ValueManager[5];
      valueManagerArray0[0] = (ValueManager) sVGColorManager0;
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      valueManagerArray0[1] = (ValueManager) fontWeightManager0;
      valueManagerArray0[2] = (ValueManager) sVGColorManager0;
      valueManagerArray0[3] = (ValueManager) sVGColorManager0;
      valueManagerArray0[4] = (ValueManager) sVGColorManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[8];
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) marginShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[7] = (ShorthandManager) marginShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0);
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMTextElement0.getComputedStyleMap("");
      RGBColorValue rGBColorValue1 = (RGBColorValue)sVGColorManager0.computeValue((CSSStylableElement) sVGOMUseElement0, "", (CSSEngine) sVG12CSSEngine0, 1, (StyleMap) null, (Value) rGBColorValue0);
      assertEquals("rgb(0, 0, 0)", rGBColorValue1.toString());
  }
}
