/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFontFaceElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMNodeIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, (-719), (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(-719, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.detach()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 1089, (NodeFilter) null, true);
      // Undeclared exception!
      try {
        dOMNodeIterator0.detach();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getExpandEntityReferences()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 1089, (NodeFilter) null, true);
      boolean boolean0 = dOMNodeIterator0.getExpandEntityReferences();
      assertEquals(1089, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getWhatToShow()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 1089, (NodeFilter) null, true);
      int int0 = dOMNodeIterator0.getWhatToShow();
      assertEquals(1089, int0);
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getRoot()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, (-719), (NodeFilter) null, true);
      dOMNodeIterator0.getRoot();
      assertEquals(-719, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFontFaceElement sVGOMFontFaceElement0 = new SVGOMFontFaceElement("", (AbstractDocument) genericDocument0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) genericDocument0, (Node) sVGOMFontFaceElement0, (-5), (NodeFilter) null, true);
      SVGOMFontFaceElement sVGOMFontFaceElement1 = (SVGOMFontFaceElement)dOMNodeIterator0.previousNode();
      assertEquals(-5, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertNotNull(sVGOMFontFaceElement1);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I3 Branch 19 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I11 Branch 20 IFNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I27 Branch 23 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, (-719), (NodeFilter) null, true);
      dOMNodeIterator0.nodeToBeRemoved((Node) null);
      assertEquals(-719, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I11 Branch 20 IFNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I15 Branch 21 IF_ACMPEQ L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I27 Branch 23 IFNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I31 Branch 24 IF_ACMPNE L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I3 Branch 19 IF_ICMPNE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocumentType0, (-5), (NodeFilter) null, true);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType1, (DOMImplementation) sVG12DOMImplementation0);
      dOMNodeIterator0.nodeToBeRemoved((Node) sVGOMDocument0);
      assertEquals(-5, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 8
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, 1089, (NodeFilter) null, true);
      SVG12OMDocument sVG12OMDocument1 = (SVG12OMDocument)dOMNodeIterator0.nextNode();
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(1089, dOMNodeIterator0.getWhatToShow());
      assertNotNull(sVG12OMDocument1);
  }
}
