/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.apache.batik.dom.traversal.DOMTreeWalker;
import org.apache.batik.dom.traversal.TraversalSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;
import org.w3c.dom.traversal.NodeIterator;

public class TraversalSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.detachNodeIterator(Lorg/w3c/dom/traversal/NodeIterator;)V: root-Branch
   * 2 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.TraversalSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType(")W\"ys6gtt=", ")W\"ys6gtt=", ")W\"ys6gtt=");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVGOMDocument0, (Node) genericDocumentType0, 0, (NodeFilter) null, false);
      assertNotNull(dOMNodeIterator0);
      
      traversalSupport0.detachNodeIterator((NodeIterator) dOMNodeIterator0);
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(0, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      sVG12OMDocument0.getDoctype();
      try {
        traversalSupport0.createNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) null, (-1418), (NodeFilter) null, false);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Iterators do not support null root nodes.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType(")W\"ys6gtt=", ")W\"ys6gtt=", ")W\"ys6gtt=");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVGOMDocument0, (Node) genericDocumentType0, 0, (NodeFilter) null, false);
      assertNotNull(dOMNodeIterator0);
      
      DOMNodeIterator dOMNodeIterator1 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVGOMDocument0, (Node) genericDocumentType0, 0, (NodeFilter) null, false);
      assertEquals(0, dOMNodeIterator1.getWhatToShow());
      assertEquals(false, dOMNodeIterator1.getExpandEntityReferences());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I2 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      TraversalSupport traversalSupport0 = new TraversalSupport();
      traversalSupport0.nodeToBeRemoved((Node) genericDocumentType0);
      assertNull(genericDocumentType0.getNamespaceURI());
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I2 Branch 4 IFNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I10 Branch 5 IFEQ L-1 - true
   * 3 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I10 Branch 5 IFEQ L-1 - false
   * 4 org.apache.batik.dom.traversal.TraversalSupport.<init>()V: root-Branch
   * 5 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      TraversalSupport traversalSupport0 = new TraversalSupport();
      traversalSupport0.createNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocumentType0, (-1776), (NodeFilter) null, false);
      traversalSupport0.nodeToBeRemoved((Node) genericDocumentType0);
      assertNull(genericDocumentType0.getInternalSubset());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createTreeWalker(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/TreeWalker;: I1 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMTreeWalker dOMTreeWalker0 = (DOMTreeWalker)TraversalSupport.createTreeWalker((AbstractDocument) sVGOMDocument0, (Node) genericDocumentType0, (-1776), (NodeFilter) null, false);
      assertEquals(false, dOMTreeWalker0.getExpandEntityReferences());
      assertNotNull(dOMTreeWalker0);
      assertEquals(-1776, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createTreeWalker(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/TreeWalker;: I1 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        TraversalSupport.createTreeWalker((AbstractDocument) null, (Node) null, 0, (NodeFilter) null, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
