/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Document;
import nu.xom.Text;
import nu.xom.ValidityException;
import org.junit.BeforeClass;
import org.xml.sax.Locator;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Locator2Impl;

public class ValidityExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ValidityException validityException0 = new ValidityException(" conflicts with existing namespace binding ", (-1410), (-1410));
      ValidityException validityException1 = new ValidityException(" conflicts with existing namespace binding ", (-1410), (-1410), (Throwable) validityException0);
      assertNull(validityException1.getURI());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ValidityException validityException0 = new ValidityException(" conflicts with existing namespace binding ", " conflicts with existing namespace binding ", (-1410), (-1410));
      assertEquals(-1410, validityException0.getColumnNumber());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getValidityError(I)Ljava/lang/String;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Throwable throwable0 = new Throwable();
      ValidityException validityException0 = new ValidityException("", "", (-57), (-57), throwable0);
      // Undeclared exception!
      try {
        validityException0.getValidityError((-57));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getColumnNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("@]CSH'U*|^fg(X=w\"", "@]CSH'U*|^fg(X=w\"", 0, 0, (Throwable) null);
      // Undeclared exception!
      try {
        validityException0.getColumnNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getDocument()Lnu/xom/Document;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("xml:id");
      Document document0 = validityException0.getDocument();
      assertNull(document0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.addError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("xml:id");
      Locator2Impl locator2Impl0 = new Locator2Impl();
      SAXParseException sAXParseException0 = new SAXParseException("xml:id", (Locator) locator2Impl0, (Exception) validityException0);
      validityException0.addError(sAXParseException0);
      assertEquals(1, validityException0.getErrorCount());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getLineNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 0, 0);
      // Undeclared exception!
      try {
        validityException0.getLineNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.setDocument(Lnu/xom/Document;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Throwable throwable0 = new Throwable();
      ValidityException validityException0 = new ValidityException("]", throwable0);
      validityException0.getMessage();
      Text text0 = Text.build("]");
      text0.getDocument();
      validityException0.setDocument((Document) null);
      assertEquals(-1, validityException0.getColumnNumber());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getErrorCount()I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("xml:id");
      int int0 = validityException0.getErrorCount();
      assertEquals(0, int0);
  }
}
