/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.AWTException;
import java.awt.Image;
import java.awt.ImageCapabilities;
import java.awt.Panel;
import java.awt.Point;
import java.awt.image.ColorModel;
import java.awt.image.DirectColorModel;
import java.awt.image.ImageProducer;
import java.awt.image.MemoryImageSource;
import java.util.Hashtable;
import javax.swing.JFormattedTextField;
import javax.swing.JRadioButtonMenuItem;
import org.junit.BeforeClass;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.ImageReplacedElement;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class ImageReplacedElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.setLocation(II)V: root-Branch
   * 2 org.xhtmlrenderer.swing.ImageReplacedElement.getBaseline()I: root-Branch
   * 3 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I16 Branch 1 IFGT L50 - false
   * 4 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I18 Branch 2 IFLE L50 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement((Image) null, 0, 0);
      int int0 = imageReplacedElement0.getBaseline();
      assertEquals(0, int0);
      
      imageReplacedElement0.setLocation(0, 0);
      assertEquals(0, imageReplacedElement0.getBaseline());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.getLocation()Ljava/awt/Point;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Panel panel0 = new Panel();
      panel0.createVolatileImage(0, 0);
      assertEquals("panel3", panel0.getName());
      
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement((Image) null, 0, 0);
      Point point0 = imageReplacedElement0.getLocation();
      assertEquals(0.0, point0.getY(), 0.01D);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.detach(Lorg/xhtmlrenderer/layout/LayoutContext;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JRadioButtonMenuItem jRadioButtonMenuItem0 = new JRadioButtonMenuItem();
      ImageCapabilities imageCapabilities0 = new ImageCapabilities(false);
      jRadioButtonMenuItem0.createVolatileImage(0, 0, imageCapabilities0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement((Image) null, 0, 0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      imageReplacedElement0.detach((LayoutContext) null);
      assertEquals(0, imageReplacedElement0.getBaseline());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.getIntrinsicWidth()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Panel panel0 = new Panel();
      panel0.createVolatileImage(0, 0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement((Image) null, 0, 0);
      // Undeclared exception!
      try {
        imageReplacedElement0.getIntrinsicWidth();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.isRequiresInteractivePaint()Z: root-Branch
   * 2 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I16 Branch 1 IFGT L50 - true
   * 3 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I43 Branch 3 IF_ICMPNE L57 - true
   * 4 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I60 Branch 4 IF_ICMPNE L61 - true
   * 5 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I77 Branch 5 IF_ICMPNE L65 - false
   * 6 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I80 Branch 6 IF_ICMPEQ L65 - true
   */

  @Test
  public void test4()  throws Throwable  {
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      DirectColorModel directColorModel0 = (DirectColorModel)xHTMLPanel0.getColorModel();
      int[] intArray0 = new int[2];
      intArray0[1] = 531;
      MemoryImageSource memoryImageSource0 = new MemoryImageSource(531, 531, (ColorModel) directColorModel0, intArray0, 531, 531);
      Image image0 = jFormattedTextField0.createImage((ImageProducer) memoryImageSource0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement(image0, 531, 531);
      boolean boolean0 = imageReplacedElement0.isRequiresInteractivePaint();
      assertEquals(true, boolean0);
      assertEquals(531, imageReplacedElement0.getIntrinsicWidth());
      assertEquals(531, imageReplacedElement0.getIntrinsicHeight());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.hasBaseline()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Panel panel0 = new Panel();
      int[] intArray0 = new int[2];
      Hashtable<Object, Integer> hashtable0 = new Hashtable<Object, Integer>();
      MemoryImageSource memoryImageSource0 = new MemoryImageSource((-1804), (-1804), intArray0, 0, (-1804), (Hashtable<?, ?>) hashtable0);
      Image image0 = panel0.createImage((ImageProducer) memoryImageSource0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement(image0, (-1804), (-1804));
      boolean boolean0 = imageReplacedElement0.hasBaseline();
      assertEquals("java.awt.Panel[panel36,0,0,0x0,invalid,layout=java.awt.FlowLayout]", panel0.toString());
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.getImage()Ljava/awt/Image;: root-Branch
   * 2 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I18 Branch 2 IFLE L50 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement((Image) null, 0, 0);
      Image image0 = imageReplacedElement0.getImage();
      assertNull(image0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.getIntrinsicHeight()I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      DirectColorModel directColorModel0 = (DirectColorModel)xHTMLPanel0.getColorModel();
      int[] intArray0 = new int[2];
      intArray0[1] = 531;
      MemoryImageSource memoryImageSource0 = new MemoryImageSource(531, 531, (ColorModel) directColorModel0, intArray0, 531, 531);
      Image image0 = jFormattedTextField0.createImage((ImageProducer) memoryImageSource0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement(image0, 531, 531);
      int int0 = imageReplacedElement0.getIntrinsicHeight();
      assertEquals(531, int0);
      assertEquals(531, imageReplacedElement0.getIntrinsicWidth());
  }

  //Test case number: 8
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I18 Branch 2 IFLE L50 - false
   * 2 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I77 Branch 5 IF_ICMPNE L65 - true
   * 3 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I85 Branch 7 IFEQ L66 - true
   * 4 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I107 Branch 8 IFGT L71 - false
   * 5 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I111 Branch 9 IFLE L71 - true
   * 6 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I16 Branch 1 IFGT L50 - false
   */

  @Test
  public void test8()  throws Throwable  {
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      DirectColorModel directColorModel0 = (DirectColorModel)xHTMLPanel0.getColorModel();
      int[] intArray0 = new int[2];
      intArray0[1] = 531;
      MemoryImageSource memoryImageSource0 = new MemoryImageSource(531, (-1227), (ColorModel) directColorModel0, intArray0, 531, (-1227));
      Image image0 = jFormattedTextField0.createImage((ImageProducer) memoryImageSource0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement(image0, (-1227), 531);
      assertEquals(-229, imageReplacedElement0.getIntrinsicWidth());
      assertEquals(531, imageReplacedElement0.getIntrinsicHeight());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I60 Branch 4 IF_ICMPNE L61 - false
   * 2 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I80 Branch 6 IF_ICMPEQ L65 - true
   */

  @Test
  public void test9()  throws Throwable  {
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      DirectColorModel directColorModel0 = (DirectColorModel)xHTMLPanel0.getColorModel();
      int[] intArray0 = new int[2];
      intArray0[1] = 531;
      MemoryImageSource memoryImageSource0 = new MemoryImageSource(531, 531, (ColorModel) directColorModel0, intArray0, 531, 531);
      Image image0 = jFormattedTextField0.createImage((ImageProducer) memoryImageSource0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement(image0, 531, (-1));
      assertEquals(531, imageReplacedElement0.getIntrinsicWidth());
      assertEquals(531, imageReplacedElement0.getIntrinsicHeight());
  }

  //Test case number: 10
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I80 Branch 6 IF_ICMPEQ L65 - false
   * 2 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I16 Branch 1 IFGT L50 - true
   * 3 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I43 Branch 3 IF_ICMPNE L57 - true
   * 4 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I60 Branch 4 IF_ICMPNE L61 - true
   * 5 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I77 Branch 5 IF_ICMPNE L65 - false
   * 6 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I85 Branch 7 IFEQ L66 - true
   * 7 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I107 Branch 8 IFGT L71 - false
   * 8 org.xhtmlrenderer.swing.ImageReplacedElement.<init>(Ljava/awt/Image;II)V: I111 Branch 9 IFLE L71 - true
   */

  @Test
  public void test10()  throws Throwable  {
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      DirectColorModel directColorModel0 = (DirectColorModel)xHTMLPanel0.getColorModel();
      int[] intArray0 = new int[2];
      intArray0[0] = 531;
      MemoryImageSource memoryImageSource0 = new MemoryImageSource(531, (-1227), (ColorModel) directColorModel0, intArray0, 0, (-1227));
      Image image0 = jFormattedTextField0.createImage((ImageProducer) memoryImageSource0);
      ImageReplacedElement imageReplacedElement0 = new ImageReplacedElement(image0, 531, 531);
      assertEquals(531, imageReplacedElement0.getIntrinsicWidth());
      assertEquals(531, imageReplacedElement0.getIntrinsicHeight());
  }
}
