/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import java.util.List;
import org.junit.BeforeClass;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.BasicPanel;
import org.xhtmlrenderer.swing.CursorListener;
import org.xhtmlrenderer.swing.FSMouseListener;
import org.xhtmlrenderer.swing.LinkListener;
import org.xhtmlrenderer.swing.MouseTracker;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class MouseTrackerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseEntered(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.<init>(Lorg/xhtmlrenderer/swing/BasicPanel;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) null);
      // Undeclared exception!
      try {
        mouseTracker0.mouseEntered((MouseEvent) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseReleased(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.handleMouseUp(Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 13 IFNONNULL L129 - false
   * 3 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 1 IFNONNULL L45 - true
   * 4 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 2 IFGT L49 - false
   * 5 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - true
   * 6 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - false
   * 7 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I30 Branch 4 IFLE L53 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, (-548), (long) (-548), (-548), (-548), (-548), (-548), true, (-548), (-548), (-548));
      mouseTracker0.mouseReleased((MouseEvent) mouseWheelEvent0);
      assertEquals(-548, mouseWheelEvent0.getScrollType());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseExited(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.handleMouseMotion(Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 10 IFNULL L115 - true
   */

  @Test
  public void test2()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) xHTMLPanel0);
      MouseEvent mouseEvent0 = new MouseEvent((Component) xHTMLPanel0, (-1), (long) (-1), (-1), (-1), (-1), (-1), true);
      mouseTracker0.mouseExited(mouseEvent0);
      assertEquals(false, mouseEvent0.isConsumed());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.MouseTracker.getListeners()Ljava/util/List;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      List<?> list0 = mouseTracker0.getListeners();
      assertEquals(0, list0.size());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseMoved(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.handleMouseMotion(Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 10 IFNULL L115 - true
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, 1994, (long) 1994, 1994, 1994, 1994, 1994, 1994, 1994, true, 1994, 1994, 1994);
      mouseTracker0.mouseMoved((MouseEvent) mouseWheelEvent0);
      assertEquals(1994, mouseWheelEvent0.getScrollAmount());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 5 IFNONNULL L62 - true
   * 2 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 6 IFLE L66 - true
   * 3 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I25 Branch 7 IFEQ L70 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      LinkListener linkListener0 = new LinkListener();
      mouseTracker0.removeListener((FSMouseListener) linkListener0);
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 6 IFLE L66 - false
   * 2 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I25 Branch 7 IFEQ L70 - false
   * 3 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I29 Branch 8 IFNE L70 - false
   * 4 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 5 IFNONNULL L62 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      CursorListener cursorListener0 = new CursorListener();
      mouseTracker0.addListener((FSMouseListener) cursorListener0);
      mouseTracker0.removeListener((FSMouseListener) cursorListener0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.MouseTracker.reset()V: I16 Branch 9 IFEQ L109 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      mouseTracker0.reset();
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.fireMousePressed(Ljava/awt/event/MouseEvent;)V: I11 Branch 17 IFEQ L159 - false
   * 2 org.xhtmlrenderer.swing.MouseTracker.mousePressed(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 3 org.xhtmlrenderer.swing.MouseTracker.fireMousePressed(Ljava/awt/event/MouseEvent;)V: I11 Branch 17 IFEQ L159 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      MouseEvent mouseEvent0 = new MouseEvent((Component) scalableXHTMLPanel0, (-548), (long) (-548), (-548), (-548), (-548), (-548), true);
      CursorListener cursorListener0 = new CursorListener();
      mouseTracker0.addListener((FSMouseListener) cursorListener0);
      mouseTracker0.mousePressed(mouseEvent0);
      assertEquals(0, mouseEvent0.getButton());
  }

  //Test case number: 9
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.fireMouseDragged(Ljava/awt/event/MouseEvent;)V: I11 Branch 18 IFEQ L166 - false
   * 2 org.xhtmlrenderer.swing.MouseTracker.<init>(Lorg/xhtmlrenderer/swing/BasicPanel;)V: root-Branch
   * 3 org.xhtmlrenderer.swing.MouseTracker.mouseDragged(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.MouseTracker.fireMouseDragged(Ljava/awt/event/MouseEvent;)V: I11 Branch 18 IFEQ L166 - true
   * 5 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 1 IFNONNULL L45 - true
   * 6 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 2 IFGT L49 - false
   * 7 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - true
   * 8 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - false
   * 9 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I30 Branch 4 IFLE L53 - false
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      MouseEvent mouseEvent0 = new MouseEvent((Component) scalableXHTMLPanel0, (-548), (long) (-548), (-548), (-548), (-548), (-548), true);
      CursorListener cursorListener0 = new CursorListener();
      mouseTracker0.addListener((FSMouseListener) cursorListener0);
      mouseTracker0.mouseDragged(mouseEvent0);
      assertEquals(-16356, mouseEvent0.getModifiers());
  }
}
