/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.util.List;
import java.util.logging.Level;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.JDKXRLogger;
import org.xhtmlrenderer.util.XRLog;
import org.xhtmlrenderer.util.XRLogger;

public class XRLogEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.exception(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.isLoggingEnabled()Z: root-Branch
   * 3 org.xhtmlrenderer.util.XRLog.exception(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   * 4 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: I3 Branch 3 IFEQ L211 - true
   * 5 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: I10 Branch 4 IFEQ L214 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Level level0 = Level.OFF;
      level0.toString();
      XRLog.exception("OFF");
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.cssParse(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Level level0 = Level.SEVERE;
      Throwable throwable0 = new Throwable();
      String string0 = File.separator;
      XRLog.cssParse(level0, "/", throwable0);
      assertEquals(1000, level0.intValue());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.cssParse(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.cssParse(Ljava/lang/String;)V: root-Branch
   * 3 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;)V: I3 Branch 1 IFEQ L202 - true
   * 4 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;)V: I10 Branch 2 IFEQ L205 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Level level0 = Level.OFF;
      level0.toString();
      XRLog.cssParse("OFF");
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.load(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.load(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Level level0 = Level.WARNING;
      level0.getLocalizedName();
      XRLog.load("WARNING");
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.listRegisteredLoggers()Ljava/util/List;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      List<?> list0 = XRLog.listRegisteredLoggers();
      assertEquals(12, list0.size());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.init(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.init(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XRLog.init("^1P{lB+zFLluByNrY8");
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.xmlEntities(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Level level0 = Level.CONFIG;
      Throwable throwable0 = new Throwable("!");
      level0.getName();
      XRLog.xmlEntities(level0, "CONFIG", throwable0);
      assertEquals("CONFIG", level0.toString());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.cascade(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.cascade(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XRLog.cascade("!");
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.match(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Level level0 = Level.WARNING;
      XRLog.match(level0, "''{4Grh", (Throwable) null);
      assertEquals("WARNING", level0.toString());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.cascade(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Level level0 = Level.WARNING;
      XRLog.cascade(level0, "''{4Grh", (Throwable) null);
      assertEquals("WARNING", level0.getLocalizedName());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.junit(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.junit(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Level level0 = Level.WARNING;
      level0.getLocalizedName();
      XRLog.junit("WARNING");
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.xmlEntities(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.xmlEntities(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      Level level0 = Level.CONFIG;
      level0.getName();
      XRLog.xmlEntities("CONFIG");
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.render(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.render(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Level level0 = Level.CONFIG;
      level0.getName();
      XRLog.render("CONFIG");
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.general(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.general(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      XRLog.general("''{4Grh");
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.getLoggerImpl()Lorg/xhtmlrenderer/util/XRLogger;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      JDKXRLogger jDKXRLogger0 = (JDKXRLogger)XRLog.getLoggerImpl();
      assertNotNull(jDKXRLogger0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.general(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      Level level0 = Level.WARNING;
      Throwable throwable0 = new Throwable("''{4Grh", (Throwable) null);
      XRLog.general(level0, "''{4Grh", throwable0);
      assertEquals("''{4Grh", throwable0.getLocalizedMessage());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.junit(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      Level level0 = Level.CONFIG;
      Throwable throwable0 = new Throwable("!");
      XRLog.junit(level0, "!", throwable0);
      assertEquals("java.lang.Throwable: !", throwable0.toString());
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.layout(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.layout(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      XRLog.layout("^1P{lB+zFLluByNrY8");
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.load(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      Throwable throwable0 = new Throwable("^1P{lB+zFLluByNrY8");
      XRLog.load((Level) null, "^1P{lB+zFLluByNrY8", throwable0);
      assertEquals("^1P{lB+zFLluByNrY8", throwable0.getMessage());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.<init>()V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      XRLog xRLog0 = new XRLog();
      assertEquals(false, xRLog0.isLoggingEnabled());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.setLoggerImpl(Lorg/xhtmlrenderer/util/XRLogger;)V: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      JDKXRLogger jDKXRLogger0 = new JDKXRLogger();
      XRLog.setLoggerImpl((XRLogger) jDKXRLogger0);
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.init(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      Level level0 = Level.CONFIG;
      level0.getName();
      Throwable throwable0 = new Throwable();
      XRLog.init(level0, "CONFIG", throwable0);
      assertEquals("java.lang.Throwable", throwable0.toString());
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.render(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test22()  throws Throwable  {
      Level level0 = Level.WARNING;
      Throwable throwable0 = new Throwable("''{4Grh", (Throwable) null);
      XRLog.render(level0, "''{4Grh", throwable0);
      assertEquals("WARNING", level0.getLocalizedName());
  }

  //Test case number: 23
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.match(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.match(Ljava/util/logging/Level;Ljava/lang/String;)V: root-Branch
   * 3 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;)V: I3 Branch 1 IFEQ L202 - true
   * 4 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;)V: I10 Branch 2 IFEQ L205 - true
   */

  @Test
  public void test23()  throws Throwable  {
      Level level0 = Level.OFF;
      level0.toString();
      XRLog.match("OFF");
  }

  //Test case number: 24
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.XRLog.layout(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   * 2 org.xhtmlrenderer.util.XRLog.isLoggingEnabled()Z: root-Branch
   * 3 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: I3 Branch 3 IFEQ L211 - true
   * 4 org.xhtmlrenderer.util.XRLog.log(Ljava/lang/String;Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Throwable;)V: I10 Branch 4 IFEQ L214 - true
   */

  @Test
  public void test24()  throws Throwable  {
      Level level0 = Level.WARNING;
      Throwable throwable0 = new Throwable();
      XRLog.layout(level0, "{W^SaWGa/3yI+bqj", throwable0);
      assertEquals("WARNING", level0.getName());
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.XRLog.setLevel(Ljava/lang/String;Ljava/util/logging/Level;)V: I3 Branch 8 IFEQ L259 - true
   */

  @Test
  public void test25()  throws Throwable  {
      Level level0 = Level.CONFIG;
      level0.getName();
      XRLog.setLevel("CONFIG", level0);
      assertEquals(700, level0.intValue());
  }
}
