/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Comment;
import nu.xom.IllegalDataException;
import org.junit.BeforeClass;

public class CommentEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 nu.xom.Comment.setValue(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.Comment.build(Ljava/lang/String;)Lnu/xom/Comment;: root-Branch
   * 3 nu.xom.Comment._setValue(Ljava/lang/String;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 4 nu.xom.Comment._setValue(Ljava/lang/String;)V: I12 Branch 2 IF_ICMPEQ L-1 - true
   * 5 nu.xom.Comment._setValue(Ljava/lang/String;)V: I28 Branch 3 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Comment comment0 = Comment.build(" \t\n\r");
      // Undeclared exception!
      try {
        comment0.setValue(" \t\n\r");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Comment data cannot contain carriage returns.
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 nu.xom.Comment.<init>(Lnu/xom/Comment;)V: root-Branch
   * 2 nu.xom.Comment.<init>(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.Comment._setValue(Ljava/lang/String;)V: I28 Branch 3 IF_ICMPEQ L-1 - true
   * 4 nu.xom.Comment._setValue(Ljava/lang/String;)V: I43 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Comment comment0 = new Comment("|,#Najab^.'fe>:2t ");
      Comment comment1 = new Comment(comment0);
      assertEquals("<!--|,#Najab^.'fe>:2t -->", comment1.toXML());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.Comment.copy()Lnu/xom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Comment comment0 = new Comment("_rcessing instLuction data cannot contain carriage re2urns");
      Comment comment1 = (Comment)comment0.copy();
      assertEquals("[nu.xom.Comment: _rcessing instLuction data cannot c...]", comment1.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.Comment.isComment()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Comment comment0 = new Comment("_rcessing instLuction data cannot contain carriage re2urns");
      boolean boolean0 = comment0.isComment();
      assertEquals("[nu.xom.Comment: _rcessing instLuction data cannot c...]", comment0.toString());
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.Comment.getValue()Ljava/lang/String;: root-Branch
   * 2 nu.xom.Comment.toString()Ljava/lang/String;: I6 Branch 5 IF_ICMPGT L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Comment comment0 = new Comment("_rcessing instLuction data cannot contain carriage re2urns");
      String string0 = comment0.toString();
      assertNotNull(string0);
      assertEquals("[nu.xom.Comment: _rcessing instLuction data cannot c...]", string0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Comment.toXML()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Comment comment0 = new Comment("_rcessing instLuction data cannot contain carriage re2urns");
      String string0 = comment0.toXML();
      assertNotNull(string0);
      assertEquals("<!--_rcessing instLuction data cannot contain carriage re2urns-->", string0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.Comment.getChildCount()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Comment comment0 = Comment.build(" \t\n\r");
      int int0 = comment0.getChildCount();
      assertEquals(0, int0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.Comment.getChild(I)Lnu/xom/Node;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Comment comment0 = new Comment("|,#Najab^.'fe>:2t ");
      int int0 = comment0.hashCode();
      assertEquals(1169117487, int0);
      
      // Undeclared exception!
      try {
        comment0.getChild(792224383);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // LeafNodes do not have children
         //
      }
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.Comment.toString()Ljava/lang/String;: I6 Branch 5 IF_ICMPGT L-1 - false
   * 2 nu.xom.Comment.getValue()Ljava/lang/String;: root-Branch
   * 3 nu.xom.Comment._setValue(Ljava/lang/String;)V: I43 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Comment comment0 = new Comment("|,#Najab^.'fe>:2t ");
      String string0 = comment0.toString();
      assertNotNull(string0);
      assertEquals("[nu.xom.Comment: |,#Najab^.'fe>:2t ]", string0);
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 nu.xom.Comment._setValue(Ljava/lang/String;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 nu.xom.Comment.setValue(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.Comment.build(Ljava/lang/String;)Lnu/xom/Comment;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Comment comment0 = Comment.build((String) null);
      comment0.setValue((String) null);
      assertEquals("<!---->", comment0.toXML());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Comment._setValue(Ljava/lang/String;)V: I12 Branch 2 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Comment comment0 = null;
      try {
        comment0 = new Comment("<,!E--");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Comment data contains a double hyphen (--).
         //
      }
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 nu.xom.Comment._setValue(Ljava/lang/String;)V: I43 Branch 4 IFLE L-1 - false
   * 2 nu.xom.Comment.<init>(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.Comment._setValue(Ljava/lang/String;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 4 nu.xom.Comment._setValue(Ljava/lang/String;)V: I12 Branch 2 IF_ICMPEQ L-1 - true
   * 5 nu.xom.Comment._setValue(Ljava/lang/String;)V: I28 Branch 3 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Comment comment0 = null;
      try {
        comment0 = new Comment("-");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Comment data ends with a hyphen.
         //
      }
  }
}
