/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.NoSuchChildException;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class NodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 12 covered goals:
   * 1 nu.xom.Node.isElement()Z: root-Branch
   * 2 nu.xom.Node.isDocType()Z: root-Branch
   * 3 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 4 nu.xom.Node.<init>()V: root-Branch
   * 5 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 6 nu.xom.Node.isDocument()Z: root-Branch
   * 7 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 8 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 9 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 10 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - false
   * 11 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   * 12 nu.xom.Node$EmptyNamespaceContext.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.query("H1Yc6:ys-2X3g", (XPathContext) null);
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: XPath expression uses unbound namespace prefix H1Yc6
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isDocumentFragment()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Comment comment0 = new Comment("KV!w+ YH_;%Fg");
      boolean boolean0 = comment0.isDocumentFragment();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("");
      // Undeclared exception!
      try {
        cDATASection0.query("");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ''
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.isAttribute()Z: root-Branch
   * 2 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - true
   * 3 nu.xom.Node.detach()V: I7 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("UNDECARED", "UNDECARED");
      Element element0 = new Element("UNDECARED");
      processingInstruction0.setParent(element0);
      // Undeclared exception!
      try {
        processingInstruction0.detach();
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Child does not belong to this node
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.hashCode()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Text text0 = new Text("UNDECLARED");
      int int0 = text0.hashCode();
      assertEquals(482996724, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isText()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocType docType0 = DocType.build("G$G9=S", "G$G9=S", "G$G9=S");
      boolean boolean0 = docType0.isText();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - true
   * 4 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   * 5 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - true
   * 6 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 7 nu.xom.Node.isComment()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      XPathContext xPathContext0 = new XPathContext("UNDECARED", "UNDECARED");
      Element element0 = new Element("UNDECARED");
      Document document0 = new Document(element0);
      Nodes nodes0 = element0.query("UNDECARED", xPathContext0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - false
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 3 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("UNDECARED", "UNDECARED");
      Element element0 = new Element("UNDECARED");
      processingInstruction0.setParent(element0);
      Document document0 = new Document(element0);
      Document document1 = (Document)processingInstruction0.getRoot();
      assertSame(document1, document0);
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - true
   * 2 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 3 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      DocType docType0 = DocType.build("G$G9=S", "G$G9=S", "G$G9=S");
      Document document0 = docType0.getDocument();
      assertNull(document0);
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - true
   * 2 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 3 nu.xom.Node.isComment()Z: root-Branch
   * 4 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 5 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Element element0 = new Element("UNDECARED");
      Document document0 = new Document(element0);
      Document document1 = element0.getDocument();
      assertEquals(1, document1.getChildCount());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("UNDECLARED", "UNDECLARED");
      Element element0 = new Element("UNDECLARED");
      processingInstruction0.setParent(element0);
      String string0 = processingInstruction0.getBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Comment comment0 = new Comment("KV!w+ YH_;%Fg");
      String string0 = comment0.getBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.detach();
      assertEquals(0, documentFragment0.getChildCount());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Text text0 = new Text("UNDECLARED");
      text0.isText();
      boolean boolean0 = text0.equals((Object) true);
      assertEquals(false, boolean0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Text text0 = new Text("U@DECBA,D");
      boolean boolean0 = text0.equals((Object) text0);
      assertEquals(true, boolean0);
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - false
   * 2 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      DocType docType0 = DocType.build("G$G9=S", "G$G9=S", "G$G9=S");
      // Undeclared exception!
      try {
        docType0.query("G$G9=S");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // Can't use XPath on a DocType
         //
      }
  }

  //Test case number: 16
  /*
   * 11 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   * 2 nu.xom.Node.isElement()Z: root-Branch
   * 3 nu.xom.Node.isDocType()Z: root-Branch
   * 4 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 5 nu.xom.Node.<init>()V: root-Branch
   * 6 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 7 nu.xom.Node.isDocument()Z: root-Branch
   * 8 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 9 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 10 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 11 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Text text0 = new Text("UNDECLARED");
      XPathContext xPathContext0 = new XPathContext("UNDECLARED", "UNDECLARED");
      Nodes nodes0 = text0.query("UNDECLARED", xPathContext0);
      assertEquals(0, nodes0.size());
  }
}
