/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.jaxen;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedList;
import java.util.List;
import nu.xom.jaxen.Context;
import nu.xom.jaxen.ContextSupport;
import nu.xom.jaxen.UnresolvableException;
import org.junit.BeforeClass;

public class ContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 nu.xom.jaxen.Context.getFunction(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/jaxen/Function;: root-Branch
   * 2 nu.xom.jaxen.Context.<init>(Lnu/xom/jaxen/ContextSupport;)V: root-Branch
   * 3 nu.xom.jaxen.Context.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 4 nu.xom.jaxen.Context.getContextSupport()Lnu/xom/jaxen/ContextSupport;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.translateNamespacePrefixToUri("count() requires one argument.");
      try {
        context0.getFunction("count() requires one argument.", "count() requires one argument.", (String) null);
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No function context installed
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.setContextSupport(Lnu/xom/jaxen/ContextSupport;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.setContextSupport(contextSupport0);
      assertEquals(0, context0.getPosition());
      assertEquals(0, context0.getSize());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.getVariableValue(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      try {
        context0.getVariableValue("GqYOO^Ex#~@(MooYl", "GqYOO^Ex#~@(MooYl", "GqYOO^Ex#~@(MooYl");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No variable context installed
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 nu.xom.jaxen.Context.getNodeSet()Ljava/util/List;: root-Branch
   * 2 nu.xom.jaxen.Context.duplicate()Lnu/xom/jaxen/Context;: I10 Branch 2 IFNULL L-1 - false
   * 3 nu.xom.jaxen.Context.setNodeSet(Ljava/util/List;)V: I11 Branch 1 IF_ICMPLT L-1 - false
   * 4 nu.xom.jaxen.Context.setPosition(I)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      Context context1 = context0.duplicate();
      assertEquals(0, context0.getSize());
      assertEquals(0, context1.getPosition());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.getPosition()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      int int0 = context0.getPosition();
      assertEquals(0, context0.getSize());
      assertEquals(0, int0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.Context.setSize(I)V: root-Branch
   * 2 nu.xom.jaxen.Context.getSize()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.getSize();
      context0.setSize(0);
      assertEquals(0, context0.getSize());
      assertEquals(0, context0.getPosition());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.Context.getNavigator()Lnu/xom/jaxen/Navigator;: root-Branch
   * 2 nu.xom.jaxen.Context.getContextSupport()Lnu/xom/jaxen/ContextSupport;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.getNavigator();
      assertEquals(0, context0.getSize());
      assertEquals(0, context0.getPosition());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 nu.xom.jaxen.Context.setNodeSet(Ljava/util/List;)V: I11 Branch 1 IF_ICMPLT L-1 - true
   * 2 nu.xom.jaxen.Context.<init>(Lnu/xom/jaxen/ContextSupport;)V: root-Branch
   * 3 nu.xom.jaxen.Context.setPosition(I)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.setPosition((-1816));
      LinkedList<Integer> linkedList0 = new LinkedList<Integer>();
      context0.setNodeSet((List) linkedList0);
      assertEquals(-1816, context0.getPosition());
  }
}
