/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.jaxen;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.HashMap;
import java.util.Map;
import nu.xom.jaxen.ContextSupport;
import nu.xom.jaxen.FunctionContext;
import nu.xom.jaxen.NamespaceContext;
import nu.xom.jaxen.Navigator;
import nu.xom.jaxen.SimpleNamespaceContext;
import nu.xom.jaxen.SimpleVariableContext;
import nu.xom.jaxen.UnresolvableException;
import nu.xom.jaxen.VariableContext;
import nu.xom.jaxen.XPathFunctionContext;
import org.junit.BeforeClass;

public class ContextSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getFunctionContext()Lnu/xom/jaxen/FunctionContext;: root-Branch
   * 2 nu.xom.jaxen.ContextSupport.getFunction(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/jaxen/Function;: I4 Branch 4 IFNULL L-1 - true
   * 3 nu.xom.jaxen.ContextSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      try {
        contextSupport0.getFunction("xml", "xml", "xml");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No function context installed
         //
      }
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 2 IFNULL L-1 - false
   * 2 nu.xom.jaxen.ContextSupport.setFunctionContext(Lnu/xom/jaxen/FunctionContext;)V: root-Branch
   * 3 nu.xom.jaxen.ContextSupport.setVariableContext(Lnu/xom/jaxen/VariableContext;)V: root-Branch
   * 4 nu.xom.jaxen.ContextSupport.setNamespaceContext(Lnu/xom/jaxen/NamespaceContext;)V: root-Branch
   * 5 nu.xom.jaxen.ContextSupport.getNamespaceContext()Lnu/xom/jaxen/NamespaceContext;: root-Branch
   * 6 nu.xom.jaxen.ContextSupport.<init>(Lnu/xom/jaxen/NamespaceContext;Lnu/xom/jaxen/FunctionContext;Lnu/xom/jaxen/VariableContext;Lnu/xom/jaxen/Navigator;)V: root-Branch
   * 7 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 1 IFLE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      HashMap<Integer, Object> hashMap0 = new HashMap<Integer, Object>();
      SimpleNamespaceContext simpleNamespaceContext0 = new SimpleNamespaceContext((Map) hashMap0);
      XPathFunctionContext xPathFunctionContext0 = (XPathFunctionContext)XPathFunctionContext.getInstance();
      SimpleVariableContext simpleVariableContext0 = new SimpleVariableContext();
      ContextSupport contextSupport0 = new ContextSupport((NamespaceContext) simpleNamespaceContext0, (FunctionContext) xPathFunctionContext0, (VariableContext) simpleVariableContext0, (Navigator) null);
      String string0 = contextSupport0.translateNamespacePrefixToUri("s6KyQDeV6,z");
      assertNull(string0);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getVariableValue(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/Object;: I4 Branch 3 IFNULL L-1 - true
   * 2 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 1 IFLE L-1 - true
   * 3 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 2 IFNULL L-1 - true
   * 4 nu.xom.jaxen.ContextSupport.getVariableContext()Lnu/xom/jaxen/VariableContext;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.translateNamespacePrefixToUri("s6KyQDeV6,z");
      try {
        contextSupport0.getVariableValue((String) null, (String) null, (String) null);
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No variable context installed
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getVariableValue(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/Object;: I4 Branch 3 IFNULL L-1 - false
   * 2 nu.xom.jaxen.ContextSupport.getVariableContext()Lnu/xom/jaxen/VariableContext;: root-Branch
   * 3 nu.xom.jaxen.ContextSupport.getNavigator()Lnu/xom/jaxen/Navigator;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SimpleNamespaceContext simpleNamespaceContext0 = new SimpleNamespaceContext();
      XPathFunctionContext xPathFunctionContext0 = (XPathFunctionContext)XPathFunctionContext.getInstance();
      SimpleVariableContext simpleVariableContext0 = new SimpleVariableContext();
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.getNavigator();
      ContextSupport contextSupport1 = new ContextSupport((NamespaceContext) simpleNamespaceContext0, (FunctionContext) xPathFunctionContext0, (VariableContext) simpleVariableContext0, (Navigator) null);
      try {
        contextSupport1.getVariableValue("", "", "");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // Variable 
         //
      }
  }

  //Test case number: 4
  /*
   * 10 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getFunction(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/jaxen/Function;: I4 Branch 4 IFNULL L-1 - false
   * 2 nu.xom.jaxen.ContextSupport.setFunctionContext(Lnu/xom/jaxen/FunctionContext;)V: root-Branch
   * 3 nu.xom.jaxen.ContextSupport.setVariableContext(Lnu/xom/jaxen/VariableContext;)V: root-Branch
   * 4 nu.xom.jaxen.ContextSupport.setNamespaceContext(Lnu/xom/jaxen/NamespaceContext;)V: root-Branch
   * 5 nu.xom.jaxen.ContextSupport.getNavigator()Lnu/xom/jaxen/Navigator;: root-Branch
   * 6 nu.xom.jaxen.ContextSupport.getFunctionContext()Lnu/xom/jaxen/FunctionContext;: root-Branch
   * 7 nu.xom.jaxen.ContextSupport.<init>()V: root-Branch
   * 8 nu.xom.jaxen.ContextSupport.getNamespaceContext()Lnu/xom/jaxen/NamespaceContext;: root-Branch
   * 9 nu.xom.jaxen.ContextSupport.<init>(Lnu/xom/jaxen/NamespaceContext;Lnu/xom/jaxen/FunctionContext;Lnu/xom/jaxen/VariableContext;Lnu/xom/jaxen/Navigator;)V: root-Branch
   * 10 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 1 IFLE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.getNamespaceContext();
      XPathFunctionContext xPathFunctionContext0 = new XPathFunctionContext(true);
      SimpleVariableContext simpleVariableContext0 = new SimpleVariableContext();
      contextSupport0.translateNamespacePrefixToUri("xml");
      contextSupport0.getNavigator();
      ContextSupport contextSupport1 = new ContextSupport((NamespaceContext) null, (FunctionContext) xPathFunctionContext0, (VariableContext) simpleVariableContext0, (Navigator) null);
      try {
        contextSupport1.getFunction("http://www.w3.org/XML/1998/namespace", "http://www.w3.org/XML/1998/namespace", "http://www.w3.org/XML/1998/namespace");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No Such Function {http://www.w3.org/XML/1998/namespace}:http://www.w3.org/XML/1998/namespace
         //
      }
  }
}
