/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Rectangle;
import java.util.List;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JRadioButtonMenuItem;
import javax.swing.JTabbedPane;
import javax.swing.border.TitledBorder;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.css.style.CalculatedStyle;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.AnonymousBlockBox;
import org.xhtmlrenderer.render.BlockBox;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.InlineLayoutBox;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class BoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getRestyleTarget()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JTabbedPane jTabbedPane0 = new JTabbedPane();
      Rectangle rectangle0 = jTabbedPane0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      ViewportBox viewportBox1 = (ViewportBox)viewportBox0.getRestyleTarget();
      assertEquals(0, viewportBox0.getLeftMBP());
      assertEquals(0, viewportBox0.getState());
      assertEquals(0, viewportBox0.getRightMBP());
      assertEquals(0, viewportBox1.getState());
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getStyleMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 4 org.xhtmlrenderer.render.Box.setStyle(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)V: root-Branch
   * 5 org.xhtmlrenderer.render.Box.setMarginTop(Lorg/xhtmlrenderer/css/style/CssContext;I)V: root-Branch
   * 6 org.xhtmlrenderer.render.Box.setState(I)V: root-Branch
   * 7 org.xhtmlrenderer.render.Box.ensureWorkingMargin(Lorg/xhtmlrenderer/css/style/CssContext;)V: I4 Branch 96 IFNONNULL L729 - false
   */

  @Test
  public void test1()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      TitledBorder titledBorder0 = new TitledBorder("");
      Rectangle rectangle0 = titledBorder0.getInteriorRectangle((Component) xHTMLPanel0, 9, 9, 9, 9);
      MarginBox marginBox0 = new MarginBox(rectangle0);
      marginBox0.getStyle();
      InlineLayoutBox inlineLayoutBox0 = null;
      try {
        inlineLayoutBox0 = new InlineLayoutBox(layoutContext0, (Element) null, (CalculatedStyle) null, 9);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 12 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getLayer()Lorg/xhtmlrenderer/layout/Layer;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setIndex(I)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setParent(Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getParent()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getContainingLayer()Lorg/xhtmlrenderer/layout/Layer;: root-Branch
   * 6 org.xhtmlrenderer.render.Box.addChildForLayout(Lorg/xhtmlrenderer/layout/LayoutContext;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 7 org.xhtmlrenderer.render.Box.addChild(Lorg/xhtmlrenderer/render/Box;)V: I4 Branch 3 IFNONNULL L135 - false
   * 8 org.xhtmlrenderer.render.Box.addChild(Lorg/xhtmlrenderer/render/Box;)V: I15 Branch 4 IFNONNULL L138 - true
   * 9 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I4 Branch 43 IFNULL L467 - true
   * 10 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I16 Branch 44 IFNONNULL L469 - false
   * 11 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I21 Branch 45 IFNULL L470 - false
   * 12 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I25 Branch 46 IFNONNULL L470 - false
   */

  @Test
  public void test2()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      scalableXHTMLPanel0.getLayoutContext();
      JCheckBoxMenuItem jCheckBoxMenuItem0 = new JCheckBoxMenuItem();
      Rectangle rectangle0 = jCheckBoxMenuItem0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      // Undeclared exception!
      try {
        marginBox0.addChildForLayout((LayoutContext) null, (Box) anonymousBlockBox0);
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // internal error
         //
      }
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getAbsY()I: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getContainingBlockWidth()I: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getAbsX()I: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getPaintingPaddingEdge(Lorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 6 org.xhtmlrenderer.render.Box.getContainingBlock()Lorg/xhtmlrenderer/render/Box;: I4 Branch 25 IFNONNULL L273 - false
   * 7 org.xhtmlrenderer.render.Box.getMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: I4 Branch 97 IFNULL L735 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      // Undeclared exception!
      try {
        anonymousBlockBox0.getPaintingPaddingEdge((CssContext) renderingContext0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getRightMBP()I: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getBoxDimensions()Lorg/xhtmlrenderer/render/BoxDimensions;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getLeftMBP()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      // Undeclared exception!
      try {
        anonymousBlockBox0.getBoxDimensions();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setLayer(Lorg/xhtmlrenderer/layout/Layer;)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setPaintingInfo(Lorg/xhtmlrenderer/layout/PaintingInfo;)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setContentWidth(I)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.setContainingLayer(Lorg/xhtmlrenderer/layout/Layer;)V: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getChildCount()I: I4 Branch 16 IFNONNULL L211 - false
   * 6 org.xhtmlrenderer.render.Box.reset(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I9 Branch 52 IFNULL L512 - true
   * 7 org.xhtmlrenderer.render.Box.resetChildren(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I12 Branch 58 IF_ICMPGE L556 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      JRadioButtonMenuItem jRadioButtonMenuItem0 = new JRadioButtonMenuItem("6T}Q0^1VUk.", false);
      Rectangle rectangle0 = jRadioButtonMenuItem0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      scalableXHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        marginBox0.reset((LayoutContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.setAnonymous(Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JCheckBoxMenuItem jCheckBoxMenuItem0 = new JCheckBoxMenuItem();
      Rectangle rectangle0 = jCheckBoxMenuItem0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      marginBox0.setAnonymous(false);
      assertEquals(0, marginBox0.getState());
      assertEquals(0, marginBox0.getRightMBP());
      assertEquals(0, marginBox0.getLeftMBP());
      assertEquals(false, marginBox0.isAnonymous());
  }

  //Test case number: 7
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getStyleMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getContainingBlockWidth()I: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getContainingBlock()Lorg/xhtmlrenderer/render/Box;: I4 Branch 25 IFNONNULL L273 - false
   * 6 org.xhtmlrenderer.render.Box.getMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: I4 Branch 97 IFNULL L735 - true
   */

  @Test
  public void test7()  throws Throwable  {
      BlockBox blockBox0 = new BlockBox();
      // Undeclared exception!
      try {
        blockBox0.getContentAreaEdge((-1), (-1), (CssContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.setPseudoElementOrClass(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.setPseudoElementOrClass("Z>2s`/G^%");
      assertEquals(0, anonymousBlockBox0.getState());
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
      assertEquals(0, anonymousBlockBox0.getRightMBP());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.removeChild(Lorg/xhtmlrenderer/render/Box;)V: I4 Branch 7 IFNULL L160 - true
   */

  @Test
  public void test9()  throws Throwable  {
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      viewportBox0.removeChild((Box) anonymousBlockBox0);
      assertEquals(0, viewportBox0.getLeftMBP());
      assertEquals(0, viewportBox0.getState());
      assertEquals(0, viewportBox0.getRightMBP());
      assertEquals(0, anonymousBlockBox0.getRightMBP());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getChildren()Ljava/util/List;: I4 Branch 19 IFNONNULL L227 - false
   */

  @Test
  public void test10()  throws Throwable  {
      JRadioButtonMenuItem jRadioButtonMenuItem0 = new JRadioButtonMenuItem("6T}Q0^1VUk.", false);
      Rectangle rectangle0 = jRadioButtonMenuItem0.getBounds();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      List<?> list0 = viewportBox0.getChildren();
      assertEquals(0, viewportBox0.getState());
      assertNotNull(list0);
      assertEquals(0, viewportBox0.getRightMBP());
      assertEquals(0, viewportBox0.getLeftMBP());
  }

  //Test case number: 11
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 20 TABLESWITCH L250 Case 0 - true
   * 2 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 21 TABLESWITCH L250 Case 1 - false
   * 3 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 22 TABLESWITCH L250 Case 2 - false
   * 4 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 23 TABLESWITCH L250 Case 3 - false
   * 5 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 24 TABLESWITCH L250 Default-Case - false
   * 6 org.xhtmlrenderer.render.Box.getY()I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      int int0 = viewportBox0.getY();
      assertEquals(0, int0);
      assertEquals(0, viewportBox0.getLeftMBP());
      assertEquals(0, viewportBox0.getState());
      assertEquals(0, viewportBox0.getRightMBP());
      
      String string0 = Box.stateToString(0);
      assertEquals("NOTHING", string0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.isStyled()Z: I4 Branch 34 IFNULL L417 - true
   */

  @Test
  public void test12()  throws Throwable  {
      BlockBox blockBox0 = new BlockBox();
      boolean boolean0 = blockBox0.isStyled();
      assertEquals(0, blockBox0.getWidth());
      assertEquals(false, boolean0);
      assertEquals(0, blockBox0.getState());
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.calcChildLocations()V: I8 Branch 59 IF_ICMPGE L565 - true
   * 2 org.xhtmlrenderer.render.Box.getChildCount()I: I4 Branch 16 IFNONNULL L211 - false
   */

  @Test
  public void test13()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.calcChildLocations();
      assertEquals(0, anonymousBlockBox0.getRightMBP());
      assertEquals(0, anonymousBlockBox0.getChildCount());
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
      assertEquals(0, anonymousBlockBox0.getState());
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.render.Box.isRoot()Z: I4 Branch 91 IFNULL L693 - true
   * 2 org.xhtmlrenderer.render.Box.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getParent()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getElement()Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      JTabbedPane jTabbedPane0 = new JTabbedPane();
      Rectangle rectangle0 = jTabbedPane0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      viewportBox0.getElement();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      boolean boolean0 = anonymousBlockBox0.isInMainFlow();
      assertEquals(false, boolean0);
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
      assertEquals(0, anonymousBlockBox0.getState());
      assertEquals(0, anonymousBlockBox0.getRightMBP());
  }
}
