/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import javax.swing.JLayeredPane;
import javax.swing.JSeparator;
import javax.swing.JSplitPane;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.render.BoxDimensions;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class MarginBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JLayeredPane jLayeredPane0 = new JLayeredPane();
      Rectangle rectangle0 = jLayeredPane0.getVisibleRect();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      Rectangle rectangle1 = marginBox0.getPaddingEdge(0, 0, (CssContext) null);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JSplitPane jSplitPane0 = new JSplitPane();
      Rectangle rectangle0 = jSplitPane0.getBounds((Rectangle) null);
      MarginBox marginBox0 = new MarginBox(rectangle0);
      // Undeclared exception!
      try {
        marginBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      Rectangle rectangle0 = xHTMLPanel0.getScreenExtents();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      Rectangle rectangle1 = marginBox0.getMarginEdge(0, 0, (CssContext) null, 0, 0);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
      assertNotNull(rectangle1);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JSeparator jSeparator0 = new JSeparator();
      Rectangle rectangle0 = jSeparator0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      BoxDimensions boxDimensions0 = marginBox0.getBoxDimensions();
      assertEquals(0, boxDimensions0.getContentWidth());
      assertEquals(0, boxDimensions0.getHeight());
      assertNotNull(boxDimensions0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.getContainingBlockWidth()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      Rectangle rectangle0 = xHTMLPanel0.getScreenExtents();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      // Undeclared exception!
      try {
        marginBox0.setMarginTop((CssContext) null, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JSeparator jSeparator0 = new JSeparator();
      Rectangle rectangle0 = jSeparator0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      scalableXHTMLPanel0.getLayoutContext();
      Rectangle rectangle1 = marginBox0.getContentAreaEdge(0, 0, (CssContext) null);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }
}
