/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import java.util.Iterator;
import nu.xom.Attribute;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.JaxenNavigator;
import nu.xom.Text;
import nu.xom.jaxen.UnsupportedAxisException;
import org.junit.BeforeClass;

public class JaxenNavigatorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionTarget(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionTarget((Object) documentFragment0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.DocumentFragment cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 1
  /*
   * 9 covered goals:
   * 1 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 2 nu.xom.JaxenNavigator.isProcessingInstruction(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   * 4 nu.xom.JaxenNavigator.getAttributeNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 5 nu.xom.JaxenNavigator.isComment(Ljava/lang/Object;)Z: root-Branch
   * 6 nu.xom.JaxenNavigator.isNamespace(Ljava/lang/Object;)Z: root-Branch
   * 7 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - true
   * 8 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I2 Branch 45 IFNE L-1 - false
   * 9 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I5 Branch 46 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Attribute.Type attribute_Type0 = Attribute.Type.ENTITIES;
      Attribute attribute0 = Attribute.build("", "", "", attribute_Type0, "");
      String string0 = jaxenNavigator0.getAttributeNamespaceUri((Object) attribute0);
      assertNotNull(string0);
      
      short short0 = jaxenNavigator0.getNodeType((Object) "");
      assertEquals((short)14, short0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocumentNode(Ljava/lang/Object;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      Attribute attribute0 = Attribute.build("H^#T| km", "H^#T| km", "H^#T| km", attribute_Type0, "H^#T| km");
      Attribute attribute1 = (Attribute)jaxenNavigator0.getDocumentNode((Object) attribute0);
      assertEquals(0, attribute1.getChildCount());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getCommentStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = CDATASection.build("");
      CDATASection cDATASection0 = new CDATASection(text0);
      cDATASection0.escapeText();
      // Undeclared exception!
      try {
        jaxenNavigator0.getCommentStringValue((Object) "<![CDATA[]]>");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Comment
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocType docType0 = new DocType("Vk", "Vk");
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeStringValue((Object) docType0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.DocType cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I7 Branch 51 IFNONNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.UNDECLARED;
      attribute_Type0.getName();
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeAxisIterator((Object) null, "UNDECLARED", "UNDECLARED", "UNDECLARED");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.hasID(Lnu/xom/Element;Ljava/lang/String;)Z: I8 Branch 33 IF_ICMPGE L-1 - true
   * 2 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I3 Branch 30 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I16 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Element element0 = new Element("xml");
      Element element1 = JaxenNavigator.findByID(element0, "xml");
      assertNull(element1);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = CDATASection.build("");
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) text0, "", "", "");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getSelfAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = Text.build("cJ\"o-aj??");
      text0.escapeText();
      Iterator<?> iterator0 = jaxenNavigator0.getSelfAxisIterator((Object) "cJ\"o-aj??");
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - false
   * 2 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I10 Branch 48 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ArrayList<Integer> arrayList0 = new ArrayList<Integer>();
      boolean boolean0 = jaxenNavigator0.isText((Object) arrayList0);
      assertEquals(true, boolean0);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 40 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I24 Branch 41 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      Iterator<?> iterator0 = jaxenNavigator0.getFollowingAxisIterator((Object) documentFragment0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getParentNode(Ljava/lang/Object;)Ljava/lang/Object;: I2 Branch 42 IFEQ L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getBaseURI();
      // Undeclared exception!
      try {
        jaxenNavigator0.getPrecedingSiblingAxisIterator((Object) "");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 24 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I17 Branch 25 IFNE L-1 - false
   * 3 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I20 Branch 26 IFEQ L-1 - true
   * 4 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I35 Branch 27 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementById((Object) documentFragment0, "sKA,xd/N9Ac");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = Comment.build("");
      comment0.getDocument();
      Iterator<?> iterator0 = jaxenNavigator0.getDescendantAxisIterator((Object) null);
      assertEquals(false, iterator0.hasNext());
  }
}
