/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Element;
import nu.xom.NamespaceConflictException;
import nu.xom.XPathContext;
import nu.xom.jaxen.NamespaceContext;
import org.junit.BeforeClass;

public class XPathContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 nu.xom.XPathContext.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.XPathContext.<init>()V: root-Branch
   * 3 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I3 Branch 1 IFLE L-1 - true
   * 4 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I3 Branch 1 IFLE L-1 - false
   * 5 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - true
   * 6 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I24 Branch 3 IFLE L-1 - true
   * 7 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I24 Branch 3 IFLE L-1 - false
   * 8 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I29 Branch 4 IFNONNULL L-1 - true
   * 9 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I39 Branch 5 IFLE L-1 - true
   * 10 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I39 Branch 5 IFLE L-1 - false
   * 11 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I49 Branch 6 IFNONNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      XPathContext xPathContext0 = null;
      try {
        xPathContext0 = new XPathContext("", "");
        fail("Expecting exception: NamespaceConflictException");
      
      } catch(NamespaceConflictException e) {
         //
         // XPath expressions do not use the default namespace
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.XPathContext.getJaxenContext()Lnu/xom/jaxen/NamespaceContext;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      XPathContext xPathContext0 = new XPathContext();
      NamespaceContext namespaceContext0 = xPathContext0.getJaxenContext();
      assertNotNull(namespaceContext0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.XPathContext.makeNamespaceContext(Lnu/xom/Element;)Lnu/xom/XPathContext;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        XPathContext.makeNamespaceContext((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.XPathContext.lookup(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 7 IFLE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      XPathContext xPathContext0 = new XPathContext();
      String string0 = xPathContext0.lookup("");
      assertNull(string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      XPathContext xPathContext0 = null;
      try {
        xPathContext0 = new XPathContext("xml", "xml");
        fail("Expecting exception: NamespaceConflictException");
      
      } catch(NamespaceConflictException e) {
         //
         // Wrong namespace URI for xml prefix: xml
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I29 Branch 4 IFNONNULL L-1 - false
   * 2 nu.xom.XPathContext.lookup(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 7 IFLE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      XPathContext xPathContext0 = new XPathContext();
      xPathContext0.lookup("E<n");
      XPathContext xPathContext1 = null;
      try {
        xPathContext1 = new XPathContext((String) null, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Prefixes used in XPath expressions cannot be null
         //
      }
  }

  //Test case number: 6
  /*
   * 11 covered goals:
   * 1 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I49 Branch 6 IFNONNULL L-1 - false
   * 2 nu.xom.XPathContext.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.XPathContext.<init>()V: root-Branch
   * 4 nu.xom.XPathContext.lookup(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 7 IFLE L-1 - true
   * 5 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I3 Branch 1 IFLE L-1 - true
   * 6 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I3 Branch 1 IFLE L-1 - false
   * 7 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - true
   * 8 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I24 Branch 3 IFLE L-1 - true
   * 9 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I29 Branch 4 IFNONNULL L-1 - true
   * 10 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I39 Branch 5 IFLE L-1 - true
   * 11 nu.xom.XPathContext.addNamespace(Ljava/lang/String;Ljava/lang/String;)V: I49 Branch 6 IFNONNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      XPathContext xPathContext0 = new XPathContext();
      xPathContext0.lookup("E<n");
      XPathContext xPathContext1 = new XPathContext("Qh", (String) null);
      assertFalse(xPathContext1.equals(xPathContext0));
  }
}
