/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.context;

import org.junit.Test;
import static org.junit.Assert.*;
import javax.swing.ScrollPaneConstants;
import org.junit.BeforeClass;
import org.xhtmlrenderer.context.StylesheetFactoryImpl;
import org.xhtmlrenderer.css.sheet.Ruleset;
import org.xhtmlrenderer.css.sheet.Stylesheet;
import org.xhtmlrenderer.css.sheet.StylesheetInfo;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class StylesheetFactoryImplEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.context.StylesheetFactoryImpl$2.error(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.context.StylesheetFactoryImpl.parseStyleDeclaration(ILjava/lang/String;)Lorg/xhtmlrenderer/css/sheet/Ruleset;: root-Branch
   * 3 org.xhtmlrenderer.context.StylesheetFactoryImpl$1.<init>(Lorg/xhtmlrenderer/context/StylesheetFactoryImpl;IFZ)V: root-Branch
   * 4 org.xhtmlrenderer.context.StylesheetFactoryImpl$2.<init>(Lorg/xhtmlrenderer/context/StylesheetFactoryImpl;)V: root-Branch
   * 5 org.xhtmlrenderer.context.StylesheetFactoryImpl.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(65535);
      StylesheetFactoryImpl stylesheetFactoryImpl0 = new StylesheetFactoryImpl((UserAgentCallback) naiveUserAgent0);
      Ruleset ruleset0 = stylesheetFactoryImpl0.parseStyleDeclaration(65535, "\"&7rY8SiD");
      assertEquals(65535, ruleset0.getOrigin());
      assertNotNull(ruleset0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StylesheetFactoryImpl.flushCachedStylesheets()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)layoutContext0.getUac();
      StylesheetFactoryImpl stylesheetFactoryImpl0 = new StylesheetFactoryImpl((UserAgentCallback) naiveUserAgent0);
      stylesheetFactoryImpl0.flushCachedStylesheets();
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.context.StylesheetFactoryImpl.parse(Ljava/io/Reader;Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)Lorg/xhtmlrenderer/css/sheet/Stylesheet;: root-Branch
   * 2 org.xhtmlrenderer.context.StylesheetFactoryImpl.containsStylesheet(Ljava/lang/Object;)Z: root-Branch
   * 3 org.xhtmlrenderer.context.StylesheetFactoryImpl.getCachedStylesheet(Ljava/lang/Object;)Lorg/xhtmlrenderer/css/sheet/Stylesheet;: root-Branch
   * 4 org.xhtmlrenderer.context.StylesheetFactoryImpl.parse(Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)Lorg/xhtmlrenderer/css/sheet/Stylesheet;: I21 Branch 2 IFNULL L96 - false
   * 5 org.xhtmlrenderer.context.StylesheetFactoryImpl.parse(Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)Lorg/xhtmlrenderer/css/sheet/Stylesheet;: I48 Branch 3 IFEQ L101 - false
   * 6 org.xhtmlrenderer.context.StylesheetFactoryImpl.debugBadStyleSheet(Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)V: I13 Branch 4 IFNULL L113 - false
   * 7 org.xhtmlrenderer.context.StylesheetFactoryImpl.getStylesheet(Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)Lorg/xhtmlrenderer/css/sheet/Stylesheet;: I22 Branch 6 IFNONNULL L193 - false
   * 8 org.xhtmlrenderer.context.StylesheetFactoryImpl.getStylesheet(Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)Lorg/xhtmlrenderer/css/sheet/Stylesheet;: I27 Branch 7 IFNE L193 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)layoutContext0.getUac();
      StylesheetFactoryImpl stylesheetFactoryImpl0 = new StylesheetFactoryImpl((UserAgentCallback) naiveUserAgent0);
      StylesheetInfo stylesheetInfo0 = new StylesheetInfo();
      // Undeclared exception!
      try {
        stylesheetFactoryImpl0.getStylesheet(stylesheetInfo0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // IOException on parsing style seet from a Reader; don't know the URI.
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.context.StylesheetFactoryImpl.putStylesheet(Ljava/lang/Object;Lorg/xhtmlrenderer/css/sheet/Stylesheet;)V: root-Branch
   * 2 org.xhtmlrenderer.context.StylesheetFactoryImpl$1.removeEldestEntry(Ljava/util/Map$Entry;)Z: I7 Branch 1 IF_ICMPLE L64 - true
   * 3 org.xhtmlrenderer.context.StylesheetFactoryImpl$1.<init>(Lorg/xhtmlrenderer/context/StylesheetFactoryImpl;IFZ)V: root-Branch
   * 4 org.xhtmlrenderer.context.StylesheetFactoryImpl$2.<init>(Lorg/xhtmlrenderer/context/StylesheetFactoryImpl;)V: root-Branch
   * 5 org.xhtmlrenderer.context.StylesheetFactoryImpl.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StylesheetFactoryImpl stylesheetFactoryImpl0 = new StylesheetFactoryImpl((UserAgentCallback) naiveUserAgent0);
      String string0 = ScrollPaneConstants.UPPER_RIGHT_CORNER;
      Stylesheet stylesheet0 = new Stylesheet("UPPER_RIGHT_CORNER", 2030);
      stylesheetFactoryImpl0.putStylesheet((Object) "UPPER_RIGHT_CORNER", stylesheet0);
      assertEquals(2030, stylesheet0.getOrigin());
  }
}
