/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.PrintStream;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import javax.swing.DebugGraphics;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.FSImageWriter;

public class FSImageWriterEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/lang/String;)V: I11 Branch 1 IFEQ L110 - true
   * 2 org.xhtmlrenderer.util.FSImageWriter.setWriteCompressionMode(I)V: root-Branch
   * 3 org.xhtmlrenderer.util.FSImageWriter.setWriteCompressionType(Ljava/lang/String;)V: root-Branch
   * 4 org.xhtmlrenderer.util.FSImageWriter.setWriteCompressionQuality(F)V: root-Branch
   * 5 org.xhtmlrenderer.util.FSImageWriter.newJpegWriter(F)Lorg/xhtmlrenderer/util/FSImageWriter;: root-Branch
   * 6 org.xhtmlrenderer.util.FSImageWriter.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          FSImageWriter fSImageWriter0 = FSImageWriter.newJpegWriter(0.0F);
          // Undeclared exception!
          try {
            fSImageWriter0.write((BufferedImage) null, "&9TN#Bt&I;y'q/9(Y");
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission &9TN#Bt&I;y'q/9(Y write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.File.createNewFile(File.java:882)
             // org.xhtmlrenderer.util.FSImageWriter.write(FSImageWriter.java:113)
             // sun.reflect.GeneratedMethodAccessor29.invoke(Unknown Source)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/lang/String;)V: I11 Branch 1 IFEQ L110 - false
   */

  @Test
  public void test1()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          FSImageWriter fSImageWriter0 = new FSImageWriter("/");
          BufferedImage bufferedImage0 = new BufferedImage(1, 1, 1);
          // Undeclared exception!
          try {
            fSImageWriter0.write(bufferedImage0, "/");
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission / delete)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkDelete(SecurityManager.java:990)
             // java.io.File.delete(File.java:902)
             // org.xhtmlrenderer.util.FSImageWriter.write(FSImageWriter.java:111)
             // sun.reflect.GeneratedMethodAccessor29.invoke(Unknown Source)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/io/OutputStream;)V: I145 Branch 6 IFNULL L143 - true
   * 2 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/io/OutputStream;)V: I169 Branch 7 IFNULL L155 - false
   * 3 org.xhtmlrenderer.util.FSImageWriter.lookupImageWriterForFormat(Ljava/lang/String;)Ljavax/imageio/ImageWriter;: I13 Branch 11 IFEQ L229 - false
   * 4 org.xhtmlrenderer.util.FSImageWriter.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FSImageWriter fSImageWriter0 = new FSImageWriter();
      // Undeclared exception!
      try {
        fSImageWriter0.write((BufferedImage) null, (OutputStream) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // output == null!
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/io/OutputStream;)V: I145 Branch 6 IFNULL L143 - false
   * 2 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/io/OutputStream;)V: I169 Branch 7 IFNULL L155 - true
   * 3 org.xhtmlrenderer.util.FSImageWriter.lookupImageWriterForFormat(Ljava/lang/String;)Ljavax/imageio/ImageWriter;: I13 Branch 11 IFEQ L229 - true
   */

  @Test
  public void test3()  throws Throwable  {
      FSImageWriter fSImageWriter0 = new FSImageWriter("D=");
      PrintStream printStream0 = DebugGraphics.logStream();
      // Undeclared exception!
      try {
        fSImageWriter0.write((BufferedImage) null, (OutputStream) printStream0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I9 Branch 8 IFEQ L175 - true
   * 2 org.xhtmlrenderer.util.FSImageWriter.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FSImageWriter fSImageWriter0 = new FSImageWriter();
      PrintStream printStream0 = DebugGraphics.logStream();
      // Undeclared exception!
      try {
        fSImageWriter0.write((BufferedImage) null, (OutputStream) printStream0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // image == null!
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I9 Branch 8 IFEQ L175 - false
   * 2 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I15 Branch 9 IF_ICMPEQ L176 - false
   * 3 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I27 Branch 10 IF_ICMPNE L180 - false
   */

  @Test
  public void test5()  throws Throwable  {
      FSImageWriter fSImageWriter0 = FSImageWriter.newJpegWriter(0.0F);
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintStream printStream0 = new PrintStream((OutputStream) byteArrayOutputStream0, false);
      // Undeclared exception!
      try {
        fSImageWriter0.write((BufferedImage) null, (OutputStream) printStream0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // image == null!
         //
      }
  }

  //Test case number: 6
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I27 Branch 10 IF_ICMPNE L180 - true
   * 2 org.xhtmlrenderer.util.FSImageWriter.setWriteCompressionMode(I)V: root-Branch
   * 3 org.xhtmlrenderer.util.FSImageWriter.setWriteCompressionType(Ljava/lang/String;)V: root-Branch
   * 4 org.xhtmlrenderer.util.FSImageWriter.setWriteCompressionQuality(F)V: root-Branch
   * 5 org.xhtmlrenderer.util.FSImageWriter.newJpegWriter(F)Lorg/xhtmlrenderer/util/FSImageWriter;: root-Branch
   * 6 org.xhtmlrenderer.util.FSImageWriter.<init>(Ljava/lang/String;)V: root-Branch
   * 7 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/io/OutputStream;)V: I145 Branch 6 IFNULL L143 - false
   * 8 org.xhtmlrenderer.util.FSImageWriter.write(Ljava/awt/image/BufferedImage;Ljava/io/OutputStream;)V: I169 Branch 7 IFNULL L155 - false
   * 9 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I9 Branch 8 IFEQ L175 - false
   * 10 org.xhtmlrenderer.util.FSImageWriter.getImageWriteParameters(Ljavax/imageio/ImageWriter;)Ljavax/imageio/ImageWriteParam;: I15 Branch 9 IF_ICMPEQ L176 - false
   * 11 org.xhtmlrenderer.util.FSImageWriter.lookupImageWriterForFormat(Ljava/lang/String;)Ljavax/imageio/ImageWriter;: I13 Branch 11 IFEQ L229 - false
   */

  @Test
  public void test6()  throws Throwable  {
      FSImageWriter fSImageWriter0 = FSImageWriter.newJpegWriter(0.0F);
      fSImageWriter0.setWriteCompressionMode(0);
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      // Undeclared exception!
      try {
        fSImageWriter0.write((BufferedImage) null, (OutputStream) pipedOutputStream0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // image == null!
         //
      }
  }
}
