/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.UnsupportedEncodingException;
import nu.xom.Document;
import nu.xom.ProcessingInstruction;
import nu.xom.Serializer;
import org.junit.BeforeClass;

public class SerializerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 12 covered goals:
   * 1 nu.xom.Serializer.setUnicodeNormalizationFormC(Z)V: root-Branch
   * 2 nu.xom.Serializer.setMaxLength(I)V: root-Branch
   * 3 nu.xom.Serializer.getUnicodeNormalizationFormC()Z: root-Branch
   * 4 nu.xom.Serializer.getLineSeparator()Ljava/lang/String;: root-Branch
   * 5 nu.xom.Serializer.<init>(Ljava/io/OutputStream;)V: root-Branch
   * 6 nu.xom.Serializer.getMaxLength()I: root-Branch
   * 7 nu.xom.Serializer.flush()V: root-Branch
   * 8 nu.xom.Serializer.getIndent()I: root-Branch
   * 9 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I1 Branch 3 IFNONNULL L-1 - true
   * 10 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I15 Branch 4 IFLE L-1 - false
   * 11 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;)V: I36 Branch 2 IFEQ L-1 - true
   * 12 nu.xom.Serializer.setIndent(I)V: I1 Branch 80 IFGE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Serializer serializer0 = new Serializer((OutputStream) pipedOutputStream0);
      serializer0.setOutputStream((OutputStream) pipedOutputStream0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.setLineSeparator(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Serializer serializer0 = new Serializer((OutputStream) pipedOutputStream0);
      // Undeclared exception!
      try {
        serializer0.setLineSeparator("]]>");
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Illegal Line Separator
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.getPreserveBaseURI()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Serializer serializer0 = new Serializer((OutputStream) byteArrayOutputStream0);
      boolean boolean0 = serializer0.getPreserveBaseURI();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.getEncoding()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(56320);
      Serializer serializer0 = new Serializer((OutputStream) byteArrayOutputStream0);
      String string0 = serializer0.getEncoding();
      assertNotNull(string0);
      assertEquals(false, serializer0.getPreserveBaseURI());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.setPreserveBaseURI(Z)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Serializer serializer0 = new Serializer((OutputStream) pipedOutputStream0);
      serializer0.setPreserveBaseURI(false);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.writeXMLDeclaration()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DataOutputStream dataOutputStream0 = new DataOutputStream((OutputStream) null);
      Serializer serializer0 = new Serializer((OutputStream) dataOutputStream0);
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("oM`.(o&54", "oM`.(o&54");
      processingInstruction0.getDocument();
      // Undeclared exception!
      try {
        serializer0.write((Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I1 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Serializer serializer0 = null;
      try {
        serializer0 = new Serializer((OutputStream) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Null OutputStream
         //
      }
  }

  //Test case number: 7
  /*
   * 13 covered goals:
   * 1 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I15 Branch 4 IFLE L-1 - true
   * 2 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I27 Branch 5 IFGT L-1 - false
   * 3 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I31 Branch 6 IFLE L-1 - true
   * 4 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I44 Branch 7 IFGT L-1 - false
   * 5 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I48 Branch 8 IFGT L-1 - false
   * 6 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I52 Branch 9 IFGT L-1 - false
   * 7 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I56 Branch 10 IFGT L-1 - false
   * 8 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I60 Branch 11 IFGT L-1 - false
   * 9 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I64 Branch 12 IFGT L-1 - false
   * 10 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I68 Branch 13 IFLE L-1 - true
   * 11 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I80 Branch 14 IFGT L-1 - false
   * 12 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I84 Branch 15 IFLE L-1 - true
   * 13 nu.xom.Serializer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I11 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Serializer serializer0 = null;
      try {
        serializer0 = new Serializer((OutputStream) pipedOutputStream0, "Cannot remove system ID without removing public ID first");
        fail("Expecting exception: UnsupportedEncodingException");
      
      } catch(UnsupportedEncodingException e) {
         //
         // Cannot remove system ID without removing public ID first
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I31 Branch 6 IFLE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Serializer serializer0 = new Serializer((OutputStream) byteArrayOutputStream0, "ISO-10646-UCS-2");
      assertEquals(false, serializer0.getPreserveBaseURI());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I44 Branch 7 IFGT L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(45);
      Serializer serializer0 = new Serializer((OutputStream) byteArrayOutputStream0, "IBM037");
      assertEquals(false, serializer0.getPreserveBaseURI());
  }

  //Test case number: 10
  /*
   * 9 covered goals:
   * 1 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I60 Branch 11 IFGT L-1 - true
   * 2 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I15 Branch 4 IFLE L-1 - true
   * 3 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I27 Branch 5 IFGT L-1 - false
   * 4 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I31 Branch 6 IFLE L-1 - true
   * 5 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I44 Branch 7 IFGT L-1 - false
   * 6 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I48 Branch 8 IFGT L-1 - false
   * 7 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I52 Branch 9 IFGT L-1 - false
   * 8 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I56 Branch 10 IFGT L-1 - false
   * 9 nu.xom.Serializer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I11 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Serializer serializer0 = new Serializer((OutputStream) pipedOutputStream0, "EBCDIC-CP-WA");
  }

  //Test case number: 11
  /*
   * 4 covered goals:
   * 1 nu.xom.Serializer.setIndent(I)V: I1 Branch 80 IFGE L-1 - false
   * 2 nu.xom.Serializer.<init>(Ljava/io/OutputStream;)V: root-Branch
   * 3 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I1 Branch 3 IFNONNULL L-1 - true
   * 4 nu.xom.Serializer.setOutputStream(Ljava/io/OutputStream;Ljava/lang/String;)V: I15 Branch 4 IFLE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Serializer serializer0 = new Serializer((OutputStream) pipedOutputStream0);
      // Undeclared exception!
      try {
        serializer0.setIndent((-1928));
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Indent cannot be negative
         //
      }
  }
}
