/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.MalformedURIException;
import nu.xom.NodeFactory;
import nu.xom.XMLException;
import nu.xom.XOMHandler;
import org.junit.BeforeClass;
import org.xml.sax.Attributes;
import org.xml.sax.Locator;
import org.xml.sax.ext.Attributes2Impl;
import org.xml.sax.helpers.LocatorImpl;

public class XOMHandlerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.endDocument()V: root-Branch
   * 2 nu.xom.XOMHandler.<init>(Lnu/xom/NodeFactory;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.endDocument();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.getDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      Document document0 = xOMHandler0.getDocument();
      assertNull(document0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endCDATA()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endCDATA();
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.ignorableWhitespace([CII)V: root-Branch
   * 2 nu.xom.XOMHandler.characters([CII)V: I1 Branch 44 IFGT L-1 - true
   * 3 nu.xom.XOMHandler.characters([CII)V: I6 Branch 45 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      char[] charArray0 = new char[1];
      // Undeclared exception!
      try {
        xOMHandler0.ignorableWhitespace(charArray0, (int) 'V', (int) 'V');
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 172
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.freeMemory()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.freeMemory();
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startPrefixMapping(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startPrefixMapping("(s~Dp;F8b%=RQ[~,n/Y", "(s~Dp;F8b%=RQ[~,n/Y");
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endPrefixMapping(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endPrefixMapping("a@L&D.+l-z^`iJ#");
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      LocatorImpl locatorImpl0 = new LocatorImpl();
      xOMHandler0.setDocumentLocator((Locator) locatorImpl0);
      assertEquals(0, locatorImpl0.getColumnNumber());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I3 Branch 33 IFLE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("CDATA");
      assertNotNull(attribute_Type0);
      assertEquals("[Attribute.Type: CDATA]", attribute_Type0.toString());
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I17 Branch 35 IFLE L-1 - false
   * 2 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I3 Branch 33 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I10 Branch 34 IFLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("IDREF");
      assertNotNull(attribute_Type0);
      assertEquals("IDREF", attribute_Type0.getName());
  }

  //Test case number: 10
  /*
   * 9 covered goals:
   * 1 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I74 Branch 43 IFLE L-1 - false
   * 2 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I17 Branch 35 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I24 Branch 36 IFLE L-1 - true
   * 4 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I31 Branch 37 IFLE L-1 - true
   * 5 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I38 Branch 38 IFLE L-1 - true
   * 6 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I45 Branch 39 IFLE L-1 - true
   * 7 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I52 Branch 40 IFLE L-1 - true
   * 8 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I59 Branch 41 IFLE L-1 - true
   * 9 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I66 Branch 42 IFLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("(\">\n");
      assertNotNull(attribute_Type0);
      assertEquals("[Attribute.Type: ENUMERATION]", attribute_Type0.toString());
  }

  //Test case number: 11
  /*
   * 4 covered goals:
   * 1 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 78 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 79 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.inInternalSubset()Z: I2 Branch 83 IFNE L-1 - false
   * 4 nu.xom.XOMHandler.inInternalSubset()Z: I5 Branch 84 IFNE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.elementDecl("Tried to remove null attribute", "Tried to remove null attribute");
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.skippedEntity(Ljava/lang/String;)V: I4 Branch 62 IFLE L-1 - true
   * 2 nu.xom.XOMHandler.flushText()V: I2 Branch 48 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.flushText()V: I14 Branch 49 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.skippedEntity("Z");
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // Could not resolve entity Z
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endEntity(Ljava/lang/String;)V: I3 Branch 67 IFLE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endEntity("\n");
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 88 IFLE L-1 - true
   * 2 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I31 Branch 91 IFEQ L-1 - false
   * 3 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I34 Branch 92 IFNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.attributeDecl("a@L&D.+l-z^`iJ#", "a@L&D.+l-z^`iJ#", "a@L&D.+l-z^`iJ#", "a@L&D.+l-z^`iJ#", "a@L&D.+l-z^`iJ#");
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endDTD()V: I5 Branch 65 IFNULL L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endDTD();
  }

  //Test case number: 16
  /*
   * 35 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - true
   * 2 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 141 TABLESWITCH L-1 Case 36 - true
   * 3 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - false
   * 4 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 109 IFNULL L-1 - false
   * 5 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 110 IFEQ L-1 - false
   * 6 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 111 IFNULL L-1 - true
   * 7 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - true
   * 8 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - false
   * 9 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 118 TABLESWITCH L-1 Case 13 - false
   * 10 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 119 TABLESWITCH L-1 Case 14 - false
   * 11 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 120 TABLESWITCH L-1 Case 15 - false
   * 12 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 121 TABLESWITCH L-1 Case 16 - false
   * 13 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 122 TABLESWITCH L-1 Case 17 - false
   * 14 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 123 TABLESWITCH L-1 Case 18 - false
   * 15 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 124 TABLESWITCH L-1 Case 19 - false
   * 16 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 125 TABLESWITCH L-1 Case 20 - false
   * 17 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 126 TABLESWITCH L-1 Case 21 - false
   * 18 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 127 TABLESWITCH L-1 Case 22 - false
   * 19 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 128 TABLESWITCH L-1 Case 23 - false
   * 20 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 129 TABLESWITCH L-1 Case 24 - false
   * 21 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 130 TABLESWITCH L-1 Case 25 - false
   * 22 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 131 TABLESWITCH L-1 Case 26 - false
   * 23 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 132 TABLESWITCH L-1 Case 27 - false
   * 24 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 133 TABLESWITCH L-1 Case 28 - false
   * 25 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 134 TABLESWITCH L-1 Case 29 - false
   * 26 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 135 TABLESWITCH L-1 Case 30 - false
   * 27 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 136 TABLESWITCH L-1 Case 31 - false
   * 28 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - false
   * 29 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 138 TABLESWITCH L-1 Case 33 - false
   * 30 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 139 TABLESWITCH L-1 Case 34 - false
   * 31 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 140 TABLESWITCH L-1 Case 35 - false
   * 32 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 141 TABLESWITCH L-1 Case 36 - false
   * 33 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 142 TABLESWITCH L-1 Case 37 - false
   * 34 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 143 TABLESWITCH L-1 Case 38 - false
   * 35 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test16()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.notationDecl("ceiling", "ceiling", "NOTATION $4lLJW5Iv|X++");
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 139 TABLESWITCH L-1 Case 34 - true
   * 2 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 142 TABLESWITCH L-1 Case 37 - true
   */

  @Test
  public void test17()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.notationDecl("92V/Z]3l\"wm9I1(Tj%", "92V/Z]3l\"wm9I1(Tj%", "92V/Z]3l\"wm9I1(Tj%");
  }

  //Test case number: 18
  /*
   * 35 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 140 TABLESWITCH L-1 Case 35 - true
   * 2 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 143 TABLESWITCH L-1 Case 38 - true
   * 3 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 109 IFNULL L-1 - false
   * 4 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 110 IFEQ L-1 - false
   * 5 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 111 IFNULL L-1 - true
   * 6 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - true
   * 7 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - false
   * 8 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 118 TABLESWITCH L-1 Case 13 - false
   * 9 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 119 TABLESWITCH L-1 Case 14 - false
   * 10 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 120 TABLESWITCH L-1 Case 15 - false
   * 11 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 121 TABLESWITCH L-1 Case 16 - false
   * 12 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 122 TABLESWITCH L-1 Case 17 - false
   * 13 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 123 TABLESWITCH L-1 Case 18 - false
   * 14 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 124 TABLESWITCH L-1 Case 19 - false
   * 15 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 125 TABLESWITCH L-1 Case 20 - false
   * 16 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 126 TABLESWITCH L-1 Case 21 - false
   * 17 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 127 TABLESWITCH L-1 Case 22 - false
   * 18 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 128 TABLESWITCH L-1 Case 23 - false
   * 19 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 129 TABLESWITCH L-1 Case 24 - false
   * 20 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 130 TABLESWITCH L-1 Case 25 - false
   * 21 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 131 TABLESWITCH L-1 Case 26 - false
   * 22 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 132 TABLESWITCH L-1 Case 27 - false
   * 23 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 133 TABLESWITCH L-1 Case 28 - false
   * 24 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 134 TABLESWITCH L-1 Case 29 - false
   * 25 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 135 TABLESWITCH L-1 Case 30 - false
   * 26 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 136 TABLESWITCH L-1 Case 31 - false
   * 27 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - false
   * 28 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 138 TABLESWITCH L-1 Case 33 - false
   * 29 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 139 TABLESWITCH L-1 Case 34 - false
   * 30 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 140 TABLESWITCH L-1 Case 35 - false
   * 31 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 141 TABLESWITCH L-1 Case 36 - false
   * 32 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 142 TABLESWITCH L-1 Case 37 - false
   * 33 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 143 TABLESWITCH L-1 Case 38 - false
   * 34 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - true
   * 35 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test18()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.notationDecl("a@L&D.+l-z^`iJ#", "a@L&D.+l-z^`iJ#", "a@L&D.+l-z^`iJ#");
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startCDATA()V: I2 Branch 68 IFNONNULL L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startCDATA();
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.endElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I15 Branch 21 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.startDocument()V: I41 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test20()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      DocType docType0 = DocType.build("(s~Dp;F8b%=RQ[~,n/Y", "(s~Dp;F8b%=RQ[~,n/Y", "(s~Dp;F8b%=RQ[~,n/Y");
      docType0.getValue();
      xOMHandler0.startDocument();
      // Undeclared exception!
      try {
        xOMHandler0.endElement("", "", "");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Document cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startEntity(Ljava/lang/String;)V: I3 Branch 66 IFLE L-1 - true
   */

  @Test
  public void test21()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startEntity("Tried to remove null attribute");
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I16 Branch 63 IF_ICMPGE L-1 - false
   */

  @Test
  public void test22()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.startDTD("ENTITIES", "ENTITIES", "ENTITIES");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 23
  /*
   * 12 covered goals:
   * 1 nu.xom.XOMHandler.characters([CII)V: I1 Branch 44 IFGT L-1 - false
   * 2 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I3 Branch 33 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I10 Branch 34 IFLE L-1 - true
   * 4 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I17 Branch 35 IFLE L-1 - true
   * 5 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I24 Branch 36 IFLE L-1 - true
   * 6 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I31 Branch 37 IFLE L-1 - true
   * 7 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I38 Branch 38 IFLE L-1 - true
   * 8 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I45 Branch 39 IFLE L-1 - true
   * 9 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I52 Branch 40 IFLE L-1 - true
   * 10 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I59 Branch 41 IFLE L-1 - true
   * 11 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I66 Branch 42 IFLE L-1 - true
   * 12 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I74 Branch 43 IFLE L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      XOMHandler xOMHandler0 = new XOMHandler((NodeFactory) null);
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("t");
      attribute_Type0.hashCode();
      char[] charArray0 = new char[7];
      xOMHandler0.characters(charArray0, 0, 0);
      assertArrayEquals(new char[] {'\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000'}, charArray0);
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I6 Branch 2 IF_ACMPEQ L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      Attributes2Impl attributes2Impl0 = new Attributes2Impl();
      // Undeclared exception!
      try {
        xOMHandler0.startElement("92V/Z]3l\"wm9I1(Tj%", "92V/Z]3l\"wm9I1(Tj%", "92V/Z]3l\"wm9I1(Tj%", (Attributes) attributes2Impl0);
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Missing scheme in absolute URI reference
         //
      }
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.inInternalSubset()Z: I2 Branch 83 IFNE L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.UNDECLARED;
      attribute_Type0.getName();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.usingCrimson = true;
      // Undeclared exception!
      try {
        xOMHandler0.unparsedEntityDecl("UNDECLARED", "UNDECLARED", "UNDECLARED", "UNDECLARED");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 26
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 114 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 115 IFNULL L-1 - true
   */

  @Test
  public void test26()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.unparsedEntityDecl("Tried to remove null attribute", "Tried to remove null attribute", "Tried to remove null attribute", "Tried to remove null attribute");
  }

  //Test case number: 27
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 98 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 99 IFNULL L-1 - true
   */

  @Test
  public void test27()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.externalEntityDecl("Tried to remove null attribute", "Tried to remove null attribute", "Tried to remove null attribute");
  }

  //Test case number: 28
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.comment([CII)V: I2 Branch 69 IFNE L-1 - false
   * 2 nu.xom.XOMHandler.comment([CII)V: I8 Branch 70 IFEQ L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      char[] charArray0 = new char[5];
      // Undeclared exception!
      try {
        xOMHandler0.comment(charArray0, (int) '=', (int) '\u0000');
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 61
         //
      }
  }

  //Test case number: 29
  /*
   * 6 covered goals:
   * 1 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 53 IFNE L-1 - false
   * 2 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 54 IFEQ L-1 - true
   * 3 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - false
   * 4 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I33 Branch 57 IFNE L-1 - false
   * 5 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I36 Branch 58 IFEQ L-1 - true
   * 6 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I53 Branch 59 IFEQ L-1 - true
   */

  @Test
  public void test29()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.processingInstruction("NMTOKEN", "NMTOKEN");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 30
  /*
   * 9 covered goals:
   * 1 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - true
   * 2 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I36 Branch 58 IFEQ L-1 - false
   * 3 nu.xom.XOMHandler.startDocument()V: I41 Branch 1 IFNULL L-1 - true
   * 4 nu.xom.XOMHandler.flushText()V: I2 Branch 48 IFNULL L-1 - true
   * 5 nu.xom.XOMHandler.flushText()V: I14 Branch 49 IFNULL L-1 - true
   * 6 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 53 IFNE L-1 - false
   * 7 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 54 IFEQ L-1 - true
   * 8 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - false
   * 9 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I33 Branch 57 IFNE L-1 - false
   */

  @Test
  public void test30()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.processingInstruction("CDATA", "CDATA");
  }

  //Test case number: 31
  /*
   * 5 covered goals:
   * 1 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 95 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 96 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.<init>(Lnu/xom/NodeFactory;)V: root-Branch
   * 4 nu.xom.XOMHandler.inInternalSubset()Z: I2 Branch 83 IFNE L-1 - false
   * 5 nu.xom.XOMHandler.inInternalSubset()Z: I5 Branch 84 IFNE L-1 - false
   */

  @Test
  public void test31()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.internalEntityDecl("\">\n", "\">\n");
  }
}
