/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.xslt;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import nu.xom.xslt.XOMReader;
import org.junit.BeforeClass;
import org.xml.sax.ContentHandler;
import org.xml.sax.DTDHandler;
import org.xml.sax.EntityResolver;
import org.xml.sax.ErrorHandler;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.SAXNotRecognizedException;
import org.xml.sax.SAXNotSupportedException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.AttributesImpl;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLFilterImpl;

public class XOMReaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.xslt.XOMReader.parse(Lorg/xml/sax/InputSource;)V: root-Branch
   * 2 nu.xom.xslt.XOMReader.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      // Undeclared exception!
      try {
        xOMReader0.parse((InputSource) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setFeature(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      xOMReader0.setFeature(".H=dj", false);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.parse(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      // Undeclared exception!
      try {
        xOMReader0.parse("28-{Dy_k3");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setDTDHandler(Lorg/xml/sax/DTDHandler;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      XMLFilterImpl xMLFilterImpl0 = new XMLFilterImpl((XMLReader) xOMReader0);
      xOMReader0.setDTDHandler((DTDHandler) xMLFilterImpl0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getDTDHandler()Lorg/xml/sax/DTDHandler;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      DTDHandler dTDHandler0 = xOMReader0.getDTDHandler();
      assertNull(dTDHandler0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getEntityResolver()Lorg/xml/sax/EntityResolver;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      EntityResolver entityResolver0 = xOMReader0.getEntityResolver();
      assertNull(entityResolver0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setEntityResolver(Lorg/xml/sax/EntityResolver;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      DefaultHandler defaultHandler0 = new DefaultHandler();
      // Undeclared exception!
      try {
        xOMReader0.setEntityResolver((EntityResolver) defaultHandler0);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getContentHandler()Lorg/xml/sax/ContentHandler;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      ContentHandler contentHandler0 = xOMReader0.getContentHandler();
      assertNull(contentHandler0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setContentHandler(Lorg/xml/sax/ContentHandler;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      XMLFilterImpl xMLFilterImpl0 = new XMLFilterImpl((XMLReader) xOMReader0);
      xOMReader0.setContentHandler((ContentHandler) xMLFilterImpl0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.xslt.XOMReader.setErrorHandler(Lorg/xml/sax/ErrorHandler;)V: root-Branch
   * 2 nu.xom.xslt.XOMReader.getErrorHandler()Lorg/xml/sax/ErrorHandler;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      xOMReader0.getErrorHandler();
      xOMReader0.setErrorHandler((ErrorHandler) null);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getProperty(Ljava/lang/String;)Ljava/lang/Object;: I3 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      try {
        xOMReader0.getProperty(".^IwN_Sy[");
        fail("Expecting exception: SAXNotRecognizedException");
      
      } catch(SAXNotRecognizedException e) {
         //
         // XOMReader doesn't support features
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setProperty(Ljava/lang/String;Ljava/lang/Object;)V: I3 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      AttributesImpl attributesImpl0 = new AttributesImpl();
      attributesImpl0.getURI(0);
      try {
        xOMReader0.setProperty("http://xml.org/sax/features/namespace-prefixes", (Object) null);
        fail("Expecting exception: SAXNotRecognizedException");
      
      } catch(SAXNotRecognizedException e) {
         //
         // XOMReader doesn't support http://xml.org/sax/features/namespace-prefixes
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I3 Branch 1 IFGT L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      boolean boolean0 = xOMReader0.getFeature("http://xml.org/sax/features/namespace-prefixes");
      assertEquals(true, boolean0);
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I3 Branch 1 IFGT L-1 - false
   * 2 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I7 Branch 2 IFLE L-1 - true
   * 3 nu.xom.xslt.XOMReader.<init>()V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      try {
        xOMReader0.getFeature("XOMReader doesn't support ");
        fail("Expecting exception: SAXNotRecognizedException");
      
      } catch(SAXNotRecognizedException e) {
         //
         // XOMReader doesn't support features
         //
      }
  }
}
