/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.parser.CSSParseException;
import org.xhtmlrenderer.css.parser.Token;

public class CSSParseExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setLine(I)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException("4~>1in4D&})", 5);
      cSSParseException0.setLine(5);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: 4~>1in4D&}) at line 6.", cSSParseException0.toString());
      assertEquals("4~>1in4D&}) at line 6.", cSSParseException0.getMessage());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isCallerNotified()Z: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Token token0 = Token.TK_CDO;
      token0.getType();
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 2);
      cSSParseException0.isCallerNotified();
      assertEquals("Found <!-- where <!-- was expected at line 3.", cSSParseException0.getLocalizedMessage());
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found <!-- where <!-- was expected at line 3.", cSSParseException0.toString());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getLine()I: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Token token0 = Token.TK_INCLUDES;
      Token[] tokenArray0 = new Token[9];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 1);
      int int0 = cSSParseException0.getLine();
      assertEquals(1, int0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setCallerNotified(Z)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException("4~>1in4D&})", 5);
      cSSParseException0.setCallerNotified(false);
      assertEquals(false, cSSParseException0.isCallerNotified());
      assertEquals("4~>1in4D&}) at line 6.", cSSParseException0.getMessage());
      assertEquals(5, cSSParseException0.getLine());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getFound()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Token token0 = Token.TK_EOF;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 48);
      Token token1 = cSSParseException0.getFound();
      assertNotNull(token1);
      assertEquals("Found end of file where end of file was expected at line 49.", cSSParseException0.getMessage());
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found end of file where end of file was expected at line 49.", cSSParseException0.toString());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException(", or ", 7);
      String string0 = cSSParseException0.toString();
      assertNotNull(string0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: , or  at line 8.", string0);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - false
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Token[] tokenArray0 = new Token[4];
      CSSParseException cSSParseException0 = new CSSParseException((Token) null, tokenArray0, 39);
      // Undeclared exception!
      try {
        cSSParseException0.printStackTrace();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Token token0 = Token.TK_CDO;
      token0.getType();
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 2);
      String string0 = cSSParseException0.getMessage();
      assertNotNull(string0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found <!-- where <!-- was expected at line 3.", cSSParseException0.toString());
      assertEquals("Found <!-- where <!-- was expected at line 3.", string0);
  }

  //Test case number: 8
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - false
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - true
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - false
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Token token0 = Token.TK_MM;
      Token[] tokenArray0 = new Token[3];
      tokenArray0[0] = token0;
      tokenArray0[1] = token0;
      tokenArray0[2] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 7);
      String string0 = cSSParseException0.getMessage();
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a millimeter value where one of a millimeter value, a millimeter value, or a millimeter value was expected at line 8.", cSSParseException0.toString());
      assertNotNull(string0);
      assertEquals("Found a millimeter value where one of a millimeter value, a millimeter value, or a millimeter value was expected at line 8.", string0);
  }

  //Test case number: 9
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - true
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   * 8 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Token token0 = Token.TK_MM;
      Token[] tokenArray0 = new Token[2];
      tokenArray0[0] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, (-1844));
      // Undeclared exception!
      try {
        cSSParseException0.getMessage();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isEOF()Z: I5 Branch 9 IF_ACMPNE L101 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Token token0 = Token.TK_CDO;
      token0.getType();
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 2);
      boolean boolean0 = cSSParseException0.isEOF();
      assertEquals(false, boolean0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found <!-- where <!-- was expected at line 3.", cSSParseException0.toString());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isEOF()Z: I5 Branch 9 IF_ACMPNE L101 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      Token token0 = Token.TK_EOF;
      Token[] tokenArray0 = new Token[5];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, (-1694));
      boolean boolean0 = cSSParseException0.isEOF();
      assertEquals(-1694, cSSParseException0.getLine());
      assertEquals(true, boolean0);
  }
}
