/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser.property;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.constants.CSSName;
import org.xhtmlrenderer.css.parser.CSSParseException;
import org.xhtmlrenderer.css.parser.property.BorderSpacingPropertyBuilder;
import org.xhtmlrenderer.css.parser.property.ContentPropertyBuilder;
import org.xhtmlrenderer.css.parser.property.SizePropertyBuilder;
import org.xhtmlrenderer.css.sheet.MediaRule;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class AbstractPropertyBuilderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.buildDeclarations(Lorg/xhtmlrenderer/css/constants/CSSName;Ljava/util/List;IZ)Ljava/util/List;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ContentPropertyBuilder contentPropertyBuilder0 = new ContentPropertyBuilder();
      CSSName cSSName0 = CSSName.TOP;
      // Undeclared exception!
      try {
        contentPropertyBuilder0.buildDeclarations(cSSName0, (List) null, (-1129), false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.checkValueCount(Lorg/xhtmlrenderer/css/constants/CSSName;III)V: I4 Branch 2 IF_ICMPLT L46 - true
   * 2 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.checkInheritAll([Lorg/xhtmlrenderer/css/constants/CSSName;Ljava/util/List;IZZ)Ljava/util/List;: I5 Branch 48 IF_ICMPNE L191 - true
   */

  @Test
  public void test1()  throws Throwable  {
      BorderSpacingPropertyBuilder borderSpacingPropertyBuilder0 = new BorderSpacingPropertyBuilder();
      CSSName cSSName0 = CSSName.COLOR;
      MediaRule mediaRule0 = new MediaRule(10);
      List<?> list0 = mediaRule0.getContents();
      // Undeclared exception!
      try {
        borderSpacingPropertyBuilder0.buildDeclarations(cSSName0, (List) list0, 10, false, false);
        fail("Expecting exception: CSSParseException");
      
      } catch(CSSParseException e) {
         //
         // Found 0 value(s) for border-spacing when between 1 and 2 value(s) were expected at line 0.
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.checkValueCount(Lorg/xhtmlrenderer/css/constants/CSSName;III)V: I4 Branch 2 IF_ICMPLT L46 - false
   * 2 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.checkValueCount(Lorg/xhtmlrenderer/css/constants/CSSName;III)V: I7 Branch 3 IF_ICMPLE L46 - false
   * 3 org.xhtmlrenderer.css.parser.property.AbstractPropertyBuilder.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SizePropertyBuilder sizePropertyBuilder0 = new SizePropertyBuilder();
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) null);
      sharedContext0.getUserAgentCallback();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      List<?> list0 = scalableXHTMLPanel0.getMouseTrackingListeners();
      // Undeclared exception!
      try {
        sizePropertyBuilder0.buildDeclarations((CSSName) null, (List) list0, 58, false, false);
        fail("Expecting exception: CSSParseException");
      
      } catch(CSSParseException e) {
         //
         // Found 3 value(s) for null when between 1 and 2 value(s) were expected at line 0.
         //
      }
  }
}
