/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.sheet;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import org.junit.BeforeClass;
import org.xhtmlrenderer.context.StylesheetFactoryImpl;
import org.xhtmlrenderer.css.extend.StylesheetFactory;
import org.xhtmlrenderer.css.sheet.FontFaceRule;
import org.xhtmlrenderer.css.sheet.MediaRule;
import org.xhtmlrenderer.css.sheet.PageRule;
import org.xhtmlrenderer.css.sheet.Ruleset;
import org.xhtmlrenderer.css.sheet.Stylesheet;
import org.xhtmlrenderer.css.sheet.StylesheetInfo;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.NoNamespaceHandler;

public class StylesheetEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.getContents()Ljava/util/List;: root-Branch
   * 2 org.xhtmlrenderer.css.sheet.Stylesheet.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      List<?> list0 = stylesheet0.getContents();
      assertNotNull(list0);
      assertEquals(1979, stylesheet0.getOrigin());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.addContent(Lorg/xhtmlrenderer/css/sheet/PageRule;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      PageRule pageRule0 = new PageRule(1979);
      stylesheet0.addContent(pageRule0);
      assertEquals(1979, stylesheet0.getOrigin());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.addContent(Lorg/xhtmlrenderer/css/sheet/Ruleset;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("always", 1);
      stylesheet0.addContent((Ruleset) null);
      assertEquals(1, stylesheet0.getOrigin());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.getURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      String string0 = stylesheet0.getURI();
      assertEquals(1979, stylesheet0.getOrigin());
      assertNotNull(string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.addContent(Lorg/xhtmlrenderer/css/sheet/MediaRule;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("always", 1);
      MediaRule mediaRule0 = new MediaRule(1);
      stylesheet0.addContent(mediaRule0);
      assertEquals(1, stylesheet0.getOrigin());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.addFontFaceRule(Lorg/xhtmlrenderer/css/sheet/FontFaceRule;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      FontFaceRule fontFaceRule0 = new FontFaceRule(1979);
      stylesheet0.addFontFaceRule(fontFaceRule0);
      assertEquals(1979, stylesheet0.getOrigin());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.getOrigin()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      int int0 = stylesheet0.getOrigin();
      assertEquals(1979, int0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.getImportRules()Ljava/util/List;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      List<?> list0 = stylesheet0.getImportRules();
      assertEquals(1979, stylesheet0.getOrigin());
      assertNotNull(list0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.addImportRule(Lorg/xhtmlrenderer/css/sheet/StylesheetInfo;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      StylesheetFactoryImpl stylesheetFactoryImpl0 = new StylesheetFactoryImpl((UserAgentCallback) naiveUserAgent0);
      noNamespaceHandler0.getDefaultStylesheet((StylesheetFactory) stylesheetFactoryImpl0);
      stylesheet0.addImportRule((StylesheetInfo) null);
      assertEquals(1979, stylesheet0.getOrigin());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.sheet.Stylesheet.getFontFaceRules()Ljava/util/List;: root-Branch
   * 2 org.xhtmlrenderer.css.sheet.Stylesheet.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("%", 1979);
      List<?> list0 = stylesheet0.getFontFaceRules();
      assertNotNull(list0);
      assertEquals(1979, stylesheet0.getOrigin());
  }
}
