/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Point;
import java.awt.event.MouseEvent;
import javax.swing.Action;
import javax.swing.JMenu;
import javax.swing.MenuElement;
import javax.swing.MenuSelectionManager;
import javax.swing.event.MenuDragMouseEvent;
import javax.swing.text.DefaultEditorKit;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.event.DocumentListener;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.CursorListener;
import org.xhtmlrenderer.swing.FSMouseListener;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class BasicPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.setSharedContext(Lorg/xhtmlrenderer/layout/SharedContext;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.addMouseTrackingListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: root-Branch
   * 3 org.xhtmlrenderer.swing.BasicPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.BasicPanel.<init>()V: root-Branch
   * 5 org.xhtmlrenderer.swing.BasicPanel.setOpaque(Z)V: root-Branch
   * 6 org.xhtmlrenderer.swing.BasicPanel.setLayout(Ljava/awt/LayoutManager;)V: root-Branch
   * 7 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I12 Branch 26 IF_ICMPLE L498 - false
   * 8 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I23 Branch 27 IFNONNULL L500 - true
   * 9 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I35 Branch 28 IFLE L500 - true
   */

  @Test
  public void test0()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      xHTMLPanel0.setSharedContext((SharedContext) null);
      assertEquals(true, xHTMLPanel0.isOpaque());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isInteractive()Z: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      boolean boolean0 = scalableXHTMLPanel0.isInteractive();
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.removeMouseTrackingListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      CursorListener cursorListener0 = new CursorListener();
      scalableXHTMLPanel0.removeMouseTrackingListener((FSMouseListener) cursorListener0);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.reloadDocument(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      // Undeclared exception!
      try {
        xHTMLPanel0.reloadDocument("repeat");
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.addDocumentListener(Lorg/xhtmlrenderer/event/DocumentListener;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(1128);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      scalableXHTMLPanel0.addDocumentListener((DocumentListener) naiveUserAgent0);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.getDocument()Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.resetMouseTracker()V: root-Branch
   * 3 org.xhtmlrenderer.swing.BasicPanel.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.incrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isHover(Lorg/w3c/dom/Element;)Z: I5 Branch 23 IF_ACMPNE L440 - false
   */

  @Test
  public void test6()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      boolean boolean0 = scalableXHTMLPanel0.isHover((Element) null);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isActive(Lorg/w3c/dom/Element;)Z: I5 Branch 24 IF_ACMPNE L447 - false
   */

  @Test
  public void test7()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      boolean boolean0 = scalableXHTMLPanel0.isActive((Element) null);
      assertEquals(true, boolean0);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isFocus(Lorg/w3c/dom/Element;)Z: I5 Branch 25 IF_ACMPNE L454 - false
   */

  @Test
  public void test8()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      boolean boolean0 = xHTMLPanel0.isFocus((Element) null);
      assertEquals(true, xHTMLPanel0.isOpaque());
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.getFixedRectangle()Ljava/awt/Rectangle;: I4 Branch 29 IFNULL L511 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.setScale(1471.3762959572962);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 10
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.scrollTo(Ljava/awt/Point;)V: I4 Branch 31 IFNULL L532 - true
   * 2 org.xhtmlrenderer.swing.BasicPanel.addMouseTrackingListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: root-Branch
   * 3 org.xhtmlrenderer.swing.BasicPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.BasicPanel.<init>()V: root-Branch
   * 5 org.xhtmlrenderer.swing.BasicPanel.setOpaque(Z)V: root-Branch
   * 6 org.xhtmlrenderer.swing.BasicPanel.setLayout(Ljava/awt/LayoutManager;)V: root-Branch
   * 7 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I12 Branch 26 IF_ICMPLE L498 - false
   * 8 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I23 Branch 27 IFNONNULL L500 - true
   * 9 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I35 Branch 28 IFLE L500 - true
   */

  @Test
  public void test10()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getX();
      DefaultEditorKit.CopyAction defaultEditorKit_CopyAction0 = new DefaultEditorKit.CopyAction();
      JMenu jMenu0 = new JMenu((Action) defaultEditorKit_CopyAction0);
      MenuElement[] menuElementArray0 = new MenuElement[6];
      MenuSelectionManager menuSelectionManager0 = MenuSelectionManager.defaultManager();
      MenuDragMouseEvent menuDragMouseEvent0 = new MenuDragMouseEvent((Component) scalableXHTMLPanel0, 0, (long) 0, 0, 0, 0, 0, 0, 0, false, menuElementArray0, menuSelectionManager0);
      jMenu0.getToolTipLocation((MouseEvent) menuDragMouseEvent0);
      scalableXHTMLPanel0.scrollTo((Point) null);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }
}
