/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.Document;
import nu.xom.Element;
import nu.xom.IllegalNameException;
import nu.xom.IllegalTargetException;
import nu.xom.Node;
import nu.xom.NodeFactory;
import nu.xom.Nodes;
import org.junit.BeforeClass;

public class NodeFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.makeDocType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.ENTITIES;
      attribute_Type0.toString();
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeDocType("[Attribute.Type: ENTITIES]", "[Attribute.Type: ENTITIES]", "[Attribute.Type: ENTITIES]");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // XML names cannot start with the character 5b
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeComment(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeComment("[Attribute.Type: ");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.makeCDATASection(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.makeText(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeCDATASection("[Attribute.Type: ");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.startMakingDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Document document0 = nodeFactory0.startMakingDocument();
      assertEquals("<?xml version=\"1.0\"?>\n<root xmlns=\"http://www.xom.nu/fakeRoot\" />\n", document0.toXML());
      assertNotNull(document0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeAttribute(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lnu/xom/Attribute$Type;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.UNDECLARED;
      // Undeclared exception!
      try {
        nodeFactory0.makeAttribute(";b1~x3'x?D/fdh", ";b1~x3'x?D/fdh", ";b1~x3'x?D/fdh", attribute_Type0);
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot start with the character 3b
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.insertChild(Lnu/xom/Element;Lnu/xom/Node;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.insertChild((Element) null, (Node) null, (-31));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeProcessingInstruction(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeProcessingInstruction("", "");
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // NCNames cannot be empty
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.addAttribute(Lnu/xom/Element;Lnu/xom/Attribute;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Element element0 = new Element("ENTITIES");
      element0.getAttribute("ENTITIES");
      // Undeclared exception!
      try {
        nodeFactory0.addAttribute(element0, (Attribute) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.finishMakingDocument(Lnu/xom/Document;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      nodeFactory0.finishMakingDocument((Document) null);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.finishMakingElement(Lnu/xom/Element;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.finishMakingElement((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Nodes content must be non-null
         //
      }
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 nu.xom.NodeFactory.makeRootElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   * 2 nu.xom.NodeFactory.startMakingElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   * 3 nu.xom.NodeFactory.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeRootElement("[Attribute.Type: ", "[Attribute.Type: ");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot start with the character 5b
         //
      }
  }
}
