/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.style;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.constants.CSSName;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.css.style.derived.FunctionValue;
import org.xhtmlrenderer.css.style.derived.NumberValue;
import org.xhtmlrenderer.css.style.derived.StringValue;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.util.XRRuntimeException;

public class DerivedValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.isDeclaredInherit()Z: root-Branch
   * 2 org.xhtmlrenderer.css.style.DerivedValue.<init>(Lorg/xhtmlrenderer/css/constants/CSSName;SLjava/lang/String;Ljava/lang/String;)V: I16 Branch 1 IFNONNULL L33 - true
   * 3 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 2 TABLESWITCH L42 Case 19 - false
   * 4 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 3 TABLESWITCH L42 Case 20 - false
   * 5 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 4 TABLESWITCH L42 Case 21 - false
   * 6 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 5 TABLESWITCH L42 Case 22 - false
   * 7 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 6 TABLESWITCH L42 Default-Case - true
   */

  @Test
  public void test0()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "l;|v\u0004");
      CSSName cSSName0 = CSSName.PADDING_TOP;
      StringValue stringValue0 = new StringValue(cSSName0, propertyValue0);
      boolean boolean0 = stringValue0.isDeclaredInherit();
      assertEquals(false, boolean0);
      assertEquals(0, stringValue0.getCssSacUnitType());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.asStringArray()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSName cSSName0 = CSSName.BOTTOM;
      PropertyValue propertyValue0 = new PropertyValue((short)992, (float) (short)992, "");
      FunctionValue functionValue0 = new FunctionValue(cSSName0, propertyValue0);
      // Undeclared exception!
      try {
        functionValue0.asStringArray();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // asStringArray() needs to be overridden in subclass.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.hasAbsoluteUnit()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSName cSSName0 = CSSName.SRC;
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "R.");
      StringValue stringValue0 = new StringValue(cSSName0, propertyValue0);
      // Undeclared exception!
      try {
        stringValue0.hasAbsoluteUnit();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // hasAbsoluteUnit() needs to be overridden in subclass.
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.isIdent()Z: root-Branch
   * 2 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 4 TABLESWITCH L42 Case 21 - true
   * 3 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 6 TABLESWITCH L42 Default-Case - false
   * 4 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I8 Branch 7 IFNONNULL L47 - true
   */

  @Test
  public void test3()  throws Throwable  {
      CSSName cSSName0 = CSSName.CAPTION_SIDE;
      IdentValue identValue0 = IdentValue.LINE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      NumberValue numberValue0 = new NumberValue(cSSName0, propertyValue0);
      boolean boolean0 = numberValue0.isIdent();
      assertEquals(false, boolean0);
      assertEquals(21, numberValue0.getCssSacUnitType());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.getFloatProportionalTo(Lorg/xhtmlrenderer/css/constants/CSSName;FLorg/xhtmlrenderer/css/style/CssContext;)F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "l;|v\u0004");
      CSSName cSSName0 = CSSName.PADDING_TOP;
      FunctionValue functionValue0 = new FunctionValue(cSSName0, propertyValue0);
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) naiveUserAgent0);
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      // Undeclared exception!
      try {
        functionValue0.getFloatProportionalTo(cSSName0, (float) (short)0, (CssContext) renderingContext0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // getFloatProportionalTo() needs to be overridden in subclass.
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.asFloat()F: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSName cSSName0 = CSSName.CAPTION_SIDE;
      IdentValue identValue0 = IdentValue.LINE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      FunctionValue functionValue0 = new FunctionValue(cSSName0, propertyValue0);
      // Undeclared exception!
      try {
        functionValue0.asFloat();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // asFloat() needs to be overridden in subclass.
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.asIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSName cSSName0 = CSSName.LINE_HEIGHT;
      PropertyValue propertyValue0 = new PropertyValue((short)8, (float) (short)8, "an attribute word match");
      NumberValue numberValue0 = new NumberValue(cSSName0, propertyValue0);
      // Undeclared exception!
      try {
        numberValue0.asIdentValue();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // asIdentValue() needs to be overridden in subclass.
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.isDependentOnFontSize()Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      CSSName cSSName0 = CSSName.LINE_HEIGHT;
      PropertyValue propertyValue0 = new PropertyValue((short)8, (float) (short)8, "an attribute word match");
      FunctionValue functionValue0 = new FunctionValue(cSSName0, propertyValue0);
      boolean boolean0 = functionValue0.isDependentOnFontSize();
      assertEquals(false, boolean0);
      assertEquals(8, functionValue0.getCssSacUnitType());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.getStringValue()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.style.DerivedValue.asString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      CSSName cSSName0 = CSSName.BORDER_RIGHT_WIDTH;
      IdentValue identValue0 = IdentValue.LINE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      StringValue stringValue0 = new StringValue(cSSName0, propertyValue0);
      String string0 = stringValue0.asString();
      assertNotNull(string0);
      assertEquals(21, stringValue0.getCssSacUnitType());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.asColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CSSName cSSName0 = CSSName.SRC;
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "R.");
      StringValue stringValue0 = new StringValue(cSSName0, propertyValue0);
      // Undeclared exception!
      try {
        stringValue0.asColor();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // asColor() needs to be overridden in subclass.
         //
      }
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.isAbsoluteUnit()Z: root-Branch
   * 2 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 4 TABLESWITCH L42 Case 21 - true
   * 3 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 6 TABLESWITCH L42 Default-Case - false
   * 4 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I8 Branch 7 IFNONNULL L47 - true
   */

  @Test
  public void test10()  throws Throwable  {
      CSSName cSSName0 = CSSName.CAPTION_SIDE;
      IdentValue identValue0 = IdentValue.LINE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      StringValue stringValue0 = new StringValue(cSSName0, propertyValue0);
      boolean boolean0 = stringValue0.isAbsoluteUnit();
      assertEquals(21, stringValue0.getCssSacUnitType());
      assertEquals(true, boolean0);
  }

  //Test case number: 11
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.css.style.DerivedValue.getCssSacUnitType()S: root-Branch
   * 2 org.xhtmlrenderer.css.style.DerivedValue.<init>(Lorg/xhtmlrenderer/css/constants/CSSName;SLjava/lang/String;Ljava/lang/String;)V: I16 Branch 1 IFNONNULL L33 - true
   * 3 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 2 TABLESWITCH L42 Case 19 - false
   * 4 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 3 TABLESWITCH L42 Case 20 - false
   * 5 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 4 TABLESWITCH L42 Case 21 - false
   * 6 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 5 TABLESWITCH L42 Case 22 - false
   * 7 org.xhtmlrenderer.css.style.DerivedValue.deriveStringValue(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I4 Branch 6 TABLESWITCH L42 Default-Case - true
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "l;|v\u0004");
      NumberValue numberValue0 = new NumberValue((CSSName) null, propertyValue0);
      short short0 = numberValue0.getCssSacUnitType();
      assertEquals((short)0, short0);
  }
}
