/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.layout;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.context.AWTFontResolver;
import org.xhtmlrenderer.extend.FontResolver;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.ReplacedElementFactory;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.swing.SwingReplacedElementFactory;

public class SharedContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.setTextRenderer(Lorg/xhtmlrenderer/extend/TextRenderer;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.setDPI(F)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 5 org.xhtmlrenderer.layout.SharedContext.setMedia(Ljava/lang/String;)V: root-Branch
   * 6 org.xhtmlrenderer.layout.SharedContext.setCss(Lorg/xhtmlrenderer/context/StyleReference;)V: root-Branch
   * 7 org.xhtmlrenderer.layout.SharedContext.getCss()Lorg/xhtmlrenderer/context/StyleReference;: root-Branch
   * 8 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I4 Branch 13 IFNONNULL L522 - false
   * 9 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I21 Branch 14 IFNE L527 - false
   * 10 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I33 Branch 15 IFNONNULL L530 - false
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      // Undeclared exception!
      try {
        sharedContext0.getStyle((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_inline_boxes(Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.setDebug_draw_inline_boxes(true);
      assertEquals(true, sharedContext0.debugDrawInlineBoxes());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDotsPerPixel(I)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.setDotsPerPixel(172);
      assertEquals(172, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setInteractive(Z)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.debugDrawLineBoxes()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawLineBoxes();
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      
      sharedContext0.setInteractive(false);
      assertEquals(false, scalableXHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_line_boxes(Z)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.debugDrawLineBoxes()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawLineBoxes();
      sharedContext0.setDebug_draw_line_boxes(false);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(false, sharedContext0.debugDrawLineBoxes());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.reset()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.reset();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, sharedContext0.isInteractive());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getUac()Lorg/xhtmlrenderer/extend/UserAgentCallback;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = new LayoutContext(sharedContext0);
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)layoutContext0.getUac();
      assertNotNull(naiveUserAgent0);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(0.35277778F, layoutContext0.getMmPerDot(), 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.newLayoutContextInstance()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      assertEquals(0.35277778F, layoutContext0.getMmPerDot(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, layoutContext0.getDotsPerPixel());
      assertEquals(true, layoutContext0.isInteractive());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setNamespaceHandler(Lorg/xhtmlrenderer/extend/NamespaceHandler;)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.getNamespaceHandler()Lorg/xhtmlrenderer/extend/NamespaceHandler;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      sharedContext0.setNamespaceHandler((NamespaceHandler) null);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setFontResolver(Lorg/xhtmlrenderer/extend/FontResolver;)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.newRenderingContextInstance()Lorg/xhtmlrenderer/render/RenderingContext;: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.getFontResolver()Lorg/xhtmlrenderer/extend/FontResolver;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      AWTFontResolver aWTFontResolver0 = (AWTFontResolver)renderingContext0.getFontResolver();
      assertNotNull(aWTFontResolver0);
      
      sharedContext0.setFontResolver((FontResolver) aWTFontResolver0);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(0.35277778F, renderingContext0.getMmPerDot(), 0.01F);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getBoxById(Ljava/lang/String;)Lorg/xhtmlrenderer/render/Box;: I4 Branch 3 IFNONNULL L298 - false
   * 2 org.xhtmlrenderer.layout.SharedContext.getMedia()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      String string0 = sharedContext0.getMedia();
      assertNotNull(string0);
      assertEquals("screen", string0);
      
      sharedContext0.getBoxById("screen");
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, xHTMLPanel0.isInteractive());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setPrint(Z)V: I8 Branch 11 IFEQ L460 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.isPrint()Z: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.isPrint();
      sharedContext0.setPrint(false);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
  }

  //Test case number: 12
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setReplacedElementFactory(Lorg/xhtmlrenderer/extend/ReplacedElementFactory;)V: I3 Branch 17 IFNONNULL L558 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.setReplacedElementFactory(Lorg/xhtmlrenderer/extend/ReplacedElementFactory;)V: I15 Branch 18 IFNULL L562 - false
   * 3 org.xhtmlrenderer.layout.SharedContext.setTextRenderer(Lorg/xhtmlrenderer/extend/TextRenderer;)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.setDPI(F)V: root-Branch
   * 5 org.xhtmlrenderer.layout.SharedContext.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 6 org.xhtmlrenderer.layout.SharedContext.setMedia(Ljava/lang/String;)V: root-Branch
   * 7 org.xhtmlrenderer.layout.SharedContext.setCss(Lorg/xhtmlrenderer/context/StyleReference;)V: root-Branch
   * 8 org.xhtmlrenderer.layout.SharedContext.getCss()Lorg/xhtmlrenderer/context/StyleReference;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      SwingReplacedElementFactory swingReplacedElementFactory0 = new SwingReplacedElementFactory();
      sharedContext0.setReplacedElementFactory((ReplacedElementFactory) swingReplacedElementFactory0);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
  }
}
