/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.util.Iterator;
import java.util.logging.Logger;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.Configuration;

public class ConfigurationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.setConfigLogger(Ljava/util/logging/Logger;)V: I13 Branch 4 IFNULL L159 - true
   * 2 org.xhtmlrenderer.util.Configuration.instance()Lorg/xhtmlrenderer/util/Configuration;: I3 Branch 39 IFNONNULL L692 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Logger logger0 = Logger.getAnonymousLogger();
      Configuration.setConfigLogger(logger0);
      assertNull(logger0.getName());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.warning(Ljava/lang/String;)V: I7 Branch 9 IF_ICMPGT L202 - true
   * 2 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;)Ljava/lang/String;: I14 Branch 24 IFNONNULL L412 - false
   * 3 org.xhtmlrenderer.util.Configuration.valueAsDouble(Ljava/lang/String;D)D: I8 Branch 31 IFNONNULL L575 - false
   */

  @Test
  public void test1()  throws Throwable  {
      double double0 = Configuration.valueAsDouble("", (-663.2317779252269));
      assertEquals((-663.2317779252269), double0, 0.01D);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;)Ljava/lang/String;: I14 Branch 24 IFNONNULL L412 - true
   * 2 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I14 Branch 32 IFNONNULL L602 - false
   * 3 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I24 Branch 33 IFNONNULL L603 - true
   * 4 org.xhtmlrenderer.util.Configuration.valueFromClassConstant(Ljava/lang/String;Ljava/lang/Object;)Ljava/lang/Object;: I12 Branch 40 IFNONNULL L711 - true
   */

  @Test
  public void test2()  throws Throwable  {
      String string0 = Configuration.valueFor("", "xr.test-config-long");
      assertEquals("xr.test-config-long", string0);
      assertNotNull(string0);
      
      String string1 = (String)Configuration.valueFromClassConstant("xr.test-config-long", "xr.test-config-long");
      assertNotNull(string1);
      assertTrue(string1.equals(string0));
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.hasValue(Ljava/lang/String;)Z: I14 Branch 25 IFNONNULL L421 - false
   */

  @Test
  public void test3()  throws Throwable  {
      boolean boolean0 = Configuration.hasValue("' was requested as a byte, but ");
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsByte(Ljava/lang/String;B)I: I8 Branch 26 IFNONNULL L440 - true
   */

  @Test
  public void test4()  throws Throwable  {
      // Undeclared exception!
      try {
        Configuration.valueAsByte("xr.use.threads", (byte)0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsByte(Ljava/lang/String;B)I: I8 Branch 26 IFNONNULL L440 - false
   */

  @Test
  public void test5()  throws Throwable  {
      int int0 = Configuration.valueAsByte("' was requested as a byte, but ", (byte)0);
      assertEquals(0, int0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsShort(Ljava/lang/String;S)I: I8 Branch 27 IFNONNULL L467 - true
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        Configuration.valueAsShort("xr.use.threads", (short) (byte)0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsShort(Ljava/lang/String;S)I: I8 Branch 27 IFNONNULL L467 - false
   */

  @Test
  public void test7()  throws Throwable  {
      int int0 = Configuration.valueAsShort("' was requested as a byte, but ", (short) (byte)0);
      assertEquals(0, int0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsLong(Ljava/lang/String;J)J: I8 Branch 29 IFNONNULL L521 - true
   * 2 org.xhtmlrenderer.util.Configuration.valueAsLong(Ljava/lang/String;J)J: I8 Branch 29 IFNONNULL L521 - false
   */

  @Test
  public void test8()  throws Throwable  {
      long long0 = Configuration.valueAsLong("", (-1L));
      assertEquals((-1L), long0);
      
      long long1 = Configuration.valueAsLong("xr.test-config-long", (-1L));
      assertEquals(2000L, long1);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsFloat(Ljava/lang/String;F)F: I8 Branch 30 IFNONNULL L548 - true
   */

  @Test
  public void test9()  throws Throwable  {
      // Undeclared exception!
      try {
        Configuration.valueAsFloat("xr.use.threads", (float) (-1624));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsFloat(Ljava/lang/String;F)F: I8 Branch 30 IFNONNULL L548 - false
   * 2 org.xhtmlrenderer.util.Configuration.valueAsInt(Ljava/lang/String;I)I: I8 Branch 28 IFNONNULL L494 - false
   */

  @Test
  public void test10()  throws Throwable  {
      int int0 = Configuration.valueAsInt("' was requested as a byte, but ", 604);
      assertEquals(604, int0);
      
      float float0 = Configuration.valueAsFloat("' was requested as a byte, but ", (float) 604);
      assertEquals(604.0F, float0, 0.01F);
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.valueAsDouble(Ljava/lang/String;D)D: I8 Branch 31 IFNONNULL L575 - true
   * 2 org.xhtmlrenderer.util.Configuration.valueAsInt(Ljava/lang/String;I)I: I8 Branch 28 IFNONNULL L494 - true
   */

  @Test
  public void test11()  throws Throwable  {
      // Undeclared exception!
      try {
        Configuration.valueAsInt("xr.use.threads", (-1624));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I14 Branch 32 IFNONNULL L602 - true
   */

  @Test
  public void test12()  throws Throwable  {
      String string0 = Configuration.valueFor("xr.use.threads", "xr.use.threads");
      assertNotNull(string0);
      assertEquals("false", string0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I24 Branch 33 IFNONNULL L603 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Configuration.valueFor("Unhandled exception. ");
      String string0 = Configuration.valueFor("Unhandled exception. ", (String) null);
      assertNull(string0);
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.keysByPrefix(Ljava/lang/String;)Ljava/util/Iterator;: I21 Branch 34 IFEQ L620 - true
   * 2 org.xhtmlrenderer.util.Configuration.keysByPrefix(Ljava/lang/String;)Ljava/util/Iterator;: I21 Branch 34 IFEQ L620 - false
   * 3 org.xhtmlrenderer.util.Configuration.keysByPrefix(Ljava/lang/String;)Ljava/util/Iterator;: I34 Branch 35 IFLE L622 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Iterator<?> iterator0 = Configuration.keysByPrefix("' was requested as a byte, but ");
      assertNotNull(iterator0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 15
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.keysByPrefix(Ljava/lang/String;)Ljava/util/Iterator;: I34 Branch 35 IFLE L622 - false
   * 2 org.xhtmlrenderer.util.Configuration.keysByPrefix(Ljava/lang/String;)Ljava/util/Iterator;: I21 Branch 34 IFEQ L620 - true
   * 3 org.xhtmlrenderer.util.Configuration.keysByPrefix(Ljava/lang/String;)Ljava/util/Iterator;: I21 Branch 34 IFEQ L620 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Iterator<?> iterator0 = Configuration.keysByPrefix("");
      assertNotNull(iterator0);
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 16
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.isTrue(Ljava/lang/String;Z)Z: I8 Branch 36 IFNONNULL L661 - true
   * 2 org.xhtmlrenderer.util.Configuration.isTrue(Ljava/lang/String;Z)Z: I19 Branch 37 IF_ICMPNE L665 - false
   * 3 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I14 Branch 32 IFNONNULL L602 - false
   * 4 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: I24 Branch 33 IFNONNULL L603 - true
   * 5 org.xhtmlrenderer.util.Configuration.hasValue(Ljava/lang/String;)Z: I14 Branch 25 IFNONNULL L421 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Configuration.valueFor("", "xr.test-config-long");
      Configuration.hasValue("xr.test-config-long");
      // Undeclared exception!
      try {
        Configuration.isTrue("xr.test-config-long", true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.isTrue(Ljava/lang/String;Z)Z: I19 Branch 37 IF_ICMPNE L665 - true
   * 2 org.xhtmlrenderer.util.Configuration.isFalse(Ljava/lang/String;Z)Z: I5 Branch 38 IFNE L685 - false
   * 3 org.xhtmlrenderer.util.Configuration.hasValue(Ljava/lang/String;)Z: I14 Branch 25 IFNONNULL L421 - true
   * 4 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;)Ljava/lang/String;: I14 Branch 24 IFNONNULL L412 - true
   * 5 org.xhtmlrenderer.util.Configuration.isTrue(Ljava/lang/String;Z)Z: I8 Branch 36 IFNONNULL L661 - true
   */

  @Test
  public void test17()  throws Throwable  {
      boolean boolean0 = Configuration.hasValue("xr.use.threads");
      boolean boolean1 = Configuration.isFalse("xr.use.threads", true);
      assertTrue(boolean1 == boolean0);
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.isFalse(Ljava/lang/String;Z)Z: I5 Branch 38 IFNE L685 - true
   * 2 org.xhtmlrenderer.util.Configuration.isTrue(Ljava/lang/String;Z)Z: I8 Branch 36 IFNONNULL L661 - false
   */

  @Test
  public void test18()  throws Throwable  {
      boolean boolean0 = Configuration.isFalse("Unhandled exception. ", true);
      assertEquals(false, boolean0);
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.Configuration.valueFromClassConstant(Ljava/lang/String;Ljava/lang/Object;)Ljava/lang/Object;: I12 Branch 40 IFNONNULL L711 - false
   * 2 org.xhtmlrenderer.util.Configuration.valueFor(Ljava/lang/String;)Ljava/lang/String;: I14 Branch 24 IFNONNULL L412 - false
   * 3 org.xhtmlrenderer.util.Configuration.warning(Ljava/lang/String;)V: I7 Branch 9 IF_ICMPGT L202 - true
   * 4 org.xhtmlrenderer.util.Configuration.instance()Lorg/xhtmlrenderer/util/Configuration;: I3 Branch 39 IFNONNULL L692 - true
   */

  @Test
  public void test19()  throws Throwable  {
      String string0 = File.separator;
      String string1 = (String)Configuration.valueFromClassConstant("org.xhtmlrenderer.general", "/");
      assertNotSame(string1, string0);
  }
}
