/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.MalformedURIException;
import nu.xom.NoSuchChildException;
import nu.xom.Node;
import nu.xom.Text;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class ParentNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 10 covered goals:
   * 1 nu.xom.ParentNode._insertChild(Lnu/xom/Node;I)V: root-Branch
   * 2 nu.xom.ParentNode.appendChild(Lnu/xom/Node;)V: root-Branch
   * 3 nu.xom.ParentNode.insertChild(Lnu/xom/Node;I)V: root-Branch
   * 4 nu.xom.ParentNode.<init>()V: root-Branch
   * 5 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I2 Branch 9 IFNONNULL L-1 - true
   * 6 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I16 Branch 10 IFEQ L-1 - true
   * 7 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I30 Branch 11 IFLE L-1 - true
   * 8 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I3 Branch 1 IF_ICMPLE L-1 - true
   * 9 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I28 Branch 2 IF_ICMPGE L-1 - true
   * 10 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.query("2[r&bnMajjth:");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Expected: ]
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I1 Branch 17 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I9 Branch 18 IFNONNULL L-1 - true
   * 3 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I18 Branch 19 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Text text0 = CDATASection.build("0H(&q%Z-BTRQ");
      CDATASection cDATASection0 = new CDATASection(text0);
      // Undeclared exception!
      try {
        documentFragment0.replaceChild((Node) cDATASection0, (Node) text0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Reference node is not a child of this node.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I1 Branch 17 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      element0.getDocument();
      // Undeclared exception!
      try {
        element0.replaceChild((Node) null, (Node) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Tried to replace null child
         //
      }
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 nu.xom.ParentNode.removeChild(Lnu/xom/Node;)Lnu/xom/Node;: I2 Branch 14 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.removeChild(Lnu/xom/Node;)Lnu/xom/Node;: I15 Branch 15 IF_ICMPNE L-1 - false
   * 3 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I2 Branch 6 IFNONNULL L-1 - true
   * 4 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I12 Branch 7 IF_ICMPGE L-1 - true
   * 5 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I12 Branch 7 IF_ICMPGE L-1 - false
   * 6 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I18 Branch 8 IF_ACMPNE L-1 - true
   * 7 nu.xom.ParentNode.getChildCount()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Element element0 = new Element("xzTW");
      int int0 = element0.getChildCount();
      assertEquals(0, int0);
      
      element0.insertChild("xzTW", 0);
      // Undeclared exception!
      try {
        element0.removeChild((Node) element0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Child does not belong to this node
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.removeChild(Lnu/xom/Node;)Lnu/xom/Node;: I2 Branch 14 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Element element0 = new Element("xzTW");
      // Undeclared exception!
      try {
        element0.removeChild((Node) element0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Child does not belong to this node
         //
      }
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 nu.xom.ParentNode.getChild(I)Lnu/xom/Node;: I2 Branch 5 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.getActualBaseURI()Ljava/lang/String;: I2 Branch 22 IFNONNULL L-1 - false
   * 3 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I10 Branch 25 IFNONNULL L-1 - true
   * 4 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I10 Branch 25 IFNONNULL L-1 - false
   * 5 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I17 Branch 26 IFLE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = new Element("xzTW");
      Document document0 = new Document(element0);
      Document document1 = (Document)document0.copy();
      assertNotNull(document1);
      assertEquals(1, document0.getChildCount());
      assertEquals(1, document1.getChildCount());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.getChild(I)Lnu/xom/Node;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.getChild(90);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // This node has no children
         //
      }
  }

  //Test case number: 7
  /*
   * 9 covered goals:
   * 1 nu.xom.ParentNode.fillInBaseURI(Lnu/xom/Element;)V: I6 Branch 12 IFNULL L-1 - true
   * 2 nu.xom.ParentNode.fillInBaseURI(Lnu/xom/Element;)V: I6 Branch 12 IFNULL L-1 - false
   * 3 nu.xom.ParentNode.fillInBaseURI(Lnu/xom/Element;)V: I10 Branch 13 IFLE L-1 - false
   * 4 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I16 Branch 10 IFEQ L-1 - false
   * 5 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I1 Branch 23 IFNONNULL L-1 - true
   * 6 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I8 Branch 24 IFGT L-1 - true
   * 7 nu.xom.ParentNode.appendChild(Lnu/xom/Node;)V: root-Branch
   * 8 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I2 Branch 9 IFNONNULL L-1 - true
   * 9 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I30 Branch 11 IFLE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      // Undeclared exception!
      try {
        element0.query("");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ''
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Comment comment0 = new Comment("k~Qf ");
      int int0 = documentFragment0.indexOf((Node) comment0);
      assertEquals(0, documentFragment0.getChildCount());
      assertEquals((-1), int0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I2 Branch 9 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.removeChild(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // This node has no children
         //
      }
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 nu.xom.ParentNode.getActualBaseURI()Ljava/lang/String;: I2 Branch 22 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.getActualBaseURI()Ljava/lang/String;: I2 Branch 22 IFNONNULL L-1 - false
   * 3 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I10 Branch 25 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Element element0 = new Element("xzTW");
      Element element1 = new Element(element0);
      String string0 = element1.findActualBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I8 Branch 24 IFGT L-1 - false
   * 2 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I1 Branch 23 IFNONNULL L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.setActualBaseURI("Bad user info: ");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal scheme character  
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I3 Branch 1 IF_ICMPLE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getDocument();
      // Undeclared exception!
      try {
        documentFragment0.fastInsertChild((Node) null, 143);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Inserted node at position 143 after children
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I28 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Comment comment0 = new Comment("");
      comment0.getDocument();
      // Undeclared exception!
      try {
        documentFragment0.fastInsertChild((Node) null, (-1789));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 9 covered goals:
   * 1 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.checkCapacity(I)V: I13 Branch 4 IF_ICMPLT L-1 - false
   * 3 nu.xom.ParentNode._insertChild(Lnu/xom/Node;I)V: root-Branch
   * 4 nu.xom.ParentNode.insertChild(Lnu/xom/Node;I)V: root-Branch
   * 5 nu.xom.ParentNode.getChildCount()I: root-Branch
   * 6 nu.xom.ParentNode.<init>()V: root-Branch
   * 7 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I3 Branch 1 IF_ICMPLE L-1 - true
   * 8 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I28 Branch 2 IF_ICMPGE L-1 - true
   * 9 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Element element0 = new Element("xzTW");
      element0.getChildCount();
      element0.insertChild("xzTW", 0);
      element0.appendChild("xzTW");
      assertEquals(2, element0.getChildCount());
  }
}
