/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.CharArrayWriter;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import nu.xom.ASCIIWriter;
import nu.xom.ISOArabicWriter;
import nu.xom.ISOCyrillicWriter;
import nu.xom.ISOGreekWriter;
import nu.xom.ISOHebrewWriter;
import nu.xom.ISOThaiWriter;
import nu.xom.Latin10Writer;
import nu.xom.Latin1Writer;
import nu.xom.Latin2Writer;
import nu.xom.Latin3Writer;
import nu.xom.Latin4Writer;
import nu.xom.Latin5Writer;
import nu.xom.Latin7Writer;
import nu.xom.Latin8Writer;
import nu.xom.Latin9Writer;
import nu.xom.UCSWriter;
import nu.xom.XMLException;
import org.junit.BeforeClass;

public class TextWriterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.setPreserveSpace(Z)V: root-Branch
   * 2 nu.xom.TextWriter.<init>(Ljava/io/Writer;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "");
      latin7Writer0.setPreserveSpace(true);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.reset()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOGreekWriter iSOGreekWriter0 = new ISOGreekWriter(charArrayWriter0, "t|2S&~L l&z");
      iSOGreekWriter0.reset();
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.flush()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "");
      iSOArabicWriter0.flush();
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getEncoding()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "");
      String string0 = iSOArabicWriter0.getEncoding();
      assertEquals("", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getIndent()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin2Writer latin2Writer0 = new Latin2Writer(stringWriter0, "m?CYW5{;r|L~");
      int int0 = latin2Writer0.getIndent();
      assertEquals(0, int0);
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 nu.xom.TextWriter.writeName(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.TextWriter.writeMarkup(Ljava/lang/String;)V: I12 Branch 152 IF_ICMPGE L-1 - true
   * 3 nu.xom.TextWriter.writeMarkup(Ljava/lang/String;)V: I12 Branch 152 IF_ICMPGE L-1 - false
   * 4 nu.xom.TextWriter.normalize(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 154 IFEQ L-1 - true
   * 5 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - false
   * 6 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - false
   * 7 nu.xom.TextWriter.write(C)V: I8 Branch 127 IF_ICMPNE L-1 - true
   * 8 nu.xom.TextWriter.write(C)V: I105 Branch 137 IF_ICMPLT L-1 - true
   * 9 nu.xom.TextWriter.writeMarkup(C)V: I3 Branch 149 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin5Writer latin5Writer0 = new Latin5Writer(charArrayWriter0, "");
      latin5Writer0.writeName("");
      assertEquals("", charArrayWriter0.toString());
      assertEquals(1, charArrayWriter0.size());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.isPreserveSpace()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(stringWriter0, "#:2j!ln");
      boolean boolean0 = iSOCyrillicWriter0.isPreserveSpace();
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getColumnNumber()I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin3Writer latin3Writer0 = new Latin3Writer(stringWriter0, "\n");
      int int0 = latin3Writer0.getColumnNumber();
      assertEquals(0, int0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.setNFC(Z)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0, false);
      Latin1Writer latin1Writer0 = new Latin1Writer(printWriter0, "_BH({K63m7/Qs\":Lj");
      latin1Writer0.setNFC(false);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.breakLine()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOGreekWriter iSOGreekWriter0 = new ISOGreekWriter(charArrayWriter0, "\r\n");
      iSOGreekWriter0.breakLine();
      assertEquals("\r\n", charArrayWriter0.toString());
      assertEquals(2, charArrayWriter0.size());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.setInDocType(Z)V: root-Branch
   * 2 nu.xom.TextWriter.getNFC()Z: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin9Writer latin9Writer0 = new Latin9Writer(stringWriter0, "#:2j!ln");
      latin9Writer0.getNFC();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(stringWriter0, "#:2j!ln");
      iSOCyrillicWriter0.setInDocType(false);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.justBroke()Z: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(stringWriter0, "\n");
      boolean boolean0 = iSOCyrillicWriter0.justBroke();
      assertEquals(false, boolean0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getMaxLength()I: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter(434);
      Latin10Writer latin10Writer0 = new Latin10Writer(stringWriter0, "P");
      int int0 = latin10Writer0.getMaxLength();
      assertEquals(0, int0);
  }

  //Test case number: 13
  /*
   * 13 covered goals:
   * 1 nu.xom.TextWriter.writeUncheckedMarkup(Ljava/lang/String;)V: I8 Branch 153 IF_ICMPGE L-1 - true
   * 2 nu.xom.TextWriter.writeUncheckedMarkup(Ljava/lang/String;)V: I8 Branch 153 IF_ICMPGE L-1 - false
   * 3 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - true
   * 4 nu.xom.TextWriter.write(C)V: I12 Branch 128 IFEQ L-1 - true
   * 5 nu.xom.TextWriter.write(C)V: I22 Branch 129 IFNE L-1 - false
   * 6 nu.xom.TextWriter.write(C)V: I25 Branch 130 IFGT L-1 - false
   * 7 nu.xom.TextWriter.write(C)V: I28 Branch 131 IFGT L-1 - false
   * 8 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - false
   * 9 nu.xom.TextWriter.write(C)V: I35 Branch 133 IF_ICMPNE L-1 - true
   * 10 nu.xom.TextWriter.write(C)V: I57 Branch 134 IFEQ L-1 - true
   * 11 nu.xom.TextWriter.needsBreak()Z: I2 Branch 144 IFLE L-1 - true
   * 12 nu.xom.TextWriter.writeLineSeparator(C)V: I2 Branch 139 IFNE L-1 - false
   * 13 nu.xom.TextWriter.writeLineSeparator(C)V: I5 Branch 140 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin4Writer latin4Writer0 = new Latin4Writer(charArrayWriter0, "\r\n");
      latin4Writer0.writeUncheckedMarkup("\r\n");
      assertEquals(2, charArrayWriter0.size());
      assertEquals("\r\n", charArrayWriter0.toString());
  }

  //Test case number: 14
  /*
   * 59 covered goals:
   * 1 nu.xom.TextWriter.isLowSurrogate(I)Z: I2 Branch 3 IF_ICMPLT L-1 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 5 TABLESWITCH L-1 Case 13 - false
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 6 TABLESWITCH L-1 Case 14 - false
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 7 TABLESWITCH L-1 Case 15 - false
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 8 TABLESWITCH L-1 Case 16 - false
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 9 TABLESWITCH L-1 Case 17 - false
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 10 TABLESWITCH L-1 Case 18 - false
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 11 TABLESWITCH L-1 Case 19 - false
   * 9 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 12 TABLESWITCH L-1 Case 20 - false
   * 10 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 13 TABLESWITCH L-1 Case 21 - false
   * 11 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 14 TABLESWITCH L-1 Case 22 - false
   * 12 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 15 TABLESWITCH L-1 Case 23 - false
   * 13 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 16 TABLESWITCH L-1 Case 24 - false
   * 14 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 17 TABLESWITCH L-1 Case 25 - false
   * 15 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 18 TABLESWITCH L-1 Case 26 - false
   * 16 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 19 TABLESWITCH L-1 Case 27 - false
   * 17 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 20 TABLESWITCH L-1 Case 28 - false
   * 18 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 21 TABLESWITCH L-1 Case 29 - false
   * 19 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 22 TABLESWITCH L-1 Case 30 - false
   * 20 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 23 TABLESWITCH L-1 Case 31 - false
   * 21 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 24 TABLESWITCH L-1 Case 32 - false
   * 22 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 25 TABLESWITCH L-1 Case 33 - false
   * 23 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 26 TABLESWITCH L-1 Case 34 - false
   * 24 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - false
   * 25 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 28 TABLESWITCH L-1 Case 36 - false
   * 26 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - false
   * 27 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 30 TABLESWITCH L-1 Case 38 - false
   * 28 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 31 TABLESWITCH L-1 Case 39 - false
   * 29 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 32 TABLESWITCH L-1 Case 40 - false
   * 30 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 33 TABLESWITCH L-1 Case 41 - false
   * 31 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 34 TABLESWITCH L-1 Case 42 - false
   * 32 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 35 TABLESWITCH L-1 Case 43 - false
   * 33 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 36 TABLESWITCH L-1 Case 44 - false
   * 34 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 37 TABLESWITCH L-1 Case 45 - false
   * 35 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - false
   * 36 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - false
   * 37 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - false
   * 38 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - false
   * 39 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 42 TABLESWITCH L-1 Case 50 - false
   * 40 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 43 TABLESWITCH L-1 Case 51 - false
   * 41 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - false
   * 42 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 45 TABLESWITCH L-1 Case 53 - false
   * 43 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - false
   * 44 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - false
   * 45 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 48 TABLESWITCH L-1 Case 56 - false
   * 46 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 49 TABLESWITCH L-1 Case 57 - false
   * 47 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - false
   * 48 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 51 TABLESWITCH L-1 Case 59 - false
   * 49 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 52 TABLESWITCH L-1 Case 60 - false
   * 50 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 53 TABLESWITCH L-1 Case 61 - false
   * 51 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 54 TABLESWITCH L-1 Case 62 - false
   * 52 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - true
   * 53 nu.xom.TextWriter.writePCDATA(C)V: I247 Branch 58 IFEQ L-1 - true
   * 54 nu.xom.TextWriter.writePCDATA(C)V: I247 Branch 58 IFEQ L-1 - false
   * 55 nu.xom.TextWriter.writeEscapedChar(C)V: I3 Branch 59 IFEQ L-1 - true
   * 56 nu.xom.TextWriter.writeEscapedChar(C)V: I12 Branch 60 IFEQ L-1 - true
   * 57 nu.xom.TextWriter.isHighSurrogate(I)Z: I2 Branch 1 IF_ICMPLT L-1 - true
   * 58 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - true
   * 59 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(stringWriter0, "g\u0327");
      latin7Writer0.writePCDATA("g\u0327");
      assertEquals("g&#x327;", stringWriter0.toString());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.setMaxLength(I)V: I1 Branch 166 IFGE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0, false);
      Latin3Writer latin3Writer0 = new Latin3Writer(printWriter0, "_BH({K63m7/Qs\":Lj");
      latin3Writer0.setMaxLength((-783));
  }

  //Test case number: 16
  /*
   * 66 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 63 TABLESWITCH L-1 Case 9 - false
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - false
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 65 TABLESWITCH L-1 Case 11 - false
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 66 TABLESWITCH L-1 Case 12 - false
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 67 TABLESWITCH L-1 Case 13 - false
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 68 TABLESWITCH L-1 Case 14 - false
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 69 TABLESWITCH L-1 Case 15 - false
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 70 TABLESWITCH L-1 Case 16 - false
   * 9 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 71 TABLESWITCH L-1 Case 17 - false
   * 10 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 72 TABLESWITCH L-1 Case 18 - false
   * 11 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 73 TABLESWITCH L-1 Case 19 - false
   * 12 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 74 TABLESWITCH L-1 Case 20 - false
   * 13 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 75 TABLESWITCH L-1 Case 21 - false
   * 14 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 76 TABLESWITCH L-1 Case 22 - false
   * 15 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 77 TABLESWITCH L-1 Case 23 - false
   * 16 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 78 TABLESWITCH L-1 Case 24 - false
   * 17 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 79 TABLESWITCH L-1 Case 25 - false
   * 18 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 80 TABLESWITCH L-1 Case 26 - false
   * 19 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 81 TABLESWITCH L-1 Case 27 - false
   * 20 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 82 TABLESWITCH L-1 Case 28 - false
   * 21 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 83 TABLESWITCH L-1 Case 29 - false
   * 22 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 84 TABLESWITCH L-1 Case 30 - false
   * 23 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 85 TABLESWITCH L-1 Case 31 - false
   * 24 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - false
   * 25 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 87 TABLESWITCH L-1 Case 33 - false
   * 26 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 88 TABLESWITCH L-1 Case 34 - true
   * 27 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 88 TABLESWITCH L-1 Case 34 - false
   * 28 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - false
   * 29 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 90 TABLESWITCH L-1 Case 36 - false
   * 30 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 91 TABLESWITCH L-1 Case 37 - false
   * 31 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - false
   * 32 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 93 TABLESWITCH L-1 Case 39 - false
   * 33 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 94 TABLESWITCH L-1 Case 40 - true
   * 34 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 94 TABLESWITCH L-1 Case 40 - false
   * 35 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - false
   * 36 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 96 TABLESWITCH L-1 Case 42 - false
   * 37 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 97 TABLESWITCH L-1 Case 43 - false
   * 38 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 98 TABLESWITCH L-1 Case 44 - false
   * 39 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 99 TABLESWITCH L-1 Case 45 - false
   * 40 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 100 TABLESWITCH L-1 Case 46 - false
   * 41 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - true
   * 42 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - false
   * 43 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 102 TABLESWITCH L-1 Case 48 - false
   * 44 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 103 TABLESWITCH L-1 Case 49 - false
   * 45 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - false
   * 46 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 105 TABLESWITCH L-1 Case 51 - true
   * 47 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 105 TABLESWITCH L-1 Case 51 - false
   * 48 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - false
   * 49 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 107 TABLESWITCH L-1 Case 53 - false
   * 50 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 108 TABLESWITCH L-1 Case 54 - true
   * 51 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 108 TABLESWITCH L-1 Case 54 - false
   * 52 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - true
   * 53 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - false
   * 54 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 110 TABLESWITCH L-1 Case 56 - false
   * 55 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 111 TABLESWITCH L-1 Case 57 - false
   * 56 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - true
   * 57 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - false
   * 58 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 113 TABLESWITCH L-1 Case 59 - false
   * 59 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 114 TABLESWITCH L-1 Case 60 - false
   * 60 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 115 TABLESWITCH L-1 Case 61 - false
   * 61 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 116 TABLESWITCH L-1 Case 62 - false
   * 62 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - true
   * 63 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - false
   * 64 nu.xom.TextWriter.writeAttributeValue(C)V: I358 Branch 124 IFEQ L-1 - true
   * 65 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - true
   * 66 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0, false);
      Latin9Writer latin9Writer0 = new Latin9Writer(printWriter0, "_BH({K63m7/Qs\":Lj");
      latin9Writer0.writeAttributeValue("_BH({K63m7/Qs\":Lj");
      assertEquals(22, byteArrayOutputStream0.size());
      assertEquals("_BH({K63m7/Qs&quot;:Lj", byteArrayOutputStream0.toString());
  }

  //Test case number: 17
  /*
   * 9 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 67 TABLESWITCH L-1 Case 13 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I34 Branch 119 IFEQ L-1 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I42 Branch 120 IFEQ L-1 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I57 Branch 121 IFEQ L-1 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I89 Branch 122 IFEQ L-1 - true
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I107 Branch 123 IFEQ L-1 - true
   * 8 nu.xom.TextWriter.adjustingWhiteSpace()Z: I2 Branch 61 IFGT L-1 - false
   * 9 nu.xom.TextWriter.adjustingWhiteSpace()Z: I5 Branch 62 IFLE L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "\r\n");
      iSOHebrewWriter0.writeAttributeValue("\r\n");
      assertEquals("&#x0D;&#x0A;", charArrayWriter0.toString());
      assertEquals(12, charArrayWriter0.size());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 74 TABLESWITCH L-1 Case 20 - true
   */

  @Test
  public void test18()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin2Writer latin2Writer0 = new Latin2Writer(stringWriter0, "g\u0327");
      // Undeclared exception!
      try {
        latin2Writer0.writeAttributeValue('\u0014');
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // Bad character snuck into document
         //
      }
  }

  //Test case number: 19
  /*
   * 5 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 113 TABLESWITCH L-1 Case 59 - true
   * 4 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - true
   * 5 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin5Writer latin5Writer0 = new Latin5Writer(stringWriter0, ";) in the ");
      latin5Writer0.writeAttributeValue(";) in the ");
      assertEquals(";) in the ", stringWriter0.toString());
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 87 TABLESWITCH L-1 Case 33 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - true
   */

  @Test
  public void test20()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "#:2j!ln");
      iSOArabicWriter0.writeAttributeValue("#:2j!ln");
      assertEquals(7, charArrayWriter0.size());
      assertEquals("#:2j!ln", charArrayWriter0.toString());
  }

  //Test case number: 21
  /*
   * 8 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 91 TABLESWITCH L-1 Case 37 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 97 TABLESWITCH L-1 Case 43 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 100 TABLESWITCH L-1 Case 46 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 102 TABLESWITCH L-1 Case 48 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - true
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 115 TABLESWITCH L-1 Case 61 - true
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - true
   */

  @Test
  public void test21()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "+.O0e#elN%%&@4_=");
      iSOHebrewWriter0.writeAttributeValue("+.O0e#elN%%&@4_=");
      assertEquals(20, charArrayWriter0.size());
      assertEquals("+.O0e#elN%%&amp;@4_=", charArrayWriter0.toString());
  }

  //Test case number: 22
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 96 TABLESWITCH L-1 Case 42 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 116 TABLESWITCH L-1 Case 62 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 108 TABLESWITCH L-1 Case 54 - true
   */

  @Test
  public void test22()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(stringWriter0, "KaM`XJw`>XP*hr6");
      iSOThaiWriter0.writeAttributeValue("KaM`XJw`>XP*hr6");
      assertEquals("KaM`XJw`&gt;XP*hr6", stringWriter0.toString());
  }

  //Test case number: 23
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 110 TABLESWITCH L-1 Case 56 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - true
   */

  @Test
  public void test23()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(stringWriter0, "m?CYW5{;r|L~");
      iSOThaiWriter0.writeAttributeValue("?ru^tEk8n[7DQ");
      assertEquals("?ru^tEk8n[7DQ", stringWriter0.toString());
  }

  //Test case number: 24
  /*
   * 13 covered goals:
   * 1 nu.xom.TextWriter.write(C)V: I28 Branch 131 IFGT L-1 - true
   * 2 nu.xom.TextWriter.needsBreak()Z: I2 Branch 144 IFLE L-1 - false
   * 3 nu.xom.TextWriter.needsBreak()Z: I5 Branch 145 IFEQ L-1 - true
   * 4 nu.xom.TextWriter.needsBreak()Z: I16 Branch 146 IF_ICMPLT L-1 - true
   * 5 nu.xom.TextWriter.setMaxLength(I)V: I1 Branch 166 IFGE L-1 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - false
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - true
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - true
   * 9 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 113 TABLESWITCH L-1 Case 59 - true
   * 10 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - true
   * 11 nu.xom.TextWriter.writeAttributeValue(C)V: I358 Branch 124 IFEQ L-1 - true
   * 12 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - true
   * 13 nu.xom.TextWriter.write(C)V: I76 Branch 136 IFNE L-1 - false
   */

  @Test
  public void test24()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin5Writer latin5Writer0 = new Latin5Writer(stringWriter0, ";) in the ");
      latin5Writer0.setMaxLength(1346);
      latin5Writer0.writeAttributeValue(";) in the ");
      assertEquals(";) in the ", stringWriter0.toString());
  }

  //Test case number: 25
  /*
   * 63 covered goals:
   * 1 nu.xom.TextWriter.write(C)V: I76 Branch 136 IFNE L-1 - true
   * 2 nu.xom.TextWriter.setIndent(I)V: root-Branch
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 63 TABLESWITCH L-1 Case 9 - false
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 65 TABLESWITCH L-1 Case 11 - false
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 66 TABLESWITCH L-1 Case 12 - false
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 67 TABLESWITCH L-1 Case 13 - false
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 68 TABLESWITCH L-1 Case 14 - false
   * 9 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 69 TABLESWITCH L-1 Case 15 - false
   * 10 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 70 TABLESWITCH L-1 Case 16 - false
   * 11 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 71 TABLESWITCH L-1 Case 17 - false
   * 12 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 72 TABLESWITCH L-1 Case 18 - false
   * 13 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 73 TABLESWITCH L-1 Case 19 - false
   * 14 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 74 TABLESWITCH L-1 Case 20 - false
   * 15 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 75 TABLESWITCH L-1 Case 21 - false
   * 16 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 76 TABLESWITCH L-1 Case 22 - false
   * 17 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 77 TABLESWITCH L-1 Case 23 - false
   * 18 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 78 TABLESWITCH L-1 Case 24 - false
   * 19 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 79 TABLESWITCH L-1 Case 25 - false
   * 20 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 80 TABLESWITCH L-1 Case 26 - false
   * 21 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 81 TABLESWITCH L-1 Case 27 - false
   * 22 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 82 TABLESWITCH L-1 Case 28 - false
   * 23 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 83 TABLESWITCH L-1 Case 29 - false
   * 24 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 84 TABLESWITCH L-1 Case 30 - false
   * 25 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 85 TABLESWITCH L-1 Case 31 - false
   * 26 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - false
   * 27 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 87 TABLESWITCH L-1 Case 33 - false
   * 28 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 88 TABLESWITCH L-1 Case 34 - false
   * 29 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - false
   * 30 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 90 TABLESWITCH L-1 Case 36 - false
   * 31 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 91 TABLESWITCH L-1 Case 37 - false
   * 32 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - false
   * 33 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 93 TABLESWITCH L-1 Case 39 - false
   * 34 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 94 TABLESWITCH L-1 Case 40 - false
   * 35 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - false
   * 36 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 96 TABLESWITCH L-1 Case 42 - false
   * 37 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 97 TABLESWITCH L-1 Case 43 - false
   * 38 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 98 TABLESWITCH L-1 Case 44 - false
   * 39 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 99 TABLESWITCH L-1 Case 45 - false
   * 40 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 100 TABLESWITCH L-1 Case 46 - false
   * 41 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - false
   * 42 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 102 TABLESWITCH L-1 Case 48 - false
   * 43 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 103 TABLESWITCH L-1 Case 49 - false
   * 44 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - false
   * 45 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 105 TABLESWITCH L-1 Case 51 - false
   * 46 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - false
   * 47 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 107 TABLESWITCH L-1 Case 53 - false
   * 48 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 108 TABLESWITCH L-1 Case 54 - false
   * 49 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - false
   * 50 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 110 TABLESWITCH L-1 Case 56 - false
   * 51 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 111 TABLESWITCH L-1 Case 57 - false
   * 52 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - false
   * 53 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 113 TABLESWITCH L-1 Case 59 - false
   * 54 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 114 TABLESWITCH L-1 Case 60 - false
   * 55 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 115 TABLESWITCH L-1 Case 61 - false
   * 56 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 116 TABLESWITCH L-1 Case 62 - false
   * 57 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - false
   * 58 nu.xom.TextWriter.writeAttributeValue(C)V: I34 Branch 119 IFEQ L-1 - true
   * 59 nu.xom.TextWriter.writeAttributeValue(C)V: I42 Branch 120 IFEQ L-1 - true
   * 60 nu.xom.TextWriter.writeAttributeValue(C)V: I57 Branch 121 IFEQ L-1 - true
   * 61 nu.xom.TextWriter.write(C)V: I25 Branch 130 IFGT L-1 - true
   * 62 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - true
   * 63 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - false
   */

  @Test
  public void test25()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(stringWriter0, "\n");
      latin7Writer0.writeAttributeValue("\n");
      latin7Writer0.setIndent(1621);
      latin7Writer0.writePCDATA("\n");
      assertEquals("&#x0A;", stringWriter0.toString());
  }

  //Test case number: 26
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.incrementIndent()V: I2 Branch 156 IFNE L-1 - false
   */

  @Test
  public void test26()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(charArrayWriter0, "");
      iSOCyrillicWriter0.incrementIndent();
  }

  //Test case number: 27
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.isIndenting()Z: I3 Branch 155 IFLE L-1 - true
   */

  @Test
  public void test27()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(charArrayWriter0, "t|2S&~L l&z");
      boolean boolean0 = aSCIIWriter0.isIndenting();
      assertEquals(false, boolean0);
  }

  //Test case number: 28
  /*
   * 18 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 5 TABLESWITCH L-1 Case 13 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - false
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I5 Branch 56 IFNE L-1 - false
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I8 Branch 57 IFNE L-1 - false
   * 5 nu.xom.TextWriter.getLineSeparator()Ljava/lang/String;: root-Branch
   * 6 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - true
   * 7 nu.xom.TextWriter.write(C)V: I12 Branch 128 IFEQ L-1 - true
   * 8 nu.xom.TextWriter.write(C)V: I22 Branch 129 IFNE L-1 - false
   * 9 nu.xom.TextWriter.write(C)V: I25 Branch 130 IFGT L-1 - false
   * 10 nu.xom.TextWriter.write(C)V: I28 Branch 131 IFGT L-1 - false
   * 11 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - false
   * 12 nu.xom.TextWriter.write(C)V: I35 Branch 133 IF_ICMPNE L-1 - true
   * 13 nu.xom.TextWriter.write(C)V: I57 Branch 134 IFEQ L-1 - true
   * 14 nu.xom.TextWriter.needsBreak()Z: I2 Branch 144 IFLE L-1 - true
   * 15 nu.xom.TextWriter.adjustingWhiteSpace()Z: I2 Branch 61 IFGT L-1 - false
   * 16 nu.xom.TextWriter.adjustingWhiteSpace()Z: I5 Branch 62 IFLE L-1 - true
   * 17 nu.xom.TextWriter.writeLineSeparator(C)V: I2 Branch 139 IFNE L-1 - false
   * 18 nu.xom.TextWriter.writeLineSeparator(C)V: I5 Branch 140 IFEQ L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(stringWriter0, "m?CYW5{;r|L~");
      iSOThaiWriter0.getLineSeparator();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      UCSWriter uCSWriter0 = new UCSWriter(charArrayWriter0, "m?CYW5{;r|L~");
      uCSWriter0.writePCDATA("\r\n");
      assertEquals(7, charArrayWriter0.size());
      assertEquals("&#x0D;\n", charArrayWriter0.toString());
  }

  //Test case number: 29
  /*
   * 4 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 25 TABLESWITCH L-1 Case 33 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 42 TABLESWITCH L-1 Case 50 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - true
   */

  @Test
  public void test29()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(stringWriter0, "#:2j!ln");
      latin7Writer0.writePCDATA("#:2j!ln");
      assertEquals("#:2j!ln", stringWriter0.toString());
  }

  //Test case number: 30
  /*
   * 7 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 26 TABLESWITCH L-1 Case 34 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 32 TABLESWITCH L-1 Case 40 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 43 TABLESWITCH L-1 Case 51 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - true
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - true
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - true
   */

  @Test
  public void test30()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0, false);
      Latin8Writer latin8Writer0 = new Latin8Writer(printWriter0, "_BH({K63m7/Qs\":Lj");
      latin8Writer0.writePCDATA("_BH({K63m7/Qs\":Lj");
      assertEquals(17, byteArrayOutputStream0.size());
      assertEquals("_BH({K63m7/Qs\":Lj", byteArrayOutputStream0.toString());
  }

  //Test case number: 31
  /*
   * 7 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 30 TABLESWITCH L-1 Case 38 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 35 TABLESWITCH L-1 Case 43 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - true
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - true
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 53 TABLESWITCH L-1 Case 61 - true
   */

  @Test
  public void test31()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(stringWriter0, "t|2S&~L l&z");
      latin7Writer0.writePCDATA("+.O0e#elN%%&@4_=");
      assertEquals("+.O0e#elN%%&amp;@4_=", stringWriter0.toString());
  }

  //Test case number: 32
  /*
   * 9 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 33 TABLESWITCH L-1 Case 41 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 37 TABLESWITCH L-1 Case 45 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 51 TABLESWITCH L-1 Case 59 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - true
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - true
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - true
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - true
   * 9 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - true
   */

  @Test
  public void test32()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(stringWriter0, "m?CYW5{;r|L~");
      iSOThaiWriter0.writePCDATA("NE%^#);X.0v%1H4-dx)");
      assertEquals("NE%^#);X.0v%1H4-dx)", stringWriter0.toString());
  }

  //Test case number: 33
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 34 TABLESWITCH L-1 Case 42 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 54 TABLESWITCH L-1 Case 62 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - true
   */

  @Test
  public void test33()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(stringWriter0, "KaM`XJw`>XP*hr6");
      iSOHebrewWriter0.writePCDATA("KaM`XJw`>XP*hr6");
      assertEquals("KaM`XJw`&gt;XP*hr6", stringWriter0.toString());
  }

  //Test case number: 34
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 45 TABLESWITCH L-1 Case 53 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 51 TABLESWITCH L-1 Case 59 - true
   */

  @Test
  public void test34()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(stringWriter0, "m?CYW5{;r|L~");
      iSOThaiWriter0.writePCDATA("m?CYW5{;r|L~");
      assertEquals("m?CYW5{;r|L~", stringWriter0.toString());
  }

  //Test case number: 35
  /*
   * 12 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 48 TABLESWITCH L-1 Case 56 - true
   * 2 nu.xom.TextWriter.normalize(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 154 IFEQ L-1 - true
   * 3 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - false
   * 4 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - false
   * 5 nu.xom.TextWriter.write(C)V: I8 Branch 127 IF_ICMPNE L-1 - true
   * 6 nu.xom.TextWriter.write(C)V: I105 Branch 137 IF_ICMPLT L-1 - true
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - true
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 52 TABLESWITCH L-1 Case 60 - false
   * 9 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - true
   * 10 nu.xom.TextWriter.writePCDATA(C)V: I247 Branch 58 IFEQ L-1 - true
   * 11 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - true
   * 12 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - false
   */

  @Test
  public void test35()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(stringWriter0, "m?CYW5{;r|L~");
      iSOThaiWriter0.writePCDATA("?ru^tEk8n[7DQ");
      assertEquals("?ru^tEk8n[7DQ", stringWriter0.toString());
  }

  //Test case number: 36
  /*
   * 51 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 52 TABLESWITCH L-1 Case 60 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 5 TABLESWITCH L-1 Case 13 - false
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 6 TABLESWITCH L-1 Case 14 - false
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 7 TABLESWITCH L-1 Case 15 - false
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 8 TABLESWITCH L-1 Case 16 - false
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 9 TABLESWITCH L-1 Case 17 - false
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 10 TABLESWITCH L-1 Case 18 - false
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 11 TABLESWITCH L-1 Case 19 - false
   * 9 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 12 TABLESWITCH L-1 Case 20 - false
   * 10 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 13 TABLESWITCH L-1 Case 21 - false
   * 11 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 14 TABLESWITCH L-1 Case 22 - false
   * 12 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 15 TABLESWITCH L-1 Case 23 - false
   * 13 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 16 TABLESWITCH L-1 Case 24 - false
   * 14 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 17 TABLESWITCH L-1 Case 25 - false
   * 15 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 18 TABLESWITCH L-1 Case 26 - false
   * 16 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 19 TABLESWITCH L-1 Case 27 - false
   * 17 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 20 TABLESWITCH L-1 Case 28 - false
   * 18 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 21 TABLESWITCH L-1 Case 29 - false
   * 19 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 22 TABLESWITCH L-1 Case 30 - false
   * 20 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 23 TABLESWITCH L-1 Case 31 - false
   * 21 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 24 TABLESWITCH L-1 Case 32 - false
   * 22 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 25 TABLESWITCH L-1 Case 33 - false
   * 23 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 26 TABLESWITCH L-1 Case 34 - false
   * 24 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - false
   * 25 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 28 TABLESWITCH L-1 Case 36 - false
   * 26 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - false
   * 27 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 30 TABLESWITCH L-1 Case 38 - false
   * 28 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 31 TABLESWITCH L-1 Case 39 - false
   * 29 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 32 TABLESWITCH L-1 Case 40 - false
   * 30 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 33 TABLESWITCH L-1 Case 41 - false
   * 31 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 34 TABLESWITCH L-1 Case 42 - false
   * 32 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 35 TABLESWITCH L-1 Case 43 - false
   * 33 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 36 TABLESWITCH L-1 Case 44 - false
   * 34 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 37 TABLESWITCH L-1 Case 45 - false
   * 35 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - false
   * 36 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - false
   * 37 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - false
   * 38 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - false
   * 39 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 42 TABLESWITCH L-1 Case 50 - false
   * 40 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 43 TABLESWITCH L-1 Case 51 - false
   * 41 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - false
   * 42 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 45 TABLESWITCH L-1 Case 53 - false
   * 43 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - false
   * 44 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - false
   * 45 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 48 TABLESWITCH L-1 Case 56 - false
   * 46 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 49 TABLESWITCH L-1 Case 57 - false
   * 47 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - false
   * 48 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 51 TABLESWITCH L-1 Case 59 - false
   * 49 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 53 TABLESWITCH L-1 Case 61 - false
   * 50 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 54 TABLESWITCH L-1 Case 62 - false
   * 51 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test36()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(stringWriter0, "#:2j!ln");
      latin7Writer0.writePCDATA('<');
      assertEquals("&lt;", stringWriter0.toString());
  }

  //Test case number: 37
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I3 Branch 163 IFGT L-1 - true
   */

  @Test
  public void test37()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin9Writer latin9Writer0 = new Latin9Writer(charArrayWriter0, "\n");
      latin9Writer0.setLineSeparator("\n");
  }

  //Test case number: 38
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I3 Branch 163 IFGT L-1 - false
   * 2 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I7 Branch 164 IFGT L-1 - false
   * 3 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I11 Branch 165 IFLE L-1 - true
   */

  @Test
  public void test38()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOGreekWriter iSOGreekWriter0 = new ISOGreekWriter(charArrayWriter0, "t|2S&~L l&z");
      // Undeclared exception!
      try {
        iSOGreekWriter0.setLineSeparator("t|2S&~L l&z");
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Illegal Line Separator
         //
      }
  }

  //Test case number: 39
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I11 Branch 165 IFLE L-1 - false
   * 2 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I3 Branch 163 IFGT L-1 - false
   * 3 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I7 Branch 164 IFGT L-1 - false
   */

  @Test
  public void test39()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOGreekWriter iSOGreekWriter0 = new ISOGreekWriter(charArrayWriter0, "\r\n");
      iSOGreekWriter0.setLineSeparator("\r\n");
  }

  //Test case number: 40
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.decrementIndent()V: I2 Branch 161 IFNE L-1 - false
   * 2 nu.xom.TextWriter.<init>(Ljava/io/Writer;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test40()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      ISOGreekWriter iSOGreekWriter0 = new ISOGreekWriter(stringWriter0, "m?CYW5{;r|L~");
      iSOGreekWriter0.decrementIndent();
  }
}
