/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.CharArrayWriter;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.Writer;
import nu.xom.UnsynchronizedBufferedWriter;
import org.junit.BeforeClass;

public class UnsynchronizedBufferedWriterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.write([CII)V: root-Branch
   * 2 nu.xom.UnsynchronizedBufferedWriter.<init>(Ljava/io/Writer;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(0);
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) charArrayWriter0);
      char[] charArray0 = new char[5];
      // Undeclared exception!
      try {
        unsynchronizedBufferedWriter0.write(charArray0, (int) '<', (int) '<');
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // XOM bug: this statement shouldn't be reachable.
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.flush()V: root-Branch
   * 2 nu.xom.UnsynchronizedBufferedWriter.flushInternal()V: I2 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) printWriter0);
      unsynchronizedBufferedWriter0.flush();
      assertEquals(0, byteArrayOutputStream0.size());
      assertEquals("", byteArrayOutputStream0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.UnsynchronizedBufferedWriter.close()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(13);
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) charArrayWriter0);
      // Undeclared exception!
      try {
        unsynchronizedBufferedWriter0.close();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // How'd we get here?
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I2 Branch 1 IFLE L-1 - true
   * 3 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I2 Branch 1 IFLE L-1 - false
   * 4 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I10 Branch 2 IF_ICMPGE L-1 - false
   * 5 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I41 Branch 3 IF_ICMPLT L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(0);
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) charArrayWriter0);
      unsynchronizedBufferedWriter0.write(")*r[MwY65H9]c");
      assertEquals(0, charArrayWriter0.size());
      assertEquals("", charArrayWriter0.toString());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I10 Branch 2 IF_ICMPGE L-1 - true
   * 2 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I2 Branch 1 IFLE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) printWriter0);
      // Undeclared exception!
      try {
        unsynchronizedBufferedWriter0.write("VoRnt,Z{{", 8203, 8203);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 16395
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.flushInternal()V: I2 Branch 5 IFEQ L-1 - false
   * 2 nu.xom.UnsynchronizedBufferedWriter.<init>(Ljava/io/Writer;)V: root-Branch
   * 3 nu.xom.UnsynchronizedBufferedWriter.flush()V: root-Branch
   * 4 nu.xom.UnsynchronizedBufferedWriter.write(I)V: I3 Branch 4 IF_ICMPLT L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      PrintWriter printWriter0 = new PrintWriter((OutputStream) byteArrayOutputStream0);
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) printWriter0);
      unsynchronizedBufferedWriter0.write((int) '.');
      unsynchronizedBufferedWriter0.flush();
      assertEquals(1, byteArrayOutputStream0.size());
      assertEquals(".", byteArrayOutputStream0.toString());
  }
}
