/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.GridLayout;
import java.awt.LayoutManager;
import java.awt.Panel;
import java.awt.Rectangle;
import java.util.List;
import javax.imageio.metadata.IIOMetadataNode;
import javax.swing.border.SoftBevelBorder;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.xhtmlrenderer.event.DocumentListener;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class BasicPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isInteractive()Z: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   * 3 org.xhtmlrenderer.swing.BasicPanel.addMouseTrackingListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.BasicPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 5 org.xhtmlrenderer.swing.BasicPanel.setOpaque(Z)V: root-Branch
   * 6 org.xhtmlrenderer.swing.BasicPanel.setLayout(Ljava/awt/LayoutManager;)V: root-Branch
   * 7 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I12 Branch 26 IF_ICMPLE L498 - false
   * 8 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I23 Branch 27 IFNONNULL L500 - true
   * 9 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I35 Branch 28 IFLE L500 - true
   */

  @Test
  public void test0()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      boolean boolean0 = scalableXHTMLPanel0.isInteractive();
      assertEquals(true, boolean0);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.setDocument(Ljava/lang/String;Lorg/xhtmlrenderer/extend/NamespaceHandler;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 3 org.xhtmlrenderer.swing.BasicPanel.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      assertNotNull(sharedContext0);
      
      sharedContext0.getNamespaceHandler();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.setDocument("RENDERING TOOK ", (NamespaceHandler) null);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.addDocumentListener(Lorg/xhtmlrenderer/event/DocumentListener;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      xHTMLPanel0.addDocumentListener((DocumentListener) naiveUserAgent0);
      assertEquals(true, xHTMLPanel0.isOpaque());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.getDocument()Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.resetMouseTracker()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.incrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.setInteractive(Z)V: root-Branch
   * 2 org.xhtmlrenderer.swing.BasicPanel.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.setInteractive(true);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.getMouseTrackingListeners()Ljava/util/List;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(5);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      List<?> list0 = scalableXHTMLPanel0.getMouseTrackingListeners();
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
      assertEquals(3, list0.size());
      assertNotNull(list0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.printTree()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.printTree();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.paintComponent(Ljava/awt/Graphics;)V: I4 Branch 1 IFNONNULL L109 - false
   * 2 org.xhtmlrenderer.swing.BasicPanel.paintDefaultBackground(Ljava/awt/Graphics;)V: I4 Branch 10 IFNE L171 - false
   * 3 org.xhtmlrenderer.swing.BasicPanel.paintDefaultBackground(Ljava/awt/Graphics;)V: I7 Branch 11 IFEQ L171 - false
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SoftBevelBorder softBevelBorder0 = new SoftBevelBorder(58);
      softBevelBorder0.getInteriorRectangle((Component) scalableXHTMLPanel0, 58, 58, 58, 58);
      GridLayout gridLayout0 = new GridLayout(52, 58, 52, 52);
      Panel panel0 = new Panel((LayoutManager) gridLayout0);
      panel0.getGraphics();
      assertEquals("java.awt.Panel[panel0,0,0,0x0,invalid,layout=java.awt.GridLayout]", panel0.toString());
      
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.paintComponent((Graphics) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.reloadDocument(Lorg/w3c/dom/Document;)V: I4 Branch 22 IFNONNULL L405 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getOwnerDocument();
      scalableXHTMLPanel0.reloadDocument((Document) null);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isHover(Lorg/w3c/dom/Element;)Z: I5 Branch 23 IF_ACMPNE L440 - false
   */

  @Test
  public void test9()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      boolean boolean0 = xHTMLPanel0.isHover((Element) null);
      assertEquals(true, boolean0);
      assertEquals(true, xHTMLPanel0.isOpaque());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isActive(Lorg/w3c/dom/Element;)Z: I5 Branch 24 IF_ACMPNE L447 - false
   */

  @Test
  public void test10()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      boolean boolean0 = scalableXHTMLPanel0.isActive((Element) null);
      assertEquals(true, boolean0);
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BasicPanel.isFocus(Lorg/w3c/dom/Element;)Z: I5 Branch 25 IF_ACMPNE L454 - false
   */

  @Test
  public void test11()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      boolean boolean0 = xHTMLPanel0.isFocus((Element) null);
      assertEquals(true, boolean0);
      assertEquals(true, xHTMLPanel0.isOpaque());
  }

  //Test case number: 12
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.swing.BasicPanel.getFixedRectangle()Ljava/awt/Rectangle;: I4 Branch 29 IFNULL L511 - true
   * 2 org.xhtmlrenderer.swing.BasicPanel.addMouseTrackingListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: root-Branch
   * 3 org.xhtmlrenderer.swing.BasicPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.BasicPanel.<init>()V: root-Branch
   * 5 org.xhtmlrenderer.swing.BasicPanel.setOpaque(Z)V: root-Branch
   * 6 org.xhtmlrenderer.swing.BasicPanel.setLayout(Ljava/awt/LayoutManager;)V: root-Branch
   * 7 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I12 Branch 26 IF_ICMPLE L498 - false
   * 8 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I23 Branch 27 IFNONNULL L500 - true
   * 9 org.xhtmlrenderer.swing.BasicPanel.checkOpacityMethodClient()V: I35 Branch 28 IFLE L500 - true
   */

  @Test
  public void test12()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getFixedRectangle();
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle0.toString());
      assertEquals(true, scalableXHTMLPanel0.isOpaque());
      assertNotNull(rectangle0);
  }
}
