/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Shape;
import java.awt.image.BufferedImage;
import java.util.List;
import java.util.Vector;
import javax.swing.JMenu;
import javax.swing.text.AbstractDocument;
import javax.swing.text.Element;
import javax.swing.text.GapContent;
import javax.swing.text.IconView;
import javax.swing.text.PlainDocument;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.DownscaleQuality;
import org.xhtmlrenderer.util.ImageUtil;
import org.xhtmlrenderer.util.ScalingOptions;

public class ImageUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;Ljava/awt/Color;)V: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        ImageUtil.clearImage((BufferedImage) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ImageUtil imageUtil0 = new ImageUtil();
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Ljava/awt/image/BufferedImage;II)Ljava/awt/image/BufferedImage;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance((BufferedImage) null, 0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - true
   * 2 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - true
   * 3 org.xhtmlrenderer.util.ImageUtil.convertToBufferedImage(Ljava/awt/Image;I)Ljava/awt/image/BufferedImage;: I4 Branch 16 IFEQ L218 - true
   * 4 org.xhtmlrenderer.util.ImageUtil$AbstractFastScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: root-Branch
   * 5 org.xhtmlrenderer.util.ImageUtil$OldScaler.getImageScalingMethod()I: root-Branch
   * 6 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 7 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   * 8 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - true
   */

  @Test
  public void test3()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(558, 558);
      assertNotNull(bufferedImage0);
      
      ScalingOptions scalingOptions0 = new ScalingOptions();
      DownscaleQuality downscaleQuality0 = scalingOptions0.getDownscalingHint();
      GapContent gapContent0 = new GapContent(558);
      bufferedImage0.getTransparency();
      PlainDocument plainDocument0 = new PlainDocument((AbstractDocument.Content) gapContent0);
      AbstractDocument.LeafElement abstractDocument_LeafElement0 = (AbstractDocument.LeafElement)plainDocument0.getParagraphElement(3);
      IconView iconView0 = new IconView((Element) abstractDocument_LeafElement0);
      iconView0.getToolTipText((float) 558, (float) 558, (Shape) null);
      ScalingOptions scalingOptions1 = new ScalingOptions(1, 558, 1, downscaleQuality0, (Object) null);
      BufferedImage bufferedImage1 = ImageUtil.getScaledInstance(scalingOptions1, bufferedImage0);
      assertEquals(558, bufferedImage0.getWidth());
      assertEquals(558, bufferedImage0.getHeight());
      assertEquals(2, bufferedImage1.getType());
      assertEquals(1, bufferedImage1.getWidth());
      assertEquals(558, bufferedImage1.getHeight());
      assertNotNull(bufferedImage1);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.scaleMultiple(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;Ljava/util/List;)Ljava/util/List;: I17 Branch 15 IFEQ L196 - true
   */

  @Test
  public void test4()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      Vector<String> vector0 = new Vector<String>();
      List<?> list0 = ImageUtil.scaleMultiple(scalingOptions0, (BufferedImage) null, (List) vector0);
      assertEquals(true, list0.isEmpty());
  }

  //Test case number: 5
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I17 Branch 1 IF_ICMPGE L319 - false
   * 2 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I21 Branch 2 IF_ICMPGE L319 - false
   * 3 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I51 Branch 3 IF_ICMPLE L335 - false
   * 4 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I63 Branch 4 IF_ICMPGE L337 - true
   * 5 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I74 Branch 5 IF_ICMPLE L342 - false
   * 6 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I86 Branch 6 IF_ICMPGE L344 - true
   * 7 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 8 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   * 9 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - true
   * 10 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - false
   * 11 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - false
   */

  @Test
  public void test5()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.HIGH_QUALITY;
      JMenu jMenu0 = new JMenu();
      Dimension dimension0 = jMenu0.getMaximumSize();
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) dimension0);
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(32767, 32767);
      assertNotNull(bufferedImage0);
      
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // java.awt.Dimension[width=32767,height=32767] is not compatible with Image interpolation method key
         //
      }
  }
}
