/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.Namespace;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class NodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 nu.xom.Node.isElement()Z: root-Branch
   * 2 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 3 nu.xom.Node.<init>()V: root-Branch
   * 4 nu.xom.Node.isAttribute()Z: root-Branch
   * 5 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - true
   * 6 nu.xom.Node.detach()V: I7 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Text text0 = new Text("");
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.appendChild((Node) text0);
      text0.detach();
      assertEquals("[nu.xom.Text: ]", text0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isDocumentFragment()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Text text0 = new Text("");
      boolean boolean0 = text0.isDocumentFragment();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 7 covered goals:
   * 1 nu.xom.Node.isDocType()Z: root-Branch
   * 2 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 3 nu.xom.Node.isDocument()Z: root-Branch
   * 4 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 5 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 6 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 7 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Text text0 = new Text("");
      XPathContext xPathContext0 = new XPathContext();
      // Undeclared exception!
      try {
        text0.query("", xPathContext0);
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ''
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - false
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   * 4 nu.xom.Node.isElement()Z: root-Branch
   * 5 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("q", "q");
      Nodes nodes0 = processingInstruction0.query("q");
      assertEquals(0, nodes0.size());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.hashCode()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Text text0 = new Text("Can't use XPath on a DocType");
      int int0 = text0.hashCode();
      assertEquals(505333810, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isText()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Comment comment0 = new Comment("gnu.xml.aelfred2.XmlReader");
      boolean boolean0 = comment0.isText();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   * 4 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 5 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Text text0 = Text.build("q");
      XPathContext xPathContext0 = new XPathContext("q", "q");
      Element element0 = new Element("q");
      text0.setParent(element0);
      Nodes nodes0 = text0.query("q", xPathContext0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 7
  /*
   * 9 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - false
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - true
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - true
   * 4 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 5 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   * 6 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 7 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   * 8 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 9 nu.xom.Node.isComment()Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Text text0 = Text.build("q");
      XPathContext xPathContext0 = new XPathContext("q", "q");
      Element element0 = new Element("q");
      Document document0 = new Document(element0);
      text0.setParent(element0);
      Nodes nodes0 = text0.query("q", xPathContext0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - true
   * 2 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 3 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Comment comment0 = new Comment("gnu.xml.aelfred2.XmlReader");
      Document document0 = comment0.getDocument();
      assertNull(document0);
  }

  //Test case number: 9
  /*
   * 6 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - true
   * 2 nu.xom.Node.isDocType()Z: root-Branch
   * 3 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 4 nu.xom.Node.isComment()Z: root-Branch
   * 5 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 6 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Element element0 = new Element("q");
      Document document0 = new Document(element0);
      Document document1 = element0.getDocument();
      assertEquals(1, document1.getChildCount());
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - true
   * 2 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 3 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 4 nu.xom.Node.isDocument()Z: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      String string0 = namespace0.getBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Text text0 = new Text("Can't use XPath on a DocType");
      text0.detach();
      assertEquals("Can't use XPath on a DocType", text0.toXML());
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - true
   * 2 nu.xom.Node.<init>()V: root-Branch
   * 3 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Comment comment0 = new Comment("");
      CDATASection cDATASection0 = new CDATASection("");
      String string0 = cDATASection0.getBaseURI();
      assertNotNull(string0);
      
      boolean boolean0 = comment0.equals((Object) "");
      assertEquals(false, boolean0);
  }
}
