/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.parser.CSSParseException;
import org.xhtmlrenderer.css.parser.Token;

public class CSSParseExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setLine(I)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Token token0 = Token.TK_CM;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 205);
      cSSParseException0.setLine(205);
      assertEquals("Found a centimeter value where a centimeter value was expected at line 206.", cSSParseException0.getLocalizedMessage());
      assertEquals("Found a centimeter value where a centimeter value was expected at line 206.", cSSParseException0.getMessage());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isCallerNotified()Z: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Token token0 = Token.TK_RPAREN;
      Token[] tokenArray0 = new Token[5];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 0);
      cSSParseException0.isCallerNotified();
      assertEquals(0, cSSParseException0.getLine());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getLine()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Token token0 = Token.TK_MM;
      Token[] tokenArray0 = new Token[3];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 20);
      int int0 = cSSParseException0.getLine();
      assertEquals(20, int0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setCallerNotified(Z)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Token token0 = Token.TK_RPAREN;
      Token[] tokenArray0 = new Token[5];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 0);
      cSSParseException0.setCallerNotified(true);
      assertEquals(true, cSSParseException0.isCallerNotified());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException("a hex color", 644);
      String string0 = cSSParseException0.getLocalizedMessage();
      assertNotNull(string0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: a hex color at line 645.", cSSParseException0.toString());
      assertEquals("a hex color at line 645.", string0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - false
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.getFound()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   */

  @Test
  public void test5()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException("", (-17));
      cSSParseException0.getFound();
      assertEquals(-17, cSSParseException0.getLine());
      
      CSSParseException cSSParseException1 = new CSSParseException((Token) null, (Token) null, (-17));
      // Undeclared exception!
      try {
        cSSParseException1.printStackTrace();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - true
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - true
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - true
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 8 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   * 9 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Token token0 = Token.TK_CDO;
      Token[] tokenArray0 = new Token[2];
      tokenArray0[0] = token0;
      tokenArray0[1] = tokenArray0[0];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 644);
      String string0 = cSSParseException0.getMessage();
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found <!-- where <!-- or <!-- was expected at line 645.", cSSParseException0.toString());
      assertNotNull(string0);
      assertEquals("Found <!-- where <!-- or <!-- was expected at line 645.", string0);
  }

  //Test case number: 7
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - false
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - false
   * 8 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 9 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   * 10 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Token token0 = Token.TK_MM;
      Token[] tokenArray0 = new Token[3];
      tokenArray0[0] = token0;
      tokenArray0[1] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 20);
      // Undeclared exception!
      try {
        cSSParseException0.getMessage();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isEOF()Z: I5 Branch 9 IF_ACMPNE L101 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Token token0 = Token.TK_CM;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 205);
      boolean boolean0 = cSSParseException0.isEOF();
      assertEquals(false, boolean0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a centimeter value where a centimeter value was expected at line 206.", cSSParseException0.toString());
  }
}
