/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import java.util.Vector;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, "", "");
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getOperator()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test1()  throws Throwable  {
      IdentValue identValue0 = IdentValue.X_LARGE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getOperator();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals("I144", propertyValue0.getFingerprint());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Vector<Integer> vector0 = new Vector<Integer>();
      FSFunction fSFunction0 = new FSFunction("`:AzDHVWI", (List) vector0);
      PropertyValue propertyValue0 = new PropertyValue(fSFunction0);
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue()F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, "", "");
      float float0 = propertyValue0.getFloatValue();
      assertEquals(0.0F, float0, 0.01F);
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(0, propertyValue0.getPrimitiveType());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setIdentValue(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSIDE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.setIdentValue(identValue0);
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I49", propertyValue0.getFingerprint());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, "", "");
      propertyValue0.getIdentValue();
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFSRGBColor()Lorg/xhtmlrenderer/css/parser/FSRGBColor;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test6()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1674, (float) (short)1674, " 2-m)4uwAH04}M");
      propertyValue0.getFSRGBColor();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(1674.0F, propertyValue0.getFloatValue(), 0.01F);
      assertEquals(1674, propertyValue0.getPrimitiveType());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getValues()Ljava/util/List;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1674, (float) (short)1674, " 2-m)4uwAH04}M");
      propertyValue0.getValues();
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(1674.0F, propertyValue0.getFloatValue(), 0.01F);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(1674, propertyValue0.getPrimitiveType());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSIDE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1296), "^uo)B&pb'ayE)|=zy", "^uo)B&pb'ayE)|=zy");
      // Undeclared exception!
      try {
        propertyValue0.setCssText("^uo)B&pb'ayE)|=zy");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.toString()Ljava/lang/String;: root-Branch
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test10()  throws Throwable  {
      IdentValue identValue0 = IdentValue.X_LARGE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.toString();
      assertEquals(1, propertyValue0.getCssValueType());
      assertNotNull(string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I144", propertyValue0.getFingerprint());
      
      PropertyValue propertyValue1 = new PropertyValue((short)6, (float) (short)6, "x-large");
      String string1 = propertyValue1.getFingerprint();
      assertEquals(6, propertyValue1.getPrimitiveType());
      assertNotNull(string1);
      assertEquals(6.0F, propertyValue1.getFloatValue(), 0.01F);
      assertEquals(2, propertyValue1.getPropertyValueType());
      assertEquals(1, propertyValue1.getCssValueType());
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)20, "", "");
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short)20, "");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      IdentValue identValue0 = IdentValue.X_LARGE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short)6, (short)6);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getPrimitiveType()S: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      IdentValue identValue0 = IdentValue.DOUBLE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getPrimitiveType();
      assertEquals((short)21, short0);
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      IdentValue identValue0 = IdentValue.X_LARGE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFunction();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals("I144", propertyValue0.getFingerprint());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getStringValue()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      IdentValue identValue0 = IdentValue.DOUBLE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getStringValue();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertNotNull(string0);
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getStringArrayValue()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      IdentValue identValue0 = IdentValue.DOUBLE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getStringArrayValue();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals("I24", propertyValue0.getFingerprint());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      IdentValue identValue0 = IdentValue.DOUBLE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      Token token0 = Token.TK_PT;
      propertyValue0.setOperator(token0);
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I32 Branch 2 IFEQ L67 - false
   */

  @Test
  public void test18()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, (float) (short)20, "");
      assertEquals(1, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(20.0F, propertyValue0.getFloatValue(), 0.01F);
      assertEquals(1, propertyValue0.getPrimitiveType());
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test19()  throws Throwable  {
      IdentValue identValue0 = IdentValue.DOUBLE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertNotNull(string0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals("I24", string0);
  }
}
