/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.resource;

import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.org.apache.xerces.internal.dom.DocumentImpl;
import java.io.ByteArrayInputStream;
import java.io.FileDescriptor;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;
import org.junit.BeforeClass;
import org.xhtmlrenderer.resource.XMLResource;
import org.xhtmlrenderer.util.XRRuntimeException;
import org.xml.sax.HandlerBase;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class XMLResourceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 2 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.<init>(Lorg/xhtmlrenderer/resource/XMLResource$XMLResourceBuilder;)V: root-Branch
   * 3 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.createXMLResource(Lorg/xhtmlrenderer/resource/XMLResource;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 4 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.addHandlers(Lorg/xml/sax/XMLReader;)V: root-Branch
   * 5 org.xhtmlrenderer.resource.XMLResource.load(Ljava/io/Reader;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 6 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I12 Branch 2 IFNULL L102 - false
   * 7 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I17 Branch 3 IFGT L102 - true
   * 8 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I86 Branch 6 IFNONNULL L125 - false
   * 9 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I109 Branch 7 IFNONNULL L142 - true
   * 10 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I143 Branch 8 IFNONNULL L152 - true
   * 11 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.setParserFeatures(Lorg/xml/sax/XMLReader;)V: I29 Branch 1 IFEQ L244 - false
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[10];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      InputStreamReader inputStreamReader0 = new InputStreamReader((InputStream) byteArrayInputStream0);
      // Undeclared exception!
      try {
        XMLResource.load((Reader) inputStreamReader0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). org.xml.sax.SAXParseException: Premature end of file.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.resource.XMLResource.load(Ljava/io/InputStream;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FileDescriptor fileDescriptor0 = new FileDescriptor();
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      // Undeclared exception!
      try {
        XMLResource.load((InputStream) fileInputStream0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Bad file descriptor
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.resource.XMLResource.getDocument()Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.createXMLResource(Ljavax/xml/transform/Source;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 3 org.xhtmlrenderer.resource.XMLResource.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 4 org.xhtmlrenderer.resource.XMLResource.load(Ljavax/xml/transform/Source;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StreamSource streamSource0 = new StreamSource((Reader) null);
      XMLResource xMLResource0 = XMLResource.load((Source) streamSource0);
      assertNotNull(xMLResource0);
      
      DocumentImpl documentImpl0 = (DocumentImpl)xMLResource0.getDocument();
      assertNotNull(documentImpl0);
      assertEquals(1397366260361L, xMLResource0.getResourceLoadTimeStamp());
  }

  //Test case number: 3
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.resource.XMLResource.load(Lorg/xml/sax/InputSource;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 2 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.<init>(Lorg/xhtmlrenderer/resource/XMLResource$XMLResourceBuilder;)V: root-Branch
   * 3 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.createXMLResource(Lorg/xhtmlrenderer/resource/XMLResource;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 4 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.addHandlers(Lorg/xml/sax/XMLReader;)V: root-Branch
   * 5 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.setParserFeatures(Lorg/xml/sax/XMLReader;)V: I29 Branch 1 IFEQ L244 - false
   * 6 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I12 Branch 2 IFNULL L102 - false
   * 7 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I17 Branch 3 IFGT L102 - true
   * 8 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I86 Branch 6 IFNONNULL L125 - false
   * 9 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I109 Branch 7 IFNONNULL L142 - true
   * 10 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I143 Branch 8 IFNONNULL L152 - true
   */

  @Test
  public void test3()  throws Throwable  {
      HandlerBase handlerBase0 = new HandlerBase();
      handlerBase0.resolveEntity("Unhandled exception. ", "Unhandled exception. ");
      // Undeclared exception!
      try {
        XMLResource.load((InputSource) null);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.lang.NullPointerException
         //
      }
  }
}
