/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.IllegalDataException;
import nu.xom.IllegalTargetException;
import nu.xom.ProcessingInstruction;
import org.junit.BeforeClass;

public class ProcessingInstructionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 nu.xom.ProcessingInstruction.getValue()Ljava/lang/String;: root-Branch
   * 2 nu.xom.ProcessingInstruction.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ProcessingInstruction._setTarget(Ljava/lang/String;)V: I22 Branch 1 IFLE L-1 - true
   * 4 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I4 Branch 2 IFEQ L-1 - false
   * 5 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I8 Branch 3 IFLT L-1 - true
   * 6 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I23 Branch 4 IFLT L-1 - true
   * 7 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I41 Branch 5 IF_ICMPEQ L-1 - false
   * 8 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I44 Branch 6 IF_ICMPEQ L-1 - false
   * 9 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I47 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("EM", "EM");
      String string0 = processingInstruction0.getValue();
      assertEquals("EM", string0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.ProcessingInstruction.setTarget(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.ProcessingInstruction.build(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/ProcessingInstruction;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("![C$ATM[", "![C$ATM[");
      // Undeclared exception!
      try {
        processingInstruction0.setTarget("![C$ATM[");
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // NCNames cannot start with the character 21
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.getTarget()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("K", "K");
      String string0 = processingInstruction0.getTarget();
      assertEquals("K", string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.getChildCount()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      int int0 = processingInstruction0.getChildCount();
      assertEquals(0, int0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 nu.xom.ProcessingInstruction.setValue(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.ProcessingInstruction.toXML()Ljava/lang/String;: I13 Branch 8 IFLE L-1 - true
   * 3 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I8 Branch 3 IFLT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      String string0 = processingInstruction0.toXML();
      assertNotNull(string0);
      
      // Undeclared exception!
      try {
        processingInstruction0.setValue("<??>");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Processing instruction data must not contain \"?>\"
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.isProcessingInstruction()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      boolean boolean0 = processingInstruction0.isProcessingInstruction();
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      String string0 = processingInstruction0.toString();
      assertNotNull(string0);
      assertEquals("[nu.xom.ProcessingInstruction: target=\"\"; data=\"\"]", string0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.<init>(Lnu/xom/ProcessingInstruction;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      ProcessingInstruction processingInstruction1 = new ProcessingInstruction(processingInstruction0);
      assertEquals("[nu.xom.ProcessingInstruction: target=\"\"; data=\"\"]", processingInstruction1.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.getChild(I)Lnu/xom/Node;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("EM", "EM");
      // Undeclared exception!
      try {
        processingInstruction0.getChild(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // LeafNodes do not have children
         //
      }
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.ProcessingInstruction.copy()Lnu/xom/Node;: root-Branch
   * 2 nu.xom.ProcessingInstruction._setTarget(Ljava/lang/String;)V: I22 Branch 1 IFLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("ml", "ml");
      ProcessingInstruction processingInstruction1 = (ProcessingInstruction)processingInstruction0.copy();
      assertEquals("", processingInstruction1.getBaseURI());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.ProcessingInstruction._setTarget(Ljava/lang/String;)V: I22 Branch 1 IFLE L-1 - false
   * 2 nu.xom.ProcessingInstruction.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = null;
      try {
        processingInstruction0 = new ProcessingInstruction("xml", "xml");
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // xml is not a legal processing instruction target.
         //
      }
  }

  //Test case number: 11
  /*
   * 4 covered goals:
   * 1 nu.xom.ProcessingInstruction.toXML()Ljava/lang/String;: I13 Branch 8 IFLE L-1 - false
   * 2 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I41 Branch 5 IF_ICMPEQ L-1 - false
   * 3 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I44 Branch 6 IF_ICMPEQ L-1 - false
   * 4 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I47 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      processingInstruction0.setValue("Cannot have a public ID without a system ID");
      String string0 = processingInstruction0.toXML();
      assertEquals("<? Cannot have a public ID without a system ID?>", processingInstruction0.toXML());
      assertNotNull(string0);
      assertEquals("<? Cannot have a public ID without a system ID?>", string0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I4 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      processingInstruction0.setValue("");
      assertEquals(0, processingInstruction0.getChildCount());
  }

  //Test case number: 13
  /*
   * 6 covered goals:
   * 1 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I41 Branch 5 IF_ICMPEQ L-1 - true
   * 2 nu.xom.ProcessingInstruction.setValue(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ProcessingInstruction.build(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/ProcessingInstruction;: root-Branch
   * 4 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I4 Branch 2 IFEQ L-1 - false
   * 5 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I8 Branch 3 IFLT L-1 - true
   * 6 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I23 Branch 4 IFLT L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      // Undeclared exception!
      try {
        processingInstruction0.setValue(" {}w4ZlS9?R7|");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Processing instruction data cannot contain leading white space
         //
      }
  }
}
