/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Comment;
import nu.xom.Document;
import nu.xom.ValidityException;
import org.junit.BeforeClass;
import org.xml.sax.SAXParseException;

public class ValidityExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SAXParseException sAXParseException0 = new SAXParseException("", "", "", 0, 0);
      ValidityException validityException0 = new ValidityException("", "", 0, 0, (Throwable) sAXParseException0);
      validityException0.getLocalizedMessage();
      ValidityException validityException1 = new ValidityException("", 0, 0, (Throwable) sAXParseException0);
      assertEquals(0, validityException1.getLineNumber());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", "", 39, 39);
      assertEquals("nu.xom.ValidityException:  at line 39, column 39 in ", validityException0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getValidityError(I)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", "", (-1), (-1), (Throwable) null);
      // Undeclared exception!
      try {
        validityException0.getValidityError((-1));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getColumnNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SAXParseException sAXParseException0 = new SAXParseException("", "", "", 0, 0);
      ValidityException validityException0 = new ValidityException("", "", 0, 0, (Throwable) sAXParseException0);
      // Undeclared exception!
      try {
        validityException0.getColumnNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getDocument()Lnu/xom/Document;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("LW;8", 36, 36);
      Document document0 = validityException0.getDocument();
      assertNull(document0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.addError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("LW;8", 36, 36);
      SAXParseException sAXParseException0 = new SAXParseException("LW;8", "LW;8", "LW;8", 36, 36, (Exception) validityException0);
      validityException0.addError(sAXParseException0);
      assertEquals(1, validityException0.getErrorCount());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getLineNumber(I)I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("System literals cannot contain fragment identifiers", 1420, 1420);
      // Undeclared exception!
      try {
        validityException0.getLineNumber(1420);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 1420, Size: 0
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("System literals cannot contain fragment identifiers", 1420, 1420);
      ValidityException validityException1 = new ValidityException("System literals cannot contain fragment identifiers", (Throwable) validityException0);
      assertEquals("nu.xom.ValidityException: System literals cannot contain fragment identifiers", validityException1.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.setDocument(Lnu/xom/Document;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("qlQjULF8zpU33PL1[", 49, 49);
      Comment comment0 = new Comment("qlQjULF8zpU33PL1[");
      comment0.getDocument();
      validityException0.setDocument((Document) null);
      assertEquals("qlQjULF8zpU33PL1[", validityException0.getLocalizedMessage());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getErrorCount()I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("IDREFS", (-1), (-1));
      int int0 = validityException0.getErrorCount();
      assertEquals(0, int0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("System literals cannot contain fragment identifiers");
      assertEquals("System literals cannot contain fragment identifiers", validityException0.getLocalizedMessage());
  }
}
