/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.canonical;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedOutputStream;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.canonical.CanonicalizationException;
import nu.xom.canonical.Canonicalizer;
import org.junit.BeforeClass;

public class CanonicalizerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - false
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/TR/2001/REC-xml-c14n-20010315");
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(5);
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Null algorithm
         //
      }
  }

  //Test case number: 2
  /*
   * 6 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "ueau");
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Unsupported canonicalization algorithm: ueau
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(5);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2006/12/xml-c14n11");
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(6);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2006/12/xml-c14n11#WithComments");
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      Nodes nodes0 = new Nodes();
      canonicalizer0.write(nodes0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I9 Branch 164 IFNONNULL L-1 - false
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Comment comment0 = new Comment("");
      Nodes nodes0 = new Nodes();
      nodes0.append((Node) comment0);
      // Undeclared exception!
      try {
        canonicalizer0.write(nodes0);
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Canonicalization is not defined for detached nodes
         //
      }
  }

  //Test case number: 7
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - false
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I6 Branch 132 IFNULL L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Comment comment0 = new Comment("");
      canonicalizer0.write((Node) comment0);
      assertEquals(7, byteArrayOutputStream0.size());
      assertEquals("<!---->", byteArrayOutputStream0.toString());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(6);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments");
      canonicalizer0.setInclusiveNamespacePrefixList("http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments");
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I7 Branch 166 IFNULL L-1 - false
   * 3 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I18 Branch 167 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I18 Branch 167 IFEQ L-1 - false
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2001/10/xml-exc-c14n#WithComments");
      canonicalizer0.setInclusiveNamespacePrefixList("http://www.w3.org/2001/10/xml-exc-c14n#WithComments");
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/DocType;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      PrintStream printStream0 = new PrintStream((OutputStream) pipedOutputStream0, false, "EBCDIC-CP-NL");
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) printStream0, false);
      DocType docType0 = new DocType("EBCDIC-CP-NL", "EBCDIC-CP-NL", "EBCDIC-CP-NL");
      canonicalizer0.write((Node) docType0);
      assertEquals("<!DOCTYPE EBCDIC-CP-NL PUBLIC \"EBCDIC-CP-NL\" \"EBCDIC-CP-NL\">", docType0.toXML());
  }

  //Test case number: 11
  /*
   * 6 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/ProcessingInstruction;)V: I2 Branch 134 IFNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2001/10/xml-exc-c14n#WithComments");
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("ueau", "ueau");
      canonicalizer0.write((Node) processingInstruction0);
      assertEquals(13, byteArrayOutputStream0.size());
      assertEquals("<?ueau ueau?>", byteArrayOutputStream0.toString());
  }

  //Test case number: 12
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I40 Branch 128 IF_ICMPNE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I2 Branch 124 IFNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - false
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I31 Branch 127 IF_ICMPNE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I40 Branch 128 IF_ICMPNE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I49 Branch 129 IF_ICMPNE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I58 Branch 130 IF_ICMPNE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      Text text0 = new Text("W.AD!cXQ}0{^&");
      canonicalizer0.write((Node) text0);
      assertEquals("W.AD!cXQ}0{^&", text0.getValue());
  }

  //Test case number: 13
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   * 3 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      Comment comment0 = new Comment("http://www.w3.org/2001/10/xml-exc-c14n#WithComments");
      canonicalizer0.write((Node) comment0);
      assertEquals("", byteArrayOutputStream0.toString());
      assertEquals(0, byteArrayOutputStream0.size());
  }
}
