/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.jaxen.function;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedList;
import java.util.List;
import nu.xom.jaxen.Context;
import nu.xom.jaxen.ContextSupport;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.Navigator;
import nu.xom.jaxen.function.NumberFunction;
import org.junit.BeforeClass;

public class NumberFunctionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 nu.xom.jaxen.function.NumberFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 nu.xom.jaxen.function.NumberFunction.isNaN(D)Z: root-Branch
   * 3 nu.xom.jaxen.function.NumberFunction.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NumberFunction.isNaN(1.0);
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      linkedList0.addLast((Object) false);
      NumberFunction numberFunction0 = new NumberFunction();
      // Undeclared exception!
      try {
        numberFunction0.call((Context) null, (List) linkedList0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 nu.xom.jaxen.function.NumberFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I14 Branch 2 IFNE L-1 - true
   * 2 nu.xom.jaxen.function.NumberFunction.isNaN(Ljava/lang/Double;)Z: root-Branch
   * 3 nu.xom.jaxen.function.NumberFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I3 Branch 1 IF_ICMPNE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      NumberFunction.isNaN((Double) 29.962489015592293);
      LinkedList<Boolean> linkedList0 = new LinkedList<Boolean>();
      ContextSupport contextSupport0 = new ContextSupport();
      linkedList0.offer((Boolean) false);
      linkedList0.add((Boolean) false);
      NumberFunction numberFunction0 = new NumberFunction();
      Context context0 = new Context(contextSupport0);
      try {
        numberFunction0.call(context0, (List) linkedList0);
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // number() takes at most one argument.
         //
      }
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I2 Branch 3 IFEQ L-1 - false
   * 2 nu.xom.jaxen.function.NumberFunction.<init>()V: root-Branch
   * 3 nu.xom.jaxen.function.NumberFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I3 Branch 1 IF_ICMPNE L-1 - true
   * 4 nu.xom.jaxen.function.NumberFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I14 Branch 2 IFNE L-1 - false
   * 5 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I9 Branch 4 IFEQ L-1 - false
   * 6 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I29 Branch 5 IFNE L-1 - true
   * 7 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I2 Branch 3 IFEQ L-1 - true
   * 8 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I9 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.getNavigator();
      NumberFunction numberFunction0 = new NumberFunction();
      LinkedList<Boolean> linkedList0 = new LinkedList<Boolean>();
      Double double0 = (Double)numberFunction0.call(context0, (List) linkedList0);
      Double double1 = NumberFunction.evaluate((Object) double0, (Navigator) null);
      assertEquals(Float.NaN, double1.floatValue(), 0.01F);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I29 Branch 5 IFNE L-1 - false
   * 2 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I32 Branch 6 IFEQ L-1 - true
   * 3 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I2 Branch 3 IFEQ L-1 - true
   * 4 nu.xom.jaxen.function.NumberFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I9 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        NumberFunction.evaluate((Object) null, (Navigator) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
