/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.context;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.FlowLayout;
import javax.swing.AbstractButton;
import javax.swing.JComponent;
import javax.swing.JInternalFrame;
import javax.swing.ScrollPaneConstants;
import javax.swing.text.DefaultEditorKit;
import org.junit.BeforeClass;
import org.xhtmlrenderer.context.StandardAttributeResolver;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.extend.UserInterface;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.NoNamespaceHandler;
import org.xhtmlrenderer.swing.RootPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class StandardAttributeResolverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getNonCssStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      String string0 = DefaultEditorKit.selectionUpAction;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getNonCssStyling((Object) "selection-up");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getAttributeValue(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUac();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      String string0 = JComponent.TOOL_TIP_TEXT_KEY;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getAttributeValue((Object) "ToolTipText", "ToolTipText", "ToolTipText");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getID(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      sharedContext0.getNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      String string0 = DefaultEditorKit.selectionDownAction;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getID((Object) "selection-down");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isActive(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.isActive((Object) sharedContext0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.layout.SharedContext cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getAttributeValue(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUac();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      JInternalFrame jInternalFrame0 = new JInternalFrame("", false, false);
      JInternalFrame.JDesktopIcon jInternalFrame_JDesktopIcon0 = new JInternalFrame.JDesktopIcon(jInternalFrame0);
      jInternalFrame_JDesktopIcon0.getToolTipText();
      // Undeclared exception!
      try {
        standardAttributeResolver0.getAttributeValue((Object) null, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getElementStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      layoutContext0.getNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      String string0 = AbstractButton.ROLLOVER_ICON_CHANGED_PROPERTY;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getElementStyling((Object) "rolloverIcon");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getLang(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      String string0 = ScrollPaneConstants.LOWER_RIGHT_CORNER;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getLang((Object) "LOWER_RIGHT_CORNER");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isFocus(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.isFocus((Object) scalableXHTMLPanel0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.swing.ScalableXHTMLPanel cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isHover(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)layoutContext0.getUac();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      Box.stateToString(0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.isHover((Object) "NOTHING");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getClass(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) null, (UserInterface) xHTMLPanel0);
      FlowLayout flowLayout0 = new FlowLayout(167, 167, 167);
      flowLayout0.toString();
      // Undeclared exception!
      try {
        standardAttributeResolver0.getClass((Object) "java.awt.FlowLayout[hgap=167,vgap=167]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isVisited(Ljava/lang/Object;)Z: I5 Branch 2 IFEQ L137 - true
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   * 3 org.xhtmlrenderer.context.StandardAttributeResolver.isLink(Ljava/lang/Object;)Z: I7 Branch 1 IFNULL L127 - true
   */

  @Test
  public void test10()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(167);
      RootPanel rootPanel0 = new RootPanel();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) rootPanel0);
      boolean boolean0 = standardAttributeResolver0.isVisited((Object) null);
      assertEquals(false, boolean0);
  }
}
