/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.constants;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.constants.CSSName;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class IdentValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.asStringArray()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      IdentValue identValue0 = IdentValue.DEFAULT;
      // Undeclared exception!
      try {
        identValue0.asStringArray();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident value is never a string array; wrong class used for derived value.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.valueOf(Ljava/lang/String;)Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IdentValue identValue0 = IdentValue.valueOf("larger");
      assertEquals(false, identValue0.isDependentOnFontSize());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.asIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.BOTH;
      IdentValue identValue1 = identValue0.asIdentValue();
      assertEquals(false, identValue1.isDependentOnFontSize());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.getFloatProportionalTo(Lorg/xhtmlrenderer/css/constants/CSSName;FLorg/xhtmlrenderer/css/style/CssContext;)F: root-Branch
   * 2 org.xhtmlrenderer.css.constants.IdentValue.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IdentValue identValue0 = IdentValue.TABLE_COLUMN;
      CSSName cSSName0 = CSSName.FS_PAGE_HEIGHT;
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.getUserAgentCallback();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      scalableXHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        identValue0.getFloatProportionalTo(cSSName0, (-1032.6865F), (CssContext) null);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident value (table-column) is never a length; wrong class used for derived value.
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.computedValue()Lorg/xhtmlrenderer/css/style/FSDerivedValue;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      IdentValue identValue1 = (IdentValue)identValue0.computedValue();
      assertEquals("avoid", identValue1.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.isDependentOnFontSize()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      IdentValue identValue0 = IdentValue.BOTH;
      boolean boolean0 = identValue0.isDependentOnFontSize();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.isIdent()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      IdentValue identValue0 = IdentValue.BOTH;
      boolean boolean0 = identValue0.isIdent();
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.asColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      // Undeclared exception!
      try {
        identValue0.asColor();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident value is never a color; wrong class used for derived value.
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.getIdentCount()I: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      int int0 = IdentValue.getIdentCount();
      assertEquals(148, int0);
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.asString()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.constants.IdentValue.hasAbsoluteUnit()Z: root-Branch
   * 3 org.xhtmlrenderer.css.constants.IdentValue.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      IdentValue identValue0 = IdentValue.BOTH;
      // Undeclared exception!
      try {
        identValue0.hasAbsoluteUnit();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident value is never an absolute unit; wrong class used for derived value; this ident value is a both
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.asFloat()F: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      IdentValue identValue0 = IdentValue.BOLD;
      // Undeclared exception!
      try {
        identValue0.asFloat();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident value is never a float; wrong class used for derived value.
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.getByIdentString(Ljava/lang/String;)Lorg/xhtmlrenderer/css/constants/IdentValue;: I10 Branch 1 IFNONNULL L250 - true
   */

  @Test
  public void test11()  throws Throwable  {
      IdentValue identValue0 = IdentValue.getByIdentString("larger");
      assertNotNull(identValue0);
      assertEquals("larger", identValue0.toString());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.getByIdentString(Ljava/lang/String;)Lorg/xhtmlrenderer/css/constants/IdentValue;: I10 Branch 1 IFNONNULL L250 - false
   */

  @Test
  public void test12()  throws Throwable  {
      // Undeclared exception!
      try {
        IdentValue.getByIdentString("aw^");
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident named aw^ has no IdentValue instance assigned to it.
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.looksLikeIdent(Ljava/lang/String;)Z: I6 Branch 2 IFNULL L260 - true
   */

  @Test
  public void test13()  throws Throwable  {
      boolean boolean0 = IdentValue.looksLikeIdent("BUKb%w");
      assertEquals(false, boolean0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.looksLikeIdent(Ljava/lang/String;)Z: I6 Branch 2 IFNULL L260 - false
   */

  @Test
  public void test14()  throws Throwable  {
      boolean boolean0 = IdentValue.looksLikeIdent("georgian");
      assertEquals(true, boolean0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.isDeclaredInherit()Z: I4 Branch 4 IF_ACMPNE L292 - true
   */

  @Test
  public void test15()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      boolean boolean0 = identValue0.isDeclaredInherit();
      assertEquals(false, boolean0);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.constants.IdentValue.isDeclaredInherit()Z: I4 Branch 4 IF_ACMPNE L292 - false
   */

  @Test
  public void test16()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      boolean boolean0 = identValue0.isDeclaredInherit();
      assertEquals(true, boolean0);
  }
}
