/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.parser.CSSParseException;
import org.xhtmlrenderer.css.parser.Token;

public class CSSParseExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setLine(I)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.getLine()I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Token token0 = Token.TK_EMS;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 0);
      cSSParseException0.getLine();
      cSSParseException0.setLine(0);
      assertEquals(0, cSSParseException0.getLine());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isCallerNotified()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Token token0 = Token.TK_SUFFIXMATCH;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 26);
      cSSParseException0.isCallerNotified();
      assertEquals("Found an attribute suffix match where an attribute suffix match was expected at line 27.", cSSParseException0.getLocalizedMessage());
      assertEquals("Found an attribute suffix match where an attribute suffix match was expected at line 27.", cSSParseException0.getMessage());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setCallerNotified(Z)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Token token0 = Token.TK_HASH;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 1565);
      cSSParseException0.setCallerNotified(false);
      assertEquals(false, cSSParseException0.isCallerNotified());
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a hex color where a hex color was expected at line 1566.", cSSParseException0.toString());
      assertEquals("Found a hex color where a hex color was expected at line 1566.", cSSParseException0.getLocalizedMessage());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getFound()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Token token0 = Token.TK_EMS;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 0);
      Token token1 = cSSParseException0.getFound();
      assertNotNull(token1);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found an em value where an em value was expected at line 1.", cSSParseException0.toString());
      assertEquals(0, cSSParseException0.getLine());
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Token token0 = Token.TK_HASH;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 1565);
      cSSParseException0.printStackTrace();
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a hex color where a hex color was expected at line 1566.", cSSParseException0.toString());
      assertEquals("Found a hex color where a hex color was expected at line 1566.", cSSParseException0.getMessage());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.getLine()I: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Token token0 = Token.TK_EMS;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 0);
      int int0 = cSSParseException0.getLine();
      assertEquals(0, int0);
      
      CSSParseException cSSParseException1 = new CSSParseException("eCU=ez\"w:@v'", 0);
      String string0 = cSSParseException1.getLocalizedMessage();
      assertNotNull(string0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: eCU=ez\"w:@v' at line 1.", cSSParseException1.toString());
      assertEquals("eCU=ez\"w:@v' at line 1.", string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException((String) null, (-147));
      // Undeclared exception!
      try {
        cSSParseException0.getLocalizedMessage();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - false
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - true
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - false
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - false
   * 8 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 9 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 10 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Token token0 = Token.TK_HASH;
      Token[] tokenArray0 = new Token[3];
      tokenArray0[0] = token0;
      tokenArray0[1] = token0;
      tokenArray0[2] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 1565);
      String string0 = cSSParseException0.getMessage();
      assertNotNull(string0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a hex color where one of a hex color, a hex color, or a hex color was expected at line 1566.", cSSParseException0.toString());
      assertEquals("Found a hex color where one of a hex color, a hex color, or a hex color was expected at line 1566.", string0);
  }

  //Test case number: 8
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - true
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 8 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   * 9 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Token token0 = Token.TK_EOF;
      Token[] tokenArray0 = new Token[2];
      tokenArray0[0] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 1);
      // Undeclared exception!
      try {
        cSSParseException0.getMessage();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isEOF()Z: I5 Branch 9 IF_ACMPNE L101 - true
   */

  @Test
  public void test9()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException((Token) null, (Token) null, (-1297));
      boolean boolean0 = cSSParseException0.isEOF();
      assertEquals(-1297, cSSParseException0.getLine());
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isEOF()Z: I5 Branch 9 IF_ACMPNE L101 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Token token0 = Token.TK_EOF;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 1);
      boolean boolean0 = cSSParseException0.isEOF();
      assertEquals(1, cSSParseException0.getLine());
      assertEquals(true, boolean0);
  }
}
