/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.layout;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Font;
import javax.swing.JTable;
import javax.swing.plaf.FontUIResource;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.xhtmlrenderer.css.value.FontSpecification;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.AWTFSFont;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.RootPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.swing.SwingReplacedElementFactory;

public class SharedContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.setTextRenderer(Lorg/xhtmlrenderer/extend/TextRenderer;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.setDPI(F)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 5 org.xhtmlrenderer.layout.SharedContext.setMedia(Ljava/lang/String;)V: root-Branch
   * 6 org.xhtmlrenderer.layout.SharedContext.setCss(Lorg/xhtmlrenderer/context/StyleReference;)V: root-Branch
   * 7 org.xhtmlrenderer.layout.SharedContext.getCss()Lorg/xhtmlrenderer/context/StyleReference;: root-Branch
   * 8 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I4 Branch 13 IFNONNULL L522 - false
   * 9 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I21 Branch 14 IFNE L527 - false
   * 10 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I33 Branch 15 IFNONNULL L530 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        sharedContext0.getStyle((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_inline_boxes(Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.setDebug_draw_inline_boxes(false);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(false, sharedContext0.debugDrawInlineBoxes());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getUserAgentCallback()Lorg/xhtmlrenderer/extend/UserAgentCallback;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertNotNull(naiveUserAgent0);
      assertEquals(true, xHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDotsPerPixel(I)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      
      sharedContext0.setDotsPerPixel(0);
      assertEquals(0, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setInteractive(Z)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.debugDrawBoxes()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawBoxes();
      assertEquals(true, xHTMLPanel0.isInteractive());
      
      sharedContext0.setInteractive(false);
      assertEquals(false, xHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.isInteractive()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      boolean boolean0 = sharedContext0.isInteractive();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getBaseURL()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.getBaseURL();
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setCanvas(Lorg/xhtmlrenderer/swing/RootPanel;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.setCanvas((RootPanel) xHTMLPanel0);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getMedia()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      String string0 = sharedContext0.getMedia();
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertNotNull(string0);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", string0);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_line_boxes(Z)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.debugDrawInlineBoxes()Z: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawInlineBoxes();
      sharedContext0.setDebug_draw_line_boxes(false);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(false, sharedContext0.debugDrawLineBoxes());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getDotsPerPixel()I: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      int int0 = sharedContext0.getDotsPerPixel();
      assertEquals(1, int0);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, xHTMLPanel0.isInteractive());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getDPI()F: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      float float0 = sharedContext0.getDPI();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, float0, 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, sharedContext0.isInteractive());
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.reset()V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.getNamespaceHandler()Lorg/xhtmlrenderer/extend/NamespaceHandler;: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.setBaseURL(Ljava/lang/String;)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.setNamespaceHandler(Lorg/xhtmlrenderer/extend/NamespaceHandler;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getDocument();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.setDocument((Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getMmPerPx()F: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      float float0 = sharedContext0.getMmPerPx();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(0.35277778F, float0, 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.debugDrawLineBoxes()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) null);
      sharedContext0.debugDrawLineBoxes();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.newLayoutContextInstance()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) null);
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      assertEquals(1, layoutContext0.getDotsPerPixel());
      assertEquals(0.35277778F, layoutContext0.getMmPerDot(), 0.01F);
      assertEquals(true, layoutContext0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.isPrint()Z: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.isPrint();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, xHTMLPanel0.isInteractive());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.debugDrawFontMetrics()Z: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawFontMetrics();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, sharedContext0.isInteractive());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.newRenderingContextInstance()Lorg/xhtmlrenderer/render/RenderingContext;: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, renderingContext0.getDotsPerPixel());
      assertEquals(0.35277778F, renderingContext0.getMmPerDot(), 0.01F);
      assertEquals(true, renderingContext0.isInteractive());
      assertEquals(72.0F, renderingContext0.getDPI(), 0.01F);
  }

  //Test case number: 19
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getCanvas()Lorg/xhtmlrenderer/swing/RootPanel;: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.getFixedRectangle()Ljava/awt/Rectangle;: I4 Branch 1 IFNONNULL L271 - false
   */

  @Test
  public void test19()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getFixedRectangle();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getReplacedElementFactory()Lorg/xhtmlrenderer/extend/ReplacedElementFactory;: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      SwingReplacedElementFactory swingReplacedElementFactory0 = (SwingReplacedElementFactory)sharedContext0.getReplacedElementFactory();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertNotNull(swingReplacedElementFactory0);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 21
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getFont(Lorg/xhtmlrenderer/css/value/FontSpecification;)Lorg/xhtmlrenderer/render/FSFont;: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.getTextRenderer()Lorg/xhtmlrenderer/extend/TextRenderer;: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.getFontResolver()Lorg/xhtmlrenderer/extend/FontResolver;: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      FontSpecification fontSpecification0 = new FontSpecification();
      AWTFSFont aWTFSFont0 = (AWTFSFont)sharedContext0.getFont(fontSpecification0);
      assertEquals("screen", sharedContext0.getMedia());
      assertNotNull(aWTFSFont0);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getBoxById(Ljava/lang/String;)Lorg/xhtmlrenderer/render/Box;: I4 Branch 3 IFNONNULL L298 - false
   */

  @Test
  public void test22()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getBoxById("yioSG#saQ/l;6/");
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.removeBoxId(Ljava/lang/String;)V: I4 Branch 4 IFNULL L305 - true
   */

  @Test
  public void test23()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.removeBoxId(".HxMF<N|p%eUQRQ%Zzx");
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
  }

  //Test case number: 24
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setUserAgentCallback(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: I8 Branch 5 IFNULL L348 - false
   * 2 org.xhtmlrenderer.layout.SharedContext.getUac()Lorg/xhtmlrenderer/extend/UserAgentCallback;: root-Branch
   */

  @Test
  public void test24()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUac();
      assertNotNull(naiveUserAgent0);
      
      sharedContext0.setUserAgentCallback((UserAgentCallback) naiveUserAgent0);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 25
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I6 Branch 6 IFLE L428 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I17 Branch 7 IFLE L431 - true
   * 3 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I28 Branch 8 IFLE L434 - true
   * 4 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I39 Branch 9 IFLE L437 - true
   * 5 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I50 Branch 10 IFLE L440 - true
   */

  @Test
  public void test25()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      boolean boolean0 = sharedContext0.isPaged();
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, xHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(false, boolean0);
  }

  //Test case number: 26
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setFontMapping(Ljava/lang/String;Ljava/awt/Font;)V: I9 Branch 12 IFEQ L500 - false
   * 2 org.xhtmlrenderer.layout.SharedContext.setTextRenderer(Lorg/xhtmlrenderer/extend/TextRenderer;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.setDPI(F)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 5 org.xhtmlrenderer.layout.SharedContext.setMedia(Ljava/lang/String;)V: root-Branch
   * 6 org.xhtmlrenderer.layout.SharedContext.setCss(Lorg/xhtmlrenderer/context/StyleReference;)V: root-Branch
   * 7 org.xhtmlrenderer.layout.SharedContext.getCss()Lorg/xhtmlrenderer/context/StyleReference;: root-Branch
   * 8 org.xhtmlrenderer.layout.SharedContext.getFontResolver()Lorg/xhtmlrenderer/extend/FontResolver;: root-Branch
   */

  @Test
  public void test26()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      Object[][] objectArray0 = new Object[3][2];
      JTable jTable0 = new JTable(objectArray0, objectArray0);
      FontUIResource fontUIResource0 = (FontUIResource)jTable0.getFont();
      sharedContext0.setFontMapping("Lb(I\"67H$2rjRTux:i", (Font) fontUIResource0);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
  }
}
