/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import org.junit.BeforeClass;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.swing.BoxRenderer;
import org.xhtmlrenderer.util.XRRuntimeException;

public class BoxRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/lang/String;Ljava/lang/String;I)V: root-Branch
   * 2 org.xhtmlrenderer.swing.BoxRenderer.init(FI)V: root-Branch
   * 3 org.xhtmlrenderer.swing.BoxRenderer.newLayoutContext()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   * 4 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   * 5 org.xhtmlrenderer.swing.BoxRenderer.newSharedContext(ILorg/xhtmlrenderer/extend/UserAgentCallback;)Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      BoxRenderer boxRenderer0 = new BoxRenderer("xr.cache.stylesheets", "xr.cache.stylesheets", 1000);
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.BoxRenderer.getLayoutContext()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   * 2 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/io/File;II)V: root-Branch
   * 3 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      File file0 = new File((File) null, "S");
      BoxRenderer boxRenderer0 = new BoxRenderer(file0, 0, 0);
      LayoutContext layoutContext0 = boxRenderer0.getLayoutContext();
      assertEquals(false, layoutContext0.isPrint());
      assertEquals(false, layoutContext0.isInteractive());
      assertNotNull(layoutContext0);
      assertEquals(0.35277778F, layoutContext0.getMmPerDot(), 0.01F);
      assertEquals(1, layoutContext0.getDotsPerPixel());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      BoxRenderer boxRenderer0 = new BoxRenderer("S", 0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.BoxRenderer.setRenderingHints(Ljava/util/Map;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      BoxRenderer boxRenderer0 = new BoxRenderer("", 46, 46);
      HashMap<Object, Object> hashMap0 = new HashMap<Object, Object>();
      boxRenderer0.setRenderingHints((Map) hashMap0);
      assertEquals(0, hashMap0.size());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.BoxRenderer.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.swing.BoxRenderer.render()Lorg/xhtmlrenderer/render/Box;: I4 Branch 1 IFNE L235 - false
   */

  @Test
  public void test4()  throws Throwable  {
      File file0 = new File((File) null, "S");
      BoxRenderer boxRenderer0 = new BoxRenderer(file0, 0, 0);
      // Undeclared exception!
      try {
        boxRenderer0.render();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 5
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.swing.BoxRenderer.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   * 2 org.xhtmlrenderer.swing.BoxRenderer.init(FI)V: root-Branch
   * 3 org.xhtmlrenderer.swing.BoxRenderer.newLayoutContext()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   * 4 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/io/File;II)V: root-Branch
   * 5 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/lang/String;II)V: root-Branch
   * 6 org.xhtmlrenderer.swing.BoxRenderer.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   * 7 org.xhtmlrenderer.swing.BoxRenderer.newSharedContext(ILorg/xhtmlrenderer/extend/UserAgentCallback;)Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      File file0 = new File((File) null, "S");
      BoxRenderer boxRenderer0 = new BoxRenderer(file0, 0, 0);
      SharedContext sharedContext0 = boxRenderer0.getSharedContext();
      assertEquals(false, sharedContext0.isInteractive());
      assertNotNull(sharedContext0);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }
}
