/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import org.junit.BeforeClass;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.swing.Java2DRenderer;
import org.xhtmlrenderer.util.XRRuntimeException;

public class Java2DRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;I)V: root-Branch
   * 3 org.xhtmlrenderer.swing.Java2DRenderer.getImage()Ljava/awt/image/BufferedImage;: I4 Branch 1 IFNE L248 - false
   * 4 org.xhtmlrenderer.swing.Java2DRenderer.init(FI)V: root-Branch
   * 5 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("IJjev", (-1822));
      // Undeclared exception!
      try {
        java2DRenderer0.getImage();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("YubpYh)", "YubpYh)", 202, 202);
      SharedContext sharedContext0 = java2DRenderer0.getSharedContext();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertNotNull(sharedContext0);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/io/File;I)V: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      File file0 = new File("q` `R9$+QGH)NbY>", "q` `R9$+QGH)NbY>");
      Java2DRenderer java2DRenderer0 = new Java2DRenderer(file0, (-1146));
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/io/File;II)V: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      File file0 = new File("IJjev", "IJjev");
      Java2DRenderer java2DRenderer0 = new Java2DRenderer(file0, (-1822), (-1822));
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.setBufferedImageType(I)V: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("?9,Q9Vcc#5,-$oh\"b", "?9,Q9Vcc#5,-$oh\"b", 1288);
      java2DRenderer0.setBufferedImageType(1288);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.setRenderingHints(Ljava/util/Map;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.init(FI)V: root-Branch
   * 3 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   * 4 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("xr.cache.stylesheets", "xr.cache.stylesheets", 0);
      HashMap<Integer, Object> hashMap0 = new HashMap<Integer, Object>();
      java2DRenderer0.setRenderingHints((Map) hashMap0);
      assertEquals(true, hashMap0.isEmpty());
  }
}
