/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class NodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 nu.xom.Node.isElement()Z: root-Branch
   * 2 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 3 nu.xom.Node.<init>()V: root-Branch
   * 4 nu.xom.Node.isAttribute()Z: root-Branch
   * 5 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - true
   * 6 nu.xom.Node.detach()V: I7 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("/+sXqlFBN]i8n.&");
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.appendChild((Node) cDATASection0);
      cDATASection0.detach();
      assertEquals("[nu.xom.CDATASection: /+sXqlFBN]i8n.&]", cDATASection0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isDocumentFragment()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("lBZ.[KjT");
      boolean boolean0 = cDATASection0.isDocumentFragment();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 nu.xom.Node.isDocType()Z: root-Branch
   * 2 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 3 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 4 nu.xom.Node.isDocument()Z: root-Branch
   * 5 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 6 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 7 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 8 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.query("/+sXqlFBN]i8n.&");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ']'
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.hashCode()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      int int0 = documentFragment0.hashCode();
      assertEquals(1733926118, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isText()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocType docType0 = DocType.build("", "", "");
      boolean boolean0 = docType0.isText();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 6 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - true
   * 4 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - true
   * 5 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 6 nu.xom.Node.isComment()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = Element.build("XF:=:Q,w", "XF:=:Q,w", "XF:=:Q,w");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        element0.query("XF:=:Q,w");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ':'
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - true
   * 2 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 3 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("9YS?69gCgs");
      Document document0 = cDATASection0.getDocument();
      assertNull(document0);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("tA41be");
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.appendChild((Node) cDATASection0);
      String string0 = cDATASection0.getBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("/+sXqlFBN]i8n.&");
      cDATASection0.detach();
      assertEquals("[nu.xom.CDATASection: /+sXqlFBN]i8n.&]", cDATASection0.toString());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("lBZ.[KjT");
      Text.escapeLineBreaksAndTruncate("lBZ.[KjT");
      boolean boolean0 = cDATASection0.equals((Object) "lBZ.[KjT");
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("9YS?69gCgs");
      boolean boolean0 = cDATASection0.equals((Object) cDATASection0);
      assertEquals(true, boolean0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      DocType docType0 = DocType.build("", "", "");
      // Undeclared exception!
      try {
        docType0.query("");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // Can't use XPath on a DocType
         //
      }
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("EV1tKD");
      XPathContext xPathContext0 = new XPathContext();
      Nodes nodes0 = cDATASection0.query("EV1tKD", xPathContext0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 13
  /*
   * 12 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - false
   * 2 nu.xom.Node.isElement()Z: root-Branch
   * 3 nu.xom.Node.isDocType()Z: root-Branch
   * 4 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 5 nu.xom.Node.<init>()V: root-Branch
   * 6 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 7 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 8 nu.xom.Node.isDocument()Z: root-Branch
   * 9 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 10 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 11 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 12 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Nodes nodes0 = documentFragment0.query("tA41be");
      assertEquals(0, nodes0.size());
  }
}
