/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.canonical;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.canonical.CanonicalizationException;
import nu.xom.canonical.Canonicalizer;
import org.junit.BeforeClass;

public class CanonicalizerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(12441);
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "/");
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Unsupported canonicalization algorithm: /
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      FilterOutputStream filterOutputStream0 = new FilterOutputStream((OutputStream) pipedOutputStream0);
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) filterOutputStream0, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Null algorithm
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, false);
      Text text0 = new Text("yi");
      Nodes nodes0 = text0.query("yi");
      canonicalizer0.write(nodes0);
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - false
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I6 Branch 132 IFNULL L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(12441);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Comment comment0 = new Comment("/");
      canonicalizer0.write((Node) comment0);
      assertEquals("<!--/-->", byteArrayOutputStream0.toString());
      assertEquals(8, byteArrayOutputStream0.size());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(12441);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      canonicalizer0.setInclusiveNamespacePrefixList("/");
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/DocType;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, false);
      DocType docType0 = new DocType("yi", "yi", "yi");
      canonicalizer0.write((Node) docType0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/ProcessingInstruction;)V: I2 Branch 134 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, false);
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("yi", "yi");
      canonicalizer0.write((Node) processingInstruction0);
  }

  //Test case number: 7
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I49 Branch 129 IF_ICMPNE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I2 Branch 124 IFNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - false
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I31 Branch 127 IF_ICMPNE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I40 Branch 128 IF_ICMPNE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I49 Branch 129 IF_ICMPNE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I58 Branch 130 IF_ICMPNE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, false);
      Text text0 = new Text("< $.dtfd5{rwh");
      canonicalizer0.write((Node) text0);
  }

  //Test case number: 8
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   * 3 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, false);
      Comment comment0 = new Comment("yi");
      canonicalizer0.write((Node) comment0);
  }
}
