/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.w3c.dom.Text;
import org.xhtmlrenderer.css.extend.ContentFunction;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.style.CalculatedStyle;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.render.BlockBox;
import org.xhtmlrenderer.render.InlineBox;
import org.xhtmlrenderer.render.InlineText;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class InlineBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.getMaxWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.InlineBox.<init>(Ljava/lang/String;Lorg/w3c/dom/Text;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      int int0 = inlineBox0.getMaxWidth();
      assertEquals(0, int0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 2 org.xhtmlrenderer.render.InlineBox.applyTextTransform()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      // Undeclared exception!
      try {
        inlineBox0.applyTextTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.setFunction(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   * 2 org.xhtmlrenderer.render.InlineBox.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      inlineBox0.getFunction();
      inlineBox0.setFunction((FSFunction) null);
      assertEquals(0, inlineBox0.getMaxWidth());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.setContentFunction(Lorg/xhtmlrenderer/css/extend/ContentFunction;)V: root-Branch
   * 2 org.xhtmlrenderer.render.InlineBox.getContentFunction()Lorg/xhtmlrenderer/css/extend/ContentFunction;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("vV\"BAH", (Text) null);
      inlineBox0.getContentFunction();
      inlineBox0.setContentFunction((ContentFunction) null);
      assertEquals(0, inlineBox0.getMaxWidth());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.getTextNode()Lorg/w3c/dom/Text;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("[]0 d\n", (Text) null);
      Text text0 = inlineBox0.getTextNode();
      assertNull(text0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.getText()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      String string0 = inlineBox0.getText();
      assertEquals("", string0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.setStyle(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("T`k?6VIH_a", (Text) null);
      BlockBox blockBox0 = new BlockBox();
      blockBox0.getStyle();
      inlineBox0.setStyle((CalculatedStyle) null);
      assertEquals(0, inlineBox0.getMaxWidth());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.truncateText()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("[]0 d\n", (Text) null);
      inlineBox0.truncateText();
      assertEquals(false, inlineBox0.isRemovableWhitespace());
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.getSpaceWidth(Lorg/xhtmlrenderer/layout/LayoutContext;)I: root-Branch
   * 2 org.xhtmlrenderer.render.InlineBox.getTrailingSpaceWidth(Lorg/xhtmlrenderer/layout/LayoutContext;)I: I5 Branch 10 IFLE L195 - false
   * 3 org.xhtmlrenderer.render.InlineBox.getTrailingSpaceWidth(Lorg/xhtmlrenderer/layout/LayoutContext;)I: I15 Branch 11 IF_ICMPNE L195 - false
   */

  @Test
  public void test8()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("(floated) ", (Text) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        inlineBox0.getTrailingSpaceWidth((LayoutContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.getFirstLineWidth()I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      int int0 = inlineBox0.getFirstLineWidth();
      assertEquals(0, int0);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.setRemovableWhitespace(Z)V: root-Branch
   * 2 org.xhtmlrenderer.render.InlineBox.isEndsHere()Z: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      inlineBox0.isEndsHere();
      inlineBox0.setRemovableWhitespace(false);
      assertEquals(false, inlineBox0.isRemovableWhitespace());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.getMinWidth()I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("tFVJ'~'`%k8P", (Text) null);
      int int0 = inlineBox0.getMinWidth();
      assertEquals(0, int0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("lower-roman", (Text) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      inlineBox0.setElement((Element) null);
      assertEquals(false, inlineBox0.isRemovableWhitespace());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.setText(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("(4]&!IxcK.PuYOO#JP", (Text) null);
      inlineBox0.setText("(4]&!IxcK.PuYOO#JP");
      assertNull(inlineBox0.getPseudoElementOrClass());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.isRemovableWhitespace()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("lower-roman", (Text) null);
      boolean boolean0 = inlineBox0.isRemovableWhitespace();
      assertEquals(false, boolean0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.isDynamicFunction()Z: I4 Branch 1 IFNULL L140 - true
   */

  @Test
  public void test15()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      boolean boolean0 = inlineBox0.isDynamicFunction();
      assertEquals(false, boolean0);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.getTrailingSpaceWidth(Lorg/xhtmlrenderer/layout/LayoutContext;)I: I5 Branch 10 IFLE L195 - true
   */

  @Test
  public void test16()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      int int0 = inlineBox0.getTrailingSpaceWidth((LayoutContext) null);
      assertEquals(0, int0);
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.getTrailingSpaceWidth(Lorg/xhtmlrenderer/layout/LayoutContext;)I: I15 Branch 11 IF_ICMPNE L195 - true
   * 2 org.xhtmlrenderer.render.InlineBox.getTrailingSpaceWidth(Lorg/xhtmlrenderer/layout/LayoutContext;)I: I5 Branch 10 IFLE L195 - false
   */

  @Test
  public void test17()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("[]0 d\n", (Text) null);
      int int0 = inlineBox0.getTrailingSpaceWidth((LayoutContext) null);
      assertEquals(0, int0);
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.InlineBox.calcMinMaxWidth(Lorg/xhtmlrenderer/layout/LayoutContext;IZ)V: I4 Branch 35 IFNE L310 - false
   */

  @Test
  public void test18()  throws Throwable  {
      InlineText inlineText0 = new InlineText();
      inlineText0.getTextNode();
      InlineBox inlineBox0 = new InlineBox("(4]&!IxcK.PuYOO#JP", (Text) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        inlineBox0.calcMinMaxWidth((LayoutContext) null, 12, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 19
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I48 Branch 41 IFNULL L361 - false
   * 2 org.xhtmlrenderer.render.InlineBox.setPseudoElementOrClass(Ljava/lang/String;)V: root-Branch
   * 3 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I75 Branch 43 IFEQ L366 - true
   * 4 org.xhtmlrenderer.render.InlineBox.getPseudoElementOrClass()Ljava/lang/String;: root-Branch
   * 5 org.xhtmlrenderer.render.InlineBox.isStartsHere()Z: root-Branch
   * 6 org.xhtmlrenderer.render.InlineBox.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 7 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I16 Branch 40 IFNULL L354 - true
   * 8 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I72 Branch 42 IFNE L366 - false
   */

  @Test
  public void test19()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("[]0 d\n", (Text) null);
      inlineBox0.setPseudoElementOrClass("[]0 d\n");
      // Undeclared exception!
      try {
        inlineBox0.toString();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 20
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I72 Branch 42 IFNE L366 - true
   * 2 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I86 Branch 44 IFEQ L368 - false
   * 3 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I97 Branch 45 IFEQ L371 - true
   * 4 org.xhtmlrenderer.render.InlineBox.setStartsHere(Z)V: root-Branch
   * 5 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I48 Branch 41 IFNULL L361 - true
   */

  @Test
  public void test20()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("[]0 d\n", (Text) null);
      inlineBox0.setStartsHere(true);
      // Undeclared exception!
      try {
        inlineBox0.toString();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 21
  /*
   * 13 covered goals:
   * 1 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I75 Branch 43 IFEQ L366 - false
   * 2 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I86 Branch 44 IFEQ L368 - true
   * 3 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I97 Branch 45 IFEQ L371 - false
   * 4 org.xhtmlrenderer.render.InlineBox.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 5 org.xhtmlrenderer.render.InlineBox.getPseudoElementOrClass()Ljava/lang/String;: root-Branch
   * 6 org.xhtmlrenderer.render.InlineBox.setEndsHere(Z)V: root-Branch
   * 7 org.xhtmlrenderer.render.InlineBox.isStartsHere()Z: root-Branch
   * 8 org.xhtmlrenderer.render.InlineBox.isEndsHere()Z: root-Branch
   * 9 org.xhtmlrenderer.render.InlineBox.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 10 org.xhtmlrenderer.render.InlineBox.<init>(Ljava/lang/String;Lorg/w3c/dom/Text;)V: root-Branch
   * 11 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I16 Branch 40 IFNULL L354 - true
   * 12 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I48 Branch 41 IFNULL L361 - true
   * 13 org.xhtmlrenderer.render.InlineBox.toString()Ljava/lang/String;: I72 Branch 42 IFNE L366 - false
   */

  @Test
  public void test21()  throws Throwable  {
      InlineBox inlineBox0 = new InlineBox("", (Text) null);
      inlineBox0.setEndsHere(true);
      // Undeclared exception!
      try {
        inlineBox0.toString();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
