/*
 * This file was automatically generated by EvoSuite
 */

package freedots.musicxml;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import freedots.music.Articulation;
import freedots.music.Clef;
import freedots.music.Event;
import freedots.music.Fermata;
import freedots.music.Fingering;
import freedots.music.KeySignature;
import freedots.music.Ornament;
import freedots.music.RhythmicElement;
import freedots.music.Staff;
import freedots.music.StaffChord;
import freedots.music.VoiceChord;
import freedots.musicxml.Attributes;
import freedots.musicxml.MusicXMLParseException;
import freedots.musicxml.Note;
import freedots.musicxml.Part;
import freedots.musicxml.Slur;
import freedots.musicxml.Tuplet;
import freedots.musicxml.Unpitched;
import java.util.List;
import java.util.Set;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class NoteEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 7 covered goals:
   * 1 freedots.musicxml.Note.setStaff(Lfreedots/music/Staff;)V: root-Branch
   * 2 freedots.musicxml.Note.<init>(Lorg/w3c/dom/Element;IILfreedots/musicxml/Attributes$Transpose;Lfreedots/musicxml/Part;)V: root-Branch
   * 3 freedots.musicxml.Note.getStaff()Lfreedots/music/Staff;: root-Branch
   * 4 freedots.musicxml.Note.getMoment()Lfreedots/math/Fraction;: root-Branch
   * 5 freedots.musicxml.Note.getVoiceName()Ljava/lang/String;: I2 Branch 76 IFNULL L-1 - true
   * 6 freedots.musicxml.Note.getStaffNumber()I: I2 Branch 75 IFNULL L-1 - true
   * 7 freedots.musicxml.Note.parseDOM()V: I6 Branch 53 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 1803, 1803, (Attributes.Transpose) null, (Part) null);
      VoiceChord voiceChord0 = new VoiceChord((RhythmicElement) note0);
      voiceChord0.getStaff();
      note0.setStaff((Staff) null);
      assertEquals(0, note0.getStaffNumber());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getUnpitched()Lfreedots/musicxml/Unpitched;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode(" Xm+}{)Vz");
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Unpitched unpitched0 = note0.getUnpitched();
      assertNull(unpitched0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getAccidental()Lfreedots/music/Accidental;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 1803, 1803, (Attributes.Transpose) null, (Part) null);
      note0.getAccidental();
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getPart()Lfreedots/musicxml/Part;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1245), (-1245), (Attributes.Transpose) null, (Part) null);
      Part part0 = note0.getPart();
      assertNull(part0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getLyric()Lfreedots/musicxml/Note$Lyric;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1245), (-1245), (Attributes.Transpose) null, (Part) null);
      Note.Lyric note_Lyric0 = note0.getLyric();
      assertNull(note_Lyric0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.addSlur(Lfreedots/musicxml/Slur;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Slur slur0 = new Slur(note0);
      assertEquals(false, slur0.isEmpty());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getSlurs()Ljava/util/List;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode(" Xm+}{)Vz");
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      List<Slur> list0 = note0.getSlurs();
      assertEquals(0, list0.size());
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 freedots.musicxml.Note.getPitch()Lfreedots/musicxml/Pitch;: root-Branch
   * 2 freedots.musicxml.Note.toString()Ljava/lang/String;: I6 Branch 124 IFNULL L-1 - true
   * 3 freedots.musicxml.Note.getDuration()Lfreedots/math/AbstractFraction;: I2 Branch 111 IFNULL L-1 - true
   * 4 freedots.musicxml.Note.getAugmentedFraction()Lfreedots/music/AugmentedPowerOfTwo;: I4 Branch 78 IFNULL L-1 - true
   * 5 freedots.musicxml.Note.getAugmentedFraction()Lfreedots/music/AugmentedPowerOfTwo;: I11 Branch 79 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("TAB");
      Note note0 = new Note(iIOMetadataNode0, 1, 1, (Attributes.Transpose) null, (Part) null);
      // Undeclared exception!
      try {
        note0.toString();
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getNotations()Lfreedots/musicxml/Note$Notations;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 1803, 1803, (Attributes.Transpose) null, (Part) null);
      Note.Notations note_Notations0 = note0.getNotations();
      assertNull(note_Notations0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getTimeModification()Lfreedots/musicxml/Note$TimeModification;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      Note.TimeModification note_TimeModification0 = note0.getTimeModification();
      assertNull(note_TimeModification0);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.addTuplet(Lfreedots/musicxml/Tuplet;)V: root-Branch
   * 2 freedots.musicxml.Note.getTuplet()Lfreedots/musicxml/Tuplet;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("TAB");
      Note note0 = new Note(iIOMetadataNode0, 1, 1, (Attributes.Transpose) null, (Part) null);
      note0.getTuplet();
      note0.addTuplet((Tuplet) null);
      assertEquals(false, note0.isTieStart());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.setMoment(Lfreedots/math/Fraction;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      note0.getMoment();
      note0.setMoment((Fraction) null);
      assertNull(note0.getAccidental());
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 freedots.musicxml.Note.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I2 Branch 102 IFEQ L-1 - true
   * 2 freedots.musicxml.Note.getMoment()Lfreedots/math/Fraction;: root-Branch
   * 3 freedots.musicxml.Note.getStaffNumber()I: I2 Branch 75 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      StaffChord staffChord0 = new StaffChord((RhythmicElement) note0);
      boolean boolean0 = note0.equalsIgnoreOffset((Event) staffChord0);
      assertEquals(false, boolean0);
      assertEquals(0, note0.getStaffNumber());
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 freedots.musicxml.Note.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I2 Branch 102 IFEQ L-1 - false
   * 2 freedots.musicxml.Note.getDuration()Lfreedots/math/AbstractFraction;: I2 Branch 111 IFNULL L-1 - true
   * 3 freedots.musicxml.Note.getAugmentedFraction()Lfreedots/music/AugmentedPowerOfTwo;: I4 Branch 78 IFNULL L-1 - true
   * 4 freedots.musicxml.Note.getAugmentedFraction()Lfreedots/music/AugmentedPowerOfTwo;: I11 Branch 79 IFNULL L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      // Undeclared exception!
      try {
        note0.equalsIgnoreOffset((Event) note0);
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.setVoiceName(Ljava/lang/String;)V: I2 Branch 77 IFNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      note0.setVoiceName("FLAT");
      assertNull(note0.getVoiceName());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isStartOfChord()Z: I8 Branch 125 IFNULL L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1245), (-1245), (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isStartOfChord();
      assertEquals(false, boolean0);
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.setFingering(Lfreedots/music/Fingering;)V: I2 Branch 117 IFNONNULL L-1 - false
   * 2 freedots.musicxml.Note.createNotations()Lfreedots/musicxml/Note$Notations;: I6 Branch 112 IFNULL L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      Fingering fingering0 = new Fingering();
      // Undeclared exception!
      try {
        note0.setFingering(fingering0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.equals(Ljava/lang/Object;)Z: I2 Branch 107 IFEQ L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("TAB");
      iIOMetadataNode0.getPrefix();
      Note note0 = new Note(iIOMetadataNode0, 1, 1, (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.equals((Object) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getArticulations()Ljava/util/Set;: I2 Branch 120 IFNULL L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode(" Xm+}{)Vz");
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Set<Articulation> set0 = note0.getArticulations();
      assertEquals(true, set0.isEmpty());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getOrnaments()Ljava/util/Set;: I2 Branch 121 IFNULL L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 1669, 1669, (Attributes.Transpose) null, (Part) null);
      Set<Ornament> set0 = note0.getOrnaments();
      assertEquals(true, set0.isEmpty());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isTieStart()Z: I2 Branch 100 IFNULL L-1 - true
   */

  @Test
  public void test20()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isTieStart();
      assertEquals(false, boolean0);
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getActiveKeySignature()Lfreedots/music/KeySignature;: I2 Branch 123 IFNULL L-1 - true
   */

  @Test
  public void test21()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      KeySignature keySignature0 = note0.getActiveKeySignature();
      assertNull(keySignature0);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getClef()Lfreedots/music/Clef;: I2 Branch 122 IFNULL L-1 - true
   */

  @Test
  public void test22()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1245), (-1245), (Attributes.Transpose) null, (Part) null);
      Clef clef0 = note0.getClef();
      assertNull(clef0);
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isGrace()Z: I2 Branch 72 IFNULL L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isGrace();
      assertEquals(false, boolean0);
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getFermata()Lfreedots/music/Fermata;: I2 Branch 119 IFNULL L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 1669, 1669, (Attributes.Transpose) null, (Part) null);
      Fermata fermata0 = note0.getFermata();
      assertNull(fermata0);
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.firstTextNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Text;: I5 Branch 70 IFNULL L-1 - false
   */

  @Test
  public void test25()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      // Undeclared exception!
      try {
        Note.firstTextNode(iIOMetadataNode0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 26
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I1 Branch 50 IFNE L-1 - false
   * 2 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I3 Branch 51 IFNONNULL L-1 - false
   */

  @Test
  public void test26()  throws Throwable  {
      // Undeclared exception!
      try {
        Note.parseType((Element) null);
        fail("Expecting exception: AssertionError");
      
      } catch(AssertionError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 27
  /*
   * 3 covered goals:
   * 1 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I17 Branch 52 IFLE L-1 - true
   * 2 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I1 Branch 50 IFNE L-1 - false
   * 3 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I3 Branch 51 IFNONNULL L-1 - true
   */

  @Test
  public void test27()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.setTextContent(":H)Eo(WP]H");
      PowerOfTwo powerOfTwo0 = Note.parseType((Element) iIOMetadataNode0);
      assertNull(powerOfTwo0);
  }

  //Test case number: 28
  /*
   * 15 covered goals:
   * 1 freedots.musicxml.Note.parseDOM()V: I6 Branch 53 IFNULL L-1 - false
   * 2 freedots.musicxml.Note.parseDOM()V: I10 Branch 54 IF_ICMPNE L-1 - false
   * 3 freedots.musicxml.Note.parseDOM()V: I18 Branch 55 IFLE L-1 - true
   * 4 freedots.musicxml.Note.parseDOM()V: I28 Branch 56 IFLE L-1 - true
   * 5 freedots.musicxml.Note.parseDOM()V: I43 Branch 57 IFLE L-1 - true
   * 6 freedots.musicxml.Note.parseDOM()V: I56 Branch 58 IFLE L-1 - true
   * 7 freedots.musicxml.Note.parseDOM()V: I67 Branch 59 IFLE L-1 - true
   * 8 freedots.musicxml.Note.parseDOM()V: I77 Branch 60 IFLE L-1 - true
   * 9 freedots.musicxml.Note.parseDOM()V: I88 Branch 61 IFLE L-1 - true
   * 10 freedots.musicxml.Note.parseDOM()V: I98 Branch 62 IFLE L-1 - true
   * 11 freedots.musicxml.Note.parseDOM()V: I110 Branch 63 IFLE L-1 - true
   * 12 freedots.musicxml.Note.parseDOM()V: I157 Branch 66 IFLE L-1 - true
   * 13 freedots.musicxml.Note.parseDOM()V: I171 Branch 67 IFLE L-1 - true
   * 14 freedots.musicxml.Note.parseDOM()V: I182 Branch 68 IFLE L-1 - true
   * 15 freedots.musicxml.Note.parseDOM()V: I195 Branch 69 IFLE L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      assertEquals(false, note0.isGrace());
  }

  //Test case number: 29
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getFingering()Lfreedots/music/Fingering;: I2 Branch 115 IFNULL L-1 - true
   */

  @Test
  public void test29()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Fingering fingering0 = note0.getFingering();
      assertNotNull(fingering0);
  }

  //Test case number: 30
  /*
   * 4 covered goals:
   * 1 freedots.musicxml.Note.isRest()Z: I5 Branch 73 IFGT L-1 - false
   * 2 freedots.musicxml.Note.isRest()Z: I11 Branch 74 IFLE L-1 - true
   * 3 freedots.musicxml.Note.<init>(Lorg/w3c/dom/Element;IILfreedots/musicxml/Attributes$Transpose;Lfreedots/musicxml/Part;)V: root-Branch
   * 4 freedots.musicxml.Note.parseDOM()V: I6 Branch 53 IFNULL L-1 - true
   */

  @Test
  public void test30()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("FLAT");
      Note note0 = new Note(iIOMetadataNode0, (-1), (-1), (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isRest();
      assertEquals(false, boolean0);
  }
}
