/*
 * This file was automatically generated by EvoSuite
 */

package freedots.musicxml;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.musicxml.Score;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import javax.imageio.metadata.IIOMetadataNode;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.xpath.XPathExpressionException;
import org.junit.BeforeClass;
import org.w3c.dom.Text;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class ScoreEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   * 2 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      InputSource inputSource0 = new InputSource(")t@c4lemetf5l");
      inputSource0.getByteStream();
      Score score0 = null;
      try {
        score0 = new Score((InputStream) null, ")t@c4lemetf5l");
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // InputStream cannot be null
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Score.getTextNode(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Text;: I7 Branch 56 IF_ICMPLT L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode(" != key signature alteration ");
      Text text0 = Score.getTextNode(iIOMetadataNode0, "r m{xr9@wn[a?0;3\"");
      assertNull(text0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.getTextNode(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Text;: I7 Branch 56 IF_ICMPLT L-1 - false
   * 2 freedots.musicxml.Score.getTextNode(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Text;: I22 Branch 57 IF_ICMPGE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode(")t@c4lemetf5l");
      Text text0 = Score.getTextNode(iIOMetadataNode0, ")t@c4lemetf5l");
      assertNull(text0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I17 Branch 1 IF_ICMPEQ L-1 - true
   * 2 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I27 Branch 2 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Score score0 = null;
      try {
        score0 = new Score("/");
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // / (Is a directory)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I17 Branch 1 IF_ICMPEQ L-1 - false
   * 2 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I27 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Score score0 = null;
      try {
        score0 = new Score("Req+.3^ Rda");
        fail("Expecting exception: MalformedURLException");
      
      } catch(MalformedURLException e) {
         //
         // no protocol: Req+.3^ Rda
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 3 IFLE L-1 - false
   * 2 freedots.musicxml.Score.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      InputSource inputSource0 = new InputSource(")t@c4lemetf5l");
      inputSource0.getByteStream();
      Score score0 = null;
      try {
        score0 = new Score((InputStream) null, "mxl");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // in is null
         //
      }
  }
}
