/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleList;
import freedots.braille.LeftHandPart;
import freedots.braille.MusicHyphen;
import freedots.braille.MusicPart;
import freedots.braille.PostDottedDoubleBarSign;
import freedots.braille.Space;
import freedots.braille.UpperNumber;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Space space0 = new Space();
      Space space1 = (Space)space0.clone();
      assertEquals(" ", space1.toString());
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      PostDottedDoubleBarSign postDottedDoubleBarSign0 = new PostDottedDoubleBarSign();
      postDottedDoubleBarSign0.getScoreObject();
      assertEquals("\u2823\u2836", postDottedDoubleBarSign0.toString());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   * 2 freedots.braille.Sign.charAt(I)C: root-Branch
   * 3 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      LeftHandPart leftHandPart0 = new LeftHandPart();
      StringBuilder stringBuilder0 = new StringBuilder((CharSequence) leftHandPart0);
      leftHandPart0.appendTo(stringBuilder0);
      assertEquals("\u2838\u281C\u2838\u281C", stringBuilder0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PostDottedDoubleBarSign postDottedDoubleBarSign0 = new PostDottedDoubleBarSign();
      String string0 = postDottedDoubleBarSign0.toString();
      assertNotNull(string0);
      assertEquals("\u2823\u2836", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      MusicHyphen musicHyphen0 = new MusicHyphen();
      // Undeclared exception!
      try {
        musicHyphen0.subSequence(170, 170);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 170
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      MusicPart musicPart0 = new MusicPart();
      musicPart0.getParent();
      Space space0 = new Space();
      // Undeclared exception!
      try {
        space0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 9 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 5 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 7 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 9 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      PostDottedDoubleBarSign postDottedDoubleBarSign0 = new PostDottedDoubleBarSign();
      UpperNumber upperNumber0 = new UpperNumber(405);
      postDottedDoubleBarSign0.setParent((BrailleList) upperNumber0);
      // Undeclared exception!
      try {
        postDottedDoubleBarSign0.setParent((BrailleList) upperNumber0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
