/*
 * This file was automatically generated by EvoSuite
 */

package freedots.music;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import freedots.music.Clef;
import freedots.music.ClefChange;
import freedots.music.EndBar;
import freedots.music.Event;
import freedots.music.GlobalKeyChange;
import freedots.music.KeySignature;
import freedots.music.MusicList;
import freedots.music.Staff;
import freedots.music.StartBar;
import freedots.music.Voice;
import org.junit.BeforeClass;

public class MusicListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 13 covered goals:
   * 1 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I6 Branch 34 IFEQ L-1 - false
   * 2 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I13 Branch 35 IFEQ L-1 - true
   * 3 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - true
   * 4 freedots.music.MusicList.getVoices()Ljava/util/List;: I12 Branch 21 IFEQ L-1 - false
   * 5 freedots.music.MusicList.getVoices()Ljava/util/List;: I19 Branch 22 IFEQ L-1 - true
   * 6 freedots.music.MusicList.getVoices()Ljava/util/List;: I65 Branch 26 IFEQ L-1 - true
   * 7 freedots.music.MusicList.getVoices(I)Ljava/util/List;: root-Branch
   * 8 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I6 Branch 34 IFEQ L-1 - true
   * 9 freedots.music.MusicList.getVoices()Ljava/util/List;: I12 Branch 21 IFEQ L-1 - true
   * 10 freedots.music.MusicList.getVoices()Ljava/util/List;: I130 Branch 31 IFEQ L-1 - true
   * 11 freedots.music.MusicList.getVoices()Ljava/util/List;: I147 Branch 33 IFNULL L-1 - true
   * 12 freedots.music.MusicList$VoiceComparator.<init>(Lfreedots/music/MusicList;I)V: root-Branch
   * 13 freedots.music.MusicList.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Voice voice0 = new Voice("r-");
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 0);
      voice0.add((Event) startBar0);
      voice0.getVoices(0);
      assertEquals(1, voice0.size());
      assertEquals(false, voice0.isEmpty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I4 Branch 40 IF_ICMPNE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Voice voice0 = new Voice("n%");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(430);
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      ClefChange clefChange0 = new ClefChange(fraction0, (Clef) null, 430);
      voice0.add((Event) clefChange0);
      Staff staff0 = new Staff();
      boolean boolean0 = staff0.equalsIgnoreOffset((MusicList) voice0);
      assertEquals(false, voice0.isEmpty());
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I11 Branch 41 IF_ICMPGE L-1 - false
   * 2 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I22 Branch 42 IF_ACMPEQ L-1 - true
   * 3 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I35 Branch 43 IFNE L-1 - true
   * 4 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I11 Branch 41 IF_ICMPGE L-1 - true
   * 5 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I4 Branch 40 IF_ICMPNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Voice voice0 = new Voice("");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(2);
      Fraction fraction0 = powerOfTwo0.divide((Integer) 413);
      KeySignature keySignature0 = new KeySignature(2);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, keySignature0);
      voice0.add((Event) globalKeyChange0);
      boolean boolean0 = voice0.equalsIgnoreOffset((MusicList) voice0);
      assertEquals(false, voice0.isEmpty());
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I22 Branch 42 IF_ACMPEQ L-1 - false
   * 2 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I4 Branch 6 IFGE L-1 - true
   * 3 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - true
   * 4 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - false
   * 5 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I30 Branch 8 IFGE L-1 - true
   * 6 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I37 Branch 9 IFEQ L-1 - false
   * 7 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I4 Branch 40 IF_ICMPNE L-1 - false
   * 8 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I11 Branch 41 IF_ICMPGE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Voice voice0 = new Voice("n%");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(430);
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      ClefChange clefChange0 = new ClefChange(fraction0, (Clef) null, 430);
      voice0.add((Event) clefChange0);
      MusicList musicList0 = voice0.eventsAt(fraction0);
      musicList0.remove(0);
      assertEquals(false, voice0.restsOnly());
      
      StartBar startBar0 = new StartBar(fraction0, 0);
      musicList0.add((Event) startBar0);
      boolean boolean0 = musicList0.equalsIgnoreOffset((MusicList) voice0);
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.noteGroupingIsLegal()Z: I3 Branch 49 IF_ICMPLE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Staff staff0 = new Staff();
      boolean boolean0 = staff0.noteGroupingIsLegal();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 freedots.music.MusicList.noteGroupingIsLegal()Z: I3 Branch 49 IF_ICMPLE L-1 - false
   * 2 freedots.music.MusicList.noteGroupingIsLegal()Z: I8 Branch 50 IFEQ L-1 - true
   * 3 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - false
   * 4 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I16 Branch 5 IFLE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Voice voice0 = new Voice("256th");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = powerOfTwo0.subtract((AbstractFraction) powerOfTwo0);
      Clef.Sign clef_Sign0 = Clef.Sign.none;
      Clef clef0 = new Clef(clef_Sign0);
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, 0);
      voice0.add((Event) clefChange0);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      voice0.add((Event) globalKeyChange0);
      boolean boolean0 = voice0.noteGroupingIsLegal();
      assertEquals(2, voice0.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I55 Branch 16 IFEQ L-1 - false
   * 2 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - true
   * 3 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I10 Branch 12 IF_ICMPGE L-1 - true
   * 4 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - false
   * 5 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I33 Branch 14 IFEQ L-1 - true
   * 6 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - false
   * 7 freedots.music.MusicList.getStaffCount()I: I13 Branch 11 IFEQ L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Voice voice0 = new Voice("256th");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = powerOfTwo0.subtract((AbstractFraction) powerOfTwo0);
      Clef.Sign clef_Sign0 = Clef.Sign.none;
      Clef clef0 = new Clef(clef_Sign0);
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, 0);
      voice0.add((Event) clefChange0);
      // Undeclared exception!
      try {
        voice0.getStaff(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 7
  /*
   * 17 covered goals:
   * 1 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I115 Branch 20 IF_ICMPGE L-1 - false
   * 2 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I10 Branch 12 IF_ICMPGE L-1 - true
   * 3 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I10 Branch 12 IF_ICMPGE L-1 - false
   * 4 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - true
   * 5 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - false
   * 6 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I33 Branch 14 IFEQ L-1 - true
   * 7 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I33 Branch 14 IFEQ L-1 - false
   * 8 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I40 Branch 15 IFEQ L-1 - true
   * 9 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I40 Branch 15 IFEQ L-1 - false
   * 10 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I55 Branch 16 IFEQ L-1 - true
   * 11 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I69 Branch 17 IFEQ L-1 - true
   * 12 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I105 Branch 19 IFEQ L-1 - false
   * 13 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I115 Branch 20 IF_ICMPGE L-1 - true
   * 14 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I16 Branch 5 IFLE L-1 - true
   * 15 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - false
   * 16 freedots.music.MusicList.getStaffCount()I: I13 Branch 11 IFEQ L-1 - true
   * 17 freedots.music.MusicList.getStaffCount()I: I13 Branch 11 IFEQ L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Voice voice0 = new Voice("");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(2);
      Fraction fraction0 = powerOfTwo0.divide((Integer) 413);
      KeySignature keySignature0 = new KeySignature(2);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, keySignature0);
      voice0.add((Event) globalKeyChange0);
      StartBar startBar0 = new StartBar(fraction0, 413);
      startBar0.setStaffCount(413);
      voice0.add((Event) startBar0);
      // Undeclared exception!
      try {
        voice0.getStaff(413);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 413, Size: 413
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I16 Branch 5 IFLE L-1 - false
   * 2 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Voice voice0 = new Voice("256th");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      PowerOfTwo powerOfTwo1 = new PowerOfTwo((-1898));
      Fraction fraction0 = powerOfTwo0.subtract((AbstractFraction) powerOfTwo1);
      Clef.Sign clef_Sign0 = Clef.Sign.none;
      Clef clef0 = new Clef(clef_Sign0);
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, (-1898));
      voice0.add((Event) clefChange0);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      globalKeyChange0.getKeySignature();
      Fraction fraction1 = Fraction.ZERO;
      GlobalKeyChange globalKeyChange1 = new GlobalKeyChange(fraction1, (KeySignature) null);
      boolean boolean0 = voice0.add((Event) globalKeyChange1);
      assertEquals(false, voice0.restsOnly());
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 freedots.music.MusicList.getLyricText()Ljava/lang/String;: I10 Branch 44 IFEQ L-1 - false
   * 2 freedots.music.MusicList.getLyricText()Ljava/lang/String;: I17 Branch 45 IFEQ L-1 - true
   * 3 freedots.music.MusicList.getLyricText()Ljava/lang/String;: I10 Branch 44 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Voice voice0 = new Voice("r-");
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 0);
      voice0.add((Event) startBar0);
      voice0.getLyricText();
      assertEquals(1, voice0.size());
      assertEquals(false, voice0.isEmpty());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I4 Branch 6 IFGE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Voice voice0 = new Voice("[+CbC?H(>}&f%");
      Fraction fraction0 = new Fraction((-538));
      // Undeclared exception!
      try {
        voice0.eventsAt(fraction0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Negative offset
         //
      }
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I30 Branch 8 IFGE L-1 - false
   * 2 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Voice voice0 = new Voice("ChSRh*pV#(");
      Fraction fraction0 = new Fraction((-1323));
      EndBar endBar0 = new EndBar(fraction0);
      voice0.add((Event) endBar0);
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction1 = powerOfTwo0.subtract((AbstractFraction) powerOfTwo0);
      voice0.eventsAt(fraction1);
      assertEquals(false, voice0.isEmpty());
      assertEquals(1, voice0.size());
  }

  //Test case number: 12
  /*
   * 6 covered goals:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I37 Branch 9 IFEQ L-1 - true
   * 2 freedots.music.MusicList.<init>()V: root-Branch
   * 3 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - true
   * 4 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I4 Branch 6 IFGE L-1 - true
   * 5 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - false
   * 6 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I30 Branch 8 IFGE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      Voice voice0 = new Voice("ChSRh*pV#(");
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      PowerOfTwo powerOfTwo1 = new PowerOfTwo((-1323));
      Fraction fraction0 = powerOfTwo0.subtract((AbstractFraction) powerOfTwo1);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      voice0.add((Event) globalKeyChange0);
      Fraction fraction1 = Fraction.ZERO;
      voice0.eventsAt(fraction1);
      assertEquals(false, voice0.isEmpty());
      assertEquals(1, voice0.size());
  }
}
