/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.HarmonyPart;
import freedots.braille.MusicHyphen;
import freedots.braille.NumberSign;
import freedots.braille.PartMeasureInAccordDivisionSign;
import freedots.braille.PostDottedDoubleBarSign;
import freedots.braille.RepeatASign;
import freedots.braille.Sign;
import freedots.braille.SlurSign;
import freedots.braille.SoloPart;
import freedots.braille.Text;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 7 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 5 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 7 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      PartMeasureInAccordDivisionSign partMeasureInAccordDivisionSign0 = new PartMeasureInAccordDivisionSign();
      partMeasureInAccordDivisionSign0.toString();
      Text text0 = new Text("\u2810\u2802");
      Text text1 = (Text)text0.clone();
      assertFalse(text1.equals(text0));
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SlurSign slurSign0 = new SlurSign();
      slurSign0.getScoreObject();
      assertEquals("\u2809", slurSign0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StringBuilder stringBuilder0 = new StringBuilder();
      PostDottedDoubleBarSign postDottedDoubleBarSign0 = new PostDottedDoubleBarSign();
      postDottedDoubleBarSign0.appendTo(stringBuilder0);
      assertEquals("\u2823\u2836", stringBuilder0.toString());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.charAt(I)C: root-Branch
   * 2 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PostDottedDoubleBarSign postDottedDoubleBarSign0 = new PostDottedDoubleBarSign();
      SoloPart soloPart0 = new SoloPart();
      boolean boolean0 = postDottedDoubleBarSign0.needsGuideDot((BrailleSequence) soloPart0);
      assertEquals(2, postDottedDoubleBarSign0.length());
      assertEquals("\u2823\u2836", postDottedDoubleBarSign0.toString());
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NumberSign numberSign0 = new NumberSign();
      numberSign0.getParent();
      assertEquals("\u283C", numberSign0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      MusicHyphen musicHyphen0 = new MusicHyphen();
      // Undeclared exception!
      try {
        musicHyphen0.subSequence(33, 33);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 33
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      HarmonyPart harmonyPart0 = new HarmonyPart();
      // Undeclared exception!
      try {
        harmonyPart0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 8 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 7 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      SlurSign slurSign0 = new SlurSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) slurSign0, 10273);
      // Undeclared exception!
      try {
        slurSign0.setParent((BrailleList) repeatASign0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
