/*
 * This file was automatically generated by EvoSuite
 */

package freedots.transcription;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.Clef;
import freedots.music.ClefChange;
import freedots.music.Event;
import freedots.music.MusicList;
import freedots.music.TimeSignature;
import freedots.transcription.ValueInterpreter;
import java.util.Set;
import org.junit.BeforeClass;

public class ValueInterpreterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 freedots.transcription.ValueInterpreter.getInterpretations()Ljava/util/Set;: root-Branch
   * 2 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I8 Branch 8 IFNE L-1 - false
   * 3 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I10 Branch 9 IFNONNULL L-1 - true
   * 4 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I26 Branch 10 IFEQ L-1 - true
   * 5 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I70 Branch 13 IFGT L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      TimeSignature timeSignature0 = new TimeSignature(1015, 1015);
      ValueInterpreter valueInterpreter0 = new ValueInterpreter(musicList0, timeSignature0);
      Set<ValueInterpreter.Interpretation> set0 = valueInterpreter0.getInterpretations();
      assertEquals(true, set0.isEmpty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I10 Branch 9 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Clef.Sign clef_Sign0 = Clef.Sign.percussion;
      Clef clef0 = new Clef(clef_Sign0);
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, 0);
      clefChange0.getStaff();
      ValueInterpreter valueInterpreter0 = null;
      try {
        valueInterpreter0 = new ValueInterpreter((MusicList) null, (TimeSignature) null);
        fail("Expecting exception: AssertionError");
      
      } catch(AssertionError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I26 Branch 10 IFEQ L-1 - false
   * 2 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I33 Branch 11 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = Fraction.ZERO;
      Clef.Sign clef_Sign0 = Clef.Sign.TAB;
      Clef clef0 = new Clef(clef_Sign0, 0);
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, 0);
      musicList0.add((Event) clefChange0);
      TimeSignature timeSignature0 = new TimeSignature(1015, 1015);
      ValueInterpreter valueInterpreter0 = new ValueInterpreter(musicList0, timeSignature0);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 freedots.transcription.ValueInterpreter.getSplitPoint()Ljava/lang/Object;: I7 Branch 14 IFEQ L-1 - true
   * 2 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I8 Branch 8 IFNE L-1 - false
   * 3 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I10 Branch 9 IFNONNULL L-1 - true
   * 4 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I26 Branch 10 IFEQ L-1 - true
   * 5 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I70 Branch 13 IFGT L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      TimeSignature timeSignature0 = new TimeSignature(1535, 1535);
      ValueInterpreter valueInterpreter0 = new ValueInterpreter(musicList0, timeSignature0);
      Object object0 = valueInterpreter0.getSplitPoint();
      assertNull(object0);
  }
}
