/*
 * This file was automatically generated by EvoSuite
 */

package freedots.musicxml;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.DottedDoubleBarSign;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import freedots.music.Articulation;
import freedots.music.AugmentedPowerOfTwo;
import freedots.music.Clef;
import freedots.music.Event;
import freedots.music.Fermata;
import freedots.music.Fingering;
import freedots.music.KeySignature;
import freedots.music.Ornament;
import freedots.music.Staff;
import freedots.musicxml.Attributes;
import freedots.musicxml.MusicXMLParseException;
import freedots.musicxml.Note;
import freedots.musicxml.Part;
import freedots.musicxml.Slur;
import freedots.musicxml.Tuplet;
import freedots.musicxml.Unpitched;
import java.util.List;
import java.util.Set;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.Text;

public class NoteEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 freedots.musicxml.Note.setStaff(Lfreedots/music/Staff;)V: root-Branch
   * 2 freedots.musicxml.Note.<init>(Lorg/w3c/dom/Element;IILfreedots/musicxml/Attributes$Transpose;Lfreedots/musicxml/Part;)V: root-Branch
   * 3 freedots.musicxml.Note.getStaff()Lfreedots/music/Staff;: root-Branch
   * 4 freedots.musicxml.Note.parseDOM()V: I6 Branch 53 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("|/fQ4?dc~`");
      Note note0 = new Note(iIOMetadataNode0, (-1870), (-1870), (Attributes.Transpose) null, (Part) null);
      note0.getStaff();
      note0.setStaff((Staff) null);
      assertNull(note0.getVoiceName());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getUnpitched()Lfreedots/musicxml/Unpitched;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 14, 14, (Attributes.Transpose) null, (Part) null);
      Unpitched unpitched0 = note0.getUnpitched();
      assertNull(unpitched0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getAccidental()Lfreedots/music/Accidental;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 14, 14, (Attributes.Transpose) null, (Part) null);
      note0.getAccidental();
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getPart()Lfreedots/musicxml/Part;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Part part0 = note0.getPart();
      assertNull(part0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getLyric()Lfreedots/musicxml/Note$Lyric;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("|/fQ4?dc~`");
      Note note0 = new Note(iIOMetadataNode0, (-1870), (-1870), (Attributes.Transpose) null, (Part) null);
      Note.Lyric note_Lyric0 = note0.getLyric();
      assertNull(note_Lyric0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.addSlur(Lfreedots/musicxml/Slur;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Wc,ip");
      Note note0 = new Note(iIOMetadataNode0, 213, 213, (Attributes.Transpose) null, (Part) null);
      Slur slur0 = new Slur(note0);
      assertEquals(1, slur0.size());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getSlurs()Ljava/util/List;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      List<Slur> list0 = note0.getSlurs();
      assertEquals(true, list0.isEmpty());
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 freedots.musicxml.Note.getPitch()Lfreedots/musicxml/Pitch;: root-Branch
   * 2 freedots.musicxml.Note.toString()Ljava/lang/String;: I6 Branch 124 IFNULL L-1 - true
   * 3 freedots.musicxml.Note.getDuration()Lfreedots/math/AbstractFraction;: I2 Branch 111 IFNULL L-1 - true
   * 4 freedots.musicxml.Note.getAugmentedFraction()Lfreedots/music/AugmentedPowerOfTwo;: I4 Branch 78 IFNULL L-1 - true
   * 5 freedots.musicxml.Note.getAugmentedFraction()Lfreedots/music/AugmentedPowerOfTwo;: I11 Branch 79 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Wc,ip");
      Note note0 = new Note(iIOMetadataNode0, 213, 213, (Attributes.Transpose) null, (Part) null);
      // Undeclared exception!
      try {
        note0.toString();
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getNotations()Lfreedots/musicxml/Note$Notations;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Note.Notations note_Notations0 = note0.getNotations();
      assertNull(note_Notations0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getTimeModification()Lfreedots/musicxml/Note$TimeModification;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("j4");
      Note note0 = new Note(iIOMetadataNode0, (-1037), (-1037), (Attributes.Transpose) null, (Part) null);
      Note.TimeModification note_TimeModification0 = note0.getTimeModification();
      assertNull(note_TimeModification0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getMoment()Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 14, 14, (Attributes.Transpose) null, (Part) null);
      Fraction fraction0 = note0.getMoment();
      assertNull(fraction0);
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.addTuplet(Lfreedots/musicxml/Tuplet;)V: root-Branch
   * 2 freedots.musicxml.Note.getTuplet()Lfreedots/musicxml/Tuplet;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      note0.getTuplet();
      note0.addTuplet((Tuplet) null);
      assertNull(note0.getAccidental());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.setMoment(Lfreedots/math/Fraction;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("|/fQ4?dc~`");
      Note note0 = new Note(iIOMetadataNode0, (-1870), (-1870), (Attributes.Transpose) null, (Part) null);
      PowerOfTwo powerOfTwo0 = AugmentedPowerOfTwo.SEMIHEMIDEMISEMIQUAVER;
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      note0.setMoment(fraction0);
      assertEquals(1, fraction0.numerator());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I2 Branch 102 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.equalsIgnoreOffset((Event) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getVoiceName()Ljava/lang/String;: I2 Branch 76 IFNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      String string0 = note0.getVoiceName();
      assertNull(string0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.setVoiceName(Ljava/lang/String;)V: I2 Branch 77 IFNULL L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      DottedDoubleBarSign dottedDoubleBarSign0 = new DottedDoubleBarSign();
      dottedDoubleBarSign0.toString();
      note0.setVoiceName("\u2823\u2806");
      assertNull(note0.getVoiceName());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isStartOfChord()Z: I8 Branch 125 IFNULL L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isStartOfChord();
      assertEquals(false, boolean0);
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.setFingering(Lfreedots/music/Fingering;)V: I2 Branch 117 IFNONNULL L-1 - false
   * 2 freedots.musicxml.Note.createNotations()Lfreedots/musicxml/Note$Notations;: I6 Branch 112 IFNULL L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("|/fQ4?dc~`");
      Note note0 = new Note(iIOMetadataNode0, (-1870), (-1870), (Attributes.Transpose) null, (Part) null);
      Fingering fingering0 = new Fingering();
      // Undeclared exception!
      try {
        note0.setFingering(fingering0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.equals(Ljava/lang/Object;)Z: I2 Branch 107 IFEQ L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      DottedDoubleBarSign dottedDoubleBarSign0 = new DottedDoubleBarSign();
      dottedDoubleBarSign0.toString();
      boolean boolean0 = note0.equals((Object) "\u2823\u2806");
      assertEquals(false, boolean0);
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getArticulations()Ljava/util/Set;: I2 Branch 120 IFNULL L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      Set<Articulation> set0 = note0.getArticulations();
      assertEquals(true, set0.isEmpty());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getOrnaments()Ljava/util/Set;: I2 Branch 121 IFNULL L-1 - true
   */

  @Test
  public void test20()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("|/fQ4?dc~`");
      Note note0 = new Note(iIOMetadataNode0, (-1870), (-1870), (Attributes.Transpose) null, (Part) null);
      Set<Ornament> set0 = note0.getOrnaments();
      assertEquals(true, set0.isEmpty());
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isTieStart()Z: I2 Branch 100 IFNULL L-1 - true
   */

  @Test
  public void test21()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isTieStart();
      assertEquals(false, boolean0);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getActiveKeySignature()Lfreedots/music/KeySignature;: I2 Branch 123 IFNULL L-1 - true
   */

  @Test
  public void test22()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("forwarFd");
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      KeySignature keySignature0 = note0.getActiveKeySignature();
      assertNull(keySignature0);
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getClef()Lfreedots/music/Clef;: I2 Branch 122 IFNULL L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("forwarFd");
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      Clef clef0 = note0.getClef();
      assertNull(clef0);
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getStaffNumber()I: I2 Branch 75 IFNULL L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, (-1868), (-1868), (Attributes.Transpose) null, (Part) null);
      int int0 = note0.getStaffNumber();
      assertEquals(0, int0);
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isGrace()Z: I2 Branch 72 IFNULL L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isGrace();
      assertEquals(false, boolean0);
  }

  //Test case number: 26
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getFermata()Lfreedots/music/Fermata;: I2 Branch 119 IFNULL L-1 - true
   */

  @Test
  public void test26()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("|/fQ4?dc~`");
      Note note0 = new Note(iIOMetadataNode0, (-1870), (-1870), (Attributes.Transpose) null, (Part) null);
      Fermata fermata0 = note0.getFermata();
      assertNull(fermata0);
  }

  //Test case number: 27
  /*
   * 3 covered goals:
   * 1 freedots.musicxml.Note.firstTextNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Text;: I5 Branch 70 IFNULL L-1 - true
   * 2 freedots.musicxml.Note.firstTextNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Text;: I5 Branch 70 IFNULL L-1 - false
   * 3 freedots.musicxml.Note.firstTextNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Text;: I9 Branch 71 IF_ICMPNE L-1 - true
   */

  @Test
  public void test27()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode();
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      IIOMetadataNode iIOMetadataNode2 = (IIOMetadataNode)iIOMetadataNode0.cloneNode(true);
      Text text0 = Note.firstTextNode(iIOMetadataNode2);
      assertNull(text0);
  }

  //Test case number: 28
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I1 Branch 50 IFNE L-1 - false
   * 2 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I3 Branch 51 IFNONNULL L-1 - false
   */

  @Test
  public void test28()  throws Throwable  {
      // Undeclared exception!
      try {
        Note.parseType((Element) null);
        fail("Expecting exception: AssertionError");
      
      } catch(AssertionError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 29
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I3 Branch 51 IFNONNULL L-1 - true
   * 2 freedots.musicxml.Note.parseType(Lorg/w3c/dom/Element;)Lfreedots/math/PowerOfTwo;: I1 Branch 50 IFNE L-1 - false
   */

  @Test
  public void test29()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      // Undeclared exception!
      try {
        Note.parseType((Element) iIOMetadataNode0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 30
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.getFingering()Lfreedots/music/Fingering;: I2 Branch 115 IFNULL L-1 - true
   */

  @Test
  public void test30()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("j4");
      Note note0 = new Note(iIOMetadataNode0, (-1037), (-1037), (Attributes.Transpose) null, (Part) null);
      Fingering fingering0 = note0.getFingering();
      assertNotNull(fingering0);
  }

  //Test case number: 31
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Note.isRest()Z: I5 Branch 73 IFGT L-1 - true
   */

  @Test
  public void test31()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("forward");
      Note note0 = new Note(iIOMetadataNode0, 3, 3, (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isRest();
      assertEquals(true, boolean0);
  }

  //Test case number: 32
  /*
   * 4 covered goals:
   * 1 freedots.musicxml.Note.isRest()Z: I5 Branch 73 IFGT L-1 - false
   * 2 freedots.musicxml.Note.isRest()Z: I11 Branch 74 IFLE L-1 - true
   * 3 freedots.musicxml.Note.<init>(Lorg/w3c/dom/Element;IILfreedots/musicxml/Attributes$Transpose;Lfreedots/musicxml/Part;)V: root-Branch
   * 4 freedots.musicxml.Note.parseDOM()V: I6 Branch 53 IFNULL L-1 - true
   */

  @Test
  public void test32()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("forwarFd");
      Note note0 = new Note(iIOMetadataNode0, 0, 0, (Attributes.Transpose) null, (Part) null);
      boolean boolean0 = note0.isRest();
      assertEquals(false, boolean0);
  }
}
