/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleDynamics;
import freedots.braille.BrailleSequence;
import freedots.braille.NewLine;
import freedots.braille.NumberSign;
import freedots.braille.Text;
import freedots.musicxml.Direction;
import org.junit.BeforeClass;

public class BrailleDynamicsEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleDynamics.getDescription()Ljava/lang/String;: root-Branch
   * 2 freedots.braille.BrailleDynamics.<init>(Ljava/lang/String;Lfreedots/musicxml/Direction;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      BrailleDynamics brailleDynamics0 = new BrailleDynamics("", (Direction) null);
      String string0 = brailleDynamics0.getDescription();
      assertEquals(2, brailleDynamics0.size());
      assertNotNull(string0);
      assertEquals("Dynamic indicator: ", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleDynamics.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      BrailleDynamics brailleDynamics0 = new BrailleDynamics("noSrmtB-type", (Direction) null);
      BrailleDynamics brailleDynamics1 = new BrailleDynamics("noSrmtB-type", (Direction) null);
      brailleDynamics0.offerFirst((BrailleSequence) brailleDynamics1);
      brailleDynamics1.toString();
      brailleDynamics0.getIndexOfScoreObject((Object) "\u281CnoSrmtB-type");
      assertEquals(3, brailleDynamics0.size());
      assertEquals(26, brailleDynamics0.length());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 1 IFEQ L-1 - true
   * 2 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 2 IFLE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      BrailleDynamics brailleDynamics0 = new BrailleDynamics("", (Direction) null);
      Text text0 = (Text)brailleDynamics0.removeLast();
      boolean boolean0 = brailleDynamics0.needsGuideDot((BrailleSequence) text0);
      assertEquals(1, brailleDynamics0.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      BrailleDynamics brailleDynamics0 = new BrailleDynamics("noSrmtB-type", (Direction) null);
      brailleDynamics0.offer((BrailleSequence) brailleDynamics0);
      // Undeclared exception!
      try {
        brailleDynamics0.add((BrailleSequence) brailleDynamics0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 2 IFLE L-1 - false
   * 2 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I17 Branch 3 IF_ICMPLE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      BrailleDynamics brailleDynamics0 = new BrailleDynamics("JP(v`N?t42]uQ?#A", (Direction) null);
      NewLine newLine0 = new NewLine();
      boolean boolean0 = brailleDynamics0.needsGuideDot((BrailleSequence) newLine0);
      assertEquals(false, boolean0);
      assertEquals("\u281CJP(v`N?t42]uQ?#A", brailleDynamics0.toString());
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I17 Branch 3 IF_ICMPLE L-1 - false
   * 2 freedots.braille.BrailleDynamics.<init>(Ljava/lang/String;Lfreedots/musicxml/Direction;)V: root-Branch
   * 3 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 1 IFEQ L-1 - true
   * 4 freedots.braille.BrailleDynamics.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 2 IFLE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      BrailleDynamics brailleDynamics0 = new BrailleDynamics("Q<", (Direction) null);
      NumberSign numberSign0 = new NumberSign();
      boolean boolean0 = brailleDynamics0.needsGuideDot((BrailleSequence) numberSign0);
      assertEquals("\u281CQ<", brailleDynamics0.toString());
      assertEquals(true, boolean0);
  }
}
