/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.AlternativeEnding;
import freedots.braille.BrailleFingering;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.HarmonyPart;
import freedots.braille.LowerDigit;
import freedots.braille.LowerDigits;
import freedots.braille.LowerRange;
import freedots.braille.Sign;
import freedots.braille.TextPart;
import freedots.braille.UpperNumber;
import freedots.music.Fingering;
import org.junit.BeforeClass;

public class BrailleListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.getDescription()Ljava/lang/String;: root-Branch
   * 2 freedots.braille.BrailleList.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      BrailleList brailleList0 = new BrailleList();
      String string0 = brailleList0.getDescription();
      assertEquals("Groups several signs as a logical unit", string0);
  }

  //Test case number: 1
  /*
   * 10 covered goals:
   * 1 freedots.braille.BrailleList.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 8 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - true
   * 9 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 10 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange((-1120), (-1120));
      // Undeclared exception!
      try {
        lowerRange0.subSequence((-1120), (-1120));
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: -1120
         //
      }
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   * 2 freedots.braille.BrailleList.getParent()Lfreedots/braille/BrailleList;: root-Branch
   * 3 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - true
   * 4 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - false
   * 5 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I11 Branch 14 IFNULL L-1 - true
   * 6 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 7 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 8 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      AlternativeEnding alternativeEnding0 = new AlternativeEnding((-1166));
      alternativeEnding0.getScoreObjectAtIndex((-1166));
      assertEquals(2, alternativeEnding0.size());
      assertEquals("\u283C", alternativeEnding0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.addLast(Lfreedots/braille/BrailleSequence;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      HarmonyPart harmonyPart0 = new HarmonyPart();
      BrailleList brailleList0 = new BrailleList();
      brailleList0.offerLast((BrailleSequence) harmonyPart0);
      assertEquals(false, brailleList0.isEmpty());
      assertEquals("\u2812\u281C", brailleList0.toString());
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 freedots.braille.BrailleList.charAt(I)C: root-Branch
   * 2 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 3 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 4 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      HarmonyPart harmonyPart0 = new HarmonyPart();
      BrailleList brailleList0 = new BrailleList();
      brailleList0.addFirst((BrailleSequence) harmonyPart0);
      boolean boolean0 = brailleList0.needsGuideDot((BrailleSequence) brailleList0);
      assertEquals("\u2812\u281C", brailleList0.toString());
      assertEquals(2, brailleList0.length());
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 7 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - true
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   * 3 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - true
   * 4 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - true
   * 5 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - false
   * 6 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I32 Branch 23 IF_ICMPEQ L-1 - true
   * 7 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange(1, 1);
      Class<TextPart> class0 = TextPart.class;
      int int0 = lowerRange0.lengthSince(class0);
      assertEquals((-1), int0);
      assertEquals(4, lowerRange0.length());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - false
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      LowerDigits lowerDigits0 = new LowerDigits(1221);
      Class<LowerDigit> class0 = LowerDigit.class;
      int int0 = lowerDigits0.lengthSince(class0);
      assertEquals(0, int0);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I19 Branch 5 IFNE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      HarmonyPart harmonyPart0 = new HarmonyPart();
      BrailleList brailleList0 = new BrailleList();
      brailleList0.addFirst((BrailleSequence) harmonyPart0);
      boolean boolean0 = brailleList0.add((BrailleSequence) harmonyPart0);
      assertEquals(5, brailleList0.length());
      assertEquals(true, boolean0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.BrailleList.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      UpperNumber upperNumber0 = new UpperNumber((-1166));
      upperNumber0.getParent();
      // Undeclared exception!
      try {
        upperNumber0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      UpperNumber upperNumber0 = new UpperNumber((-502));
      upperNumber0.poll();
      // Undeclared exception!
      try {
        upperNumber0.clone();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }

  //Test case number: 10
  /*
   * 11 covered goals:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - true
   * 2 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - true
   * 3 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - false
   * 4 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I24 Branch 17 IF_ACMPNE L-1 - true
   * 5 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - false
   * 7 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I39 Branch 19 IFLT L-1 - true
   * 8 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 9 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   * 10 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 11 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange(1, 1);
      String string0 = lowerRange0.toString();
      assertNotNull(string0);
      assertEquals("\u283C\u2802\u2824\u2802", string0);
      
      int int0 = lowerRange0.getIndexOfScoreObject((Object) "\u283C\u2802\u2824\u2802");
      assertEquals(4, lowerRange0.length());
      assertEquals((-1), int0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Fingering fingering0 = new Fingering();
      BrailleFingering brailleFingering0 = new BrailleFingering(fingering0);
      // Undeclared exception!
      try {
        brailleFingering0.getIndexOfScoreObject((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Trying to search for null
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      Fingering fingering0 = new Fingering();
      BrailleFingering brailleFingering0 = new BrailleFingering(fingering0);
      Sign sign0 = brailleFingering0.getSignAtIndex(1);
      assertNull(sign0);
  }

  //Test case number: 13
  /*
   * 15 covered goals:
   * 1 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - true
   * 2 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - false
   * 3 freedots.braille.BrailleList.<init>()V: root-Branch
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 6 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 9 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 10 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 11 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 12 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   * 13 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 14 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 15 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange(1, 1);
      LowerDigit lowerDigit0 = (LowerDigit)lowerRange0.getSignAtIndex(1);
      assertEquals(4, lowerRange0.length());
      assertEquals("\u2802", lowerDigit0.toString());
      assertNotNull(lowerDigit0);
  }
}
