/*
 * This file was automatically generated by EvoSuite
 */

package freedots.transcription;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.EndBar;
import freedots.music.Event;
import freedots.music.Staff;
import freedots.music.TimeSignature;
import freedots.transcription.ValueInterpreter;
import java.util.Set;
import org.junit.BeforeClass;

public class ValueInterpreterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 freedots.transcription.ValueInterpreter.getInterpretations()Ljava/util/Set;: root-Branch
   * 2 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I8 Branch 8 IFNE L-1 - false
   * 3 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I10 Branch 9 IFNONNULL L-1 - true
   * 4 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I26 Branch 10 IFEQ L-1 - true
   * 5 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I70 Branch 13 IFGT L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Staff staff0 = new Staff();
      TimeSignature timeSignature0 = new TimeSignature((-1781), (-1781));
      ValueInterpreter valueInterpreter0 = new ValueInterpreter(staff0, timeSignature0);
      Set<ValueInterpreter.Interpretation> set0 = valueInterpreter0.getInterpretations();
      assertEquals(true, set0.isEmpty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I10 Branch 9 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Staff staff0 = new Staff();
      ValueInterpreter valueInterpreter0 = null;
      try {
        valueInterpreter0 = new ValueInterpreter(staff0, (TimeSignature) null);
        fail("Expecting exception: AssertionError");
      
      } catch(AssertionError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I26 Branch 10 IFEQ L-1 - false
   * 2 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I33 Branch 11 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Staff staff0 = new Staff();
      Fraction fraction0 = Fraction.ZERO;
      EndBar endBar0 = new EndBar(fraction0);
      TimeSignature timeSignature0 = new TimeSignature((-1781), (-1781));
      staff0.add((Event) endBar0);
      ValueInterpreter valueInterpreter0 = new ValueInterpreter(staff0, timeSignature0);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 freedots.transcription.ValueInterpreter.getSplitPoint()Ljava/lang/Object;: I7 Branch 14 IFEQ L-1 - true
   * 2 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I8 Branch 8 IFNE L-1 - false
   * 3 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I10 Branch 9 IFNONNULL L-1 - true
   * 4 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I26 Branch 10 IFEQ L-1 - true
   * 5 freedots.transcription.ValueInterpreter.<init>(Lfreedots/music/MusicList;Lfreedots/music/TimeSignature;)V: I70 Branch 13 IFGT L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Staff staff0 = new Staff();
      TimeSignature timeSignature0 = new TimeSignature((-1080), (-1080));
      ValueInterpreter valueInterpreter0 = new ValueInterpreter(staff0, timeSignature0);
      Object object0 = valueInterpreter0.getSplitPoint();
      assertNull(object0);
  }
}
