/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.converter;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.converter.Converter;
import net.sourceforge.jeuclid.converter.ConverterPlugin;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMTitleElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class ConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;)Ljava/awt/Dimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   * 3 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      File file0 = new File(">YP*O4(tC", ">YP*O4(tC");
      try {
        converter0.convert(file0, file0, ">YP*O4(tC");
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // >YP*O4(tC/>YP*O4(tC (No such file or directory)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMTitleElement sVGOMTitleElement0 = new SVGOMTitleElement("", (AbstractDocument) sVGOMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      BufferedImage bufferedImage0 = converter0.render((Node) sVGOMTitleElement0, (LayoutContext) layoutContextImpl0);
      assertNotNull(bufferedImage0);
      assertEquals(1, bufferedImage0.getWidth());
      assertEquals(1, bufferedImage0.getTileHeight());
      assertEquals(2, bufferedImage0.getType());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) null, "]owQ8afBO_?z", (LayoutContext) null);
      assertNull(converterPlugin_DocumentWithDimension0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      // Undeclared exception!
      try {
        converter0.convert((Node) null, (OutputStream) null, "image/svg+xml", (LayoutContext) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Unsupported node: null. Expected either Document, Element or DocumentFragment
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - false
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      Dimension dimension0 = converter0.convert((Node) null, (OutputStream) null, "]owQ8afBO_?z", (LayoutContext) null);
      assertNull(dimension0);
  }
}
