/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.app.mathviewer;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Frame;
import java.awt.HeadlessException;
import java.io.File;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.MutableLayoutContext;
import net.sourceforge.jeuclid.app.mathviewer.FileIO;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

public class FileIOEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.app.mathviewer.FileIO.selectFileToOpen(Ljava/awt/Frame;)Ljava/io/File;: I3 Branch 1 IFEQ L105 - true
   * 2 net.sourceforge.jeuclid.app.mathviewer.FileIO.getInstance()Lnet/sourceforge/jeuclid/app/mathviewer/FileIO;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
          FileIO fileIO0 = FileIO.getInstance();
          // Undeclared exception!
          try {
            fileIO0.selectFileToOpen((Frame) null);
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission /home/havrikov write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.File.canWrite(File.java:711)
             // sun.awt.shell.ShellFolder.canWrite(ShellFolder.java:284)
             // sun.swing.FilePane.canWrite(FilePane.java:1817)
             // sun.swing.FilePane.doDirectoryChanged(FilePane.java:1470)
             // sun.swing.FilePane.propertyChange(FilePane.java:1516)
             // java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
             // java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
             // java.awt.Component.firePropertyChange(Component.java:8154)
             // javax.swing.JFileChooser.setCurrentDirectory(JFileChooser.java:568)
             // javax.swing.JFileChooser.<init>(JFileChooser.java:334)
             // javax.swing.JFileChooser.<init>(JFileChooser.java:316)
             // net.sourceforge.jeuclid.app.mathviewer.FileIO.selectFileToOpen(FileIO.java:120)
             // sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
             // sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.app.mathviewer.FileIO.loadFile(Ljava/awt/Frame;Ljava/io/File;)Lorg/w3c/dom/Document;: I3 Branch 6 IFNONNULL L145 - true
   */

  @Test
  public void test1()  throws Throwable  {
      File file0 = new File("i)jTh7T`\"x:0tm", "i)jTh7T`\"x:0tm");
      FileIO fileIO0 = FileIO.getInstance();
      // Undeclared exception!
      try {
        fileIO0.loadFile((Frame) null, file0);
        fail("Expecting exception: HeadlessException");
      
      } catch(HeadlessException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.app.mathviewer.FileIO.loadFile(Ljava/awt/Frame;Ljava/io/File;)Lorg/w3c/dom/Document;: I3 Branch 6 IFNONNULL L145 - false
   */

  @Test
  public void test2()  throws Throwable  {
      FileIO fileIO0 = FileIO.getInstance();
      Document document0 = fileIO0.loadFile((Frame) null, (File) null);
      assertNull(document0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.app.mathviewer.FileIO.saveDocument(Ljava/awt/Frame;Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/MutableLayoutContext;)V: I3 Branch 7 IFEQ L186 - true
   * 2 net.sourceforge.jeuclid.app.mathviewer.FileIO.getInstance()Lnet/sourceforge/jeuclid/app/mathviewer/FileIO;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
          FileIO fileIO0 = FileIO.getInstance();
          LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
          LayoutContextImpl layoutContextImpl1 = new LayoutContextImpl((LayoutContext) layoutContextImpl0);
          // Undeclared exception!
          try {
            fileIO0.saveDocument((Frame) null, (Node) null, (MutableLayoutContext) layoutContextImpl1);
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission /home/havrikov write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.File.canWrite(File.java:711)
             // sun.awt.shell.ShellFolder.canWrite(ShellFolder.java:284)
             // sun.swing.FilePane.canWrite(FilePane.java:1817)
             // sun.swing.FilePane.doDirectoryChanged(FilePane.java:1470)
             // sun.swing.FilePane.propertyChange(FilePane.java:1516)
             // java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
             // java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
             // java.awt.Component.firePropertyChange(Component.java:8154)
             // javax.swing.JFileChooser.setCurrentDirectory(JFileChooser.java:568)
             // javax.swing.JFileChooser.<init>(JFileChooser.java:334)
             // javax.swing.JFileChooser.<init>(JFileChooser.java:316)
             // net.sourceforge.jeuclid.app.mathviewer.FileIO.saveDocument(FileIO.java:203)
             // sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
             // sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }
}
