/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.converter;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.SystemColor;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.context.StyleAttributeLayoutContext;
import net.sourceforge.jeuclid.converter.Converter;
import net.sourceforge.jeuclid.converter.ConverterPlugin;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMCursorElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMRadialGradientElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class ConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;)Ljava/awt/Dimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   * 3 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      // Undeclared exception!
      try {
        converter0.convert((File) null, (File) null, "");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // name can't be null
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMRadialGradientElement sVGOMRadialGradientElement0 = new SVGOMRadialGradientElement("", (AbstractDocument) sVGOMDocument0);
      BufferedImage bufferedImage0 = converter0.render((Node) sVGOMRadialGradientElement0, (LayoutContext) layoutContextImpl0);
      assertEquals(2, bufferedImage0.getType());
      assertEquals(1, bufferedImage0.getTileWidth());
      assertNotNull(bufferedImage0);
      assertEquals(1, bufferedImage0.getHeight());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      SystemColor systemColor0 = SystemColor.activeCaption;
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      StyleAttributeLayoutContext styleAttributeLayoutContext0 = new StyleAttributeLayoutContext((LayoutContext) layoutContextImpl0, "", (Color) systemColor0);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCursorElement sVGOMCursorElement0 = new SVGOMCursorElement("", (AbstractDocument) sVG12OMDocument0);
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) sVGOMCursorElement0, "", (LayoutContext) styleAttributeLayoutContext0);
      assertNull(converterPlugin_DocumentWithDimension0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("image/svg+xml", "image/svg+xml", "image/svg+xml");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      // Undeclared exception!
      try {
        converter0.convert((Node) sVGOMDocument0, "image/svg+xml", (LayoutContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - false
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      Dimension dimension0 = converter0.convert((Node) null, (OutputStream) null, "", (LayoutContext) layoutContextImpl0);
      assertNull(dimension0);
  }
}
