/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.converter;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.InlineLayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.converter.Converter;
import net.sourceforge.jeuclid.converter.ConverterPlugin;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMAnimateMotionElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFontFaceNameElement;
import org.apache.batik.dom.svg.SVGOMMissingGlyphElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class ConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;)Ljava/awt/Dimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   * 3 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      File file0 = new File("applcation/postscrpt");
      try {
        converter0.convert(file0, file0, "applcation/postscrpt");
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // applcation/postscrpt (No such file or directory)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMAnimateMotionElement sVGOMAnimateMotionElement0 = new SVGOMAnimateMotionElement("", (AbstractDocument) sVG12OMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      BufferedImage bufferedImage0 = converter0.render((Node) sVGOMAnimateMotionElement0, (LayoutContext) layoutContextImpl0);
      assertEquals(1, bufferedImage0.getWidth());
      assertNotNull(bufferedImage0);
      assertEquals(2, bufferedImage0.getType());
      assertEquals(1, bufferedImage0.getHeight());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("a", "a", "a");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMMissingGlyphElement sVGOMMissingGlyphElement0 = new SVGOMMissingGlyphElement("a", (AbstractDocument) sVGOMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      InlineLayoutContext inlineLayoutContext0 = new InlineLayoutContext((LayoutContext) layoutContextImpl0);
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) sVGOMMissingGlyphElement0, "a", (LayoutContext) inlineLayoutContext0);
      assertNull(converterPlugin_DocumentWithDimension0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - false
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMAnimateMotionElement sVGOMAnimateMotionElement0 = new SVGOMAnimateMotionElement("", (AbstractDocument) sVG12OMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) sVGOMAnimateMotionElement0, "image/svg+xml", (LayoutContext) layoutContextImpl0);
      assertEquals(0.0F, converterPlugin_DocumentWithDimension0.getBaseline(), 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      PrintStream printStream0 = DebugGraphics.logStream();
      SVGOMAnimateMotionElement sVGOMAnimateMotionElement0 = new SVGOMAnimateMotionElement("", (AbstractDocument) sVG12OMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      Dimension dimension0 = converter0.convert((Node) sVGOMAnimateMotionElement0, (OutputStream) printStream0, "image/svg+xml", (LayoutContext) layoutContextImpl0);
      assertEquals("java.awt.Dimension[width=0,height=0]", dimension0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMFontFaceNameElement sVGOMFontFaceNameElement0 = new SVGOMFontFaceNameElement("", (AbstractDocument) sVGOMDocument0);
      PrintStream printStream0 = DebugGraphics.logStream();
      Dimension dimension0 = converter0.convert((Node) sVGOMFontFaceNameElement0, (OutputStream) printStream0, "", (LayoutContext) null);
      assertNull(dimension0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMAnimateMotionElement sVGOMAnimateMotionElement0 = new SVGOMAnimateMotionElement("", (AbstractDocument) sVG12OMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      BufferedImage bufferedImage0 = converter0.render((Node) sVGOMAnimateMotionElement0, (LayoutContext) layoutContextImpl0, 1);
      assertNotNull(bufferedImage0);
      assertEquals(1, bufferedImage0.getWidth());
      assertEquals(1, bufferedImage0.getTransparency());
      assertEquals(1, bufferedImage0.getHeight());
  }
}
