/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.converter;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.converter.Converter;
import net.sourceforge.jeuclid.converter.ConverterPlugin;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericEntity;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class ConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;)Ljava/awt/Dimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   * 3 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      File file0 = new File("R()]Qhi>j", "R()]Qhi>j");
      try {
        converter0.convert(file0, file0, "R()]Qhi>j");
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // R()]Qhi>j/R()]Qhi>j (No such file or directory)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("sig", "sig", "sig");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      BufferedImage bufferedImage0 = converter0.render((Node) sVG12OMDocument0, (LayoutContext) layoutContextImpl0);
      assertEquals(2, bufferedImage0.getType());
      assertEquals(1, bufferedImage0.getHeight());
      assertEquals(1, bufferedImage0.getTileWidth());
      assertNotNull(bufferedImage0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("svYg", "svYg", "svYg");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) sVG12OMDocument0, "svYg", (LayoutContext) layoutContextImpl0);
      assertNull(converterPlugin_DocumentWithDimension0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - false
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("sig", "image/svg+xml", "sig");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) sVG12OMDocument0, "image/svg+xml", (LayoutContext) layoutContextImpl0);
      assertEquals(0.0F, converterPlugin_DocumentWithDimension0.getBaseline(), 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericEntity genericEntity0 = new GenericEntity("image/svg+xml", "image/svg+xml", "image/svg+xml", (AbstractDocument) null);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      // Undeclared exception!
      try {
        converter0.convert((Node) genericEntity0, (OutputStream) null, "image/svg+xml", (LayoutContext) layoutContextImpl0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Unsupported node: org.apache.batik.dom.GenericEntity@296fa7af. Expected either Document, Element or DocumentFragment
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericEntity genericEntity0 = new GenericEntity("margin-right", "margin-right", "margin-right", (AbstractDocument) null);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      Dimension dimension0 = converter0.convert((Node) genericEntity0, (OutputStream) null, "margin-right", (LayoutContext) layoutContextImpl0);
      assertNull(dimension0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("sig", "sig", "sig");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      BufferedImage bufferedImage0 = converter0.render((Node) sVG12OMDocument0, (LayoutContext) layoutContextImpl0, 1);
      assertNotNull(bufferedImage0);
      assertEquals(1, bufferedImage0.getTileHeight());
      assertEquals(1, bufferedImage0.getWidth());
      assertEquals(1, bufferedImage0.getTransparency());
  }
}
