/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElement;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.MathImpl;
import net.sourceforge.jeuclid.elements.presentation.script.Msup;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsupEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msup.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msup msup0 = new Msup("circle", (AbstractDocument) documentElement0);
      MathImpl mathImpl0 = new MathImpl("circle", (AbstractDocument) documentElement0);
      msup0.setSuperscript((MathMLElement) mathImpl0);
      assertEquals(true, msup0.hasChildNodes());
      assertEquals(1, msup0.getMathElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("circle", "circle", "circle");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msup msup0 = new Msup("circle", (AbstractDocument) sVG12OMDocument0);
      Msup msup1 = (Msup)msup0.cloneNode(true);
      assertNull(msup1.getMathsize());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("feFuncG", "feFuncG", "feFuncG");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      Msup msup0 = new Msup("feFuncG", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msup0.setBase((MathMLElement) msup0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      documentElement0.getDoctype();
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      Msup msup0 = new Msup("u", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        msup0.getSuperscript();
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.apache.batik.dom.GenericElement cannot be cast to net.sourceforge.jeuclid.elements.JEuclidElement
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("feFuncG", "feFuncG", "feFuncG");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      Msup msup0 = new Msup("feFuncG", (AbstractDocument) documentElement0);
      msup0.getBase();
      assertEquals(1, msup0.getMathElementCount());
      assertEquals(1, msup0.getChildElementCount());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msup msup0 = new Msup("circle", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msup0.setSubscript((MathMLElement) msup0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msup does not have subscript
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msup.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("circle", "circle", "circle");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msup msup0 = new Msup("circle", (AbstractDocument) sVG12OMDocument0);
      JEuclidElement jEuclidElement0 = msup0.getSubscript();
      assertNull(jEuclidElement0);
  }
}
