/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.InlineLayoutContext;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.ForeignElement;
import net.sourceforge.jeuclid.elements.presentation.script.Msub;
import net.sourceforge.jeuclid.layout.JEuclidView;
import net.sourceforge.jeuclid.layout.LayoutInfo;
import net.sourceforge.jeuclid.layout.LayoutInfoImpl;
import net.sourceforge.jeuclid.layout.LayoutStage;
import net.sourceforge.jeuclid.layout.LayoutView;
import org.apache.batik.dom.AbstractDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsubEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 3 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 4 net.sourceforge.jeuclid.elements.presentation.script.Msub.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("msub", (AbstractDocument) documentElement0);
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      LayoutInfoImpl layoutInfoImpl0 = new LayoutInfoImpl();
      InlineLayoutContext inlineLayoutContext0 = new InlineLayoutContext((LayoutContext) null);
      msub0.layoutStage2((LayoutView) jEuclidView0, (LayoutInfo) layoutInfoImpl0, (LayoutContext) inlineLayoutContext0);
      assertEquals(LayoutStage.STAGE2, layoutInfoImpl0.getLayoutStage());
      assertEquals(2, msub0.getChildElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("msub", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setSuperscript((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msub does not have superscript
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("ms", (AbstractDocument) documentElement0);
      Msub msub1 = (Msub)msub0.cloneNode(false);
      assertNull(msub1.getBaseURI());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("msub", (AbstractDocument) documentElement0);
      ForeignElement foreignElement0 = new ForeignElement("msub", "msub", (AbstractDocument) documentElement0);
      msub0.setSubscript((MathMLElement) foreignElement0);
      assertEquals(1, msub0.getMathElementCount());
      assertEquals(1, msub0.getChildElementCount());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("ms", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setBase((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }
}
