/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.converter;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedOutputStream;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.converter.Converter;
import net.sourceforge.jeuclid.converter.ConverterPlugin;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFESpecularLightingElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class ConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;)Ljava/awt/Dimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   * 3 net.sourceforge.jeuclid.converter.Converter.convert(Ljava/io/File;Ljava/io/File;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      // Undeclared exception!
      try {
        converter0.convert((File) null, (File) null, "C]XL~e'}@DDI4bZ");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // name can't be null
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.Converter.render(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;I)Ljava/awt/image/BufferedImage;: I73 Branch 6 IFEQ L305 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFESpecularLightingElement sVGOMFESpecularLightingElement0 = new SVGOMFESpecularLightingElement("", (AbstractDocument) sVGOMDocument0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      BufferedImage bufferedImage0 = converter0.render((Node) sVGOMFESpecularLightingElement0, (LayoutContext) layoutContextImpl0);
      assertEquals(1, bufferedImage0.getWidth());
      assertEquals(2, bufferedImage0.getType());
      assertNotNull(bufferedImage0);
      assertEquals(1, bufferedImage0.getTileHeight());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I13 Branch 3 IFNULL L213 - true
   * 2 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: I24 Branch 4 IFNONNULL L216 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Converter converter0 = Converter.getInstance();
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = converter0.convert((Node) null, "7%BI1+L(", (LayoutContext) layoutContextImpl0);
      assertNull(converterPlugin_DocumentWithDimension0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.Converter.convert(Lorg/w3c/dom/Node;Ljava/io/OutputStream;Ljava/lang/String;Lnet/sourceforge/jeuclid/LayoutContext;)Ljava/awt/Dimension;: I13 Branch 5 IFNONNULL L246 - false
   * 2 net.sourceforge.jeuclid.converter.Converter.getInstance()Lnet/sourceforge/jeuclid/converter/Converter;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Converter converter0 = Converter.getInstance();
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      Dimension dimension0 = converter0.convert((Node) null, (OutputStream) pipedOutputStream0, "Kan%Gode Scroll NumLock CYpVLock", (LayoutContext) layoutContextImpl0);
      assertNull(dimension0);
  }
}
