/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io.impl;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.impl.RSS090Generator;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.Namespace;
import org.junit.After;
import org.junit.Before;

public class RSS090GeneratorEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkItemsConstraints(Lorg/jdom/Element;)V: I13 Branch 22 IF_ICMPLT L261 - true
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>()V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.<init>(Ljava/lang/String;)V: root-Branch
   * 4 com.sun.syndication.io.impl.RSS090Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Element element0 = new Element("fFc", "fFc");
      try {
        rSS090Generator0.checkItemsConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid rss_0.9 feed, item count is 0 it must be between 1 an 15
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 5 IFNULL L136 - true
   * 2 com.sun.syndication.io.impl.RSS090Generator.generateSimpleElement(Ljava/lang/String;Ljava/lang/String;)Lorg/jdom/Element;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Element element0 = rSS090Generator0.generateSimpleElement("KtIQzput", "KtIQzput");
      rSS090Generator0.checkLength(element0, "KtIQzput", 1126, 1126);
      assertEquals("[Element: <KtIQzput [Namespace: http://my.netscape.com/rdf/simple/0.9/]/>]", element0.toString());
      assertEquals("KtIQzput", element0.getTextTrim());
      assertEquals("http://my.netscape.com/rdf/simple/0.9/", element0.getNamespaceURI());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkTextInputConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.checkNotNullAndLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 4 IFNONNULL L127 - false
   */

  @Test
  public void test2()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Element element0 = new Element("textInput");
      try {
        rSS090Generator0.checkTextInputConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid rss_0.9 feed, missing textInput title
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getRDFNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Namespace namespace0 = rSS090Generator0.getRDFNamespace();
      assertEquals("[Namespace: prefix \"rdf\" is mapped to URI \"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"]", namespace0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkChannelConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("");
      // Undeclared exception!
      try {
        rSS090Generator0.checkChannelConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getTextInputLabel()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      String string0 = rSS090Generator0.getTextInputLabel();
      assertEquals("textInput", string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.createDocument(Lorg/jdom/Element;)Lorg/jdom/Document;: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Document document0 = rSS090Generator0.createDocument((Element) null);
      assertEquals(0, document0.getContentSize());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkImageConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator((String) null);
      // Undeclared exception!
      try {
        rSS090Generator0.checkImageConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkItemConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>(Ljava/lang/String;)V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   * 4 com.sun.syndication.io.impl.RSS090Generator.getContentNamespace()Lorg/jdom/Namespace;: root-Branch
   * 5 com.sun.syndication.io.impl.RSS090Generator.checkNotNullAndLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 4 IFNONNULL L127 - false
   */

  @Test
  public void test8()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator(" xmlns");
      Namespace namespace0 = rSS090Generator0.getContentNamespace();
      Element element0 = new Element("ln6", namespace0);
      try {
        rSS090Generator0.checkItemConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid  xmlns feed, missing ln6 title
         //
      }
  }
}
