package carmen;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.Polygon;
import java.awt.Toolkit;
import java.awt.geom.AffineTransform;
import java.awt.geom.GeneralPath;
import java.awt.image.BufferedImage;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.StringTokenizer;
import nu.xom.Builder;
import nu.xom.Document;
import nu.xom.converters.DOMConverter;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import com.sun.org.apache.xerces.internal.dom.CoreDOMImplementationImpl;

// Copyright 1997, 1998,1999 Carmen Delessio (carmen@blackdirt.com)
// Black Dirt Software http://www.blackdirt.com/graphics/svg
// Free for non-commercial use
// revisions:
// May 12,1999 corrected ";" at end of color - Chris Lilley mailing list
// May 16,1999 implemented simple Java 2d infrastructure, Begin Path
// support aframe test for main
// XML basics
public class svgImage {
	private static final long	serialVersionUID	= 1L;
	int							i;
	int							j;
	static int					offset				= 0;
	public short				inch;
	static boolean				drawFilled;
	static short				oldx;
	static short				oldy;
	static short				x;
	static short				y;
	static short				w;
	static short				h;
	static int					currentColor;
	static Polygon				poly;
	static float				oldfx;
	static float				oldfy;
	static float				fx;
	static float				fy;
	static float				fx1;
	static float				fy1;
	static float				fx2;
	static float				fy2;
	static float				fw;
	static float				fh;
	static boolean				negate;
	static StringTokenizer		t;
	static AffineTransform		a;
	short						svgWidth			= 400;
	short						svgHeight			= 300;
	// Use Java2d Basics
	static Graphics2D			svgGraphics;
	BufferedImage				svgImageBuffer;
	static String				tempBuffer;
	static String				colorBuffer;
	public int					fontStyle;
	public int					fontWeight;
	public boolean				fontItalic			= false;
	public int					penRed				= 0;
	public int					penGreen			= 0;
	public int					penBlue				= 0;
	public int					textRed				= 0;
	public int					textGreen			= 0;
	public int					textBlue			= 0;
	Element						root;

	public svgImage(String filename) throws Exception {
		if (filename != null) {
			InputStream is;
			try {
				is = new FileInputStream(filename);
			} catch (FileNotFoundException notFound) {
				System.err.println(notFound);
				return;
			}
			// Parser parser = new Parser(filename);
			// Document doc = parser.readStream(is);
			Document xomdoc = new Builder().build(is);
			DOMImplementation impl = CoreDOMImplementationImpl.getDOMImplementation();
			org.w3c.dom.Document doc = DOMConverter.convert(xomdoc, impl);
			root = doc.getDocumentElement();
			getSvgSize(root);
			svgImageBuffer = new BufferedImage(svgWidth, svgHeight, BufferedImage.TYPE_INT_ARGB);
			svgGraphics = svgImageBuffer.createGraphics();
			renderSVG(root);
		}
	}

	public Image getImage() {
		return svgImageBuffer;
	}

	public static void renderSVG(Node node) {
		if (node instanceof Element) {
			Element el = (Element) node;
			if ("text".equals(el.getLocalName())) {
				tempBuffer = el.getAttribute("x");
				x = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("y");
				y = (short) new Integer(tempBuffer).intValue();
				Node textNode = node.getFirstChild();
				if (textNode instanceof org.w3c.dom.Text) svgGraphics.drawString(textNode.getNodeValue(), x, y);
			} else if ("rect".equals(el.getLocalName())) {
				tempBuffer = el.getAttribute("x");
				System.out.println(tempBuffer);// fixme debug print statement
				x = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("y");
				y = (short) Integer.valueOf(tempBuffer).intValue();
				tempBuffer = el.getAttribute("width");
				w = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("height");
				h = (short) new Integer(tempBuffer).intValue();
				if (drawFilled)
					svgGraphics.fillRect(x, y, w, h);
				else
					svgGraphics.drawRect(x, y, w, h);
			} else if ("g".equals(el.getLocalName())) {
				tempBuffer = el.getAttribute("style");
				offset = tempBuffer.indexOf("stroke:");
				if (offset >= 0) {
					tempBuffer = tempBuffer.substring(offset + 7);
					tempBuffer = tempBuffer.trim();
					if (tempBuffer.startsWith("#")) tempBuffer = tempBuffer.substring(1);
					int semi_colon_index = tempBuffer.indexOf(';');
					if (semi_colon_index > 0) tempBuffer = tempBuffer.substring(0, semi_colon_index);
					// put default colors here
					currentColor = Integer.valueOf(tempBuffer, 16).intValue();
					svgGraphics.setColor(new Color(currentColor));
					drawFilled = false;
				}
				offset = tempBuffer.indexOf("fill:");
				if (offset >= 0) {
					tempBuffer = tempBuffer.substring(offset + 5);
					// System.out.println("Fill    : " + tempBuffer);
					tempBuffer = tempBuffer.trim();
					if (tempBuffer.startsWith("#")) {
						tempBuffer = tempBuffer.substring(1);
						int semi_colon_index = tempBuffer.indexOf(';');
						if (semi_colon_index > 0) tempBuffer = tempBuffer.substring(0, semi_colon_index);
						currentColor = Integer.valueOf(tempBuffer, 16).intValue();
					}
					if (tempBuffer.startsWith("none")) currentColor = 0; // what does none mean?
					drawFilled = true;
					svgGraphics.setColor(new Color(currentColor));
				}
				offset = tempBuffer.indexOf("transform:");
				if (offset >= 0) {
					tempBuffer = tempBuffer.substring(offset + 10);
					tempBuffer = tempBuffer.trim();
					// System.out.println ("Tranform " + tempBuffer);
					// tempBuffer is matrix(1 0 0 -1 -174.67 414)
					offset = tempBuffer.indexOf("matrix(");
					if (offset >= 0) {
						tempBuffer = tempBuffer.substring(offset + 7);
						// System.out.println ("Tranform " + tempBuffer);
						StringTokenizer t = new StringTokenizer(tempBuffer, " ,)");
						tempBuffer = t.nextToken();
						fx = new Float(tempBuffer).floatValue();
						tempBuffer = t.nextToken();
						fy = new Float(tempBuffer).floatValue();
						tempBuffer = t.nextToken();
						fx1 = new Float(tempBuffer).floatValue();
						tempBuffer = t.nextToken();
						fy1 = new Float(tempBuffer).floatValue();
						tempBuffer = t.nextToken();
						fx2 = new Float(tempBuffer).floatValue();
						tempBuffer = t.nextToken();
						fy2 = new Float(tempBuffer).floatValue();
						a = new AffineTransform(fx, fy, fx1, fy1, fx2, fy2);
					}
					// <g id="Calque_1" style="transform:matrix(1 0 0 -1 -174.67 414);">
				}
			} else if ("ellipse".equals(el.getLocalName())) {
				tempBuffer = el.getAttribute("major");
				short major = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("minor");
				short minor = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("angle");
				short angle = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("cx");
				x = (short) new Integer(tempBuffer).intValue();
				tempBuffer = el.getAttribute("cy");
				y = (short) new Integer(tempBuffer).intValue();
				if (angle == 90) {
					h = major;
					w = minor;
				} else {
					w = major;
					h = minor;
				}
				y = (short) (y - Math.round(0.5 * h));
				x = (short) (x - Math.round(0.5 * w));
				if (drawFilled)
					svgGraphics.fillOval(x, y, w, h);
				else
					svgGraphics.drawOval(x, y, w, h);
			} else if ("polyline".equals(el.getLocalName())) {
				poly = new Polygon();
				tempBuffer = el.getAttribute("verts");
				StringTokenizer t = new StringTokenizer(tempBuffer, " ,");
				while (t.hasMoreElements()) {
					tempBuffer = t.nextToken();
					x = (short) new Integer(tempBuffer).intValue();
					tempBuffer = t.nextToken();
					y = (short) new Integer(tempBuffer).intValue();
					poly.addPoint(x, y);
				}
				if (drawFilled)
					svgGraphics.fillPolygon(poly);
				else
					svgGraphics.drawPolyline(poly.xpoints, poly.ypoints, poly.npoints);
			} else if ("path".equals(el.getLocalName())) {
				tempBuffer = el.getAttribute("style");
				offset = tempBuffer.indexOf("stroke:");
				if (offset >= 0) {
					tempBuffer = tempBuffer.substring(offset + 7);
					tempBuffer = tempBuffer.trim();
					if (tempBuffer.startsWith("#")) tempBuffer = tempBuffer.substring(1);
					// Chris Lilley fix 5/11/99
					int semi_colon_index = tempBuffer.indexOf(';');
					if (semi_colon_index > 0) tempBuffer = tempBuffer.substring(0, semi_colon_index);
					// put default colors here
					currentColor = Integer.valueOf(tempBuffer, 16).intValue();
					svgGraphics.setColor(new Color(currentColor));
					drawFilled = false;
				}
				offset = tempBuffer.indexOf("fill:");
				if (offset >= 0) {
					tempBuffer = tempBuffer.substring(offset + 5);
					// System.out.println("Fill    : " + tempBuffer);
					tempBuffer = tempBuffer.trim();
					if (tempBuffer.startsWith("#")) {
						tempBuffer = tempBuffer.substring(1);
						int semi_colon_index = tempBuffer.indexOf(';');
						if (semi_colon_index > 0) tempBuffer = tempBuffer.substring(0, semi_colon_index);
						currentColor = Integer.valueOf(tempBuffer, 16).intValue();
					}
					if (tempBuffer.startsWith("none")) currentColor = 0; // what does none mean?
					drawFilled = true;
					svgGraphics.setColor(new Color(currentColor));
				}
				/* if (offset >=0){
				 * tempBuffer = tempBuffer.substring(offset+5);
				 * tempBuffer = tempBuffer.trim();
				 * if (tempBuffer.startsWith("#")) {
				 * tempBuffer = tempBuffer.substring(1);
				 * }
				 * int semi_colon_index = tempBuffer.indexOf(';');
				 * if (semi_colon_index > 0) {
				 * tempBuffer = tempBuffer.substring(0,semi_colon_index);
				 * }
				 * currentColor = Integer.valueOf(tempBuffer,16).intValue();
				 * svgGraphics.setColor( new Color (currentColor));
				 * drawFilled = true;
				 * } */
				tempBuffer = el.getAttribute("d");
				// System.out.println(tempBuffer);
				GeneralPath p = new GeneralPath(GeneralPath.WIND_EVEN_ODD);
				/* GeneralPath p = new GeneralPath(GeneralPath.WIND_EVEN_ODD);
				 * p.moveTo(- width / 2.0f, - height / 8.0f);
				 * p.lineTo(+ width / 2.0f, - height / 8.0f);
				 * p.lineTo(- width / 4.0f, + height / 2.0f);
				 * p.lineTo(+ 0.0f, - height / 2.0f);
				 * p.lineTo(+ width / 4.0f, + height / 2.0f);
				 * p.closePath(); */
				t = new StringTokenizer(tempBuffer, " ,MmLlCczArSsHhVvDdEeFfGgJjQqTtz-", true);
				while (t.hasMoreElements()) {
					tempBuffer = t.nextToken();
					// System.out.println(tempBuffer);
					// System.out.println(tempBuffer.charAt(0));
					negate = false;
					switch (tempBuffer.charAt(0)) {
					case 'M': // Move To
						fx = getPathFloat();
						fy = getPathFloat();
						// System.out.println("fx " + fx + " fy "+ fy);
						oldfx = fx;
						oldfy = fy;
						p.moveTo(fx, fy);
						break;
					case 'm':
						fx = getPathFloat();
						fy = getPathFloat();
						fx += oldfx;
						fy += oldfy;
						oldfx = fx;
						oldfy = fy;
						p.moveTo(fx, fy);
						break;
					case 'L': // Line to
						fx = getPathFloat();
						fy = getPathFloat();
						// System.out.println("fx " + fx + " fy "+ fy);
						oldfx = fx;
						oldfy = fy;
						p.lineTo(fx, fy);
						break;
					case 'l':
						fx = getPathFloat();
						// System.out.println ("fx is " + fx);
						fy = getPathFloat();
						// System.out.println ("fy is " + fy);
						fx += oldfx;
						fy += oldfy;
						oldfx = fx;
						oldfy = fy;
						p.lineTo(fx, fy);
						break;
					case 'C':
						fx = getPathFloat();
						fy = getPathFloat();
						fx1 = getPathFloat();
						fy1 = getPathFloat();
						fx2 = getPathFloat();
						fy2 = getPathFloat();
						p.curveTo(fx, fy, fx1, fy1, fx2, fy2);
						oldfx = fx2;
						oldfy = fy2;
						/* curveTo(float x1, float y1, float x2, float y2, float x3, float y3)
						 * Adds a curved segment, defined by three new points, to the path by drawing a B�zier curve that
						 * intersects both the current coordinates and the coordinates (x3, y3), using the specified points (x1, y1) and
						 * (x2, y2) as B�zier control points. */
						break;
					case 'c':
						fx = getPathFloat();
						fy = getPathFloat();
						fx1 = getPathFloat();
						fy1 = getPathFloat();
						fx2 = getPathFloat();
						fy2 = getPathFloat();
						fx += oldfx;
						fy += oldfy;
						fx1 += oldfx;
						fy1 = oldfy;
						fx2 += oldfx;
						fy2 += oldfy;
						p.curveTo(fx, fy, fx1, fy1, fx2, fy2);
						oldfx = fx2;
						oldfy = fy2;
						break;
					case 'z':
						// System.out.println("closepath");
						break;
					case 'A':
						System.out.println("Absolute");
						break;
					case 'r':
						System.out.println("relative");
						break;
					case 'S':
						System.out.println("Smooth curve");
						break;
					case 's':
						System.out.println("relative smooth curve");
						break;
					case 'H':
						fy = getPathFloat();
						oldfy = fy;
						p.lineTo(oldfx, fy);
						break;
					case 'h':
						fy = getPathFloat();
						fy += oldfy;
						oldfy = fy;
						p.lineTo(oldfx, fy);
						break;
					case 'V':
						fx = getPathFloat();
						oldfx = fx;
						p.lineTo(fx, oldfy);
						break;
					case 'v':
						fx = getPathFloat();
						fx += oldfx;
						oldfx = fx;
						p.lineTo(fx, oldfy);
						break;
					case 'D':
						System.out.println("arc 1 - see spec");
						break;
					case 'd':
						System.out.println("relative arc 1");
						break;
					case 'E':
						System.out.println("arc 2 - with line");
						break;
					case 'e':
						System.out.println("relative arc 2");
						break;
					case 'F':
						System.out.println("arc 3");
						break;
					case 'f':
						System.out.println("relative arc 3");
						break;
					case 'G':
						System.out.println("arc 4");
						break;
					case 'g':
						System.out.println("relative arc 4");
						break;
					case 'J':
						System.out.println("elliptical quadrant");
						break;
					case 'j':
						System.out.println("relative elliptical quadrant");
						break;
					case 'Q':
						fx = getPathFloat();
						fy = getPathFloat();
						fx1 = getPathFloat();
						fy1 = getPathFloat();
						p.quadTo(fx, fy, fx1, fy1);
						oldfx = fx2;
						oldfy = fy2;
						/* quadTo(float x1, float y1, float x2, float y2)
						 * Adds a curved segment, defined by two new points, to the path by drawing a Quadratic curve that
						 * intersects both the current coordinates and the coordinates (x2, y2), using the specified point (x1, y1) as a
						 * quadratic parametric control point. */
						break;
					case 'q':
						System.out.println("relative quadratic bezier curve to");
						break;
					case 'T':
						System.out.println("True Type quadratic bezier curve ");
						break;
					case 't':
						System.out.println("relative True Type quadratic bezier curve");
						break;
					case '-':
						System.out.println("Negative value");
						break;
					}
				}
				// render the path here
				BasicStroke bs = new BasicStroke(1.0f, BasicStroke.CAP_BUTT, BasicStroke.JOIN_ROUND, 10.0f);
				svgGraphics.setStroke(bs);
				if (drawFilled) svgGraphics.fill(p);
				svgGraphics.draw(p);
			} // end if path
		}
		if (node.hasChildNodes()) {
			NodeList nl = node.getChildNodes();
			int size = nl.getLength();
			for (int i = 0; i < size; i++)
				renderSVG(nl.item(i));
		}
	}

	public static float getPathFloat() {
		float pathFloat;

		try {
			tempBuffer = t.nextToken();
			while (tempBuffer.equals(",") || tempBuffer.equals(" "))
				tempBuffer = t.nextToken();
			if (tempBuffer.equals("-"))
				pathFloat = (float) -1.0 * new Float(t.nextToken()).floatValue();
			else
				pathFloat = new Float(tempBuffer).floatValue();
		} catch (NumberFormatException e) {
			return 1f;
		}
		return pathFloat;
	}

	public void getSvgSize(Node node) {
		int pixelsPerInch = 0;
		if (node instanceof Element) {
			Element el = (Element) node;
			if ("svg".equals(el.getLocalName())) {
				String tempWidth = el.getAttribute("width");
				String tempHeight = el.getAttribute("height");
				offset = tempWidth.indexOf("px");
				if (offset >= 0) {
					tempWidth = tempWidth.substring(0, offset);
					svgWidth = (short) new Integer(tempWidth).intValue();
				} else {
					offset = tempWidth.indexOf("inch");
					if (offset >= 0) {
						tempWidth = tempWidth.substring(0, offset);
						svgWidth = (short) new Integer(tempWidth).intValue();
						pixelsPerInch = Toolkit.getDefaultToolkit().getScreenResolution();
						svgWidth *= pixelsPerInch;
					}
				}
				offset = tempHeight.indexOf("px");
				if (offset >= 0) {
					tempHeight = tempHeight.substring(0, offset);
					svgHeight = (short) new Integer(tempHeight).intValue();
				} else {
					offset = tempHeight.indexOf("inch");
					if (offset >= 0) {
						tempHeight = tempHeight.substring(0, offset);
						svgHeight = (short) new Integer(tempHeight).intValue();
						pixelsPerInch = Toolkit.getDefaultToolkit().getScreenResolution();
						svgHeight *= pixelsPerInch;
					}
				}
				// set the width and height for component;
				// set size set = true;
				return;
			} // if it is svg
		}
		if (node.hasChildNodes()) {
			NodeList nl = node.getChildNodes();
			int size = nl.getLength();
			for (int i = 0; i < size; i++)
				getSvgSize(nl.item(i));
		}
	}

	public static void main(String args[]) throws Throwable {
		if (args.length < 1) {
			System.out.println("Usage: <path-to-xml>+");
			return;
		}
//		int i = 0;
		for (final String arg : args) {
//			System.out.print("" + ++i + "/" + args.length + "\t" + arg);			
			new svgImage(arg);
		}
	}
} // end parsesvg