/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.Group;
import com.kitfox.svg.SVGDiagram;
import com.kitfox.svg.SVGElement;
import com.kitfox.svg.SVGElementException;
import com.kitfox.svg.SVGException;
import com.kitfox.svg.SVGLoaderHelper;
import com.kitfox.svg.SVGUniverse;
import com.kitfox.svg.Symbol;
import com.kitfox.svg.Text;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Area;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.net.URI;
import java.util.List;
import org.junit.BeforeClass;

public class GroupEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.loaderAddChild(Lcom/kitfox/svg/SVGLoaderHelper;Lcom/kitfox/svg/SVGElement;)V: root-Branch
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Symbol symbol0 = new Symbol();
      Text text0 = new Text();
      SVGUniverse sVGUniverse0 = new SVGUniverse();
      sVGUniverse0.getDiagram((URI) null, false);
      SVGLoaderHelper sVGLoaderHelper0 = new SVGLoaderHelper((URI) null, sVGUniverse0, (SVGDiagram) null);
      // Undeclared exception!
      try {
        symbol0.loaderAddChild(sVGLoaderHelper0, (SVGElement) text0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I14 Branch 2 IFNULL L104 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I45 Branch 3 IFEQ L117 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double();
      Group group0 = new Group();
      group0.pick(point2D_Double0, false, (List) null);
      assertEquals("Point2D.Double[0.0, 0.0]", point2D_Double0.toString());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I4 Branch 5 IFNULL L131 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I27 Branch 6 IFEQ L138 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Symbol symbol0 = new Symbol();
      AffineTransform affineTransform0 = SVGElement.parseSingleTransform("");
      Text text0 = new Text();
      List<?> list0 = text0.getContent();
      symbol0.pick(rectangle2D_Float0, affineTransform0, false, list0);
      assertEquals(0.0, affineTransform0.getShearX(), 0.01D);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Group.render(Ljava/awt/Graphics2D;)V: I13 Branch 8 IFEQ L154 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Group group0 = new Group();
      // Undeclared exception!
      try {
        group0.render((Graphics2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - true
   * 2 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Group group0 = new Group();
      group0.calcShape();
      Area area0 = (Area)group0.getShape();
      assertEquals(true, area0.isPolygonal());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - false
   * 2 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Group group0 = new Group();
      Area area0 = (Area)group0.getShape();
      assertEquals(true, area0.isRectangular());
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - true
   * 2 com.kitfox.svg.Group.calcBoundingBox()V: I13 Branch 22 IFEQ L254 - true
   * 3 com.kitfox.svg.Group.calcBoundingBox()V: I58 Branch 26 IFNONNULL L276 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Symbol symbol0 = new Symbol();
      symbol0.calcBoundingBox();
      // Undeclared exception!
      try {
        symbol0.getBoundingBox();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - false
   * 2 com.kitfox.svg.Group.calcBoundingBox()V: I13 Branch 22 IFEQ L254 - true
   * 3 com.kitfox.svg.Group.calcBoundingBox()V: I58 Branch 26 IFNONNULL L276 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Group group0 = new Group();
      Rectangle2D.Float rectangle2D_Float0 = (Rectangle2D.Float)group0.getBoundingBox();
      assertEquals(0.0, rectangle2D_Float0.getCenterX(), 0.01D);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.updateTime(D)Z: I16 Branch 27 IFEQ L287 - true
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Group group0 = new Group();
      boolean boolean0 = group0.updateTime(1858.9820660499095);
      assertEquals(false, boolean0);
  }
}
