/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.animation.parser.ASTEventTime;
import com.kitfox.svg.animation.parser.ASTLiteralTime;
import com.kitfox.svg.animation.parser.ASTNumber;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.JJTAnimTimeParserState;
import com.kitfox.svg.animation.parser.Node;
import com.kitfox.svg.animation.parser.ParseException;
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;
import java.io.Reader;
import java.util.EmptyStackException;
import org.junit.BeforeClass;

public class JJTAnimTimeParserStateEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.peekNode()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   * 2 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      // Undeclared exception!
      try {
        jJTAnimTimeParserState0.peekNode();
        fail("Expecting exception: EmptyStackException");
      
      } catch(EmptyStackException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.reset()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      jJTAnimTimeParserState0.reset();
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.rootNode()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      // Undeclared exception!
      try {
        jJTAnimTimeParserState0.rootNode();
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 0 >= 0
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.pushNode(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   * 2 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.openNodeScope(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.closeNodeScope(Lcom/kitfox/svg/animation/parser/Node;I)V: I13 Branch 3 IFLE L90 - true
   */

  @Test
  public void test3()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      ASTLiteralTime aSTLiteralTime0 = new ASTLiteralTime((-6));
      jJTAnimTimeParserState0.openNodeScope(aSTLiteralTime0);
      jJTAnimTimeParserState0.closeNodeScope(aSTLiteralTime0, (-6));
      assertEquals(0, aSTLiteralTime0.jjtGetNumChildren());
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.nodeArity()I: root-Branch
   * 2 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.closeNodeScope(Lcom/kitfox/svg/animation/parser/Node;Z)V: I3 Branch 4 IFEQ L107 - false
   * 3 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.closeNodeScope(Lcom/kitfox/svg/animation/parser/Node;Z)V: I22 Branch 5 IFLE L110 - true
   */

  @Test
  public void test4()  throws Throwable  {
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) null);
      // Undeclared exception!
      try {
        animTimeParser0.Integer();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.popNode()Lcom/kitfox/svg/animation/parser/Node;: I11 Branch 1 IF_ICMPGE L51 - true
   * 2 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.clearNodeScope(Lcom/kitfox/svg/animation/parser/Node;)V: I6 Branch 2 IF_ICMPLE L70 - true
   * 3 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.clearNodeScope(Lcom/kitfox/svg/animation/parser/Node;)V: I6 Branch 2 IF_ICMPLE L70 - false
   * 4 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.pushNode(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      PipedWriter pipedWriter0 = new PipedWriter();
      PipedReader pipedReader0 = new PipedReader(pipedWriter0);
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) pipedReader0);
      jJTAnimTimeParserState0.pushNode((Node) null);
      ASTEventTime aSTEventTime0 = new ASTEventTime(animTimeParser0, (-170));
      // Undeclared exception!
      try {
        jJTAnimTimeParserState0.clearNodeScope(aSTEventTime0);
        fail("Expecting exception: EmptyStackException");
      
      } catch(EmptyStackException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.popNode()Lcom/kitfox/svg/animation/parser/Node;: I11 Branch 1 IF_ICMPGE L51 - false
   * 2 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.closeNodeScope(Lcom/kitfox/svg/animation/parser/Node;I)V: I13 Branch 3 IFLE L90 - false
   * 3 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.openNodeScope(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      ASTNumber aSTNumber0 = new ASTNumber(1);
      jJTAnimTimeParserState0.openNodeScope(aSTNumber0);
      // Undeclared exception!
      try {
        jJTAnimTimeParserState0.closeNodeScope(aSTNumber0, (byte)74);
        fail("Expecting exception: EmptyStackException");
      
      } catch(EmptyStackException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.closeNodeScope(Lcom/kitfox/svg/animation/parser/Node;Z)V: I3 Branch 4 IFEQ L107 - true
   * 2 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.<init>()V: root-Branch
   * 3 com.kitfox.svg.animation.parser.JJTAnimTimeParserState.nodeCreated()Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      JJTAnimTimeParserState jJTAnimTimeParserState0 = new JJTAnimTimeParserState();
      jJTAnimTimeParserState0.nodeCreated();
      // Undeclared exception!
      try {
        jJTAnimTimeParserState0.closeNodeScope((Node) null, false);
        fail("Expecting exception: EmptyStackException");
      
      } catch(EmptyStackException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
