/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.animation.parser.ASTEventTime;
import com.kitfox.svg.animation.parser.ASTInteger;
import com.kitfox.svg.animation.parser.ASTLookupTime;
import com.kitfox.svg.animation.parser.ASTSum;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.AnimTimeParserTokenManager;
import com.kitfox.svg.animation.parser.Node;
import com.kitfox.svg.animation.parser.SimpleCharStream;
import com.kitfox.svg.animation.parser.SimpleNode;
import org.junit.BeforeClass;

public class SimpleNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtClose()V: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ASTSum aSTSum0 = new ASTSum(0);
      aSTSum0.jjtClose();
      assertEquals("Expr", aSTSum0.toString());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetChild(I)Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AnimTimeParserTokenManager animTimeParserTokenManager0 = new AnimTimeParserTokenManager((SimpleCharStream) null);
      AnimTimeParser animTimeParser0 = new AnimTimeParser(animTimeParserTokenManager0);
      ASTInteger aSTInteger0 = new ASTInteger(animTimeParser0, 1278);
      // Undeclared exception!
      try {
        aSTInteger0.jjtGetChild(1278);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtSetParent(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SimpleNode simpleNode0 = new SimpleNode((AnimTimeParser) null, 0);
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime((AnimTimeParser) null, 0);
      aSTLookupTime0.jjtSetParent((Node) simpleNode0);
      assertEquals("Expr", simpleNode0.toString());
      assertEquals("Expr", aSTLookupTime0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtOpen()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ASTSum aSTSum0 = new ASTSum(0);
      aSTSum0.jjtOpen();
      assertEquals("Expr", aSTSum0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetParent()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime((AnimTimeParser) null, 0);
      aSTLookupTime0.jjtGetParent();
      assertEquals("Expr", aSTLookupTime0.toString());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime((AnimTimeParser) null, 0);
      ASTSum aSTSum0 = new ASTSum(0);
      aSTSum0.jjtAddChild((Node) aSTLookupTime0, 0);
      aSTSum0.jjtAddChild((Node) aSTLookupTime0, 0);
      assertEquals(1, aSTSum0.jjtGetNumChildren());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime((AnimTimeParser) null, 0);
      ASTSum aSTSum0 = new ASTSum(643);
      aSTSum0.jjtAddChild((Node) aSTLookupTime0, 0);
      aSTSum0.jjtAddChild((Node) aSTLookupTime0, 643);
      assertEquals(644, aSTSum0.jjtGetNumChildren());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ASTSum aSTSum0 = new ASTSum(0);
      aSTSum0.jjtAddChild((Node) aSTSum0, 0);
      int int0 = aSTSum0.jjtGetNumChildren();
      assertEquals(1, aSTSum0.jjtGetNumChildren());
      assertEquals(1, int0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ASTEventTime aSTEventTime0 = new ASTEventTime(99);
      int int0 = aSTEventTime0.jjtGetNumChildren();
      assertEquals(0, int0);
  }

  //Test case number: 9
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      AnimTimeParserTokenManager animTimeParserTokenManager0 = new AnimTimeParserTokenManager((SimpleCharStream) null);
      AnimTimeParser animTimeParser0 = new AnimTimeParser(animTimeParserTokenManager0);
      ASTEventTime aSTEventTime0 = new ASTEventTime(animTimeParser0, 0);
      aSTEventTime0.dump("K^?&yP?F?z5iqcp*Ee");
      assertEquals("Expr", aSTEventTime0.toString());
  }

  //Test case number: 10
  /*
   * 10 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 5 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 6 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - true
   * 7 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 8 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 9 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   * 10 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - false
   */

  @Test
  public void test10()  throws Throwable  {
      AnimTimeParser animTimeParser0 = new AnimTimeParser((AnimTimeParserTokenManager) null);
      ASTSum aSTSum0 = new ASTSum(0);
      ASTSum aSTSum1 = new ASTSum(0);
      aSTSum0.jjtAddChild((Node) aSTSum1, 172);
      aSTSum0.dump((String) null);
      assertEquals(173, aSTSum0.jjtGetNumChildren());
      assertEquals("Expr", aSTSum0.toString());
  }
}
