/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.xml;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.app.data.Handler;
import com.kitfox.svg.xml.NumberWithUnits;
import com.kitfox.svg.xml.ReadableXMLElement;
import com.kitfox.svg.xml.XMLParseUtil;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLStreamHandler;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class XMLParseUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;)Ljava/util/HashMap;: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;Ljava/util/HashMap;)Ljava/util/HashMap;: I31 Branch 76 IF_ICMPGE L799 - true
   */

  @Test
  public void test0()  throws Throwable  {
      HashMap<?, ?> hashMap0 = XMLParseUtil.parseStyle(";");
      assertEquals(true, hashMap0.isEmpty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribURL(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/net/URL;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      URL uRL0 = XMLParseUtil.getAttribURL((Element) iIOMetadataNode0, ";", (URL) null);
      assertNull(uRL0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribInt(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getNamespaceURI();
      int int0 = XMLParseUtil.getAttribInt((Element) iIOMetadataNode0, (String) null);
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDouble(Ljava/lang/String;)D: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - true
   */

  @Test
  public void test3()  throws Throwable  {
      double double0 = XMLParseUtil.parseDouble(" DrL8;}I,kq{|");
      assertEquals(8.0, double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribDouble(Lorg/w3c/dom/Element;Ljava/lang/String;)D: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      double double0 = XMLParseUtil.getAttribDouble((Element) iIOMetadataNode0, ";");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.isDouble(Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      boolean boolean0 = XMLParseUtil.isDouble("mm");
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloat(Ljava/lang/String;)F: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - false
   */

  @Test
  public void test6()  throws Throwable  {
      float float0 = XMLParseUtil.parseFloat("^");
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribFloat(Lorg/w3c/dom/Element;Ljava/lang/String;)F: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      float float0 = XMLParseUtil.getAttribFloat((Element) iIOMetadataNode0, "in");
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I33 Branch 2 IFEQ L64 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - true
   */

  @Test
  public void test8()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      String string0 = XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      assertNull(string0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I45 Branch 4 IFNONNULL L66 - false
   */

  @Test
  public void test9()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.removeChild((Node) iIOMetadataNode0);
      String string0 = XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      assertNull(string0);
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I41 Branch 7 IFLE L84 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I28 Branch 6 IFNE L82 - true
   */

  @Test
  public void test10()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("mm");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      IIOMetadataNode iIOMetadataNode2 = (IIOMetadataNode)XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "mm");
      assertNotNull(iIOMetadataNode2);
      assertEquals(0, iIOMetadataNode2.getLength());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStringList(Ljava/lang/String;)[Ljava/lang/String;: I23 Branch 8 IFEQ L97 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStringList(Ljava/lang/String;)[Ljava/lang/String;: I23 Branch 8 IFEQ L97 - false
   */

  @Test
  public void test11()  throws Throwable  {
      String[] stringArray0 = XMLParseUtil.parseStringList("mm");
      assertNotNull(stringArray0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - false
   */

  @Test
  public void test12()  throws Throwable  {
      double double0 = XMLParseUtil.parseDouble((String) null);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 13
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I20 Branch 34 IF_ICMPNE L381 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseDouble(Ljava/lang/String;)D: root-Branch
   * 6 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - true
   */

  @Test
  public void test13()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("%");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I3 Branch 17 IFNONNULL L201 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I22 Branch 18 IFEQ L206 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I58 Branch 19 IFEQ L215 - true
   */

  @Test
  public void test14()  throws Throwable  {
      double[] doubleArray0 = XMLParseUtil.parseDoubleList("^");
      assertArrayEquals(new double[] {}, doubleArray0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I3 Branch 17 IFNONNULL L201 - false
   */

  @Test
  public void test15()  throws Throwable  {
      double[] doubleArray0 = XMLParseUtil.parseDoubleList((String) null);
      assertNull(doubleArray0);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - false
   */

  @Test
  public void test16()  throws Throwable  {
      float float0 = XMLParseUtil.findFloat((String) null);
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 17
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseNumberWithUnits(Ljava/lang/String;)Lcom/kitfox/svg/xml/NumberWithUnits;: I3 Branch 35 IFNONNULL L390 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - true
   */

  @Test
  public void test17()  throws Throwable  {
      NumberWithUnits numberWithUnits0 = XMLParseUtil.parseNumberWithUnits("$iJCx2P;");
      assertNotNull(numberWithUnits0);
      assertEquals(2.0F, numberWithUnits0.getValue(), 0.01F);
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I3 Branch 23 IFNONNULL L266 - false
   */

  @Test
  public void test18()  throws Throwable  {
      float[] floatArray0 = XMLParseUtil.parseFloatList((String) null);
      assertNull(floatArray0);
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - true
   */

  @Test
  public void test19()  throws Throwable  {
      int int0 = XMLParseUtil.parseInt("^");
      assertEquals(0, int0);
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - false
   */

  @Test
  public void test20()  throws Throwable  {
      int int0 = XMLParseUtil.parseInt((String) null);
      assertEquals(0, int0);
  }

  //Test case number: 21
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I3 Branch 27 IFNONNULL L306 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I16 Branch 28 IFNE L309 - true
   */

  @Test
  public void test21()  throws Throwable  {
      int int0 = XMLParseUtil.findInt("dw{h?7-Qyl");
      assertEquals(7, int0);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I3 Branch 27 IFNONNULL L306 - false
   */

  @Test
  public void test22()  throws Throwable  {
      int int0 = XMLParseUtil.findInt((String) null);
      assertEquals(0, int0);
  }

  //Test case number: 23
  /*
   * 5 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I22 Branch 30 IFEQ L329 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I57 Branch 31 IFEQ L338 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I3 Branch 29 IFNONNULL L324 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I22 Branch 30 IFEQ L329 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I57 Branch 31 IFEQ L338 - true
   */

  @Test
  public void test23()  throws Throwable  {
      int[] intArray0 = XMLParseUtil.parseIntList("z1");
      assertArrayEquals(new int[] {1}, intArray0);
      assertNotNull(intArray0);
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - true
   */

  @Test
  public void test24()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio((String) null);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 25
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - false
   */

  @Test
  public void test25()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 26
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseNumberWithUnits(Ljava/lang/String;)Lcom/kitfox/svg/xml/NumberWithUnits;: I3 Branch 35 IFNONNULL L390 - false
   */

  @Test
  public void test26()  throws Throwable  {
      NumberWithUnits numberWithUnits0 = XMLParseUtil.parseNumberWithUnits((String) null);
      assertNull(numberWithUnits0);
  }

  //Test case number: 27
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I3 Branch 36 IFNONNULL L521 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I9 Branch 37 IFNONNULL L524 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I20 Branch 38 IFNE L524 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.getAttribIntHex(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test27()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getAttribIntHex((Element) iIOMetadataNode0, "");
      Class<String> class0 = String.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("", "", 0, "", (URLStreamHandler) handler0);
      ReadableXMLElement readableXMLElement0 = XMLParseUtil.getElement((Class) class0, (Element) iIOMetadataNode0, "", uRL0);
      assertNull(readableXMLElement0);
  }

  //Test case number: 28
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I3 Branch 36 IFNONNULL L521 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getAttribString(Lorg/w3c/dom/Element;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 3 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - true
   */

  @Test
  public void test28()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "in");
      Class<Double> class0 = Double.class;
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "");
      ReadableXMLElement readableXMLElement0 = XMLParseUtil.getElement((Class) class0, (Element) null, "in", (URL) null);
      assertNull(readableXMLElement0);
  }

  //Test case number: 29
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I3 Branch 43 IFNONNULL L559 - false
   */

  @Test
  public void test29()  throws Throwable  {
      Class<Integer> class0 = Integer.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("content-type");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "content-type");
      HashMap<?, ?> hashMap0 = XMLParseUtil.getElementHashMap((Class) class0, (Element) null, "content-type", "content-type", (URL) null);
      assertNull(hashMap0);
  }

  //Test case number: 30
  /*
   * 5 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I3 Branch 50 IFNONNULL L607 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I9 Branch 51 IFNONNULL L610 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I20 Branch 52 IFNE L610 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - true
   */

  @Test
  public void test30()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Class<String> class0 = String.class;
      Handler handler0 = new Handler();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      URL uRL0 = new URL("", "", 0, "", (URLStreamHandler) handler0);
      HashSet<?> hashSet0 = XMLParseUtil.getElementHashSet((Class) class0, (Element) iIOMetadataNode0, (String) null, uRL0);
      assertNull(hashSet0);
  }

  //Test case number: 31
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I3 Branch 50 IFNONNULL L607 - false
   */

  @Test
  public void test31()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("content-type");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "content-type");
      Class<Double> class0 = Double.class;
      HashSet<?> hashSet0 = XMLParseUtil.getElementHashSet((Class) class0, (Element) null, "content-type", (URL) null);
      assertNull(hashSet0);
  }

  //Test case number: 32
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I3 Branch 57 IFNONNULL L655 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I9 Branch 58 IFNONNULL L658 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I20 Branch 59 IFNE L658 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.getAttribIntHex(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test32()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getAttribIntHex((Element) iIOMetadataNode0, "");
      Handler handler0 = new Handler();
      URL uRL0 = new URL("", "", 0, "", (URLStreamHandler) handler0);
      Class<Double> class0 = Double.class;
      LinkedList<?> linkedList0 = XMLParseUtil.getElementLinkedList((Class) class0, (Element) iIOMetadataNode0, "", uRL0);
      assertNull(linkedList0);
  }

  //Test case number: 33
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I3 Branch 63 IFNONNULL L686 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I9 Branch 64 IFNONNULL L689 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I20 Branch 65 IFNE L689 - false
   */

  @Test
  public void test33()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "in");
      Class<Integer> class0 = Integer.class;
      Object[] objectArray0 = XMLParseUtil.getElementArray((Class) class0, (Element) iIOMetadataNode0, "", (URL) null);
      assertNull(objectArray0);
  }

  //Test case number: 34
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I3 Branch 63 IFNONNULL L686 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getAttribString(Lorg/w3c/dom/Element;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 3 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - true
   */

  @Test
  public void test34()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "in");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "");
      Class<Integer> class0 = Integer.class;
      Object[] objectArray0 = XMLParseUtil.getElementArray((Class) class0, (Element) null, "", (URL) null);
      assertNull(objectArray0);
  }

  //Test case number: 35
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - false
   */

  @Test
  public void test35()  throws Throwable  {
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) null, "^", "^");
      assertNull(intArray0);
  }

  //Test case number: 36
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I53 Branch 69 IFGT L718 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - false
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - true
   */

  @Test
  public void test36()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getNamespaceURI();
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("([-+]?((d*.d+)[(d+))([eE][+-]?d+)?)(%|in|cm|mm|pt|pc|px|em|ex)?");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "([-+]?((d*.d+)[(d+))([eE][+-]?d+)?)(%|in|cm|mm|pt|pc|px|em|ex)?", (String) null);
      assertArrayEquals(new int[] {0}, intArray0);
      assertNotNull(intArray0);
  }

  //Test case number: 37
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I53 Branch 69 IFGT L718 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - true
   */

  @Test
  public void test37()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("([-+]?((d*.d+)[(d+))([eE][+-]?d+)?)(%|in|cm|mm|pt|pc|px|em|ex)?");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "mm", "([-+]?((d*.d+)[(d+))([eE][+-]?d+)?)(%|in|cm|mm|pt|pc|px|em|ex)?");
      assertArrayEquals(new int[] {}, intArray0);
      assertNotNull(intArray0);
  }

  //Test case number: 38
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - false
   */

  @Test
  public void test38()  throws Throwable  {
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) null, "^", "^");
      assertNull(stringArray0);
  }

  //Test case number: 39
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I53 Branch 74 IFGT L757 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - false
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - true
   */

  @Test
  public void test39()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("]LpC/A3,d9(m:");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) iIOMetadataNode0, "]LpC/A3,d9(m:", "]LpC/A3,d9(m:");
      assertNotNull(stringArray0);
  }

  //Test case number: 40
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;Ljava/util/HashMap;)Ljava/util/HashMap;: I31 Branch 76 IF_ICMPGE L799 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I3 Branch 43 IFNONNULL L559 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I9 Branch 44 IFNONNULL L562 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I20 Branch 45 IFNE L562 - false
   */

  @Test
  public void test40()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Class<Float> class0 = Float.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("true", "true", 9, "true", (URLStreamHandler) handler0);
      XMLParseUtil.getElementHashMap((Class) class0, (Element) iIOMetadataNode0, "true", "true", uRL0);
      // Undeclared exception!
      try {
        XMLParseUtil.parseStyle("true", (HashMap) null);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // No match found
         //
      }
  }
}
